LINUX® DESKTOP GARAGE

Team LiB
Next Section
Book Cover
• | Table of Contents
• | Index
LINUX® DESKTOP GARAGE
By Susan Matteson
Publisher | : Prentice Hall PTR
Pub Date | : February 15, 2005
ISBN | : 0-13-149419-8
Pages | : 384

Enter your Linux Desktop Garage

Don't just survive with Linux: thrive

Find tools & info to do practically everything, such as:

Ripping your CDs (&DVDs)

De-Spam-ifying your email

Capturing, editing, organizing your digital photos

Chatting with your Linux-deficient IM pals

Tracking your contacts, appointments, life

Transforming Firefox into easy blogware

Finding great substitutes for your Windows apps

Diving into a veritable plethora of games

Where you get the truth (unvarnished)

Where you get productive (quick)

Where Linux is fun (honest)

Your guide: Susan Matteson, real user, real expert

She reveals the fun stuff (from MP3s to desktop wallpaper)

Demystifies the essentials (from file management to passwords)

Simplifies the tasks they said were easy, but weren't (until now)

Where there's even more (plenty)

  • Step-by-step instructions for both Mandrake & Fedora Linux

  • Zero-hassle tips for managing & personalizing your PC

  • Gnoppix Linux on CD-ROM (run Linux without touching Windows)

© Copyright Pearson Education. All rights reserved.

Team LiB
Next Section


Table of Contents

Team LiB
Book Cover
• | Table of Contents
• | Index
LINUX® DESKTOP GARAGE
By Susan Matteson
Publisher | : Prentice Hall PTR
Pub Date | : February 15, 2005
ISBN | : 0-13-149419-8
Pages | : 384

Copyright
The Garage Series
Preface: Why a Book About the Linux Desktop?
 | What Is in This Book
 | Conventions Used in This Book
 | What Is on the CD
 | What Is on the Web Site
Acknowledgments
About the Author
Chapter 1. What Are You Getting Into?
 | Mastering the Lingo
 | How to Get a Linux Distribution
 | Which Distro?
 | Burning Disk Images
 | Dual-Booting
 | A Few Installation Notes
 | Startup and Login
 | Links
Chapter 2. The All-Expense-Paid Desktop Tour
 | Login Managers
 | The Desktop Landscape
 | Panels and Menus
 | Virtual Desktops
 | Manage Your Files
 | The Terminal
 | Links
Chapter 3. System Tools and Utilities
 | What Are System Tools and Utilities?
 | Fedora's System Tools and System Settings
 | Mandrakelinux Control Center
 | Printing
 | Connecting to the World
 | Installing New Software
 | Links
Chapter 4. What's Your Preference?
 | What Can You Change on Your Desktop?
 | KDE Control Center
 | GNOME Control Center
 | Icons
 | Fonts
 | Links
Chapter 5. Browse the Internet
 | Mozilla
 | Mozilla Firefox
 | Konqueror
 | Other Browsers Available for Linux
 | Multimedia on the Web
 | The Skinny
 | Links
Chapter 6. E-mail and Newsgroups
 | E-mail
 | Newsgroups
 | The Skinny
 | Links
Chapter 7. Schedules, Contacts, and Tasks
 | Evolution
 | KDE-PIM Suite
 | Syncing with Your PDA
 | The Skinny
 | Links
Chapter 8. Office Documents and Software Suites
 | Building D: Section b, Custodial Engineering Plaza
 | OpenOffice.org
 | Other Office and Productivity Programs
 | PDF Documents
 | The Skinny
 | Links
Chapter 9. Photos and Graphics
 | Digital Cameras
 | Create and Edit Images
 | Manage Images and Photo Albums
 | The Skinny
 | Links
Chapter 10. Instant Messaging and Chat
 | Dustological Empiricism and Instant Messaging
 | Gaim
 | Kopete
 | Yahoo! Messenger
 | What Is IRC?
 | ChatZilla
 | XChat
 | The Skinny
 | Links
Chapter 11. Music and Movies
 | Play Music
 | Watch Movies
 | The Skinny
 | Links
Chapter 12. Play Games
 | Prometheus Fragged: The Lost Play of Aeschylus
 | Free Games
 | Other Free Games
 | Commercial Games
 | Other Commercial Games
 | Emulators
 | WineX/Cedega
 | The Skinny
 | Links
Chapter 13. Running Windows Applications
 | Wine
 | CrossOver Office
 | Win4Lin
 | VMWare
 | The Skinny
 | Links
FAQ
 | Windows to Linux Switcher Toolkit
Glossary
Article
 | About the CD-ROM
 | CD-ROM Disclaimer
Index

Team LiB


Copyright

Many of the designations used by manufacturers and sellers to distinguish their products are claimed as trademarks. Where those designations appear in this book, and the publisher was aware of a trademark claim, the designations have been printed with initial capital letters or in all capitals.

The author and publisher have taken care in the preparation of this book, but make no expressed or implied warranty of any kind and assume no responsibility for errors or omissions. No liability is assumed for incidental or consequential damages in connection with or arising out of the use of the information or programs contained herein.

The publisher offers excellent discounts on this book when ordered in quantity for bulk purchases or special sales, which may include electronic versions and/or custom covers and content particular to your business, training goals, marketing focus, and branding interests. For more information, please contact:

U. S. Corporate and Government Sales
(800) 382-3419
corpsales@pearsontechgroup.com

For sales outside the U. S., please contact:

International Sales
international@pearsoned.com

Visit us on the Web: www.phptr.com

Library of Congress Catalog Number: 2004116158

Copyright © 2005 Pearson Education, Inc.

All rights reserved. Printed in the United States of America. This publication is protected by copyright, and permission must be obtained from the publisher prior to any prohibited reproduction, storage in a retrieval system, or transmission in any form or by any means, electronic, mechanical, photocopying, recording, or likewise. For information regarding permissions, write to:

Pearson Education, Inc.
Rights and Contracts Department
One Lake Street
Upper Saddle River, NJ 07458

Text printed in the United States on recycled paper at Edwards Brothers in Ann Arbor, MI.

First printing, February 2005

Dedication

For Josh. A thousand wild monkeys couldn't break us apart. Of course, I'm not sure what we would be doing with a thousand wild monkeys, but that's a question for another day.


The Garage Series

Street-smart books about technology

Each author presents a unique take on solving problems, using a fomat designed to replicate the experience of Web searching.

Technology presented and organized by useful topicnot in a linear tutorial style.

Books that cover whatever needs to be covered to get the project done. Period.

Eben Hewitt, Java Garage. ISBN: 0321246233.

Tara Calishain, Web Search Garage. ISBN: 0131471481.

Kirk McElhearn, iPod & iTunes Garage. ISBN: 0131486454.

Marc Campbell, Web Design Garage. ISBN: 0131481991.

Don Jones, PHP-Nuke Garage. ISBN: 0131855166.

Dan Livingston, ActionScript 2.0 Garage. ISBN: 0131484753.

                         <a garage is where you work.
 in a garage, you do your  work, not somebody else's.
 it's where you experiment and listen to the old ball
                                    game. make music.
                                            get away.
                                              tinker.
it's where you do projects for passion, make your own
                                           rules, and
                          plot like an evil genius./>

{Irreverent. Culturally rooted.}

Edgy and fun. Lively writing. (The impersonal voice of an omniscient narrator is not allowed!)

[Eben Hewitt, series editor]

Check out the series at www.phptr.com/garageseries


Preface: Why a Book About the Linux Desktop?

Most Linux books are about running servers, writing bash scripts, or managing networks. You might have these lofty Linux goals in mind, but no matter who you are, you probably want to do things like visit Web sites, check your e-mail, or chat online. There are command-line programs to do those things, but why be so limited? Whether you are a new Linux user or an experienced user who wants to learn more, we are all users who spend time on the desktop.

Not long ago, to have Linux as your desktop operating system meant looking at clunky windows and jagged fonts. You stared at long menus not knowing what most of the choices meant. You had to search and search to find out how to do the simplest activity. In the past few years Linux has changed. Linux has programs, utilities, and fun extras that are well designed and easy to use. Some programs in Linux today are better looking and easier to use than many of those found in Windows. Linux is no longer an inconvenience. The Linux desktop today lets you get your everyday tasks done while having fun with your computer.

All of this fun still needs a little figuring out from time to time. In this book, we will figure it all out. We go through all the fun things we can do in Linux and learn how to get a little work done, too.


What Is in This Book

This book is full of self-help tips that will regrow your thinning hair, help you lose weight, make you money on the real-estate market, cook you a turkey on a rotisserie, and sell you a new set of knives. Why, this book is one great big late night TV infomercial. I'm lying. I do that. You'll learn.

This book is actually full of Linux. I love Linux. I love exploring Linux, and I bet you will, too. When I turn on my computer, I have things to do. I bet you do, too. All the chapters and sections in this book are arranged by the tasks that you need to do: from installing Linux, to setting up your preferences, to browsing online, to e-mail, to office productivity, to all the fun things we do with our computers when we're supposed to be working. Rather than telling you which programs you should use for different tasks, you will find reviews, how-tos, and detailed descriptions of the most popular programs in each category. Linux is about choice, so I want to give you all the information and tools you need to make your choices.


Conventions Used in This Book

  • Program Info This is the quick reference information you need to start up a program. Anytime a program is available on your main menu, you can find the path here. You can also find the terminal command and URL for programs here.

  • ToolKits What's the good of learning if you don't get to use it? The ToolKits give you a chance to put what you learn to work.

  • Under the Hood These tips contain extra bits of information and alternative methods

  • Sidebars These asides give you fun facts about programs and topics.

  • The Skinny While you have all of the tools you need to make your choice of programs yourself, you might want a little opinion. The Skinny sums up the good, the bad, and the ugly in each program.


What Is on the CD

So, you are reading this book to learn more about Linux. To install Linux, you need an extra computer or room on your hard drive to install it. You might just want to try out Linux and learn about it before taking the big plunge. The CD in this book is a Linux live CD of the distribution Gnoppix. A Linux live CD is a Linux distribution that will boot up and run right off the CD without having to install a whole operating system on your computer. Gnoppix does not include every program that is covered in this book, but it provides you with enough to get your feet wet. Use the CD to get comfortable with a few Linux programs, and then go on the adventure and install a Linux distribution of your own.

You can read more about Linux live CDs in Topic 1. You can read more about Gnoppix at http://www.gnoppix.org.

To use the Gnoppix CD in this book, you need a PC with these requirements:

  • PC with Intel-compatible CPU (i486 or later)

  • Bootable CD-ROM drive

  • At least 96 MB for graphics mode

  • SVGA-compatible graphics card

Unfortunately, Gnoppix does not currently have a Mac version.

Put the CD in your CD-ROM drive. Reboot your computer. You will need to make sure that your computer is set up to boot from CD when a bootable CD is present. See Chapter 1, "What Are You Getting Into?" and the "Under the Hood" note titled "CD Boot" on page 20 for more information about how to boot from your CD drive.


What Is on the Web Site

At http://www.snerf.com/linuxdesktopgarage you will find lots of accompanying materials for this book. The Web site has errata (those are errors, not porn), all of the URLs from each chapter, information and links for newer versions of Linux software and Linux distributions, example files from the book, and more.


Acknowledgments

Everyone should write a book. It's great. You get to bother all of your friends and family to help be test cases for you. You get to sound like you have "important" things to do. You get to spend way too much time at coffee houses with your laptop. I had a lot of wonderful help, support, and encouragement from many people in writing this book.

Eben Hewitt is a great writer, a great man, and a great friend. He has not only served to contribute good feedback and encouragement, but he is also an inspiration in everything he does. Some people try to do the best that they can; Eben works to do everything better than it has ever been done before. His ideas resulted in this unique series of books. Eben, thank you for talking me into it.

I had three great technical editors working with me on this book. Shafer Stockton, Jonathan Garrison, and Jonathan Bailes not only checked for technical errors; they went above and beyond what was required to make constructive suggestions and convey new ideas.

Everyone at Pearson, Prentice Hall, and Addison Wesley has been terrific. John Neidhart, Lori Lyons, and the rest of the professionals in the company have shown what an efficient and creative team of people they are.

I have been lucky to have the support of a wonderful group of friends and family. Thanks to Shafer for introducing me to Linux and being patient when the newbie needed tech support over the years. Trevor deserves violence and gratitude for making me use the Gimp until I liked it. It's hard for a designer to walk away from Photoshop. The excitement that both of those Linux geeks show for Linux and for open source software is an example for everyone to look to. I want to thank both Jenny and Bill for wanting to and trying to help be test users. They might not have been able to get Linux running, but now they can try again with this book to help them.

My biggest thanks go to Joshua. You were supportive through the late nights, the grumpy sleepless weeks, and the frequent trips to the coffee houses. I love you. You are the reason for everything I do, and you're darned cute, too.


About the Author

Susan Matteson is an avid Linux user, Web developer, and creative writer in Portland, Oregon. Susan has contributed to Cold Fusion Developer's Journal and designed hundreds of Web sites. If you ask her what she does for a living, she will tell you that she is a super secret agent spy for the government working to interpolate Linux into every element of society, but that is when we just smile and try to ignore her.


Chapter 1. What Are You Getting Into?

So, you want to know what you're getting into by using Linux. I can tell you what you're getting into: trouble. You're getting into trouble. That's what you usually hear about Linux. Linux has a reputation for being the scary, complex operating system that only ubergeeks should use for running servers. Linux has a reputation for being the operating system that you would never put on your mother's computer, or anyone's computer who isn't a computer genius. Just like my reputation for being a genius, Linux's reputation for being the sole domain of technophiles is not deserved. Actually, I'm not sure if my reputation as a genius exists within any circles, but I think it's a good rumor to get started. Pass on to five friends that I'm a genius, will ya?

Linux has come a long way from the days when running Linux for everyday desktop tasks was difficult. Linux today can be even easier than Windows to install and set up. Sure, there can be hiccups, but there are errors and problems with using any operating system.

If Linux is so easy and great now, what's the trouble? You are getting into an operating system that the minority of people use. Being in the minority means that you are going to run into a few situations that arise because the rest of the worldsuch as Web site creators, hardware makers, and people sharing documents with youuses a different operating system. The trouble spots we will run into as we go through this book learning to use Linux are usually minor ones that can be fixed by thinking about the problem.

I suppose I'm not being very encouraging. I am being realistic. Tell you what, thoughI will give you two different descriptions of Linux and let you pick the one that you like best.

The Slick Sales Guy Introduction to Linux

Welcome to using Linux!! With Linux, you will be able to browse the Internet, send and receive e-mail, process as many words as you wantat no extra charge, I might add (wink)and build spreadsheets until you are coughing up charts and graphs. There's no extra software to buy! You can create graphics, chat online, and play games. Got a schedule? You can manage your schedules and contacts and tasks. Wanna listen to your MP3 collection? We'll help you do it. Watch movies, create a Web site, print on genu-ine paper!

Here at Slick Sales Guy Linux, we have it all for you! How much would you pay for so much fun, so much productivity, so much stability? Did we mention that in Linux you won't see that Windows Blue Screen of Death? How much would you pay now? Did you know that Linux comes with free candy, balloons, kittens, puppies, and clowns! How much would you pay now? Windows averages $150$200. Additional software can cost you hundreds or thousands more. Linux is free! Act now, and we'll even toss in the ability to participate in the development of new software! All for free!

I usually don't trust any sales guy, but everything he just said is true. I might have to check into the free candy, balloons, kittens, puppies, and clowns part, but let's trust him on that for the moment. Linux is free. Linux distributions do come with all of that software included. With Linux, you have the opportunity to participate in the development of new software as well. It's as wonderful as a barrel full of fuzzy monkeys, but here I come again with that realism.

The Susan Introduction to Linux

Using Linux on the desktop is great. When you are working with the most common tasks and programs in Linux, you're golden. Bob's your uncle. You're a pig in a blanket. You'rejust insert your own regional, colloquial phrase here that means you won't have any trouble getting things done or figuring out how to do what you want to do. I'm not going to lie to you, though: Once you step outside the boundaries of common tasks, you need to be prepared to finagle, tweak, and fight with things. You need to be prepared to search for help. A lot of computer tasks have not been perfected in Linux yet. A lot of open source software projects are unpolished, undocumented, and hard to use.

The trouble that you might run into does have its rewards. Linux is stable. You don't have to restart Linux all the time. You can customize almost everything on your entire desktop. You can have a say in new versions of programs. You can be the smartest, most computer-savvy person on your block.

Again, all of that is true. Whichever way you choose to look at using Linux on the desktop, just know that we're in for a fun ride together.

So, what are you getting into? You're getting into an adventure. Adventures are good. Adventures are fun. They make movies about people having adventures. How much adventure you get depends on why you're here. If you're here because your office switched over to Linux and now you have to figure out how to get all of your work done, your adventure may be as easy as learning new programs and setting up preferences. If you're here because you want to try something new, your adventure can be as broad, as easy or annoying, and as in-depth as you want. In either instance, be prepared for a lot of "Ah-ha!" moments of discovery when you are proud of how damned smart you are. Be prepared for a lot of frustrating moments when you question what you're doing using Linux and question your own sanity. Be prepared to learn a lot.

That's what you're getting into, but now you need to know the requirements. I'm not talking about system requirements. I'm talking about my requirements of you. I have a demand.

I am going to demand that you have fun.

Don't look for everything to be just like it is in Windows or on a Mac; it's not the same. It is okay that things aren't the same. You will find enough similarities to your old OS in programs we cover that you won't feel like you are a stranger in a strange land. As you start using Linux on the desktop, if something doesn't work the way you think it should, or if you can't figure out a problem that pops up, don't throw your mouse across the room. Don't kick your dog or look for your copy of Windows. Take the tough stuff and look at it like a giant puzzle; be logical, use the tools in this book, and find solutions. Most of all, keep having fun. No matter what operating system you use, the only way to survive working with computers is to keep having fun, no matter what you are doing.


Mastering the Lingo

Remember that part in Airplane! when the two guys are talking and the stewardess doesn't understand them? Then the Mom from "Leave It to Beaver" stands up and says, "Stewardess, I speak Jive." I've got your June Cleaver right here. I would never name my son Beaver Cleaver, but I can help out with the Linux Jive. Figure 1.1 shows the relationship of the terms. You can find more definitions in the Glossary, but here are a few of the most common terms.

Figure 1.1. Everyone likes charts. Here is a breakdown of the relationship of some Linux lingo from a user's point of view.

Linux

Linux is commonly used as a term for the whole operating system, for the desktop, for the community, for lots of things. Linux is actually just the kernel. "What's the kernel?" you are asking. Don't think about corn. There's no corn involved. You can think of the kernel as the engine of your operating system. The kernel is the "Little Engine That Could" that runs underneath it all. The Linux kernel is responsible for security, allocation of resources, and the lowest-level hardware interfaces. The name Linux comes from the UNIX operating system and a man from Finland, Linus Torvalds. There are lots of interesting stories about the name Linux, but none of them will help you get online or check your e-mail, so I will leave that interesting history for you to look up online.

If people want to argue over whether it is proper to use the term Linux to mean the whole operating system, they might want to find more interesting things to do with their lives. Language is flexible, and Linux has become the common term for an operating system based on the Linux kernel.

Distribution (Distro)

Distribution: The act of dispersing or the condition of being dispersed; diffusion.

www.dictionary.com

The regular definition of distribution also applies to a Linux distribution. There is no central corporation behind Linux to put everything together for us. Open source software programs are often developed independently from one another. I know I don't want to sit at my computer gathering and installing every single program that I will need on my computer. You probably don't want to do that, either. Thus, we have the distribution, or distro. A Linux distribution includes the Linux kernel, the X Window System, an installer, and a collection of programs all put together for you on a neat little CD (or multiple CDs), to use as an operating system. There are more distributions than . . . here's where I get stuck trying to find the right cliché for the situation. There are more distributions than stars in the sky? Rats in the sewers? Lint in my dryer? More distributions than you can shake a monkey at? Anyway, there are lots of distributions.

For-profit companies, such as Mandrake and Red Hat, make some distributions; others, such as Debian and Gentoo, are part of a community effort. Organizations and individuals create even more distributions. Each of the distros has its merits, its oddities, its champions, and its detractors.

X

X is the name of the specification for windowing operations in Linux; it's also called the X Window System. X is what runs your graphical user interface (GUI). X can run on many operating systems besides Linux. Many distributions have used the XFree86 program for years. Newer distributions are also starting to use a new offshoot of XFree86, X.org. Which version of X you have will usually not matter to you while performing everyday tasks. You will need to know only what version of X you are running if you run into an issue that requires you to start the X Window System from the command line or to edit your configuration file.

Desktop Environment

The next important term is desktop environment. This is a place where we fork off from the structure you are used to in Windows or Mac OS. One of the cool things about Linux is that you always have choices. Your desktop environment is the GUI that you will be looking at. It's all the eye candy. Unlike in other operating systems, you can choose the desktop environment in Linux. You can choose to have a simple or complex desktop environment. Whereas the two main environments, KDE and GNOME, will look familiar to you because they're similar to what you are used to, many other desktop environments will give you a more innovative experience.

Window Manager

The window manager is just what it says it is: It controls those windows that programs pop up in. I don't need to tell you this. You're smart. You can guess and figure out this stuff. The reason you even need to know this term is that you also can choose which window manager to use in Linux. Until you are ready to experiment more, it's best to stick with the window manager that came with your desktop environment.

Widget Set

The widget set is the set of check boxes, buttons, scrollbars, menus, and other things that make up the controls of any window that you are in. Let me give you the strict, technical definition: It's the stuff you can click on to make things do stuff. Again, you have a choice of which widget set to use. You can change from the default that comes with your desktop environment, or you can play around with other themes. Now you know a new term, and now you're smarter. We all feel better about that.

Spoofkata

Okay, I made up spoofkata, but I can define my made-up word. You might be a messy person or a neat person. The messy people have a layer of random junk, food, spilled beverages, sticky notes, or papers on their desks. That's spoofkata. You might have trouble finding your mouse on your desk some days. You might have to cut through the sticky notes on the edges of your monitor like you are chopping out a trail in the Amazon jungle, and I don't mean the online Amazon. I usually have only a medium level of spoofkata, consisting of an empty glass and lots of burned CDs. When using Linux, please sweep the spoofkata aside, for optimum results.

Programs

You know what programs are. Hey, I put the term in the cool little diagram that I wanted to make, so it deserved to get a heading all its own.

You

This is a carbon-based life form with opposable thumbs (though I suppose that's not required), at least a modicum of logical reasoning ability to figure out problems that come up, and a damned fine judge of buying books. You bought this, so you must be smart.


How to Get a Linux Distribution

FRIDGE

If An Old Dead Poet Wrote a Linux Book

I like to get Linux at the store in a box.
I like to get Linux with some brand new socks.
I like to buy Linux from a Web site.
Then the nice people ship the CDs to my house.
Uh-oh, that didn't rhymewhich makes this also not rhyme.

I like to download Linux from Web sites.
I like to not think about the fact that we are all covered in dust mites.
I like to get Linux in many different ways.
I like to pretend I am Willie Mays.
Well, I don't really like to pretend to be a dead man,
But it rhymed better than pretending to be Gilligan.

Was that in iambic pentameter? Don't ever show that to my high school English teacher. Remember, you are propagating the rumor that I'm a genius. Pretend you liked that poem, and move on.

Walk into your local software store, and you're going to see a lot of copies of Windows. Walk by all of that. You will then see boxes of software that runs only on Windows. Keep walking. Linux is a little harder to get hold of than other operating systems simply because of its status as an underdog. The store isn't your only option. Linux is used by a computer-savvy group of people, they have savvy ways to distribute Linux to you.

Go to the Store

So you're in the software store, and you walked by all of those boxes with the Windows symbol on them. Somewhere in the store are probably some boxed copies of Linux. Linux isn't a big seller in stores yet, so you might have a hard time finding it. Look back by those copies of the encyclopedia programs or the cemetery-planning software. Linux is there somewhere. Many stores carry copies of popular distributions such as Mandrake and SUSE. Red Hat used to be among those easy to find in stores, but that changed when the company switched to releasing its enterprise edition for companies and leaving the home version to the new Fedora distribution. Wal-Mart has also started selling PCs preloaded with Linspire Linux. Boxed distributions average between $50 and $150 in price, with choices of different levels of editions. When you buy a boxed distribution, you get much more than just an OS for your money; you get most of the programs you need as well.

Why bother to buy Linux in a box? You get handy manuals with colorful logos plastered all over them. Who wouldn't want that? If you feel lost with this whole Linux thing or don't consider yourself to be technically inclined, buying a packaged distribution that includes manuals might be helpful. The manuals explain very basic concepts, such as using menus and moving windows. They then move on to talk about how to perform certain tasks. You will inevitably need to go beyond the manual and its limitations, but that's why you are reading this book. Another great reason to buy the boxed distribution is that you get to financially contribute to the software that you are using and to the companies that put everything together for you. If you cannot contribute to the open source software community by programming, buying a distribution is an easy way to give back.

Buy Online

If you go to the Web sites of many Linux distributions, you will see links so that you can purchase copies online. Just as with buying a packaged set of disks and manuals in the store, buying a Linux distro online gives you the chance to financially contribute to your favorite distribution and to open source software. Most of the time with purchasing online, you will have the boxed set sent to you by mail. This method works if you don't need instant gratification.

Download CD Images

Did I mention that Linux is free? Let me say it again. Linux is free. You can get your copy of Linux by downloading it off the Internet. Unless you are into self-torture, you will want to have a broadband connection to download any distro. Although there is a possibility of doing a network install, that can be another form of self-torture. Your best bet is to download CD images, called ISOs. A great Web site to visit for any distribution that you want is http://www.distrowatch.com. Distro Watch has descriptions and links to most of the distributions available, a top 10 list of the major distributions, and pricing so you know which ones are free and which are commercial distros. The information pages for each distribution also list which versions of popular programs are included.

UNDER THE HOOD

JOIN A TORRENT

Many people don't know about it, but BitTorrent is a great way to download Linux ISOs for many distributions. BitTorrent is a peer-to-peer file-sharing program. To download files, you use a search engine to find a torrent file, download that pointer file, and use the BitTorrent software to open that file. BitTorrent finds other users sharingwhat you want and downloads the file in small bits. While downloading, you are also sharing. The download is a bit slow, but you relieve the traffic burden on many universities and volunteers running mirror sites by using BitTorrent.

Use the CD in This Book

Go look in the back flap of the book. What's there? Linux! There are a few Linux distributions that run off a bootable CD, a live CD distro. Knoppix and Gnoppix are among the most popular live CD versions. Mandrake also has a live CD distro called MandrakeMove. Most people use these distros so that they can easily boot into Linux from any PC. I have used Knoppix before to get quickly online after rendering my computer unable to boot by doing something way too smart to admit to. I just put in Knoppix, rebooted, and got online to look up how to fix the computer. You can use this distro to try out many of the programs and tools in this book. If you are still deciding whether to run Linux on your desktop, use this CD to test-drive a few features.

The caveat to using a live CD distribution is that what you get on the CD is what you get, no changing desktop environments or installing software. The best use of a live CD is for a little exploring. After exploring, go ahead and take the plunge to installing a full Linux distribution.

Accost the Nearest Geeky-Looking Man or Woman Wearing Some Piece of Clothing with a Penguin on It, Steal Their Laptop, and Run Really Fast

Umm, no, actually don't do that. I think you might get arrested or something.


Which Distro?

You can choose from many, many different Linux distributions. Some distributions are well established and stable, while others are a bit experimental. In choosing which Linux distribution you want to start out with, or even which distros you might want to try later, just look at who you are and what you need. Some major factors to consider in choosing a distribution are the ease of the installation, the stability, the availability of programs, whether there is a good-size community of users who can help you, how much work you want to do on system configuration and software installation, and your own level of technical knowledge.

Now, let's talk about the zealots. Linux seems to breed zealots, people who are religiously dedicated to their distribution of choice. These are the people who will be all around as soon as you decide on a Linux distribution. A lot of Linux enthusiasts have strong words for any distribution that isn't the one they like. You have to shrug off the comments and just use the distro and the programs that work well for you. Read up on the features and tools of each distribution. See which one sounds best for you. You can find links for these distributions in the list at the end of the chapter.

The Distribution Cavalcade

Debian/GNU

Debian is a distro that is generally considered best suited for more experienced users. It is a "social distribution," meaning that there is no big corporation putting the distro together. Debian is created and maintained by a community of users. Debian exists in three states: unstable, testing, and stable. Any new packages go into unstable and then move through the chain accordingly.

Install: Debian is notorious for having one of the more cryptic installations. The install is text based and is aimed at the confident and experienced user. The new installer promises to be a little friendlier and offers a GUI option for the text-phobic.

Pros: Apt, a great installation tool, was developed on Debian and is definitely a plus to use for installing new software. The system of keeping the distro in three states is one of the smarter ways for handling the addition of new programs.

Cons: The installer doesn't really install everything that most people will need. Post-install, you need to use Apt to add most of the software you want. The unstable, testing, and stable scheme doesn't offer much of the instant gratification that we are all used to as computer and Internet users. The stable version can look outdated to someone looking for the newest versions of programs.

Availability: Download ISOs or buy from the list of vendors on Debian's site.

Cost: Free to download; minimal cost for CDs, averaging around $20.

Fedora

In 2003, Red Hat split its distribution into a home (or hobbyist) edition, Fedora, and a professional distribution, Red Hat Enterprise. The idea is that Fedora will be the proving ground for new versions. Red Hat borrowed the Fedora name from an existing distro and merged with its developers' efforts. Fedora Core 1 was essentially Red Hat 10, and further development continues from there.

Install: I think that Fedora can now give Mandrake some competition for easiest installer. The Anaconda installation program simplifies every question, while still allowing advanced users to customize many aspects of the install. Help menus are always visible.

Pros: Red Hat, and now Fedora, is one of the more ubiquitous Linux distributions. Enjoying that popularity can make finding help for Fedora or finding packages quite easy. There is a port of Debian's great Apt tool for RPMs (packaged programs) now, so Fedora can use either Apt or Yum (both similar and convenient tools for updating). Fedora also uses the Red Hat Network for updates. Many of the system tools have easy-to-use GUI front ends that will appeal to new users as well as experienced users who forget a command from time to time. A group of developers is working on a PPC (the type of processor in Apple computers) version of Fedora that will run on Macs.

Cons: Many disliked Red Hat's transition to Fedora and still hold a grudge. There are also rumors that Red Hat is controlling much of Fedora's development, without allowing for the community input the company had promised. Mandrake makes some tasks automatic that Fedora users will need to do manually.

Availability: Fedora hosts ISO images for download from mirrors. Red Hat's Enterprise version, with support included, can be purchased from Red Hat.

Cost: Download is free. Red Hat has many pricing tiers.

Gentoo

This is one of the newer choices among the most popular Linux distributions. Gentoo will run on PCs or Macs. Gentoo is so flexible because it is not package based; most of the programs must be compiled on your machine. The distribution is another social distribution run by its community of users.

Install: Got some free time? Then Gentoo is for you. The install is text based and could arguably be most appropriate for advanced users. The installation process takes a very long time because Gentoo compiles programs upon install. There are three install options, each needing a LiveCD from Gentoo, that span from very customizable to just the base system.

Pros: Gentoo's Portage software-distribution system can be great for users who want the latest versions of things such as desktop environments that are more difficult to update on your own. Gentoo runs efficiently because it is customized to your system.

Cons: Did I mention time? Let me say it again: time. It's not just necessary on the install, either; system updates take time and are best done overnight. Even the geekiest friends I know running Gentoo talk about switching to something that they don't have to wait for. You also need to know your commands because there are not a lot of GUI tools.

Availability: Download one of three LiveCD versions.

Cost: Free.

Linspire

Linspire used to be called Lindows until Microsoft sued them over the name. Linspire might be the best distro available for working right out of the box. Multimedia plug-ins and emulation software are preinstalled.

Install: Buy Linspire on one of those preinstalled PCs, and there's nothing to worry about. If you buy the distro separately, the install goes smoothly and could be completed by a new user without much assitance.

Pros: Linspire is a commercial distribution, and, just like other commercial OSs, is a nicely put-together system. Many tools and menus look like the Windows equivalents. CrossOver Office, a popular program for running Windows software, comes with Linspire. It's a distro fit to put my mother on with minimal worryyou'd have to meet my mother.

Cons: Cost shouldn't be a negative when we're talking about computer software, but in the Linux world, Linspire's cost might be a sticking point for some users. Just as with other commercial operating systems, you will be waiting on the company for updates, and you won't find many compiled packages online. If you like company support, you do have that, but you do not have many fellow users to ask for help.

Availability: Buy the distro from Linspire's online store or on a PC at Wal-Mart.

Cost: Different versions range from $49 to $149.

Mandrake

Mandrake has been around for a while, like many of the major distros, and has garnered reputations, both good and bad. On the good side, it's the distribution most recommended to new users because Mandrake has always focused on ease of use, with many tools and wizards. On the bad side, some users don't like how some of those tools and wizards work.

Install: The Mandrake install is cake. All of the steps are in a screen-by-screen setup. A user could conceivably just choose Next on all of the default choices and still do alright.

Pros: There are a lot of users and help out there for a new Mandrake user. Users can also play with programs in the Mandrake Cooker, a repository for new programs that are still being worked on. Functions that would be painful in other distros are effortless with the Mandrake Control Center. Mandrake also has a version for Macs.

Cons: Releases tend to be innovative, with all the latest versions of everything, but those latest versions can result in buggy releases. Device configuration can be confusing, but that's true in many distros. Be careful with Cooker packages; software from the Mandrake Cooker is sometimes unstable.

Availability: Download, buy CDs online, order CDs, or buy retail.

Cost: Buying CDs averages $49$229. If you download, Mandrake requests a donation and membership in the Mandrakelinux Users Club.

Slackware

Slackware is the Linux grandpa, having been around since 1992. Just like Grandpa, Slackware wants none of your newfangled GUIs and tools. This distro had to walk to Linux uphill both ways, and so should you.

Install: The install is text based and aimed at experienced users. All you have to do is look at Slackware's installation FAQ to see the caliber of questions about the installation.

Pros: This is Linux for the purist who believes in no frills. The distro is always stable, and even though releases are infrequent, update packages are put out regularly. Slackware users are dedicated and very knowledgeable. Find a friendly, helpful one, and you will want to hang on.

Cons: Slackware is like a parent punishing you for your own good. Everything is configured through the command line, nothing is automatic, and you should be a good kid and eat your spinach. Some of the more difficult areas for a new user to configure in this scheme are hardware because there is no autodetect as other distros have.

Availability: Download images from mirror sites or buy disks from Slackware's online store.

Cost: Free to download, $39.95 from the online store.

Sun Java Desktop System

The initial version of Sun's JDS is labeled as an enterprise one aimed at business users. JDS uses GNOME only and includes most features you would expect in any distro. As with the other commercial Linux distros, JDS has a lot of the open source software that you find in other distributions, but it brands the programs with logos and themes so that the colors all match. One difference is the inclusion of the Java runtime environment. A few of the standard applications and accessories, such as a text editor and media player, are Java applications.

Install: Sun JDS uses a variant of SUSE's YaST installer, so the install is smooth and won't throw any curves at users.

Pros: Everything in this distro looks nice and goes together well. Sun's Star Office is included; it would have to be purchased separately with other distributions. The integrated Java runtime environment and Java Studio Standard developer tools make this a great distro for Java developers.

Cons: If you want to try any other desktop environment but GNOME, such as KDE or Enlightenment, you will have some hurdles to jump. No software for emulation is included or easily installed. JDS seems slow compared to other distros run on the same hardware.

Availability: Must be purchased through Sun.

Cost: Licensing is aimed at businesses: $100 per desktop per year, or $50 per employee per year for company-wide purchase.

SUSE

SUSE is another distro that has been around for a while. There are plenty of users, but the community is not as big as a few of the other distributions. The community grew in 2003 when bad blood over the Fedora transition converted some Red Hat users to SUSE.

Install: SUSE's YaST2 (Yet Another Setup Tool) installer is really about as affable as Fedora or Mandrake's installation. Arguments about more complex aspects can be made, but listening to those arguments sounds like quibbling. It's at least as easy as a Windows install.

Pros: Having fairly recently been bought by Novell, SUSE should be easier to acquire than in the past. The distro is RPM based and can also use Apt. There isn't much to keep SUSE from being considered on the same level as Fedora and Mandrake for new users. Besides, everything on your desktop is themed green by defaultwho doesn't like that? It's like being smacked in the face with a fresh leprechaun every time you log in.

Cons: Releases have traditionally been less frequent, but hopefully that can change. A few of the tools and utilities are a little more difficult to use than other distros. SUSE is used by fewer people, so compiled packages and help from online sources might not be as available as they are for Fedora and Mandrake.

Availability: Downloads of ISO images are available, and CDs can be purchased online from SUSE. Boxed editions also are available from third-party vendors.

Cost: Free to download images, $29$89 for CDs.

Xandros

Xandros started out as a commercial distribution but now has a limited, ad-supported version available for free download. This distro is a fairly new player (although the base development came from the old Corel Linux) and has gotten some popularity and press for its good usability.

Install: Installation is easy to zip through, with GUI screens and lots of choices suggested for you.

Pros: Like Linspire, Xandros works right out of the box. The distro shows the work that has gone into it with an array of tightly integrated utilities that are stable.

Cons: A limited number of applications are included. Some proprietary programs mean that you will have to wait for the company's next release if you want those updated. Linux users are used to a little more flexibility than that. The only free version is ad supported. Support will have to come more from the company than from other users.

Availability: Download or buy from Xandros.

Cost: Free ad-supported download version, or $40$99 for commercial versions.

Yellow Dog

For years, Yellow Dog was the classic choice to run Linux on a Mac. The distro isn't horribly innovative. Yellow Dog is essentially a direct port-over of the last Fedora version available, with certain conventions and tools of its own thrown in.

Install: Yellow Dog uses Fedora's Anaconda installer, so the install is just as easy as Fedora. The installer also keeps its core audience of Apple users in mind, with a good selection of Apple hardware choices.

Pros: Yellow Dog is RPM based and also has Apt and Yum versions (update tools) available. Many of the utilities are ports from Fedora, so you will find that much of the online help from users applies to both distros. The company also maintains a good support mail list with archives.

Cons: Anytime you are using Linux on PPC, you will have more trouble finding compiled packages. Apt and Yum are available, but you are limited to only a few repositories. Some of the tools feel a little clunkier than they do on Fedora, but the tools are there and do work.

Availability: Yellow Dog has downloads of ISO images on mirror sites and CDs available for purchase. Boxed editions also are available from third-party vendors.

Cost: Free download of ISOs, $25 - $85 for disks, depending on what version you want.

I concentrate on Fedora (Core 2) and Mandrake (10.0) throughout the rest of this book. I think that these two distros are the easiest for someone new to Linux to install, set up, and use. It also is very easy to find software packages already compiled for both. When you get used to a few of the conventions of the Linux world, that is the time for you to explore. In Mandrake and Fedora, you will find that the desktop environment and programs you use are mostly the same between distributions. The installation and system tools differ.

Deserving special mention is the next most popular choice among Linux users, SUSE (see Figure 1.2). SUSE is another distro that can be quite easy for new users, especially those switching from Windows. Utilities and system tools are intelligently arranged and easy to find in the menus. The distribution is RPM based, making installing new software uncomplicated for new users. If you opt to buy a boxed edition of Linux, SUSE has some of the best, most complete manuals included.

Figure 1.2. The SUSE desktop after first login.

[View full size image]

One of the most interesting newer choices on the distro front that also deserves special mention is Gentoo. Gentoo is a distribution for which the installation is longer than a bad TV miniseries, but the OS and the programs are compiled for your machine. Gentoo has an active community of users who are ferociously loyal to their distribution. Later, if you start to feel like you have run out of Linux challenges, Gentoo might be a fun toy to poke around with.

UNDER THE HOOD

BUY ME

HP has now released a native Linux notebook computer that runs SUSE. Laptops are infamously complex to set up Linux on because of the special little buttons and weird hardware on them. With a native Linux laptop, HP takes care of all that for you.

There are many Linux distributions out now, and most of those distros offer a similar set of features. A patient new user could figure out even the most technical of distributions. The difference between Linux on the desktop now and Linux on the desktop two years ago is astounding. Each of the major distros contributes innovations that get worked into new versions of other distros. That's the character and power of Linux, the ability to share new ideas to benefit all and present choice for users.

Right now, you're the newbie. You've got to pick something. Fedora and Mandrake have simplified the installation choices, tools, and utilities to be quite user friendly. You might even find some things easier in these distros than in your old OS. We will move forward with Fedora and Mandrake. In exploring these two distributions, you can learn most of the basic concepts of Linux that will make trying out new distributions painless.


Burning Disk Images

You need to create installation disks if you have downloaded the disk image files from the Internet. If you buy a Linux distribution or try out Linux with a live CD version, you don't have to burn any disks.

When you download a Linux distribution, you need to know what to do with those giant files that you now have sitting on your computer. Those files that you downloaded are disk images, usually ISOs. An ISO contains all of the files needed for the CD that you will create. You might have three or four of those giant files. Most Linux distributions are multidisk sets. Each disk image that you download is probably going to be larger than 600MB. Depending on your current operating system, the ISO files might look like archives to you. Don't unpack the archive and burn a disk as you normally would; burning a disk image is different than burning a data or music disk.

Fedora now also makes a DVD version of the distribution available for download. With the DVD disk image, you have fewer disks to burn. If you have a DVD burner available and you like playing with new toys, give it a try. The steps for burning DVD images might vary in Windows, depending on your software. The steps for burning a DVD disk image are the same in Mac OS X for anyone using Disk Utility.

Burning Disk Images in Windows

Most common CD-burning programs in Windows have an option in the main window that says something like Burn Disk Image. If your program has that option, you are probably all set.

You can find a number of CD-burning software programs for Windows, and most have a help menu that will point you in the right direction.

Burning Disk Images in Mac OS X

Whereas OS X makes burning music and data disks very easy, burning images is a little more complex. You can get a few third-party applications for burning disks on a Mac. Some of those programs make the job a little easier by putting all of the commands and utilities that you need in one place. If you grab one of those programs, just follow the instructions that came with your software.

If you want to burn your disk images through OS X, you need to open Disk Utility. From a Finder window, simply drag each downloaded disk image file into the left column of Disk Utility. The Burn button on the toolbar should then be available. You can insert a blank CD or DVD and then choose Burn.


Dual-Booting

What Is Dual-Booting?

Dual-booting is the term commonly used when installing two separate operating systems on the same computer. You can partition a single drive with one operating system on each, use one hard drive for each operating system, or spread things out among a few drives. For example you could dual-boot Linux and Windows or Linux and Mac OS.

Here is how dual-booting works. Your hard drive has on it what is called the Master Boot Record (MBR). The Master Boot Record is located in the first sector of your hard disk. The record contains your partition table as well as information to identify where and how your operating system will boot. Normally, with one operating system, the MBR just shoots right into the OS that you have on your hard disk. However, when you are dual-booting, the MBR first makes a stop at a program called a boot loader. The boot loader gives you a menu of choices so that you can choose which of the operating systems on your hard disk you want to boot into. If you make no choice, the default choice is chosen automatically after a set number of seconds. The labels for the operating systems, which one is the default, and how many seconds to wait are all configurable.

Why Dual-Boot?

A good portion of the rest of the world is using other operating systems, mostly Windows and Mac OS. Those people will send you files, design Web sites, provide multimedia content, write software, and do most everything else with those other two more popular operating systems in mind. Linux can handle most of that, but sometimes you will need to use Windows or Macintosh. You might receive an office document with formatting that looks funny when you open it in Linux. You might visit a Web site that has a lot of multimedia content that would just be too much trouble to make work in Linux for the few moments that you will be there. You might have a deep, abiding need to play the latest first-person shooter game that will not run in Linux. You might want a gradual change to your new OS. You might get the point by now with all these repetitive sentences I have just given you.

The Boot Loader

When you are dual-booting, the boot loader is a program that serves as a pit stop in the boot process for you to choose which operating system on your computer you want to boot into. The most popular boot loaders for use with Linux are GRUB, LILO, and Yaboot.

GRUB and LILO run on PCs. LILO is the older choice, but GRUB is quickly overtaking LILO as the best choice for a boot loader. GRUB is the newer software, with some fixes of problems that previously came up in LILO. Mandrake still uses LILO as the default in 10.0, but you can switch it to use GRUB in the Summary screen. If you don't switch the boot loader in Mandrake from LILO to GRUB, nothing bad will happen. Choosing either LILO or GRUB will not make much difference for most users.

Yaboot is almost your only choice in a boot loader to run on Apple machines. Yaboot is certainly the reliable, tested boot loader that has been around for a while. Yaboot is text only and might look a little funny sitting in the upper-left corner of your screen in small text. Yaboot is a minimalist boot loader without a GUI or a lot of bells and whistles.

Steps for Dual-Booting with Windows

1.
Look at what you have now. Is Windows already installed, or can you start from scratch? The best plan is to start from scratch. If you have a previous Windows install with programs and data that you are too in love with to back up and reinstall, you will have to try to resize your Windows partition. This is the more difficult choice.

UNDER THE HOOD

PREPARE TO SHARE

You might want to format the Windows partition with the Fat32 file system so that you can access data from your Windows partition with Linux. There are options for reading and writing with an NTFSpartition, but the options are fairly new, kind of buggy, and none too fun. If you plan to do a lot of file sharing, save yourself an ulcer and format the Windows partition with Fat32.

2.
Back up everything. If you are not the kind of person who regularly backs up your data, start now. Hard drives can crash. Power lines can surge. Computers lose things. Especially back up any of your data from Windows before beginning this process.

3.
Plan the partitions. If you need to resize a Windows partition, two options are a commercial program called Partition Magic and a DOS program called FIPS. (FIPS has many limitations; you should really try to use Partition Magic.) Both URLs are in the "Links" section at the end of the chapter. Always defrag your Windows partition before resizing it. For file sharing between partitions, a good idea is to create a third partition as a data partition. See "Sharing Files Between OS Partitions," later in this chapter, for more detail. Remember to give Linux at least 5GB just so that you have room to play with.

4.
Install Windows first. Windows likes to be in control. Windows takes over the Master Boot Record during installation, with no choice to do otherwise. If you are installing XP or Windows 2000, use the option in the install to put Windows on one partition and leave the rest of the intended Linux space as free space. When installing Windows 95 or 98, use fdisk (a DOS utility usually available on a Windows boot floppy) to create the partition you will use for Windows, and leave the rest of the drive as free space.

5.
Start your Linux install. Read up on the details in the installation section below. While moving through the installer screens, pay attention to what device the partitions are on; note them down, in case any of the OS partitions are not properly detected (i.e. Windows on /dev/hda1 and the Linux root partition on /dev/hda3).

6.
Set up the boot loader. This is done during the installation. Whether you use GRUB or LILO, follow the directions to set up the labels and default OS to boot into. The choices automatically are detected for you, but you can add or edit if something is missed.

Back Up Your Life

I am constantly surprised that so many experienced computer users do not regularly back up their data and files. I might be a little bit of a backup Nazi, but it is only because I know how easy it is to have all your files one day and then have an inaccessible hard drive the next.

I have everything digital. I ripped all of my music CDs to digital files. I pay bills online. I no longer know what sticky notes are. All the family photos are scanned in. I blog the events of my life on a Web site. I think my dog might even be digital. More and more, we are moving the documents of our entire lives over to our computers. Aren't those things important enough to back up?

The whole process needs to take you only fifteen minutes at the beginning of every month. Just copy everything that you value onto a rewriteable CD, a Zip disk, a CDR, another computer in your house, an online service, or anything else you can use.

Steps for Dual-Booting with Mac OS

1.
Back up everything. If you are not the kind of person who regularly backs up your data, start now. Hard drives can crash. Power lines can surge. Computers lose things. Especially back up any of your data from MacOS before beginning this process.

2.
Plan the partitions. If MacOS is already installed, it's going to have to be reinstalled. There is no easy way to resize an existing Mac partition. When you go through the install of MacOS, a screen for creating partitions appears. Leave the intended Linux space as just free space. If you can, remember to give Linux at least 5GB, just so that you have room to play with.

3.
Install Mac OS first. Just as with Windows, MacOS wasn't expecting to share you with any other OS, so there isn't an option for anything such as a boot loader. MacOS takes over the MBR.

4.
Start your Linux install. Read up on the details in the following installation section. While moving through the installer screens, pay attention to what device the partitions are on; write them down, in case any of the OS partitions are not properly detected (for example, MacOS on /dev/hda1 and the Linux root partition on /dev/hda3).

UNDER THE HOOD

CD BOOT

Your computer might not be set up to boot from a CD. If it is not, on PCs, you need to go into your BIOS to change the boot device order. On most systems, you press Delete, F1, or F2 to enter theBIOS (just look onscreen for a prompt of what key to press). Follow the directions in your BIOS to find the boot device section and make sure that your CD-ROM drive will boot before your hard disk. On newer Apple hardware, you just hold down C to boot from a CD.

5.
Set up the boot loader. A program called Yaboot is the most likely option for your boot loader. Follow the directions to set up the labels and default OS to boot into. The choices automatically are detected for you, but you can add or edit if something is missed.

Sharing Files Between OS Partitions

When you dual-boot your system, having access to the files on your other partitions from within Linux can be helpful. This is a one-way street, though. Linux can see Windows partitions, but Windows cannot see Linux partitions. I think there is some denial going on there.

Sharing the Windows partition with Linux is not a clean way to do things. Headaches are involved with mounting the Windows partition so that it will be writeable for your regular user account. In addition, when mounting your Windows partition as writeable, you run the risk of deleting or moving files that Windows needs. When sharing files with your Windows partition, you need to be aware of what you are doing and always keep backups.

A cleaner way to share files between Linux and Windows or Mac OSX is to have a third (you can think of it as the middle) partition on your system to serve as the sharing space. The size depends on what you want to do. I share the 5GB of MP3s that I have between two OSs. Determine how much space you need for the data that you will want to share, and create the partition.

If you are running Linux on a Mac, the options for viewing a MacOS partition from Linux are a little complex for new users. The options to both read and write to your Mac partition are even shakier. Even though OS X is UNIX based, the two OSs and file systems do not play well together. Keep an eye out online. Every problem gets solved eventually in the Linux community.


A Few Installation Notes

The installation of Mandrake and of Fedora is easy. You just boot off the first install CD, answer a lot of questions about your system and your preferences, make some choices, and wait, watching the progress tick away.

You might be a little nervous about installing any operating system. Don't worry. As long as you have backed up any data you might need, there isn't much for you to mess up. If you do think that you have messed up, just start over. There will be no harm done. You might look at this section and feel your fears creep back in. If you are unsure about any of the choices that I explain to you, choose the defaults. Both Mandrake and Fedora have good default choices, allowing you to go through the screens on autopilot with little concern. You will learn about additional software, options, and skills in the later chapters of this book that will help you with adding anything that you need.

Right now, pop in the first install CD of the Linux distro you are installing. Go through all the choices. If you have a question about a certain step, use this section as an installation subject reference. Refer to one of the following subjects for more information on different installation steps common to Mandrake and Fedora.

Graphical Installers

In Mandrake and Fedora, you use the graphical installer by default. There are text-only install options, but you probably will not need them unless there is a problem with something such as detection of your video card. For the most part, using the graphical installer is easier for you than that first time you kicked a small boy, knocked him down, stole his lunch money, and laughed. That might have been just me who did that, though.

The graphical installer consists of screens with simply laid-out choices and a Next button at the bottom of each screen. Fedora's installer is called Anaconda. Mandrake's installer is called DrakX. Both Fedora and Mandrake have Help options on every screen. Other distributions, such as SUSE and Yellow Dog, use graphical installers as well. If you are installing one of these other distributions, you will find the screens to be easy and set up similarly to those used by Fedora and Mandrake.

Write It Down

You should grab information on the brand and model of your video card and monitor before you start up the Linux installer. Write the information down in case the autodetection in the installer does not correctly detect these devices.

As you go through the choices in the installer, just read each section carefully to make sure that you are not blindly choosing the default when you should not. Consult the help section if you are not familiar with certain terms or if you feel confused. I next go through a general description of most of the steps you are going to encounter.

Text-Only Installers and Manifest Destiny

You might have to use the text-only installer if your video card was not correctly detected. Maybe you just hate nice colors and pretty graphics. Maybe you were visited by the vengeful spirit of James K. Polk, our 11th president, coming back to haunt you because he really resents your modern use of computers. Don't laugh. That really happened to me.

Using the text installer might be intimidating, but the steps you go through are pretty much the same as those you go through with the GUI installer. To access the text-only installer in Fedora, type "linux text" at the prompt when you first boot the install disk. In Mandrake, press the F1 key to use the text install choice.

FRIDGE

Placing Blame

I like to place blame. I blame my love of James K. Polk on They Might Be Giants and their album, Factory Showroom. They probably got President Polk interested in computers, too. Go listen to that, you know, later when you are not reading this book.

Checking Install Media

The option to check your install media is a step that Fedora currently has but Mandrake does not. The option can be a handy one. Why is this option even here? If you aren't too sure about the quality of the CDs you are using, or if you used the CDs as ninja stars against your friendscome to think of it, other people might not do thatyou would hate to get near the end of the installation process only to find out that disk 3 is damaged and you can't finish the install.

To use this option, select OK. You are asked to put in each of your disks in turn. Fedora then checks each CD to verify that the disks do not have any surface defects. Using the Check Install Media option can save you a lot of time and frustration so that you don't sit through most of the install and then see an error. If you are pretty confident that your disks are good, choose Skip.

UNDER THE HOOD

"LINUX WILL RUN ON ANYTHING!"

That's what people say, that Linux will run on anything. Although I haven't tried Linux on a toaster yet, the cliché tends to be true. However, you should know something before you pull that old 1995 computer out of the closet to install Linux on it. Using the Linux desktop and the X Window System requires a lot of RAM and a fairly fast processor. When you hear those people say that Linux runs on anything, they mean runningLinux without the GUI, just the command line. If you want more than the command line, install Linux on a newer computer.

Obvious Choices

I'm guessing that you will not have any trouble figuring out what language you speak, what language type of keyboard you use, or what time zone you are in. You will be asked, though, so study up and be prepared. It will be on the midterm.

Hardware Choices and Compatibility

Both Mandrake and Fedora try to automatically detect most of your hardware for you. Your video hardware gets detected when the installer starts. The installer takes a guess at your mouse and keyboard and then shows those to you in a list of choices. If you are happy with what was detected, go on to the next step. When the installer cannot figure out what input devices you are using, one of the generic choices is selected. You can change the selection to your specific input devices by scrolling through the list.

One choice you might not be familiar with is emulating a three-button mouse. In many of Linux's desktop environments and programs, your middle mouse button is assigned functions. The default function in X is to use the middle mouse button to paste the contents of the Clipboard. If you don't have a middle mouse button or scroll wheel, or if you are on a laptop without a middle mouse button, use the option to emulate a three-button mouse. You can then press both the left and right mouse buttons at once to perform any middle mouse button functions.

If the installer cannot determine which monitor you are using, it assigns a generic choice, or Unprobed Monitor. You can choose one of the generic choices or try to find your monitor in a list.

Choosing an Install Type

Mandrake and Fedora simplify the choice of which programs to install by categorizing all the programs by types of tasks or by the intended purpose of the computer. The best practice is to install more programs now. You will be sitting around waiting while all this stuff installs anywaywhy not add a few extra minutes? Throw in anything that looks relevant. You can always weed them out later.

Mandrake Package Groups

First, Mandrake asks if you would like to do a Recommended Install or an Expert Install. If you feel okay with having some choices made for you, allow the Recommended Install. Nothing bad will happen, and it is the best choice if you are new to all of this.

Later in the install process, Mandrake presents you with categories of programs from which to choose (see Figure 1.3). You can peek into the Individual Package Selection choice to see what each category includes. Most of the categories are self-evident, but others might need more explanation. Move your mouse over each selection to see a brief description.

Figure 1.3. Mandrake's Package Group Selection screen.

[View full size image]

Office Workstation

This group has office suite software, word-processing capabilities, spreadsheets, and so on. OpenOffice.org is the default choice. You might want to add and try other choices later.

Game Station

A few of the free Linux game choices are in this group. Most of the games that are on your CDs are not included in the category by default. There are more games to add and play with than the ones that come in this group.

Multimedia Station

Software for playing movie files and music is included. Image-viewing and editing programs are also here, along with tools for digital cameras.

Internet Station

Browsers, e-mail clients, newsgroup clients, and instant messaging and chat capabilities are included in this category. Web development programs are in this category as well but are not selected by default.

Network Computer (Client)

Software to allow you to view the other computers and printers on your local area network are found in this group.

Configuration

Extra tools are in here to allow you to tweak various settings. You probably won't need most of these.

Console Tools

Plain-text programs that will be run in the console are added when you select this category. Most of the important text-only programs that run in the console are installed by default in the base install without selecting this choice. These programs are extras that have unique uses.

Development

This group is important and includes software-development tools and compilers. Although you won't need all of these if you are not a programmer, you will need the compilers if you install any software from source code. It's a good idea to include this one.

Documentation

These are the help documents. You're new. Add these. Even if the docs are a version behind, as they often are, they make for some action-packed, thrilling reading.

LSB

The Linux Standard Base project is an effort to help standardize some aspects of different Linux distributions so that software makers can use that standard to write software that will run on any compliant Linux system. It's a good thing. Add it.

Web/FTP

If you are running a Web server or FTP server from your computer, add this. Web language programming packages, such as PHP, are included here.

Mail

Just as the title says, this group is all the stuff for running a mail server.

Database

This group is full of database server programs, such as MySQL and PostgreSQL.

Firewall/Router

Add these programs and tools if your computer serves as the Internet gateway on your network. This isn't the choice for your computer's own firewall. You will get to play with that later in the install.

Network Computer Server

Software tools for the domain server on a network are in this choice. This group also contains the programs and utilities for sharing files on your computer with other computers on your network. If you plan to share files with Windows or Mac computers on the network, add this. Mandrake gives you a warning when installing some of these servers that could present potential security problems later. The warning is a nice feature so that you're aware of the slight risk.

KDE Workstation

KDE is Mandrake's default desktop environment. Add this one.

GNOME Workstation

GNOME is the other most popular desktop environment. I recommend adding both KDE and GNOME to try. You can decide which you like best later.

Other Graphical Desktops

Here's where you can add minimal desktop environments, such as WindowMaker and IceWM, or experimental ones, such as Enlightenment. If disk space isn't a concern for you right now, just throw it all in for fun.

Fedora Install Types

The install types in Fedora's Anaconda installer are close to the beginning of the install process. Instead of many, more specific, categories, you choose from four types. If the package options within any of those choices do not match what you need, you can add or remove programs later.

Personal Desktop

This choice gives you the fewest programs. If you know that you will not want to install many new programs, go for this choice. If you use your computer only to browse online, look at an occasional text doc, and e-mail, this could be your choice.

Workstation

The Workstation type includes all the programs in the Personal Desktop choice, plus a few more. Software-development packages are included as well. You might not think that you need development packages, but I say do it anyway. You never know when you might need these packages. Software-dev packages are used when you need to install a program by compiling the code from source. The extra packages don't require much more space and certainly can't hurt to have. I think that this is the best choice to cover the largest group of users and their potential needs.

Server

This is the choice for you if you want to run a server. If you are still going to use your machine for personal desktop functions, I suggest that you install Workstation and add the server packages that you need later with the package manager.

Custom

You pick this one at your own risk if you're a beginner. Although the installer won't let you leave out packages that other packages need, you could still accidentally end up without either KDE or GNOME, or with no office software, just by unchecking a box.

Disk Partitioning

When you partition a disk you divide it into sections. Linux requires that you create a few specific partitions. You can let the installer partition the disk for you automatically, or you can do it yourself. If you haven't used any of the common partitioning programs, such as DiskDruid, cfdisk, or DrakX, I recommend that you let the installer do it. You should also let the installer create the partitions for you if you aren't very familiar with partitioning.

Linux requires a boot partition, a swap partition, and at least one native partition. A Linux native partition is one that uses the ext2 or ext3 file systems. You can see an example of the partitions created by a default Fedora install in Figure 1.4. In this install, a 12GB partition is left for Windows (vfat indicates that the partition is formatted with Fat32). The resulting Linux space is divided into a boot partition, a root partition, and a swap partition. See Table 1.1 for more about partition types.

Table 1.1. Partition Types in Linux

PARTITION

MOUNT POINT

SIZE (AT LEAST)

DESCRIPTION

Boot

/boot

100MB

The kernel image is here. The boot partition should be a primary partition.

Swap

None

2x RAM

This space is used to move programs in and out of memory.

Logical

/

Variable size

This is the space for the rest of your file system. You can create multiple partitions or divide this space between drives. You can also create other logical partitions that are not Linux native.

Figure 1.4. Fedora's display of the partition table during installation.

[View full size image]

UNDER THE HOOD

SWAP WHAT?

Swap space is used to transfer programs from fast- to slow-access memory. Your swap space is important and can affect the perceived speed of your system. You can compare swap space to virtual memory. Be sure to make your swap partition at least twice the size of your RAM.

Some people recommend creating many partitions for the different parts of your file system. There are merits to partitioning that way, but for simple desktop use, it is probably not necessary. You can run Linux with everything but the boot and swap on the same partition. To keep things roomy, be sure to give all the partitions a total of 5GB.

After you install Linux, you will easily learn about partitions. It's not rocket science, but it is something that can cause a lot of headaches if it is done wrong. A great way to learn is to let the installer partition the drive and then look at the partitions that were created and their names, size, file system, and mount point. Don't worry, if you mess upjust start over. You might spend more time when you start over, but you will learn more.

Custom or Individual Packages Selection

If the categories of computer type don't suit you, you can also specifically choose which packages and programs you want to install. Blindly choosing packages is dangerous to try when you are not familiar with all the programs. Although the installers will not let you remove packages that other programs require, you could possibly leave out something that you might need later.

Mandrake

On the Package Group Selection screen, there is a choice for Individual Package Selection. If you check that box, you go to the individual choices. All the package choices are in expandable groups with check marks next to any that are selected. The expandable tree of choices matches the categories seen in the Package Group Selection screen. A Help dialog box is available right below the choices. You can also click on any package to see a description, the size required to install, and a handy rating of how important Mandrake thinks the package is.

If you are unsure about which packages you need, use the categories. Your safest bet is always to install more than you think you need. That way you can remove anything unwanted later after you have played with it and deemed it unworthy, or unneeded, or unwanted, after you break that program's little heart. Let it down gently, though.

If you do decide to use the individual package selection right now, be sure to include GNOME and the software-development packages. Mandrake does not include GNOME by default.

Get Some Development

If you are not a programmer, you might not think that you need to install all the packages that are categorized as software-development packages, but go ahead and include them anyway. All the programs for compiling software don't take up much room, and they are essential for you later if you try to install a program that there is no easy, packaged version for.

Fedora

Before the actual copying of files, you will see an abbreviated list of packages to be installed based on the install type that you chose earlier in the process. You can go ahead with the default choices, which include the GNOME desktop environment and most basic programs that you will need, or you can choose Customize Software Packages to Be Installed.

Fedora organizes all the packages into categories for you (see Figure 1.5). Just check the box to the right of the category name. You can see what packages are included in that category. Check or uncheck any of the packages that you want. This is the time when you can also check the categories for Software Development and for GNOME Software Development and/or KDE Software Development. Making sure to include those categories of programs will help you if you need to install any programs later by compiling the program from its source. We talk more later about installing new software. As long as you are in the custom package selection, add the KDE (K Desktop Environment). Having both is good to see which one you like best and will help you with many of the examples and programs in the rest of this book.

Figure 1.5. Fedora's custom package-selection screen.

[View full size image]

Users

Unlike some OSs in which you are just you, on Linux, you have split personalities. I don't think any of the things that happened to Sally Field in Sibyll (if you don't know that reference, http://imdb.com is your friend) will happen to you, but you are going to have to learn the differences among your multiple selves.

The root user is the user in charge of administering the computer. If you want to install software, change the system configuration, or access certain directories, you need to be logged in as the root user. The root user is similar to being the Administrator in Windows XP Professional or to giving your username administrative privileges. Instead of always logging into your computer as the root user, you should create a regular user account to use as your everyday login. No one can stress enough the importance of running Linux as a regular user rather than the root user. By running under a regular user account, your computer will be more secure, both from unwanted intrusion and from you messing anything up.

Both Fedora and Mandrake will ask you for a root password during the installation process.

Good Passwords

Have you ever seen the movie Hackers? (Again, http://imdb.com might be your friend if you don't know what I'm talking about.) They say in that movie that the most common passwords are love,sex,secret , and god. That is, unfortunately, probably true. A lot of people are so worried about remembering their passwords that they use words that are too easy to guess or find out. A good password should be more than six characters and should contain both numbers and letters. If you can use a phrase or word that isn't in the dictionary, that is even better, especially for your root password. No, password is not a good password. Oh, and Hackers gets way funnier after you have used Linux for a while.

Mandrake will have you create a regular user account during the installation process (see Figure 1.6). Fedora adds users in the post-installation steps. Both distros give you an option to have your regular user logged in automatically. If your computer is not a public computer that only you will be using, I suppose there is no harm in allowing the automatic login. The whole thing just makes me itchy, though. I don't think anyone should use the option. I might think that because I have been known to change other people's wallpapers or home pages for them to strange but funny things. So, if you want to amuse someone like me, by all means, enable automatic login. Just don't be surprised when http://www.marykateandashley.com is set as your browser's home page and your desktop wallpaper is covered with pictures of Hello Kitty.

Figure 1.6. Adding users during a Mandrake install.

[View full size image]

Network Configuration

Don't have a network card in the computer? Then skip the Network Configuration step. If you do have a network card, let's play. The setup is easy. With a DSL or a cable modem Internet connection, you can probably select DHCP and move on. If you are on a LAN with an assigned IP address, click Edit and ask your network administrator for what information you should enter.

The Network Configuration section looks like a big, important, scary thing during the install, but it is really just a matter of whether you have a network card and the right information. Even if you don't have all your network information on hand now, you can change the entries later. If you have a dial-up modem or wireless card in your computer, the devices will likely be detected now, but you can set them up later.

Firewalls

A firewall is your protection from unwanted intrusion. The firewall works by restricting traffic through different ports on your computer. The ports are numbered endpoints to logical connections. Linux is an OS that is known for being secure, but it is only as secure as you let it be. You have to take advantage of the security tools available to you. We have already talked about the root user and passwords, so now we can talk about ports, virtual intruders, and viruses.

Setting up the firewall in Linux is a good idea. Even if you are behind a firewall on a network, set up the personal firewall in Linux as well. You might swear at the firewall later when you try to do something and find that the firewall isn't set up correctly, but that's when you should stop and think about that patient, logical problem solving we went over earlier. Everything can be tweaked or fixed.

There are two firewall choices in the Mandrake installation. The third step of the install asks you about a security level. A scrolling text box is above the choice, with an explanation of what each level means. You should choose Standard for now; you can adjust settings later. There is a second firewall choice in Mandrake's install. Near the end of the installation, you should see a summary that lists your hardware configuration. Scroll down and find Firewall in the Security section. This is for a firewall to limit outgoing connections. You can probably leave this alone for now. If you want be thorough, go into the configuration, uncheck the Everything choice, and at least check off things that you know you will not be running. For instance, if you are not running a mail server, check off Mail Server.

Fedora gives you the chance to set up your incoming firewall during the installation. All you have to do is decide which types of traffic you want to allow into your computer then check each box. If you are not familiar with some of the traffic types, you can find them all defined in the Glossary section.

No, I don't think that there are packs of swarthy-looking Internet bandits sitting online waiting for you to get your computer up and running so their attacks can begin. Yes, it is true that on Linux you will not have to deal with many, or likely any, viruses. Why take any chances, though? If you have a built-in, easy-to-configure tool to stop unwanted access to your computer, use it.

Creating a Boot Disk

You might be asked if you want to create a boot disk. If you have a floppy and a floppy drive, there's no reason not to. You never know if you might need a little parachute item such as a boot disk. Just grab a floppy, put it in, and follow the instructions. Skipping this step will not cause plagues of locusts to land on your monitor. You can move on, if you want.

Waiting

Here's the easiest step: You wait. After you choose the programs that you want, the installer moves on to copying and installing files onto your hard drive. Depending on which packages you chose and which disks those packages are on, you might have to change CDs. When all the copying is done, the install is complete. Take out any disk from your CD drive, and reboot the computer with the prompt on the screen.

Post-Installation Steps

Both Mandrake and Fedora have post-installation wizards that guide you through a few setup steps. Most of the questions will be easier than high school biology, and no one will make you dissect anything.

Mandrake Post-Install

The first thing Mandrake gives you in 10.0 is a User Survey. Completing this survey is totally up to you. Some people like being fodder for demographics; some don't.

Next, you can configure how your desktop is going to look. You choose your desktop environment (KDE is Mandrake's default) and the theme, or look, of your desktop.

Then you're done (see Figure 1.7). The desktop environment starts up and plops you onto the desktop. There is a welcome screen with links to Mandrake Web sites and shortcuts to some of the first things you might want to theme or customize.

Figure 1.7. Mandrake's desktop after first login.

[View full size image]

Fedora Post-Install

You will see a license agreement on the first post-install screen in Fedora Core 2. The license you agree to in Fedora is less restrictive than any commercial software, so you don't have to worry that you're giving away your rights or are agreeing to wash the software developers' cars once a week.

Now it is time for another hard part. Fedora will ask you to confirm the date and time. I know, I know. You might feel like you're not ready for this kind of technical question, but I have confidence in you.

The other post-install steps include creating user accounts. Create your regular user account so that you have a different login than just the root user.

You are asked to confirm or change the choices Fedora has detected for your sound card. There is also a button to hear a test sound. If Zamfir played the guitar instead of the pan flute, his music would sound like this test sound. Just click Yes to confirm that you heard the beautiful, yet moving music of Zamfir. If you did not hear the test sound, there will be some instructions. At this point, I suggest a nice, passive attitude. Click Yes whether you heard the test sound or not. If you didn't hear it, you can fix the sound card settings later.

Next, you have another chance to customize the software packages you want to install. The interface for this package management is the same interface you saw in the install if you chose Customize Software Packages to Be Installed. Again, you have the series of categories (refer back to Figure 1.5) and check boxes. At this point, I bet you just want to start using your computer. Because I am also in favor of sneaking open Christmas presents before you are supposed to, I advocate just skipping this step and getting to the login. If you want to install other software from the CDs, package-management tools are readily available from the main menu of both KDE and GNOME.

You are now congratulated for being such a smart person and are handed over to your desktop to start using Linux (see Figure 1.8).

Figure 1.8. Fedora's desktop after first login.

[View full size image]


Startup and Login

When you start your computer, you get different kinds of status messages. If you are dual-booting, you should first see your boot loader. Choose your Linux installation and press Enter.

In Fedora, you see a graphic of a computer, a status bar moving along, and a series of messages to let you know what is going on. If the startup encounters a problem or outputs a message that it thinks you should see, the screen switches to showing you line-by-line output of what is going on. Usually there is no reason to panic if you are looking at the Show Details output. If your computer doesn't start, then you can safely panic.

UNDER THE HOOD

DELUSIONS OF GRANDEUR

Yes, you know the root password. You're in charge. No one will challenge you on your status of being the administrator of your computer. However, you need to know again that logging in and runningyour machine as the root user is not secure. Log in as a regular user, and then enter your root password when you need to do something grand and wonderful.

Mandrake shows you a blue screen, but not a blue screen of death. The blue screen has a progress bar on it. The more verbose output of what is going on during startup is accessible to see or pops up on its own if Mandrake thinks you should see it, such as when new hardware is detected, when your network cable is unplugged, or when there is an error.

The login screen is your next stop in both distros. Simply put in your username and password. Enter the information for the regular user you created, not the information for the root user. After that, your next stop is your desktop. That's where I'm going next, too. Well, I'm going to my desktop, not to yours, but you get the idea.


Links

BitTorrent: http://bitconjurer.org/BitTorrent/

DistroWatch: http://distrowatch.com/

Debian: http://www.debian.org/

Fedora: http://fedora.redhat.com/

Red Hat Enterprise Edition: http://www.redhat.com/software/rhel/

Gentoo: http://www.gentoo.org/

Linspire: http://linspire.com/

Mandrake: http://www.mandrakesoft.com/

Slackware: http://www.slackware.com/

Sun Java Desktop System: http://wwws.sun.com/software/javadesktopsystem/

SUSE: http://www.suse.com/us/

Xandros: http://www.xandros.com/

Yellow Dog: http://www.yellowdoglinux.com/

Partition Magic: http://www.powerquest.com/partitionmagic/

FIPS: http://www.igd.fhg.de/~aschaefe/fips/

Zamfir, Master of the Pan Flute: http://www.allmusic.com/cg/amg.dll?p=amg&sql=11:g6520r2ar48z


Chapter 2. The All-Expense-Paid Desktop Tour

I remember the first time I installed Linux. I said to myself, "Boy you're going to really thank yourself."

Then I said, "Yeah, I know."

Then I said, "Hey, you're not supposed to answer. I'm talkin' to myself."

"Well, duh." I replied. "I'm you, so I know that."

"You're being awfully contrary. Whadya gotta go and try to start a fight for? I was talking about Linux."

"Hey, I'm just having a conversation here. You're the one trying to start a war. So, which desktop environment are you going to use?"

"GNOME," I said.

"What? KDE is way easier. It's way better-looking, too!" I argued with myself.

"You wanna start a war? I will argue with you," my GNOME half said.

"I don't want to fight. You're the one being unreasonable. How can you use GNOME when KDE's controls are in one central command center?"

"But GNOME gives me more flexibility to customize my desktop however I want it. I like how Gnome handles themes better."

"You know, you really got the stupid side of our brain. I can't believe that you are also me. I mean, themes? You want to talk about themes? KDE has much better themes." My KDE half then went to kde-look.org and started pointing, saying, "Huh, right? Look. Look!"

"So what? GNOME has art.gnome.org. KDE has more themes, but everything looks so plastic."

Then I got indignant with myself. I told myself to shut up. Profanity followed. It was messy. I felt like I was both the North-going Zax and the South-going Zax. (It's from the Dr. Seuss story "The Zax," in The Sneetches and Other Stories. Geez, try to keep up here.) Eventually, I just started drinking. The voices don't go away unless I start drinking. You know, drinking supernutritious, chocolaty Ovaltine. Ovaltine is good for me and good to me.

If I can start a war with myself over whether KDE or GNOME is better, just imagine how easy it is to goad dedicated KDE and GNOME users into fighting and arguing over which is the better desktop environment. You might eventually become one of those fractious zealots, but try to keep an open mind for now. Both KDE and GNOME are very functional and usable environments. They have many features in common. Try out both. Feel free to use KDE programs in GNOME and to use GNOME programs in KDE. Your decision on which desktop environment to use will eventually come down to which feels better to you.


Login Managers

In most operating systems, you can log in and not think about the program that is showing you the login screen. You can do that in Linux, too. You can log in each time with the default login manager that came with your distribution. That is probably what most Linux users do. If you do want to learn more, however, here's your chance.

The login manager is the GUI program that shows you the text boxes to input your username and password. Depending on the login manager and the settings, you might see an icon to correspond to your username or even a whole snazzy theme. There isn't much that you need to know about your login manager, unless you want to change the settings for it. KDE and GNOME each have their own login manager programs.

KDM

The login manager in KDE is KDM (KDE Display Manager). Mandrake divides the KDM login process into two steps. The login screen you first see in Mandrake's KDM is a list of users with icons by them. Choose the username that you want to log in with, and click on it. The next screen you see has a text box for your password. Enter your regular user password that you set up during installation. The Session Type drop-down list lets you pick from the currently installed desktop manager choices. In Mandrake right now, let's choose KDE, the default choice. The Back button takes you back one screen, in case you happened to click on the wrong username. Click Login when you are ready.

UNDER THE HOOD

RINGSIDE SEATS

Linux users fight over desktop environments often. You can always find the most spirited KDE vs. GNOME battles in the posts on Slashdot ( http://www.slashdot.org ). All that has to happen is for any story to even mention one desktop environment, and the users will start arguing in the threads. Just search Slashdot (the search field is a small box on the bottom of the page) for one of KDE or GNOME's releases to watch some of the fireworks.

That is all pretty simple. Login managers are simple. They let you log in and choose your desktop environment. Depending on your distribution, you might see KDM buttons for shutting down your computer, restarting your computer, restarting your X (GUI) session, or entering into a console (text-only) mode. Most of the time, you will just choose a user, enter your password, and move on. If you want to make changes to KDM, you can do so through a configuration tool.

Configuring KDM

Program Info

Mandrake/KDE menu

Main MENU > System > Configuration > KDE > System > Login Manager

You can twist KDM around to do lots of different things, from changing how it looks to changing how it works, to restricting which users can log in with KDM. When you start the Login Manager Configure dialog box in Mandrake, you are required to enter your root password. This Login Manager configuration is part of the KDE Control Center and can also be accessed from there. See Topic 4, "What's Your Preference?", for more information about the Control Center and preferences.

The KDM configuration dialog box is a simple tabbed interface with five tabs. You can change anything on any of those tabs, but if you change some things that you want to undo, you can use a Defaults button as a safety net. There is also a fairly complete Help section available for KDM. Take a look next at the five tabs in the KDM configuration dialog box.

The Appearance Tab

There are other appearance options in other tabs, but here is where most of the options that control the appearance of KDM are concentrated. The Greeting is text displayed above the username area. The Position choice determines where the login box appears. The GUI Style and Color Scheme options determine color and window decorations. Echo Mode determines how your password is displayed while you type it in. The other options are self-evident by their labels.

The Font Tab

There are three font categories, one for most of the fonts, one for the error messages you get from an action such as typing in an incorrect password, and one for the greeting. The antialiasing option is for font smoothing.

The Background Tab

You can choose a wallpaper image or color for the background of your login screen. The Advanced Options are just for adjusting the amount of memory used. You most likely will not need to mess with that setting.

The Shutdown Tab

The two options under Allow Shutdown let you specify which users are allowed to shut down the computer locally and remotely (over a network). The LILO option is for your boot manager. You can probably uncheck the option if you do not have a partitioned drive. If you do have partitions with more than one operating system installed on your computer, leave this box checked.

The Users Tab

Some basic options and advanced options are mixed on this tab (see Figure 2.1). The System UIDs text boxes deal with the numeric ID assigned to users. You should leave those at the default settings. Between the Show Users and Select Users sections, you can choose which users are allowed to log in via KDM. Leaving the nobody and root users hidden from the login screen is a good idea. You can change the picture associated with different users with the options on the right side; just click on the picture to browse for other choices.

Figure 2.1. The Users tab in the KDM Login Manager Configure dialog box.

[View full size image]

The Convenience Tab

On this tab, you can choose to skip the login manager altogether and have Linux log in your regular username automatically. For security reasons, you might not want to use the automatic login function unless your computer is at home, is used by no one else, and is not storing anything you might not want anyone else to see. The same warning applies to the Passwordless Login option. The Preselect User option is a handy one if you are the only usual user on your machine. You still need to enter your password.

GDM

The GNOME login manager is similar to the KDE login manager. There are only so many original or innovative things you can do with the concept of a login manager. GDM (GNOME Display Manager) is set up so that you just type in your username, press Enter, type in your password, and press Enter again. On the screen, you also see options for changing the language, rebooting the computer, and shutting down the computer. The Session button lets you start Linux with any of the desktop environments that you have installed.

The biggest difference between KDM and GDM is the flexible themes available in GDM. Although KDM gives you options for theming, those themes are the same themes as the style and window decoration themes in KDE for your desktop windows. The GDM themes are independent themes that are extremely flexible. You can view some of the themes people have made for GDM at http://art.gnome.org and http://gnome-look.org. Make sure you don't befuddle yourself by installing a radical theme. Some themes for GDM can change the button labels on the login screen, as well as the graphics and placement of elements.

Configuring GDM

Program Info

Fedora/GNOME menu

Main Menu > System Settings > Login Manager

The GDM configuration tool is arranged in tabs, just as in KDM. Options that you can change range from the basic to the perplexing. You need your root password to make changes to the GDM configuration. Here is an overview of each tab.

General

You choose whether you want to use the graphical (themed) or the standard (old style with minimal graphics) greeter for your login screen on the General tab. The text in the Welcome String text sets what text will display on the login screen. The Automatic Login option is okay if you are the only person using your computer and are not worried about security. The Timed Login section goes together with the automatic login, but you can instead have the computer log in automatically. The first two sections are divided between local login (when you are physically at the computer) and remote login (when you are logging in from across a network). You will most likely need only local login options.

Standard Greeter

This tab has options for the old standard greeter. The GDM standard greeter is a lot like the KDM greeter. You can set a logo image, turn on the face browser to allow an avatar image for each user (to set the image in the GNOME Control Center, see Topic 4), and select background image and color options.

Graphical Greeter

On this tab, I have the most fun. There aren't many options to set here, but I love to theme things. You can choose from four preinstalled GDM themes (see Figure 2.2). Use the Install New Theme button to install a compressed file of a theme, or use the Delete Theme button to remove themes. When you download a new GDM theme, don't unpack the compressed file. You install the file as is, compressed as an archive file.

Figure 2.2. The theme chooser for GDM in Fedora.

Security

For the paranoid among us, I now present the Security tab. Paranoia can be a good thing when it comes to computers. Options here are in check boxes, so they are easy to read and make decisions about. Most of the options are a matter of preference. I turn off remote root login because I think that is a good idea. XDMCP is used for remote graphical logins.

Accessibility

You can enable or disable the accessibility modules for the login screen. GDM's accessibility features include an onscreen keyboard and alternative sound notification for events.

XDMCP

You probably don't need to enable XDMCP right now. XDMCP manages remote logins.

XDM

There is also the generic flavor of the login manager programs, XDM (X Display Manager). XDM used to be our only display manager choice and is still the source of much of what you see in other login managers. You will probably not need to use XDM because there are more features in KDM and GDM, but you might see the program referred to here and there.


The Desktop Landscape

Whereas the opportunity in open source software to change programs for your custom needs is a great advantage in many cases, it can also lead to confusion when one version of a program is not consistent with other versions. This consistency problem doesn't pop up very often, but the best and most notorious example of it is in how distributions alter the default appearance of the two main desktop environments, KDE and GNOME. Instead of the default KDE or GNOME menus, you will see Mandrake and Fedora menus. Distros also often favor one desktop environment over another.

Mandrake defaults to using KDE. When you log in to Mandrake for the first time, without changing options for your session, you will end up in KDE by way of the KDM login manager. Fedora is equally prejudiced in its love of GNOME. The default login process in Fedora takes you through the GDM login manager and lands you in GNOME. Don't be afraid to be a rebel. You can use KDE in Fedora and GNOME in Mandrake.

For the sake of simplicity, we go over the landscapes of KDE and GNOME using the default configuration of each in the distribution that favors it. That means looking at KDE in Mandrake and looking at GNOME in Fedora. If you take that rebel route I mentioned, you will find that a few menus and icons are different, but it should not be hard for you to poke around and find what you need.


Panels and Menus

Panels and menus are your desktop palettes that hold icons and links to programs and files. Without panels and menus, you would just have a pretty desktop picture and nowhere to go. Every operating system and desktop environment may style their panels and menus differently, but the common function makes them easy to recognize. KDE and GNOME handle these important widgets in a similar manner.

KDE

The KDE desktop environment (see Figure 2.3) gets alternately praised and critiqued for its similarity to the Windows desktop. There are similar concepts insofar as there are windows, a taskbar type of object, and desktop icons, but KDE is its own creature with its own complexities. Let's look at the basic components of your KDE desktop, starting with the panel at the bottom of your desktop.

Figure 2.3. The KDE desktop in Mandrake.

[View full size image]

The Kicker Panel

The Kicker panel is the bar at the bottom of your desktop that looks like the taskbar in Windows. The objects on the panel help you access the programs installed on your computer, see what windows you have open, take advantage of virtual desktops, and use a few other utilities. The panel is your dashboard, where you have everything you need to run the machine. Here are descriptions of the panel objects that you see, moving from left to right.

KDE Kicker Panel Objects

KDE provides a default set of panel objects and icons for you. Most of the icons link to frequently used programs, and the other objects include a few bare necessities.

The K Menu

KDE calls its main menu the K menu. The K menu is arranged into categories in which you will find most of the programs that are installed on your computer. The category names are simple enough (Office, Internet, Multimedia). You can guess what programs are in most of the categories. The K menu, of course, looks different in Mandrake than it does in Fedora. We will look at the Mandrake version. The Fedora version of the K menu is quite similar to the Fedora GNOME main menu described later in this topic.

The more ambiguous category names in the K menu are System and More Applications. The System menu is a maze of submenus. This is the place to take care of configuring KDE, configuring your computer, and accessing other system utilities. More Applications is your miscellaneous category that contains links to programs that Mandrake didn't think fit well in any other category.

The other menu items in the K menu that are near the bottom are important items that you might need often. Here is a quick rundown of those menu items, starting at the bottom and moving up.

Logout

This asks if you want to end your session (log out and return to the login screen), turn off the computer, or restart the computer. Mandrake has a mysterious picture of a cute little dragon in this dialog box. There's probably something Freudian in that.

Lock Screen

This activates the screensaver and prevents access to your desktop. To get back to your desktop, you need to enter your user password.

Start New Session

This displays multiple user options. Linux allows more than one user to be logged in at a time. Most graphical desktops do not emphasize this option, in favor of simplicity. When you start a new session, you see the login screen again. Just log in and go. You can click on this option to read the warning, which explains how function keys are used for switching between sessions.

Run Command

This brings up a text box for commands. If you know the terminal command for a program, you can use this option to type in the terminal command for the program you want to start. This can be a quick alternative to mousing through menus and submenus.

Recent Documents

This lists many of the recent documents you have had open in KDE programs. This menu often isn't good at including documents used in non-KDE programs. You can clear the list with the Clear History button.

Table 2.1. KDE Kicker Objects

K Menu

This menu is similar to the Windows Start menu. Here you will find links to most of the programs you have installed, help manuals, and utilities for searching and logging out of KDE.

Show Desktop

Click this button to minimize all your open windows, revealing your desktop so that you can access any shortcuts or documents you have on the desktop. It's the clutter clearer.

Konqueror

This is KDE's combination browser and file manager program.

Konsole

This is the KDE terminal application, which gives you access to the command line.

OpenOffice.org Writer

Part of the OpenOffice.org suite of productivity applications, Writer is a word-processing program.

Taskbar

This area shows the windows you have open currently. Click any window in the taskbar to bring that window to the front and focus on it.

Pager

This provides you access to your virtual desktops. Keep reading in this topic to learn more about virtual desktops.

System Tray

KDE uses the system tray to give programs a place to alert you to messages or program actions. You can also access the Klipper Clipboard content from here.

Clock

Because this is a clock, it displays, well, the time. You can adjust the date and time as well as the date and time format by right-clicking on the clock applet.

Find

Two items are on this submenu, Find Files and Web Search. Find Files opens a dialog box to search for files. To perform a basic search, type in a file name and select Find. Web Search opens KDE's default Web browser, Konqueror, to a search engine page.

Home

This opens your file manager, Konqueror, to your home directory.

KDE Desktop Icons

  • Home This opens your file manager to your home directory, just like the Home option in the K menu.

  • Trash As with the Windows Recycle Bin, you can throw away files and folders in the trash and recover them until you empty the trash.

  • Welcome This icon opens the welcome message that you see upon first logging in. The Welcome window has links to online Mandrake resources, the Mandrakelinux Control Center, and the Help documentation.

GNOME

Fedora's default of the GNOME desktop (see Figure 2.4) is simple and should look familiar to you if you have used computers before. There is a taskbar-like object on the bottom of the screen, a desktop background image, and a few desktop icons. Right-click on the desktop to see a number of menu options that include opening a terminal, creating shortcuts (launcher), aligning objects, and changing the desktop background.

Figure 2.4. GNOME in Fedora.

[View full size image]

In GNOME, that taskbar-like object is called the panel. A panel is a base on which you can add other objects, such as your main menu, icon links to programs, a window list, a clock, and other system controls, such as volume and a logout button. Panels give you a lot of flexibility and control over the appearance and geography of your desktop. You can have multiple panels on the same desktop. Use the panel for a while as it is right now, to get used to how everything works. You can then experiment with adding new objects to your panel, changing the panel placement, and adding multiple panels.

The Default Panel

You already have everything you need to start on the bottom panel. The first thing you see on the left side of the panel is a series of icons. These are for menus and programs that Fedora and GNOME thought you might like to have handy. There are also helpful utility objects on the panel to help you arrange windows and perform common tasks.

GNOME Panel Objects

Here is a quick run-down of the default objects on the GNOME panel.

Table 2.2. GNOME's Default Panel Objects

GNOME Main Menu

It's a fedora. Get it? Observant users will also notice that it is a red hat, just like the company Red Hat. That hat is your main menu, comparable to the Windows Start menu. On your main menu, you find links to most of the programs installed on your computer.

Mozilla

The default Web browser in Fedora is Mozilla. Mozilla is similar to Netscape, and the two programs used to be related in their development. Mozilla also has mail and chat programs connected with it.

Evolution

Evolution is an e-mail and scheduling program similar to Microsoft Outlook.

OpenOffice.org Writer

Part of the OpenOffice.org suite of productivity applications, Writer is a word-processing program.

OpenOffice.org Calc

Calc is the OpenOffice.org program for working with spreadsheets.

OpenOffice.org Impress

This is a presentation tool comparable to Microsoft PowerPoint.

Print Manager

The Print Manager is a utility for adding printers and checking on current print jobs.

Workspace Switcher

The thing that looks like a little window pane is the workspace switcher. This lets you switch between virtual desktops. You will learn what those are in a few minutes.

Window List

As with the KDE taskbar, you can see the windows you have open on the panel and click to switch to any of those open windows.

Volume Control

Use this to adjust the system volume. Many music and media programs also have their own separate volume controls.

Up2date (in the Panel Notification Area)

This area is where some programs show icons to alert you to messages or program actions. Fedora has a built-in update you can use to make sure all of the programs that came installed with Fedora are always the latest version. This also downloads security updates. Up2date sits in the System Notification Area.

Clock

It's a clock; you know what that is. You can also adjust the date and time with this panel object.

You can right-click empty areas of the panel to add new objects or to change the properties of the panel. You can right-click any panel object to go to the properties or preferences for that object.

The GNOME Menu

Now let's talk about that hat on the panelor foot, or star depending on which distribution you are inotherwise known as the main menu (or the GNOME menu). This thing has more disguises and aliases than most seasoned criminals. The GNOME menu (see Figure 2.5) contains links to most of the programs that are installed on your computer. The programs are divided into categories. Fedora adds another layer of preference to the main menu categories. Within each category are first the programs that the distribution favors and then the rest of the menu items that fit the category, in a submenu. So, you get menu items that look like this: Internet > More Internet Applications. You can find most KDE programs and programs that you added later after install in the More submenus.

Figure 2.5. The main menu in GNOME, with the Internet menu expanded into view.

A few of the main menu items are not squirreled away in submenus. These items are at the bottom of the main menu. The lineup of menu options at the bottom of the GNOME menu includes utility items that you might use often. That is why they are so conveniently located. Starting at the bottom of the menu, let's go over the menu items.

Log Out

This logs out to the login manager screen, but it also gives you the option to shut down or restart the computer.

Lock Screen

This activates the screensaver and prompts you for your user password to turn off the screensaver.

Recent Documents

This lists recent documents you have opened. The list notoriously does not include many documents from non-GNOME programs.

Search for Files

This brings up a Search window to look for files using a variety of criteria.

Run Application

This opens a dialog box with a text field so you can run a program using its command. This is sometimes quicker than wading through menus and submenus.

Network Servers

This opens your file manager, Nautilus, to view other computers on your local area network (LAN).

Help

This starts the GNOME Help browser, in which you can read up on many help topics for different programs.

Browse File System

This opens your file manager, Nautilus, to your home directory in browser mode.

GNOME Desktop Icons

  • Computer This opens your file manager to a view of your system organized by file system. Depending on your setup, you might see icons for File System (your local files on this computer), CD-ROM (your CD or DVD drive), and Network (a link to your local area network).

  • [username]'s Home This icon opens your file manager, Nautilus, in spatial mode at the directory location /home/[username]/. More on what spatial file management is comes later.

  • Start Here This icon opens Nautilus to a view with shortcuts to many of your system preferences that you can adjust. All of these preferences are also available from your main menu. I usually drop this icon into the next icon...

  • Trash Remember the Recycle Bin in Windows? Same thing. This icon represents a virtual trash can into which you can throw files and folders to delete them. You can recover items put into the trash until you empty the trash. Empty the trash by right-clicking the icon then choosing Empty Trash.


Virtual Desktops

Virtual desktops are multiple workspaces on which you can place windows, view menus, and do anything that you normally do on your computer. Having multiple desktops can confuse first-time Linux users. Virtual desktops are simply more room for you to put things and do things. Though it is a tired analogy, picturing an actual desktop is helpful. It is like having four desks in your office to put all of your things on, to use as extra room to do your work.

Many new Linux users who have switched from Windows or Mac don't quite know what to do with all of those extra workspaces. When I first started using Linux, I used only one desktop. I told everyone that I didn't need them. They were unnecessary, as far as I was concerned. Gradually, I started to play with my new toy. There were certain applications that I knew I liked to keep open but that I didn't want to see on the taskbar or have to click around to get to other windows on the desktop. I started to use the other desktops and to configure them the way I wanted. Now, I feel like I can't do without virtual desktops. When I have to use a Windows computer for any length of time, I search out utilities that will give me my virtual desktops back.

You can have between 1 and 36 desktops in the GNOME Workspace Switcher, or up to 16 desktops in the KDE Pager. There are a number of different ways to use your new tool. You could put different types of applications on different desktops, place windows on desktops according to the order in which you opened them, or shove things around all of your desktops in a random way. Be as organized or as messy as you are on a real desk. You know, that method you have that looks like a mess to other people, but in which you claim to know where everything is.

The GNOME Workspace Switcher

In GNOME, by default, the access to your virtual desktops is on the bottom panel, near the Window list (see Figure 2.6).

Figure 2.6. The workspace switcher on the GNOME panel.

If you create new panels, you can add the Workspace Switcher to any panel by right-clicking the panel and choosing Add to Panel > Utilities > Workspace Switcher. The desktop that you are on will be shaded darker, and you can see outlines of your open windows in the Workspace Switcher. All you need to do to switch from one desktop to another is click in one of the panes on the Workspace Switcher.

Want more workspaces? Or fewer? A few options are available to configure for your workspaces. You can change the number of workspaces and name each workspace. To get to the configuration options, right-click on the Workspace Switcher and choose Preferences (see Figure 2.7).

Figure 2.7. The GNOME Workspace Switcher Preferences dialog box.

UNDER THE HOOD

MOVE BETWEEN DESKTOPS FASTER

There is a default GNOME keyboard shortcut to change desktops: Ctrl+Alt+Left to move to the next desktop left, or up, and Ctr+Alt+Right to move to the next desktop right, or down. If those shortcuts don't suit you, change the keyboard shortcuts by going to Applications > Preferences > Keyboard Shortcuts.

Show Only the Current Workspace

This qualifies as one of those options that is useful to only some people. This option makes it so that you can switch between desktops only with keyboard shortcuts.

Show All Workspaces In

This changes the number of rows, just like it says. This is purely your choice. If you adjust the vertical size of your panel to be smaller, you might want one row.

Number of Workspaces

Try starting with four, but if you really start rocking, you can add some. If you don't want to use virtual desktops at all, just set this to 1 and remove the Workspace Switcher from your panel.

Workspace Names

Click any of the workspace names in the list to change the name.

Show Workspace Names in Switcher

This option might be useful if you are having trouble with the whole concept and want to identify each workspace by sight. I recommend using very short names or just numbers if you want to use this option. Things start looking messy otherwise.

Moving Windows Between Workspaces in GNOME

Now that you have everything set up the way you want it, or at least know how to set it all up, you are ready to work with your desktops. You can switch back and forth at will, without needing to close any programs. Sometimes you might start a program or open a window in one workspace, and then decide that you would rather have it in another workspace. Moving things around is easy.

To move a window from one workspace to another, right-click on the top window border, the part with the title of the window in it. If you follow the menu choices, you can see Put on All Workspaces, followed by choices to move the window one to the left or one to the right, or to move the window to different workspace. Put on All Workspaces can be useful for any task that you want to have span more than one desktop. If you choose to move the window to another desktop, you will see the window disappear. You can see the outline of the window in the Workspace Switcher for that desktop.

The KDE Pager

In KDE, with the default panel, you will find the access to the virtual desktops also on the bottom panel, near the taskbar (see Figure 2.8). The appearance of the sections of the pager are not only shaded, but also numbered. Additionally, you can see a small outline image of each open window in the sections of the pager.

Figure 2.8. The KDE Pager on the KDE panel.

With the more defined divisions of the KDE panel, by default, the pager is more apparent and easy to find. The pager works the same as the GNOME Workspace Switcher; just click the desktop that you want to switch to it.

Now you need to be able to tweak all the settings for the virtual desktops to the way you want thembecause tweaking things is fun. In KDE, the configuration for the pager is in the Control Center, K Menu > System > Configuration > Configure Your Desktop. Expand the Desktop section and choose Multiple Desktops.

Phantom Keyboard Shortcuts

If you try a keyboard shortcut to switch desktops and nothing happens, that might be because the keyboard shortcuts for switching between desktops are not enabled by default in KDE. Setting the keyboard shortcuts takes a little bit of detective work if you don't know where to look. The settings are in the KDE Control Center (see Topic 4) under Regional & Accessibility. To set the shortcuts, click in the list, key down to Desktop Switching, choose Custom, and click on the image of a button. A window pops up. Just press the keys that you want to use, and click OK.

There are only a few simple options for configuring KDE Multiple Desktops, as shown in Figure 2.9. You can change the number of desktops using the text box, arrow buttons, or the slider. As you increase the number of desktops, they will become accessible to rename. Each of up to 16 desktops is listed separately so that you can rename each one. All you have to do then is choose OK. There is no setting for the number of rows; however, if you drag the edge of your panel down to make it smaller, KDE will adjust the number of rows in the pager for you.

Figure 2.9. Changing options for multiple desktops in the KDE Control Center.

UNDER THE HOOD

ALTERNATIVE ACCESS

You can access the settings for the pager either by going to the Control Center or by right-clicking the pager on the panel and choosing Configure Virtual Desktops.

Moving Windows Between Desktops in KDE

You might open a program in one desktop and then need to move it to another. There is no need to close the program to move it. To move a window from one desktop to another, right-click on the window border, the top part with the title. A menu pops up.

Move your cursor down, highlighting To Desktop to reveal the submenu. On the submenu is All Desktops, for keeping the window visible on every desktop, and a listing of your other desktops, according to what you have named them. You can see the current desktop delineated with a check mark. If you choose a desktop, the window goes away, although you just need to look down at the pager on the panel to see the outline of the window on the desktop that you chose. Just switch to that desktop to find your window again.


Manage Your Files

A file manager is, at heart, merely a graphical way to organize and view your files. Not a lot of innovations can be made in moving files and folders around. With that in mind, you will probably feel right at home in the Linux file managers if you have used Windows or Mac OS. In most computer operating systems, all the data is arranged in a hierarchy of folders (directories) and files. Of course, your data is organized this way because we are all familiar with folders and documents in the physical world.

The Linux File System

Each operating system has its own folder, or directory, hierarchy. You might be familiar with a few of the top-level folders in Windows, such as Program Files. Linux is not so palpable in its naming of the top-level directories. Most of those directories at the top level are ones that you will notand usually should nothave to get into. If you are curious, many pages online (such as the one at http://www.freeos.com/articles/3102/) give lengthy explanations of the purpose of each top-level directory.

You might not want to change anything in the /etc directory or the /var directory, but there are a few files and locations in the Linux file system that are useful to know about. You can sort of mentally bookmark these for reference.

/etc

This is a directory that you shouldn't muck around in unless you know what you're doing, but /etc is a good directory to know about. This is where the most important configuration files for Linux are kept. In extreme problem situations, the fix can be in here. However, unless you think of yourself as something close to an advanced user and have a reason to be there, consider this directory forbidden. Here, I will say it in German, so it sounds more forbidding: Verboten!

UNDER THE HOOD

IS IT A FOLDER OR A DIRECTORY?

It's both. A folder anda directory are used as interchangeable terms. Folder is the friendlier term, invoking images of manila folders on a physical desk. Directory is the more technical term that makes us all feel smarter. I'm going to switch back and forth because, though I am a genius, I am only sometimes smart.

/home/[username]

This is where you live. /home has directories for each of the users on your computer (except the root user). Your home directory is readable only by you and the root user. You can do whatever you want in here. Preference files for many of the programs that you run are also stored here in hidden folders.

/mnt

If you mount another file system or external storage media, such as your Windows disk partition, a floppy disk, or a CD, /mnt is a good place to look for those files. /mnt is the usual place where your OS will give you access to mounted file systems.

/misc

Can't find the file system that you mounted in /mnt? Look in /misc. This is the directory that Fedora sometimes uses to mount file systems to.

/root

You have a home, and so does the root user. But the root user is too good to live in the /home neighborhood where you live. If you run any programs as the root user, most of the preference files will be in here. You shouldn't have to play around in the /root directory much.

/tmp

/tmp means "temporary." This is a handy directory for placing temporary files, especially files that you need to hand off to another user on the computer. You will see some mystery files in the /tmp directory because programs also use the /tmp directory to keep temporary files. Don't bother cleaning it out; Linux can tidy up after itself.

/usr/bin

This directory is on your verboten list of directories not to change things in, but it's a great place to know about when you are looking for programs. /usr/bin is where most of your executable program files are stored. Want to run the command to start a program? This is where Linux finds the command.

/usr/share

The root user owns this directory, but it contains many files that all users share, thus the name. For example, /usr/share/pixmaps is where you will usually find desktop wallpaper and icon files.

Owners and Permissions

Files and directories have ownership and permissions in Linux. These settings determine whether you are allowed to read, write, or execute that object (in the case of programs and scripts). Ownership and permissions are strict. You can't perform a hostile takeover to become the owner of a file. You can't talk your way into reading any file or folder that you are not allowed to read. Ownership is shown by username. Either letters or numbers represent the permissions for a file or folder. The letters and numbers stand for the three aspects of permission: read, write, and execute. Table 2.3 shows the text and number codes for permissions.

Table 2.3. File Permission Text and Number Codes

PERMISSION TYPE

TEXT VIEW

NUMBER VIEW

Read

r

4

Write

w

2

Execute (or Access for directories)

x

1

You can see the permission for an object by right-clicking the file or folder in your file manager and looking at the Permissions tab (shown in Figure 2.10). You should see a section for the permissions with check boxes and a section showing the ownership. Permissions are listed in the order of the permissions for the object's owner, the permissions for members of the group the object belongs to, and permissions for everyone. If you have read and write permissions to the file, you can change some of the permissions for the file. If you are the owner of the file, you can pretty much do whatever you want with that file.

Figure 2.10. File permissions listed in the Nautilus file manager.

You can also see permissions listed in your terminal from the command line. We talk more about the terminal in a bit. You usually don't have to worry about whether you have permissions for a file. Occasionally, however, knowing how to check the permissions can save you a good amount of troubleshooting time. For instance, if you find yourself unable to delete a file or to move a file, check the permissions. If you cannot save changes to a file, check the permissions. Permissions will become more prohibitive when you have to work with files that are outside your home directory.

Konqueror

Program Info

Fedora/GNOME menu

Main menu > Home

(when using KDE)

Mandrake/KDE menu

Main menu > Internet > More Internet Applications > Konqueror

(opens the program in browser mode)

Terminal Command

konqueror

Program URL

http://www.konqueror.org/

In KDE Konqueror is your right-hand .man? woman? window? Anyway, Konqueror is a program you will find yourself using a lot (see Figure 2.11). It's a file manager, a Web browser, and more. Konqueror is your assistant to use when you need to look at your files or copy, move, or delete files.

Figure 2.11. Konqueror as a file manager.

[View full size image]

Konqueror isn't all that different from file managers you might have used in Windows or Mac OS. When you open the program as a file manager, you see a menu bar, a tool bar, an address bar, and two panels below those. The menu contains options for working with files and folders, changing locations, bookmarking locations to go to later, and changing the program's settings. To get familiar with the program, go to Settings > Configure Konqueror, and play with the preferences.

The toolbar and address bar in Konqueror have the one-click convenience to perform most of the frequently used functions in the program. The arrow buttons let you move up a directory, back to the directory you were just in, or forward again. The toolbar button with the little house icon is your Home; use this button to go to /home[username], your home directory. The other buttons include a Refresh button for renewing your view of the folder, in case something changed; editing buttons for Copy, Cut, and Paste; and a few buttons for changing the view. In the address bar, you can type in the path of any directory you want to go to and then press Enter.

Files and directories in Konqueror are represented by icons to look like documents and folders. You can usually tell the type of documentwhether it is a text document, an audio file, a picture, and so onby the icon Konqueror uses to show the file. You can right-click any file or folder to see the properties for that object, including permissions, the type of file, and the date that the file was last changed. Having all this information readily available makes managing your files easy.

TOOL KIT 2.1

Create, Rename, Copy, and Move Files in Konqueror

I love to pretend. I was always the weird kid running around pretending to be shot by imaginary robbers. Let's pretend that we are KDE supporters and spies. We have just captured the plans to the next version of GNOME.

Create a Folder and a File

1.
Before we pretend, we have to create something to pretend with. Open Konqueror. Go to your home directory by clicking on the Home icon on the toolbar.

2.
Right-click in the empty white space. On the pop-up menu, choose Create New > Folder. Type in the name for our new folder in the dialog box, SecretPlans. You can also use the Edit menu to get to the Create New choices.

3.
Double-click the new folder, SecretPlans, to go into it. It's empty. We will put something in it. Right-click in the empty white space and go to Create New > File > Text_File. Name that file (see Figure 2.12) StolenGNOMEPlans.txt. You can also use the Edit menu to get to the Create New choices.

Figure 2.12. The blank new file in Konqueror.

Rename a Folder and a File

We've just heard from our KDE intel team that the GNOME people are on to us. They are looking for the plans that we stole. We have to rename the files so they aren't so obvious.

1. | Click once on the file StolenGNOMEPlans.txt to highlight it. From the menus at the top of your window, go to Edit > Rename. You can also right-click the file and choose Rename, press the F2 key, or click the name text of the file.
2. | Type in the new file name, TheresNothingToSeeHere.txt. Press Enter or click in the white space somewhere to exit the text edit mode.
3. | Use either the Up button or the Back button on the toolbar to return to the home directory. Then rename the folder SecretPlans to NothingInteresting using the same method that you used to rename the file.

Copy and Move a Folder and a File

Holy bejeesus! The GNOME team has infiltrated our KDE compound! Scramble! Scramble! Put destruct plan KDestroy58A into motion. (You can't hear me, but I'm making those little kid gun noises right now with my mouth.) Kapow! Bang. We have to hide the evidence of our espionage!

1. | Go to your home directory in Konqueror. Our clever file renaming won't fool the GNOME spies for long. We have to make copies of the folder and its contents as a backup. Right-click the folder NothingInteresting and choose Copy from the pop-up menu. You can also press Ctrl+C or go to the Edit menu.
2. | Right-click in the empty white space and choose Paste. Again, the Edit menu or Ctrl+V would also work. The pop-up box warns you and prompts for a different name. Name the folder KDestroy58A. Click Continue.
3. | We have to move the copied folder to a new location to hide it from the Gnomies. Open a new window in Konqueror by going to the menu Location > New Window.
4. | In the Location bar of the new window, type /tmp and press Enter.
5. | Click in your first Konqueror window, the one with the secret plan folders in it. Click the new folder, KDestroy58A, and keep your left mouse button down. While holding your left mouse button down, drag the folder over to the second Konqueror window, the one that is at the /tmp directory. Let go of your left mouse button to drop the folder in the new location. Konqueror asks you what action you want to do. Choose Move Here.
6. | Back in our home directory, highlight the NothingInteresting folder and press the Delete key to send it to the Trash. We have foiled the intruders.

Crowds cheer. Babies laugh. Dogs chase cats.

Konqueror is a powerful program with many more capabilities than the simple file management we have talked about. This will get you started. Next, you should look through all the menus and poke at everything to see what it does. With Linux, your regular username will be prevented from doing any real damage because that username won't have permissions to hurt the system files. You can also look at the aesthetic customizations you can do to Konqueror in Topic 4.

Nautilus

Program Info

Fedora/GNOME menu

Main Menu > Browse File System

Mandrake/KDE menu

Main Menu > System > File tools > Nautilus

Terminal Command

nautilus

Program URL

http://www.gnome.org/projects/nautilus/

File managers in the most popular operating systems currently do not differ a lot in form and function. If you know how to navigate through one file manager, it won't take you long to learn to use another file manager. Nautilus is certainly in this group of similar file manager programs that merely have a different flavor and different accessories. While you use GNOME, Nautilus is your center, the program that is your gateway to accessing other programs and working with your data.

Again, as in most file manager programs, files and directories are displayed as documents with associated icons and folders. You can right-click any file or folder to view details about that object or to change permissions. When you double-click a file, either you see a preview of the file's contents or a program opens. Nautilus can display images and text documents, or Nautilus can open files, by type, in default programs.

Nautilus adds a twist to the traditional file manager layout by having two modes in which you can view your files: browser mode and spatial mode. The browser mode of Nautilus looks like a traditional file manager. The spatial mode doesn't look too much different, except that everything in the Nautilus layout is pared to the basics.

Nautilus in Browser Mode

The browser mode of Nautilus (see Figure 2.13) is named as such because you can browse your files in a single window. Click on any folder, use the Up button on the toolbar, or double-click a file to preview the contents. All those actions happen in the same Nautilus window. You can think of it as browsing a book or magazine page by page.

Figure 2.13. Nautilus using the Browse File System option in the main menu.

[View full size image]

The layout of Nautilus in browser mode is a simple one, with a menu, toolbar, address bar, a left-side detail and navigation pane, and a right-side view pane. The menu bar and toolbar are easy to understand, with the menus containing basic options and the toolbar consisting of large, labeled icons. The Location bar is an address bar into which you can type any file location. Unlike Konqueror, Nautilus does not advertise itself as a Web browser as well as a file manager, but you can type Web addresses into the location bar. By default, Nautilus shows you the source code of the Web page you visit. You can change this behavior, but you are better off opening a Web browser. The left-side panel shows details about a highlighted file or folder, such as date and file type. You can use the Information drop-down list to choose other views for the left-side pane, including a tree navigation view. The main view pane on the right displays the contents of the folder you are in or the preview of a file's contents.

Nautilus in Spatial Mode

The spatial mode of Nautilus (see Figure 2.14) keeps everything separate in its own place, or space. This is the Nautilus way of displaying file management in an object-oriented way. If the phrase "object oriented" means nothing to you, don't worry; it means a lot to programmer types. What the spatial mode in Nautilus means for everyone is that every folder opens in a separate window. Every file system, every device, and every folder is given its own space.

Figure 2.14. Nautilus as a spatial file manger accessible from the desktop home icon.

There are still lingering arguments in the Linux community as to whether spatial file management is a good thing. Some users maintain that they just don't want all of those extra windows. Advocates argue that spatial file management is more intuitive for users, helps new users learn the Linux file system faster, and makes dragging and dropping files more convenient.

The GNOME developers have made the new spatial experience more user friendly with certain details to help you know where you are in the file system:

  • Every new Nautilus window opens offset from, down and to the right of, the previous window (cascaded), to allow you to easily click on any open window in a series.

  • If you want to browse, you can access the Browse Folder option from the File menu or by right-clicking on any folder.

  • When any folder has an open window, the icon for that folder dims to indicate that the folder is open.

  • The title of the current space is always at the top of that Nautilus window.

  • Click on the bottom-right title on the status bar to see an expanded menu of the directory tree above the current directory.

UNDER THE HOOD

A TRASH CAN FULL OF ERRORS

Sometimes you can't empty your trash because of permissions problems. You might have created a file or folder while you were logged into the terminal as the root user then tried to delete them from Nautilus as your regular user. You can log out of GNOME and then log in as the root user to delete those files.

"Out, damned spatial! Out, I say!"

Although that isn't the exact line from Macbeth, it is the sentiment of some GNOME users since Nautilus added spatial mode. Controversy, opinion, and argument still rage on whether Nautilus's spatial mode is a good thing. If you don't want to use spatial mode, the easiest thing to do is start Nautilus from the Browse File System choice on the main menu. If that isn't permanent enough for you, there is another way to force Nautilus to always open in browsing mode. Open a terminal (if you find yourself afraid of commands and the terminal, skip ahead to familiarize yourself with terminal commands). Type in this command:

[View full width]

gconftool-2 type bool set /apps/nautilus/preferences
  /always_use_browser true

Log out of GNOME, and log back in. Nautilus will remain in browser mode. If you ever want to switch this back, just replace the word true at the end of the command with false.

Nautilus has traditionally played catch-up to Konqueror. KDE zealots have touted Konqueror as the innovative leader of Linux file managers for years. With spatial file management and new uses for the Nautilus file manager beyond simple file tasks, Nautilus is becoming an innovator as well. If the spatial file management seems odd to you, try it for a while. Switch between spatial mode and browser mode in Nautilus until you find the best fit for how you think and how you work.

TOOL KIT 2.2

Create, Rename, Copy, and Move Files in Nautilus

I liked pretending to be in a KDE vs. GNOME war so much the last time that I want to play again. You can open Nautilus in either browser or spatial mode and have the steps in this toolkit still work. In case you didn't play last time, we are going to pretend that we are GNOME supporters and spies. We have just captured the plans to the next version of KDE.

Create a Folder and a File

1. | Before we pretend, we have to create something to pretend with. Open Nautilus in browser mode. You can, of course, manage files in spatial mode as well, but we should be on the same page here. Go to your home directory by clicking the Home icon on the toolbar.
2. | Right-click in the empty white space. On the pop-up menu, choose Create Folder. The new folder appears as Untitled Folder, with the name already highlighted for you. Type in the name for our new folder, SecretPlans. You can also use the File menu to get to the Create Folder option.
3. | Double-click the new folder, SecretPlans, to go into it. It's empty. We will put something in it. Right-click in the empty white space and go to Create Document > Empty File. Name that file StolenKDEPlans.txt. You can also use the Edit menu to create a new file. This file is only an empty file, but you can create or download document templates to use with Nautilus.

Rename a Folder and a File

Message from HQ: Our Linux sentinel computers have detected KDE hackers attempting to infiltrate our network to retrieve the stolen plans. We have to rename the folder and file to hide them.

1. | Click once on the file StolenKDEPlans.txt to highlight it. From the menus at the top of your window, go to Edit > Rename. You can also right-click the file and choose Rename, press the F2 key, or click the name of the file.
2. | Type in the new file name, TheresNothingToSeeHere.txt. Press Enter or click in the white space somewhere to exit the text edit mode.
3. | Use either the Up button or the Back button on the toolbar to return to the home directory. Then rename the folder SecretPlans to NothingInteresting using the same method that you used to rename the file.

Copy and Move a Folder and a File

We managed to defeat the KDE infiltrators with an encryption scheme. Beep. Beep. Now they are sending in a KDE Seal teamyou know, I'd actually love to see small seals in uniform . . . but, anywayto breech our perimeter! I'll hold them back with my laser gun while you hide the files better! Zeerrrrr! Szhoooo.

1. | Go to your home directory in Nautilus. We have to make copies of the folder and its contents as a backup. Right-click the folder NothingInteresting and choose Copy File from the pop-up menu. You can also press Ctrl+C or go to the Edit menu.
2. | Right-click in the empty white space and choose Paste. Again, the Edit menu or Ctrl+V would also work. The folder appears named as NothingInteresting (copy). Use your new skills to rename the folder as PicturesOfKojak.
3. | We have to move the copied folder to a new location to hide it from the KDE commandos. Open a new window in Nautilus by going back to the main menu and choosing Browse File System again.
4. | In the Location bar of the new window, type /tmp and press Enter.
5. | Click in your first Nautilus window, the one with the secret plan folders in it. Click the new folder, PicturesOfKojak, and keep your left mouse button down. While holding your left mouse button down, drag the folder over to the second Nautilus window, the one that is at the /tmp directory. Let go of your left mouse button to drop the folder in the new location.
6. | Back in our home directory, highlight the NothingInteresting folder and press the Delete key to send it to the Trash. We have foiled the intruders.

"Don't thank us, oh grateful throngs of citizens. It's our job to save the world."


The Terminal

I know, this is the scary part for lots of people. It's okay. We will do this together. The terminal is a small program that enables you to interact with your system through text commands instead of by clicking on GUI objects. Using the terminal instead of the GUI is like using a manual transmission in a car instead of an automatic transmission. Any dedicated car nut will tell you that you can get better performance with a manual transmission. In this case, the performance boost with the terminal comes in the form of getting some tasks done faster.

Most people are afraid of the command line in a terminal because they think that it is complex and that there will be lots of commands to remember. Okay, they are partially right. There are lots of commands to know, but you don't have to memorize them all. You don't have to do every complex task on the command line. You can use the command line when it is convenient for you and ignore it when your task might be more convenient to do in the file manager or a GUI program.

I think that many users fear that they will open the terminal and stare at that blinky cursor, not knowing what to type in. There is a shortcut to memorizing every command that you needand, in this case, to preventing carpel tunnel syndrome. You can use the Tab key for command and file name completion. Begin to type a command that you know the first letter of, and then press Tab:

[susan@dodongo] $ q <Tab><Tab>

If there is only one choice for that letter or combination of letters, the one choice will show the first time you press Tab. If there are multiple choices, press Tab twice. You might get output that looks like this:

qm2ts         qmake3        qt20fix3      qtdoc           quota
qm2ts3        qrttoppm      qtconfig      qtrename140
qmake         qt20fix       qtconfig3     qtrename1403

All the commands that start with a q on my Fedora install were displayed. So, as long as you know what the command starts with, you've got help. Keep in mind that letters such as t or l have more than 100 commands, so try to get the first two or three letters before you press Tab.

UNDER THE HOOD

CHEAT SHEETS

If you feel like you want to learn to use the terminal often, you cankeep a cheat sheet and use the built-in Linux terminal cheat sheet, your command history. While you are learning, it is easy to justkeep a text file in your home directory. When you learn a new command that you might want to use again, copy it to the text file to save it for reference later. Linux also keeps a history of the commands you have used. Open a terminal and type history. The history will scroll down quite a bit, so type in history | less to view the list one screen at a time. Type q to exit the less viewing mode.

Your Command Line Deconstructed

What's all that stuff in front of the cursor in your terminal? Mostly, the information preceding the cursor on the command line is information about who and where you currently are.

[susan@dodongo] $

Reading from left to right: your username "at" your computer's name (this will often be localhost, by default), and then a prompt symbol before the cursor. A $ indicates that you are currently logged in as a regular user. A # indicates that you are logged in as the root user.

Table 2.4. Common Commands for the Terminal

WHAT YOU WANT TO DO

THE COMMAND TO DO IT

View the contents of a directory

ls

Move up one directory

cd ../

Move to another directory

cd [directory name]

Copy a file

cp [current file name] [new file name]

Move or rename a file

mv [old file name/location] [new file name/location]

Delete a file or directory

rm [file name]

rmdir [directory name] (directory must be empty)

rm -rf [directory name] (for a directory that is not empty)

Create a directory

mkdir [directory name]

Run a program

[command] & (Use the & to run the program in the background, keeping your terminal free for other things.)

Find a file

find [file name] (You can use an asterisk [*] as a wildcard character, so find all things that start with an m with m*.)

Show the current directory path

pwd

Install an RPM file

rpm -ivh [package name]

Uninstall an RPM file

rpm -e [package name]

View help for a command

man [command name]

info [command name]

[command name] help

Create a shortcut to a file

ln -s [file linking to] [name of shortcut]

Peek at the contents of a file

cat [file name]

less [file name]

Edit a text file

pico [file name] (if the pico editor is installed)

vi [file name] (vi is a complex text editor, so get familiar with how to use it first. If you get trapped in vi, :q! will get you out.)

Prevent all the output from scrolling right by you

[command] | less When you get long output from a command, run the command again with a pipe (|) and the less command at the end of it.

End any process or command

Hold down Ctrl+C

Become the root user

su (then enter your root password)

Sometimes you need to do things in the terminal as the root user. You don't have to log out of your desktop manager and log back in to work as root. The terminal is your shortcut.

1. | Open a terminal.
2. | Type the command, su.
3. | Enter your root password.

You are now logged into the terminal as the root user, with all the permissions and danger that go with the privilege. Be as careful as you can be when you are logged in as the root user; I have just handed you the loaded gun of Linux. Don't delete anything unless you are absolutely sure that you don't need it. Don't change anything unless you know what you are doing. Root access in the terminal is great for things such as installing new programs, but don't go nuts with the power.

Konsole and GNOME Terminal

Program Info

Fedora/GNOME menu

Konsole: No main menu choice for Konsole, but use the command konsole to open it from the GNOME terminal.

GNOME Terminal: System Tools > Terminal

Mandrake/KDE menu

Konsole: System > Terminals > Konsole

GNOME Terminal: No main menu choice for GNOME Terminal, but use the command gnome-terminal to open it from Konsole.

Both Konsole and the GNOME Terminal are very simple programs, as shown in Figure 2.15. You basically just open each, and you are ready to go. The options for preferences mainly pertain to how your terminal looks. Both of these terminal programs are called X Terminals. They are virtual terminals that enable you to run commands. You can also press Ctrl+Alt+F1 through F6 to access other, full-screen terminals. Hold down Ctrl+Alt+F7 to return to X, your graphical screen.

Figure 2.15. KDE's terminal program, Konsole.

[View full size image]

More Terminal Help

The Linux command line comes with its own help manual for youin fact, two or three of them. These aren't the most user-friendly help files in the world, but they give you the information you need. You have the man command, the help switch, and the info command.

man [command name]
[command name] help
info [command name]

Not all commands have a help display or an info file. More commands have man files than any of the other options available to you. The man files are all arranged similarly for each command, but they can be cryptic for new users. Read down the file, and you will see the proper use syntax for the command, a description, and then long sections about the various switches (additions to a command, usually one letter, preceded by a hyphen), and other references for the command.

The layout of both Konsole and the GNOME Terminal is as basic as it can get. There is a menu bar, a toolbar that shows buttons or tabs, and the main terminal itself. You can open new terminals in tabs or in multiple windows. As a terminal command line newbie, start with one tab in one window, use some of the basic commands we have talked about, and don't be afraid. While you are logged in using the terminal as your regular user, you cannot break anything that is all that important. To avoid making a mistake that you cannot undo, pay attention to each step you take. There's always Topic 1, "What Are You Getting Into?" to go back to for a fresh install if you really mess up.

TOOL KIT 2.3

Write Dirty Linux Poetry in the Terminal

Want proof that the command line is fun? Well, there are lots of Linux commands that, when strung together, make me feel like a dumb, giggly third grader who has just discovered the word fart. Let's string together some commands and see if we can get in trouble.

1.
Use these real, umm, suggestive Linux commands to start with:

  • man

  • finger

  • mount

  • sleep

  • unzip

  • touch

  • strip

  • grep

  • more

  • make

2.
Put them together with file names to see what you can come up with. I made a file named man to use. Here is a conversation between my computer, Dodongo, and myself. I submit it as an existential modern poem.

"Lookin' for a Man in All the Wrong Terminals," by Susan

$ man request

: No manual entry for request

$ make man

: make: *** No rule to make target `man'. Stop.

$ touch man
: ...
$ talk dirty > man & ; kill -9 %1

: [1]+ Stopped talk dirty >man

$ unzip man* > stripMan

: unzip: cannot find man*, man*.zip or man*.ZIP.

$ man sleep | grep mount

: sleep - delay for a specified amount of time

$ man sleep! && finger man

: No manual entry for sleep!

: Login name: man In real life: ???

$ echo "your apathy slays my tortured consciousness" > man
: ...
$ write man

: write: man is not logged in

$ halt man

: halt: must be superuser.

$ echo "i end the abyss of pain"  && echo "end"


Links

GDM Themes: http://art.gnome.org and http://gnome-look.org

Footprints, GNOME User Site (with user forum and community-written docs): http://www.gnomedesktop.org/

KDE Forum: http://www.kde-forum.org/

KDE Community Wiki (documentation): http://wiki.kde.org/tiki-index.php

Konqueror: http://konqueror.kde.org/

Nautilus Docs: http://www.gnome.org/learn/users-guide/2.6/ch02s06.html

The Mysterious Linux File Structure Explained: http://www.freeos.com/articles/3102/ and http://www.ahinc.com/linux101/structure.htm


Chapter 3. System Tools and Utilities

"A genius is the man in whom you are least likely to find the power of attending to anything insipid or distasteful in itself. He breaks his engagements, leaves his letters unanswered, neglects his family duties incorrigibly, because he is powerless to turn his attention down and back from those more interesting trains of imagery with which his genius constantly occupies his mind."

William James

Everyone's mother has a favorite anecdote. You know, it's the story that gets told to all the people you ever bring home right after she drags out the "adorable" pictures of you as a toddler taking a bath. My mother's favorite story is one that she thinks demonstrates the personality differences between my sister and me. It goes something like this.

It was Saturday, chore day. The cartoons had been watched already. Breakfast was over. Now the children must work. We had assigned chores that we did each week. Every Saturday, right before the chores were supposed to begin, both my sister and I tried to go out and play. I'm not sure why we had the delusional thought that we could get out of those chores, but who can find logic in children? We were stopped at the door and reminded that we had chores to do. We were handed buckets and cleaning supplies and sent to our respective assigned rooms.

Now here's where my mother's anecdotal Rorschach test comes in. My sister would be sent to do her chores and go into a big hissy fit. She would stomp, complain, argue, and generally make a lot of noise. Then she would go and dutifully get her chores done, still complaining throughout. When she was done, she got to go out and play. What did I do? I didn't have a tantrum. I didn't complain. I was the perfect angel who was clearly unhappy with the required tasks, but who amiably went to get her work done.

Then I escaped out the back door.

Whoosh! I left bucket, mop, and dirt in their place and ran out to play. I got in trouble for it later, but that didn't seem to matter to me when the lure of Saturday fun was beckoning. As a result, I think I spent most of that summer between third and fourth grade grounded, riding my bike around in little circles in the driveway.

I would love to now tell you that I have learned from the silly mistakes of my childhood. I would also love to tell you that I have the powers of Wonder Woman without the requirement of wearing a metal bikini. Alas, neither statement is true. I don't run out the back door anymore when I have to do something I don't like, but I do put it off and try to avoid it.

System tools and utilities are my distasteful computer task. They are like eating my vegetables and cleaning my room. They are my Linux root canal. The fun stuff is in the programs and themes and skins and preferences. So, now that my Linux Rorschach test has determined that I am a Type C computer user, one who would rather do the fun stuff, let the root canal begin. Maybe we will be able to find some fun in here.


What Are System Tools and Utilities?

"System tools and utilities" is a very technical term, encompassing grand concepts in technological leaps and bounds and thoughts and . . . wait . . . I can't lie to you anymore. We've known each other too long now. I made it up. "System tools and utilities" is a collective term to talk about the tasks that you have to do to maintain your computer, troubleshoot problems, and generally know what is going on in the operating system. We need a name for all of these tools and programs that describes them. What were my other choices? "Stuff"? "Things"? With that decided, let's talk about system tools and utilities.

Both Mandrake and Fedora have gone to great lengths to make these potentially difficult tasks as easy as possible for us. Most desktop users will not have to mess with many of the utilities that we are going to talk about. Sometimes, though, you have to do some mundane computer task, such as changing your password, adding new hardware, or changing an obscure setting. You might not have to do certain things with your car, such as change a tire, very often, but it's nice to know how, right?


Fedora's System Tools and System Settings

Fedora isn't into creating control centers or central locations too much. Some people consider this practice to be a detraction from Fedora's usability, while others think of the practice as a complement to their intelligence. In the case of system tools and settings for Fedora, the place to look is in the main menu. Utilities are split between the System Settings and System Tools menus in the main menu, with a few things that you might consider to be utilities spilling over into the Preferences menu.

System Settings Menu

This menu contains lots of options that pertain to the user's experience in Fedora and GNOME. Unlike the Preferences menu, though, these options affect all users, not just you. You will need your root password to use most of these tools.

Server Settings

Services is the only option in this submenu. If you install more software later, you might see other entries here. You can start, stop, and restart services from the Service Configuration dialog box. A service is a background program that runs in your OS. Checking the box for a service causes that service to start when your computer starts. Try not to turn any services off or on unless you know exactly what they do.

Add/Remove Applications

If you chose to customize which programs you added during installation, you might recognize this tool (it's the same interface). The name of this tool is a little disingenuous because the Add/Remove Applications tool only adds or removes applications that are included on your install disks. This can be quick and handy for some programs, but there are better ways to update your system; we'll talk about those later.

Authentication

Choosing this option brings up the Authentication Configuration dialog box. This is another tool that most users will not have to mess with. If you know a lot about security and want to tweak the settings, go for it. Succinct descriptions are provided for each authentication type. If you want to learn more about authentication, read a little in here and also read up on the subject online.

Date & Time

<sarcasm>Hmm, now what in the world could this be for?</sarcasm> This is the same dialog box you get by right-clicking the clock on your panel and choosing Adjust Date & Time. You can also choose to sync your clock to a network and choose the time zone.

Display Settings

The three tabs in the Display Settings dialog box are Settings, Hardware, and Dual Head. On the first tab, you can adjust your screen resolution and color depth (see Figure 3.1). On the Hardware tab, you can change your choice of monitor and video card. The Dual Head tab is full of options for setting up dual monitors for one computer. I know, I wanted that tab to be full of options for becoming a dual-headed monster, too, but we have been denied our wish.

Figure 3.1. The Display Settings dialog box in Fedora.

Keyboard

This option is for setting the language of your keyboard.

Language

Here you can set the default language for your system. If you are missing a language that you would like to have available, you can grab your install CDs and add it from the many languages available.

Login Screen

We were here in the last chapter, remember? Ah, the memories. Anyway, this is the dialog box where you can change the settings for the GDM login manager program.

Network

The settings in the Network Configuration dialog box are for changing the settings on your network card and your computer's network identification information. Descriptions are at the top of each tab.

Printing

You can add and edit printers with the Printer Configuration Tool. We talk more about printing in a bit.

Red Hat Network Configuration

If you choose to use the Red Hat Network for your updates, this dialog box sets the address used, lets you adjust settings for controlling package management, and choose exceptions.

Root Password

Change the root user's password from here.

Security Level

This dialog box is for setting your firewall options. If you enable the firewall, you can check boxes for which services and devices are allowed. Using the firewall is an excellent idea for broadband connection users at home.

Sound Card Detection

The only thing you can really do here is listen to that "if Zamfir played the guitar" sound and then answer Yes or No for whether you heard it. I suppose it's a good tool to make sure your sound card is working, but I can think of more fun ways.

Users and Groups

Add and edit users and groups with this tool. You can create groups to use for setting permissions for more than one user at a time or create a class of users.

System Tools Menu

Many of the entries in the System Tools menu deal with the hardware in your system. Other options are for some of the same things as the System Settings menu. Most of these tools are new, graphical ways to perform actions that previously could be done only on the command line. A majority of these tools require your root password.

More System Tools

Poof! It's empty? Well, if you haven't installed KDE along with GNOME, then, yeah, this submenu is an empty placeholder for most default Fedora users. If you have installed KDE, two of the KDE disk utilities are listed here.

Archive Manager

This option opens the File Roller program. File Roller is the same program that pops up when you double-click an archive (.zip, .tar, .gz, and so on) in the Nautilus file manager. It is a manager program for creating and extracting compressed files.

Configuration Editor

This is the behemoth of controversy for many Linux GNOME geeks. The GNOME Configuration Editor (GConf, shown in Figure 3.2) is a GUI front end to editing a database of application preferences. People who hate it usually say that it is too analogous to the Windows Registry. People who like GConf enjoy the convenience of having all those settings in one place. People who are me think that you should not even touch any settings in this program unless you know what you're doing and are confident in any changes you might make in there. However, poking around and taking a look is always encouraged.

Figure 3.2. The loved and hated GNOME Configuration Editor.

[View full size image]

Disk Management

With this tool, you can mount and unmount file systems on your computer, such as disk partitions and removable media such as CDs and floppy disks. You can also manage disks by right-clicking your desktop and choosing Disks from the pop-up menu.

Floppy Formatter

I know, who uses floppies anymore? Talking about floppies is like hearing your uncle talk about those great eight-track tapes he used to have of the Doobie Brothers. If you still have floppies, well, here's a tool to format them for you. The interface is very easy to use and gives you options for density and file system type so you can format floppies for use in other OSs.

Hardware Browser

Take a look at what hardware is installed on your system in this tool. This isn't the place to make changes to anything, but the Hardware Browser is the place to come when you need to know the brand or model of a device and don't want to open the computer to find out.

Internet Configuration Wizard

This wizard is magical. The Internet Configuration Wizard isn't magical, but how can you expect me to resist saying that when they keep calling these things "wizards"? I'm a genius, but I'm only human. Here is where you can set up your Internet connection, whether it is a dial-up, broadband, wireless, or other connection.

A Lesson to Learn

Seemingly illogical problems always crop up when using computers. There is a lesson to learn if you want to keep your sanity. Got a problem? Go around it. When you start to have a problem on a computer, you are tempted to find the exact problem and why you are having that problem. Something inside you tells you to fight it out. Fighting the problem takes a long time and can breed frustration. Often with computers, the best course of action is to find an alternative way to do what you are trying to do. Go around the problem. Then, if you feel the need, you can try to find out the cause and slay the issue later, when you are not in the midst of frustration.

Kickstart

This tool writes a Kickstart file. A Kickstart file is a long, complex text file used to save installation settings for performing multiple Fedora installs automatically. Most desktop users will not need this.

Network Device Control

The Network Device Control module is a tool for monitoring, activating, and deactivating hardware such as network cards and modems. You can also access the configuration of listed devices.

Print Manager

After you add a printer, you might want to see what it's doing; you have the Print Manager to look at documents and status of the printer queue.

Printing Notification Icon

This puts an icon in your system tray that you can click when you are printing to check the status of the print job.

Red Hat Network

This brings up the dialog box for the Red Hat Network. This tool checks which system packages are available for update. You can use the Red Hat Network to keep your system up-to-date.

Red Hat Network Alert Icon

If you haven't gotten rid of it yet, you probably have a round icon in your system tray for the Red Hat Network. This menu option puts the icon back if you remove it.

System Logs

Log files are lists of events and warnings. This is a tool to view the log files for your system without having to use the terminal. Logs can be helpful for troubleshooting problems but don't make for very interesting reading.

System Monitor

You can view the current memory usage, processor usage, and running processes in the System Monitor. Some people like to incessantly stay abreast of their computer's performance and keep this open all the time.

Terminal

It's the terminal. It's your access to the command line. It's your friend. Don't be afraid of it. Open it. Like it. We have more brainwashing later to make you like the terminal.

TOOL KIT 3.1

How to Do "Important" Stuff in Fedora

Now that you know what all those cryptic entries in the System menus are for, let's get down to the nitty gritty. When you have something boring to do that can be called maintenance or a utility, you usually don't feel like wasting time figuring out how to get it done. Here are a few common utility tasks you might need to know how to do.

Change Your Password

Main menu > Preferences > Password

Change the Root Password

Main menu > System Settings > Root Password

Manage Users and Groups

Main menu > System Settings > Users and Groups

Change the Date and Time

Main menu > System Settings > Date & Time

Mount Disk Partitions and File Systems

Main menu > System Tools > Disk Management

Start or Stop a Service

Main menu > System Settings > Server Settings > Services

Read the Logs

Main menu > System Tools > System Logs

UNDER THE HOOD

BIG BROTHER CAN BE PRETTIER

If you keep the System Monitor open often to spy on your computer's performance, you can spy in more style than with the GNOME tool. A program called GKrellM ( http://www.gkrellm.net/ ) is the Linux geek's Swiss army knife, with system monitors, mail notification, and more. You can even choose skins for the program to make it pretty.


Mandrakelinux Control Center

Trying to say whether the menu arrangement of Fedora's system utilities or the control center clustering of Mandrake's is better just comes down to small details and opinions. Both give you convenient access to system settings and tools. The Mandrakelinux Control Center might be a bit more convenient for some people because everything is in one place for you. It does, however, take a few extra clicks to get to the tools.

When you open the Control Center, you are attacked by giant icons. Maybe they don't attack you, but they are pretty big. The Control Center is arranged into categories with modules that could be called either settings or tools all mixed into their respective categories. Not only are the categories smartly named and arranged, but most modules give you a quick introductory description when you open them. All that attention to information and usability makes dealing with mundane system tasks in Mandrake quite easy.

Open the Mandrakelinux Control Center by going to main menu > System > Configuration > Configure Your Computer (see Figure 3.3). You will need your root password. Let's go over what cereal box toy surprises lie underneath each of those giant icons.

Figure 3.3. The Mandrakelinux Control Center.

[View full size image]

Boot

All the modules in the Boot category pertain to what happens when you turn on and log into your computer. The Autologin module asks whether you want Mandrake to skip the login manager and start your desktop for you. Autologin is okay if you don't have others around your computer who shouldn't be messing with your programs and data. The Boot Loader module opens settings for the boot loader program, usually LILO or Grub. Unless you need to change options because you are dual-booting, you can probably leave these settings alone. Boot Theme lets you add a theme to the boot screen.

Hardware

Yep, this is where you can set up all the hardware connected to your computer, or at least most of it. The Hardware module is a browser to get information about the various cards, input devices, ports, and doodads in your system. As you click each device in the list, configuration modules or tools show whether they are available. Other modules in the Hardware category include settings for Monitor, Screen Resolution, Keyboard, Mouse, TV Card, and Scanners, which are all easy to understand. The Graphical Server module gives you display settings for the X server, such as monitor and graphic card. The Printers module lets you add printers. We go over printing in more detail later.

Mounting Files, Not Horses

Mounting and unmounting file systems can be a strange concept for many new Linux users. Let's compare file systems to books. You might have a book sitting by you. You might even be touching that book, but you can't read it until you open it. To read and write to a file system, Linux needs to open it first, which is expressed in the kooky language of commands as mounting a file system. Other operating systems mount and unmount file systems as well, but they hide it. No hiding in Linux, no secrets. Linux will let you see the inner workings of the OS. Many utilities are in your distro and desktop environment that mount file systems automatically for you, but there's no harm in learning about what is going on under the hood.

Mount Points

Most users will not need to change the options in these modules. The Partition module brings up the same partition tool that you used during install. You can change the partition table for your computer, but it's not a good idea. If you really messed up on the partitions, you might want to just reinstall to have a clean start. You can change the options for each type of removable media (such as CDs and floppies). NFS and Samba mount points are shares on your local network, including Mac and Windows shares, that use the same protocol. Samba is the most common of the two protocols. WebDAV Mount Points gives you options for connecting to a remote Web server. Local Disk Sharing is where you can set up directories on your computer to share with others on your local area network.

Network & Internet

This module gives you options for managing various types of connections. In addition, you can share your Internet connection with other computers on your network and edit proxy settings. You will use some of these modules in a bit to set up an Internet connection.

Security

The three modules in this category make the paranoid among us smile. Level and Checks gives you detailed settings for the security on your computer. If you're not familiar with the advanced options, read the descriptions of the Security Level choices to pick one. In Permissions, you can set the file permissions and owners for different directories. The Firewall module edits options for your Internet firewall.

System

Options are here for many of the more frequent tasks you might have to do. Menus enables you to edit the main menu. The Display Manager is actually for choosing the login manager. In Services, you can set which background processes run on boot and start or stop each service. Fonts is for installing new fonts and seeing what you have. The Date & Time module adjusts the date, time, and time zone. You can also choose to sync to a network time server. Logs is the place to read the system logs for your computer (lists of events and errors that are confusing to read but can help in troubleshooting). Console brings up a root terminal to use. The Users and Groups module (see Figure 3.4) shows options for adding, editing, and deleting users and groups. In the Backups module, you see choices to set up regular backups of your data.

Figure 3.4. The Users Management tool in the Mandrakelinux Control Center.

[View full size image]

Software Management

These modules provide a convenient way to add, remove, and browse the packages on your system. You need your install disks for the Install module. The Updates module opens the Mandrake Update tool that you will use later.

TOOL KIT 3.2

How to Do "Important" Stuff in Mandrake

So, you know what you can find in the Mandrakelinux Control Center, but sometimes you want to cut through the levels of menus and icons to get right to what you are trying to do. When you have something boring to do that can be called maintenance or a utility, you usually don't feel like wasting time figuring out how to get it done. Here are a few common utility tasks you might need to know how to do.

Change Your Password (Two Methods)

  1. Main menu > System > Configuration > Configure Your Desktop (from inside the KDE Control Center) System > User Account

  2. Main menu > System > Configuration > Configure Your Computer (from inside the Mandrakelinux Control Center) System > Users and Groups

Change the Root Password

Main menu > System > Configuration > Configure Your Computer (from inside the Mandrakelinux Control Center) System > Users and Groups (on the menu) Options > Filter System Users (edit the root user)

Manage Users and Groups

Main menu > System > Configuration > Configure Your Computer (from inside the Mandrakelinux Control Center) System > Users and Groups

Change the Date and Time

Main menu > System > Configuration > Configure Your Computer (from inside the Mandrakelinux Control Center) System > Date and Time

Mount Disk Partitions and File Systems

Main menu > System > Configuration > Configure Your Computer (from inside the Mandrakelinux Control Center) Mount Points

Start or Stop a Service

Main menu > System > Configuration > Configure Your Computer (from inside the Mandrakelinux Control Center) System > Services

Read the Logs

Main menu > System > Configuration > Configure Your Computer (from inside the Mandrakelinux Control Center) System > Logs


Printing

Some people print everything. They look up a Web page. They print it. They receive an e-mail. They print it. They open any file at all. They print it. Have you met these people? Okay, I should probably be quiet because you might be a very printy person. I'm not against those of the printy sort. I guess I just don't understand the constant printing. I am glad to let my printer feel lonely. The fewer small pieces of paper I have lying around me, the happier I am. Still, sometimes everyone needs to print something.

Luckily, setting up printers in Linux is easy. Now, I know that the moment I said that, eight people just had a problem setting up a printer in Linux. It's easy compared to connecting other hardware. It's easy like using canned cheese spread. It's easy like a Sunday morning. Well, like most hardware in Linux, it's easy for certain brands and models. Support is best for HP and Epson printers, especially inkjet printers. To find out if your printer is supported, you can check the manufacturer's documentation and Web site. Some companies acknowledge Linux and let you know. Otherwise, there is also a great site online for Linux printing, http://www.linuxprinting.org, where you can check whether your printer is supported, see which drivers work best, and look at suggested printers before you buy.

Setting up your printer can involve different steps, contingent on the printer being directly connected to your computer or if you are connecting to the printer over a local area network.

Print Management in Fedora with GNOME

Before you spend a lot of wasted time trying to set up a printer that will not work with Linux, check the Linux Printer Compatibility Database online at http://www.linuxprinting.org/printer_list.cgi. While you are on the Linux Printing site, you can grab drivers for your printer, but most compatible printer drivers are already included in Fedora.

Adding and Configuring a Printer

Print Manager is one of the default icons on your bottom panel in Fedora, so click on it if it is still there. You can also open the Print Manager by going to the main menu > System Tools > Print Manager. You need your root password to run the printer configuration tool and add a printer. Click the New button on the toolbar. Now you are looking at the Add New Print Queue screen. In Fedora, you are not just adding a printeryou are adding a queue, a waiting line. With a print queue, you can send a series of jobs to your printer without having to wait for each one to complete before sending the next.

Step through the wizard screens. When you get to the part about naming your print queue, stop and listen to me. For most users, this name does not matter too much, but if you plan to set up more than one printer, you need to make sure the name is unique and descriptive enough that you can identify your different printers. The name Printer might not be the most unique or descriptive name to choose. The Queue Type screen is where you can choose to identify your printer as locally connected or connected via a LAN. Your locally connected printer should be automatically detected. You can then choose its device location from a list, often a list of only one. The usual device location for a parallel port printer is /dev/lp0, and /dev/usb/lp0 for a USB printer. You must choose your network-connected printer by finding it on your local area network. You shouldn't have any trouble finding the printer on a Windows network. On an Apple network, you can also now share your printer in Mac OSX as a Samba (a Linux/UNIX file-sharing program for Windows networks) shared printer. If you have trouble, get out your install disks and open main menu > System Settings > Add/Remove Applications. In the System category, make sure that System Tools > samba-client is checked and that the Printer Support category is checked.

The next part of the wizard asks for your printer model, as shown in Figure 3.5. You can resist giving Fedora your printer information like a reluctant, guilty puppy snatcher under police questioning, but it is best to just cooperate. Your printer model was probably autodetected for a locally connected printer. If the detection was wrong or missing, choose the manufacturer and model from the list. You will have to choose the manufacturer and model for your network- connected printer.

Figure 3.5. Choosing a printer model in Fedora.

The next screen gives you a happy warning and tells you that you are done. You are then asked whether you want to create a test page. Yes, you do. A test page confirms that the printer is set up correctly and gives you materials for making paper airplanes (see http://www.paperplane.org/). You can now print from most applications by going to the print option in each program.

When you need to edit or delete a printer, just open the Print Manager again. You will see an icon for each printer you have set up. Right-click a printer to edit its configuration. Highlight a printer and click Delete to remove it. You can also edit and delete printers in the Printer Configuration Tool, which is on the main menu > System Settings > Printers.

When you send a job to your printer, you can check the status of the print job by opening the Print Manager. To cancel a print job, highlight that job in the list, and then go to the menu and choose Edit > Cancel Documents.

Print Management in Mandrake with KDE

Adding and Configuring a Printer

With more than one Control Center in Mandrake when running KDE, you have more than one choice of tools to add and configure your printer. Neither the KDE Control Center nor the Mandrakelinux Control Center has a better tool for adding printers. They both use similar, clear language, such as "Add Printer," and both have similar options for configuring your printer. In the end, try both to see which you like best. For right now, I am going to go with the Mandrakelinux Control Center's Print Management tool. Hardware works with the operating system and distribution more than it works with the desktop environment. That makes me want to use the distribution's tool over the desktop environment's tool.

Open the Mandrakelinux Control Center and go to Hardware > Printers to get started. The Printer Management tool (see Figure 3.6) is arranged in a simple layout that will become very familiar to you in Mandrake and in Linux. There is a menu bar, a tool bar, and a main content area. In the main content area are two tabs, one for local printers, Configured on This Machine, and one for network printers, Configured on Other Machines. Click Add Printer to start the Add a New Printer wizard. Most of the steps in this wizard need very little explanation.

Figure 3.6. The Mandrake printing dialog box.

[View full size image]

As you go through the wizard, you make some minor decisions about your printer and give Mandrake some information to get started. On the first tab, go ahead and let Mandrake attempt to autodetect your printer. If it fails to find anything, you can enter the information manually. Mandrake is pretty good about finding printers. Mine found all the printers connected to both Linux machines and Windows machines on my local area network. If your printer was found, you can just click Next. If your printer was not found, you can manually point out the location. When you get to the part about naming your printer, give the printer a descriptive name. Even if you have only one printer, a descriptive name just makes more sense. Select the manufacturer and model of your printer. If your printer isn't listed, you should first pop over to the linuxprinting.org site to make sure your model is compatible.

Next, you have the opportunity to set the defaults that you want for your printer, such as paper size and print modes. When you are done with that, the printer will be configured, and you can try to print a test page. Now, we have already said that test pages make good paper airplanes, but don't think that I do not know about hats. I know paper hats (see http://www.cs.uu.nl/~hansb/d.origami/traditional/hat.html).

If you need to monitor or cancel a print job that has been sent to your printer, you again have two choices: the KDE tool and the Mandrake tool. This time, my opinion is that it doesn't matter because they are the same tool in two different wrappers. To use the KDE tool, open the KDE Control Center from main menu > System > Configuration > Configure Your Desktop, and choose Peripherals > Printers from within the KDE Control Center list on the left. Click the Jobs tab to view the printer jobs. Click the trash can button on the toolbar, Remove, to cancel a print job. Open the Mandrake tool from main menu > System > Monitoring > PrintJobs. The interface is exactly the same; you just don't have the Control Center open around the print queue display.


Connecting to the World

I think you can still have a computer and not be connected to the Internet. Wait, let me check on thatumm, yes, you can, but it's like cutting off your computer's head in today's world. Without the Internet, you and your computer are just going to play Solitaire in your underwear all day. Of course, maybe that is what you like to do anyway. I'm not insulting your chosen path in life, but don't you know what else is out there on the Internet? At the very least, you could order more underwear (see http://www.freshpair.com/).

Dial-up

While most of the Internet world is speaking in terms of broadband, many people are still using dial-up connections. If you need to connect to the Internet with a dial-up modem, pull up a chair because we need to have a talk.

Support for many modems in Linux is not so good. The culprit is a type of modem called a Winmodem. A few years back, hardware makers tried to cut costs by manufacturing cheaper modems that used lesser hardware and instead, relied on some bundled Windows software to run the modem. The result is that we now have what are called hardware modems and software modems. Hardware modems, such as those made by U.S. Robotics, are mostly supported in Linux. Software modems, which usually include the cheapest choices, are sparsely supported in Linux. Even the few software modems that can claim Linux support (sometimes dubbed Linmodems) often require a lot of configuration that is extremely complex. You might as well go out and buy a hardware modem instead of wasting lots of time futzing with all the necessary configuration to get a software modem running in Linux.

How do you tell whether you have a Winmodem or a hardware modem? The best way to find out whether something works is to actually try it. You can also look online to see what type of modem you have. Open the hardware browser in your distro to get the brand and model of your modem.

Network Around the Problem

Many people these days have more than one computer in their home. If you are one of those people and you have a software modem that you cannot get to work in Linux, try networking. A local area network is not just for broadband users; you can have another computer dial up to establish the Internet connection and then share that connection with your Linux computer. There are many online resources on how to network two or more computers together. Search online or check out these URLs: http://www.linksys.com/faqs/default.asp?fqid=16 and http://computer.howstuffworks.com/home-network11.htm.

Hardware Browser in Fedora

Main menu > System Tools > Hardware Browser

Hardware Browser in Mandrake

Main menu > System > Configuration > Configure Your Computer

(from inside the Mandrakelinux Control Center) Hardware > Hardware

Find your modem in the list of hardware, and write down the brand and model of the modem. Next, go to an online listing of Winmodems at http://www.devidal.tv/~chris/winmodems/ to see which list your modem is in. There is also a Linux Documentation Project page on Winmodems at http://tldp.org/HOWTO/Winmodems-and-Linux-HOWTO-1.html#ss1.3. If you do have a Winmodem and want to try to make it work, check out http://www.linmodems.org/.

KPPP

Program Startup

Fedora/GNOME menu

Internet > KPPP

Mandrake/KDE menu

Internet > Remote access > KPPP

Terminal command

kppp

KPPP is the KDE program for Internet dialing. The program is included with both Mandrake and Fedora if you chose to install KDE. If you don't have KPPP, you can install the program from your installation disks. (See "Installing New Software," later in this topic, for more information.) Even though KPPP is a KDE program, it is really the best choice for both GNOME and KDE users. There isn't a GNOME substitute at this time that is easier than KPPP.

TOOL KIT 3.3

Create a Dial-up Connection with KPPP

After you have successfully established that your modem will work in Linux and have gotten Linux to detect the modem, you need to set up the connection in KPPP so the modem knows where to dial up.

1.
Start KPPP (see Figure 3.7). You are asked for your root password.

Figure 3.7. KPPP tabs and settings.

2.
Go to Setup. A configuration window opens in which you should click the Modem button.

3.
Before you try to enter the info yourself, click the Query Modem button. KPPP searches for your modem. If it finds your modem, you will see a results window and KPPP will fill in the information it needs in the Modem area. If your modem is not found, you will see an error.

In case of an error, first check the device location that KPPP is using to find your modem under Modem Device in the Device tab. This is a drop-down list, so you can choose different ones and keep selecting Query Modem if you want to try the hit-and-miss method. If KPPP cannot find your modem, it is probably not compatible with Linux.

4.
Next, go to the Accounts tab. Click New to add a new account. You can then use the setup wizard and the settings that your Internet service provider (ISP) gave you.

5.
Close all configuration windows that you might still have open. In the main KPPP window, choose your new account from the Connect To field. You also need to complete the Login ID and Password fields.

Now you should be ready to try to connect. You will hear all the creepy noises that modems make. When the connection is successful, the KPPP window minimizes to an icon on your panel.

UNDER THE HOOD

DIAL-UP SETTING INFORMATION

Your Internet service provider probably gave you instructions for setting up a dial-up connection in Windows. Don't let that confuse you because the information you need in Linux is in there. You need to match up similar information. Most likely, you will need only the phone number, username, and password, but you might need DNS or IP information as well. Most important, do not let your ISP bully you. If they say they don't support Linux, insist that they give you the pieces of information you need, regardless of what operating system you are using.

Broadband and Local Area Networks

Linux likes you. Broadband connections, such as cable or DSL, and local area networks (LAN), such as those found in offices and some homes, are the easiest kind of connections to work with in Linux. In an office environment, you need to find out from your network administrator whether your office uses Dynamic Host Configuration Protocol (DHCP) or whether you need specific IP information. In your home, using a cable or DSL connection, you need to find out from your ISP whether it automatically assigns addresses using DHCP or whether you need IP and other network configuration information. Some cable Internet providers also require you to give your computer a specific name in the network settings, so make sure you get all the necessary information.

As noted earlier for dial-up modem users, you might run into some attitude from your ISP. Many ISPs say they do not support Linux. If you end up having to ask your ISP for network configuration information, be firm. You are not asking them to support Linux; you are just asking for the network information. Insist that you get the help and information you need: You are paying them.

Setting Up Your Connection in Fedora

The Network Configuration window (see Figure 3.8) is the place to enter any IP or other network information. You can get to the Network Configuration window by going to your main menu and selecting System Settings > Network. You will be prompted for your root password before you can enter any information.

Figure 3.8. The Network Configuration tool in Fedora.

The Network Configuration tool has a menu, a toolbar, and a series of four tabs. In the menu options, you can save your changes, work with multiple profiles, and access the help documentation. The toolbar choices change, depending on which tab you are in.

Devices Tab

The first tab lists the network devices that are configured on your computer. These are not the physical devices, but they refer to virtual connections. For each piece of physical network hardware in your system, you usually have a device listed. You can also associate multiple devices with one piece of hardware.

Hardware Tab

On this tab, you can configure your network card. Most likely, the settings that were put in place during installation will be fine.

DNS Tab

If you are using DNS on your network, you can enter a hostname and DNS addresses.

Hosts Tab

You can enter specific IP addresses and hostnames for computers on your network. If your network is using DNS, these settings override that.

TOOL KIT 3.4

Setting Up Your LAN Connection in Fedora

If you had your network card in your computer when you installed Fedora, your settings are probably already okay. If you need to install a new network card or configure the connection, here is how to do so.

1.
From your main menu, go to System Settings > Network to open the Network Configuration window. You are prompted for your root password.

2.
Click on New on the toolbar. You will see the Add New Device Type wizard (see Figure 3.9). Choose the type of connection you want to addin this case, most likely Ethernet Connection.

Figure 3.9. The Add New Device Type window in Fedora, entering IP information.

3.
You will see a list of the hardware on your computer. Choose your network card and click Forward.

4.
The easiest thing on a home network is to use DHCP to automatically assign and obtain IP addresses on your network. If you are using DHCP, all you need to do on this screen is choose Automatically Obtain IP Address Settings With and then select DHCP in the drop-down list. You can also check the box next to Automatically Obtain DNS Information from Provider if your ISP requires it. If you are not using DHCP on your network, you can choose Statically Set IP Addresses. If you are taking this harder route, I will assume that you either know the IP information to enter or can ask your network administrator for it.

5.
The last bit is to click Apply to end the wizard. The new connection (or device, to use Fedora's word) is now listed in the Devices tab.

Setting Up Your Connection in Mandrake

Remember the Mandrakelinux Control Center? We're going back to it. Open the Control Center and choose Network & Internet. Now you have a lot more choices to look at here. Most of the icons in this category are task oriented, so if you want to add a new connection, choose New Connection. Here is a look at what all those icons are for.

New Connection

This opens a wizard with which you can add any of the available Internet connections that Mandrake knows about, including modem, LAN, and wireless.

Internet Access

Many of the fields on this tab are for information that you should enter when you add a new connection. This module gives you a shortcut to edit or enter DNS and hostname information.

Manage Connections

At the top is a drop-down menu where you can choose a connection to edit the settings. Below that are a few tabs where you can edit IP and other network information.

Monitor Connections

Here you can view the activity on your configured connections. Information displayed includes the volume of data sent and received and the speed.

Remove a Connection

This module lists your connections in a drop-down choice so that you can choose one to delete, if you need to.

Proxy

If you are behind a proxy server, you can enter the address information for the proxy here.

Internet Connection Sharing

If you are on a small or home network that does not have a computer acting as a dedicated server for the Internet connection to the rest of the computers on the network, some computer has to step up and volunteer for the job. If yours is the computer on your network that is directly connected to the Internet, this module walks you through a wizard of choices so that you can share that connection with other computers on your network.

TOOL KIT 3.5

Setting Up Your LAN Connection in Mandrake

Mandrake puts everything in one place for you, making it easier to find, but the interfaces for some of the tools are a bit clumsy. Nevertheless, it is a wizard, so let's step through it.

1. | From the Mandrakelinux Control Center, click Network & Internet > New Connection.
2. | The first step is to choose a connection type. Click LAN Connection and then click Next.
3. | Choose your network card from the list and click Next.
4. | Now you get to choose whether you want to use DHCP (Automatic IP) or manually enter your network IP information (Manual Configuration). DHCP is the easiest choice. If you want to manually enter everything, I am going to assume that you know your IP information.
5. | Your next screen will look different, depending on your choice of DHCP or manual configuration. In either case, you have a few self-explanatory check boxes to complete. The defaults are good if you aren't sure what to choose.
6. | Your next step is to optionally enter a hostname for your computer. After you click Next, there is a choice to enter a Zeroconf hostname. Zeroconf is a new network protocol that is trying to cut through the current tangle of proprietary protocols to make networking more simple. You are probably not using this, but it doesn't hurt to retype your computer name in this box and click Next.
7. | You are asked whether you want to restart your network. Of course you do. Yes. This action restarts the network service.
8. | Read the happy Congratulations screen and click Finish.

Wireless

Many homes and businesses are now using wireless networks. You can go to many public wireless "hot spots," from libraries, to baseball stadiums, to coffee shops, and be able to get online. Some prominent ISPs are giving wireless routers to new customers with broadband service.

Wireless support in Linux is new, so it can be shaky still. There is a little extra work to setting up a wireless connection and getting it to work in Linux. If you are undecided about whether to go wireless, make sure you consider all the reasons.

Wireless may make sense for you if . . .

  • You have a laptop computer with a wireless network card.

  • You have a home network, and it would be difficult to string network cable all through you house.

  • You already live or work in a place with an existing wireless network.

  • You mainly use your computer for e-mail, Internet browsing, music, office applications, and other basic desktop functions that don't require constant high-speed bandwidth.

  • You want to take the time and patience to configure and secure your wireless connection.

Think twice about wireless if . . .

  • You have a desktop computer that doesn't move very often.

  • You do a lot of bandwidth-intensive activities online and might feel limited by the reduced bandwidth capacity of wireless compared to a broadband-wired network.

  • You do not want to spend the time and money to set up and configure a wireless network or to make sure that it is secure.

  • You never wish you could be sipping a latte while surfing the Internet at a coffeehouse.

What to Get

A basic wireless network consists of an Internet connection, a wireless router or wireless access point, and a computer with a wireless network card.

Wireless Protocol Choices

There are three common wireless protocols right now. A protocol is a format for transmitting data. When you go to buy your wireless hardware, you will need to be familiar with the different protocols to choose the right hardware for the protocol you want to use.

802.11a

This protocol is mostly used in large offices right now. 802.11a is not nearly as common as b or g. You probably won't be using this.

802.11b

This is the most common protocol in use right now. At 11Mbps, 802.11b is slower than g, but b is the protocol used by most public wireless hot spots in coffeehouses, airports, hotels, and some college campuses. 802.11b cards also have the best support in Linux.

802.11g

The 54Mbps speed of 802.11g makes it the fastest protocol, but Linux support is lacking for many g network cards. Look around online to find which of the latest cards for the g protocol are supported. If you do buy 802.11g hardware and you have a laptop, buy hardware that also supports the b protocol; then you have flexibility when trying to get online when you are out and about.

The wireless access point or router you get does not matter in relation to your Linux system. The two will never meet. Buy the access point or router that you deem best for your needs. The wireless network interface card (NIC) you buy matters a lot in relation to your Linux system. Right now Linux support for wireless NICs is best for PC cards. Although there are wireless NICs that can connect to your computer via a PCI slot or USB port, there are not easily available drivers for those types of cards. Determined types can try searching out and installing drivers for other network card types, but most users should stick with PC cards. You can find the latest information online and buying advice on wireless hardware for your Linux system. One good site is http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/. New hardware comes out all the time, so search online to find up-to-date information.

Configuring Your Wireless Network Access Point or Router

To set up your access point or router, you need the manual that came with it. The setup disks and instructions probably were written for Windows users. If you have a Windows computer in your home or office as well as your Linux system, keep that software aside. Follow the instructions in the manual to hook up the device on your network. This usually involves hooking up the access point or router on the network somewhere between your broadband connection and your computer. When the device is hooked up on the network and plugged into power, you can usually go to the IP address that is listed in your manual in a Web browser. From the configuration screen in your browser, you can change the settings on the device.

UNDER THE HOOD

SPEED RACER

The need for more bandwidth, more speed, faster processors, and more memory is a common myth. Most people don't need all of that computing power and speed for every day tasks, and the same goes for faster Internet connections. If you use your computer only for light Internet surfing (not watching a lot of online movies or loading streaming media often) and e-mail, you can probably get along just fine with the slower 802.11b protocol.

Wireless Security

Do not leave your wireless network open. Although this practice is common and might seem harmless, it is just asking for trouble. An open wireless network is an open invitation to let malicious people do things online that can be traced back to your Internet connection. You don't want to get in a position of trying to prove your innocence. Can you prove to the RIAA or other media groups that you didn't do that illegal file sharing? Can you prove to your ISP that you didn't send all of that spam e-mail? Can you prove that you're not uploading child pornography online? It's all pretty hard to prove if your Internet connection was used. Check your wireless access point or router manual to see how to set up three things:

  • Enable WEP security

  • Enable mac address filtering

  • Turn off broadcast of your network's SSID

If you have a lot of trouble and there is a Windows computer in the house, don't be afraid to cheat: Use the Windows software that came with the device on a Windows computer to do the initial configuration for your access point or router. It's not your fault or Linux's fault that wireless hardware makers skew everything toward Windows. You can always jump over to your Linux computer after the initial configuration and change more settings through the Web browser administration page.

Configuring Your Wireless Network Card

The first thing you need to do is get your NIC connected to your computer and detected by Linux. With a PC card, the most common wireless NIC, pop it into the PCMCIA slot on your computer. The easiest way to see that the card was detected is to look in your hardware browser to see if it is listed.

Hardware Browser in Fedora

Main menu > System Tools > Hardware Browser

Hardware Browser in Mandrake

Main menu > System > Configuration > Configure Your Computer

(from inside the Mandrakelinux Control Center) Hardware > Hardware

Fedora's Wireless Bug

Although this bug might be fixed in Fedora Core 3 and above, there has been a problem with wireless network cards not installing properly. To stomp out this little bug, you need to remove and reinstall the network card on your system.

1. | Go to the network configuration in Fedora, main menu > System Settings > Network.
2. | On the Hardware tab, click the wireless NIC and then click Delete. Close the window.
3. | Now add the card back by going to main menu > System Tools > Internet Configuration Wizard.
4. | You are in the wizard for adding network connections. Choose the wireless connection choice and click Forward.
5. | Step through the wizard, choosing your wireless card from the list. The default choices are okay to just accept; then click Forward.
6. | When you are done, reboot your computer.

These steps should solve most wireless card problems, but there are always exceptions. Make sure that you double-check your wireless NIC's compatibility with Linux.

Next, you need to set up the wireless connection in Linux. It's a good idea to do this configuration within range of your wireless access point or router so you will know whether you are successful. In both Fedora and Mandrake, you can set up your wireless connection by following the same steps used to set up a LAN connection. Just choose Wireless as your connection type and step through the wizard. Most problems people encounter when setting up wireless connections in Linux are the result of hardware incompatibility, so make sure you are certain that your wireless network card will work in Linux.


Installing New Software

You get oodles of software with most Linux distributions. In Fedora and Mandrake, you already have software to do most computer tasks that you can think of sitting right on your install disks. Why would you want more? Because more is more. Because we are human. Because we are greedy. Because we want it all. Because, "All your base are belong to us." The real reasons are, of course, that with computers, there are always new programs, new options, and new versions to download and install. Staying up-to-date and trying new programs make up the vibrant, plugged-in heart of most computer users.

Installing New Software in Order of Sanity

With so many sources and methods for installing new software on your Linux system, you might not know where to turn. You don't want to get stuck installing incorrect versions or configuring a version of some program that creates a lot more work than a more appropriate version might. To avoid frustration, check out these avenues for installing new software, in the order of sanity:

  1. Apt, Yum, or Mandrake Update

  2. Your installation disks

  3. RPM packages downloaded from the developers' or company's Web site

  4. Sourceforge.net

  5. RpmFind.net or rpm.pbone.net

  6. Downloaded compressed files of the source code to install from

If you look for your new software in this order, you will usually save the time and trouble of unnecessary dependency issues, errors, or configuration tweaks.

Yeah, yeah, yeah, in Linux, there are always choices. If you're tired of hearing me say that, just get used to it. The abundance of choices is an intrinsic characteristic of all things Linux. In the case of installing new software, you have some common choices and some different choices, based on which distribution you are using.

RPM Files

Using packages is the most efficient way to install new software in Linux. Both Fedora and Mandrake use RPM packages for installing programs. RPM (Red Hat Package Manager) files are the closest Linux has to a standard program installer. An RPM package contains installation files and instructions for where to install the package files. Locations for system directories differ among distributions, and not all distributions can use RPM files. For distros that are RPM based (including Fedora, Mandrake, SUSE, and Yellow Dog), programs usually have different RPMs for different Linux distributions. RPM packages can also be specific to your computer's CPU architecture. You might see an architecture specified in a package's filename. You can use that part of the filename to choose the best package for your system. Look for the following text in package names to fit with these CPUs:

  • i686: Pentium II CPU or above

  • i586: Pentium-class CPU or above

  • i386: 386-class CPU or above

  • ppc: Apple Macintosh Power PC

  • noarch: Can be used with any CPU

You can easily install an RPM file in Fedora and Mandrake by double-clicking the RPM file in your file manager. You can also install an RPM file in the terminal to have a little more control over the installation options.

More Than One Way to Skin an RPM

Did you think there were even more ways to install RPM files? Ding! You are correct. Besides the installation methods we talk about in the ToolKit, Fedora's Package Manager and Mandrake's RPMDrake can install RPM packages. Both tools are easy to use but are limited to the programs and version numbers on the install disks. To use the Fedora Package Manager or Mandrake's RPMDrake, go to your main menu: With Fedora Package Manager, choose System Settings > Add Remove Applications. For Mandrake RPMDrake, choose System > Configuration > Packaging > Install Software.

I prefer Apt or Yum on Fedora, and Mandrake Update on Mandrake for installing new programs and for updating because those programs are all more robust. They can each pull newer software from their respective online sources.

That's all good news. Want the bad news? The bad news is that each RPM file you install reduces your computer's life by one year. It's like chronic life-long smoking for your computer. RPMs will stunt your computer's growth.

Of course none of that is true, but I had to see if you fell for it for at least a second.

The bad news regarding RPM files can be said with one word: dependencies. Some RPMs install right away with no problems. Other RPMs require that you have additional RPM packages installed first; those required packages are called dependencies. These can be frustrating little exchanges between you and your computer. Here's an example of a dependency error message:

# rpm -ivh koffice-1.3.3-1mdk.i586.rpm
error: Failed dependencies:
        koffice-kword is needed by koffice-1.3.3-1mdk
        koffice-kspread is needed by koffice-1.3.3-1mdk
        koffice-karbon is needed by koffice-1.3.3-1mdk

You can see from that output that when I tried to install the RPM file using a terminal command, I got an error message. The error message tells me that three other packages are required for me to install before I can install the one I want. Reading through the error, I can see that the names of the required dependencies are koffice-kword, koffice-kspread, and koffice-karbon. Your best way, and only way, to deal with RPM dependencies is to calmly look at the packages needed and go find them online, either through one of the update utilities we will talk about in a bit or by finding individual RPMs online.

TOOL KIT 3.6

Install an RPM File

Let's go grab a program that you probably don't already have. There is a small timer/alarm program on SourceForge.net called eLapse. Download the RPM file for Linux from http://sourceforge.net/projects/elapse/, and save it to your home directory. Your exact filename will probably be different because you might be able to download a newer version of the program. You're in the future. How is it there? Are there robots in the future with you? We will install eLapse both ways, through the file manager and through the terminal.

You need to become the root user or enter your root password to install RPM files.

Install from Your File Manager

1.
Open your file manager of choice, either Konqueror or Nautilus. Navigate to your home directory.

2.
Double-click the RPM file. You are prompted for your root password, so enter the password. You can see what the installation looks like in Fedora in Figure 3.10.

Figure 3.10. The Nautilus progress dialog box while installing an RPM file.

3.
That's it. You are pretty much done. Unless you had an error message, the package is installed. If you were successful, you are free to delete the RPM file.

Install from the Terminal

1.
Open your terminal of choice, such as the GNOME Terminal or Kshell. Go to your home directory:

$ cd ~

2.
Become the root user and enter your root password:

$ su

3.
The rpm command has many optional switches (a command switch is a letter or word option that you add after a command). Read the man file for the rpm command to find out more of the options. For installing a single package, we will use these:

# rpm -ivh eLapse-0.2-1.i386.rpm

The i means that we are installing. The v indicates that we want verbose output from the command so that we can watch what is going on. The h asks rpm to show a hash mark progress dialog box because that is just fun to watch. So, we see this output:

Preparing...   ############################### [100%]
         1:eLapse ############################### [100%]

The hash marks displayed the progress, and we were told when it was all done.

5.
If you were successful, you can log out of the root user (press Ctrl+D) and delete the RPM file.

How to Uninstall an RPM File

Removing any package on your system is easy. You need to remove packages in the terminal. As the root user, use this command to uninstall an RPM:

# rpm -e [package name]

If other packages need that package, you will see an error telling you what package uses the one that you are trying to remove. If you get that dependency error, you should think twice about uninstalling the package. Make sure that all related packages are not programs that you need.

Apt and Synaptic

Program Info

Fedora/GNOME menu

Synaptic: System Settings > Synaptic Package Manager

Terminal Command

apt-get

Program URL

http://apt.freshrpms.net

I can't be objective. I love Apt. Apt is the greatest thing since sliced chinchillas. I suppose that wouldn't actually be a great thing, but you know what I mean. Apt was originally developed as a program for another distribution, Debian. Then the smart people in the world figured that Apt was so cool that other Linux users should be able to use it as well. Now we have Apt for RPMs. Apt is great because it takes the already good RPM package system and solves the dependency problem. With Apt, you call out to online servers full of RPMs (repositories) and ask for the packages you want. If other packages are required, Apt goes ahead and installs those dependent packages as well. Currently, Apt is not available for Mandrake in a proven, stable version, but there are users out there working on it.

The Magic Apt Commands

You can keep your Fedora install up-to-date very simply with Apt, but you first need to make sure that you keep your Apt repository listing up-to-date. Before you use Apt to install anything, always resync the repository with this command:

# apt-get update

Now you are ready to use this command to install a program:

apt-get install [package name]

To update your whole system, use this command:

# apt-get dist-upgrade

Apt is a program that you use on the command line, but you can also use Synaptic, a GUI front end for Apt. Synaptic provides you with a very easy interface for managing packages and repositories. You can see which available packages you have installed, which you might like to install, and which need updating.

TOOL KIT 3.7

Use Apt for Fedora to Install Synaptic

1.
Download a copy of Apt from http://apt.freshrpms.net/, and install it. FreshRPMs should be your first stop for anything related to Apt; this site has the most reliable repositories and stays up-to-date. You can refer to the last section on RPM files (see ToolKit 3.6) for help on installing the Apt RPM package.

Remember that you need your root password to install an RPMfile.You also need your root password to use Apt.

2.
As always, you need to resync your Apt repository before you do anything:

# apt-get update

Wait while lots of information scrolls by about what Apt is doing. Apt is contacting the repositories you have listed and is getting the latest RPM header files.

3.
Next, download and install Synaptic. Watch how easy this is:

# apt-get install synaptic

Ba-boom. That's it. Apt searches its repository list and then gives you output that looks something like this:

Reading Package Lists... Done
Building Dependency Tree... Done
The following NEW packages will be installed:
  synaptic
0 upgraded, 1 newly installed, 0 removed and
108 not upgraded.
Need to get 1114kB of archives.
After unpacking 4554kB of additional disk space will be used.
Get:1http://ayo.freshrpms.netfedora/linux/2/i386/freshrpms
synaptic 0.52-1.1.fc2.fr [1114kB]
Fetched 1114kB in 7s (154kB/s)
Committing changes...
Preparing...  ###################################### [100%]
  1:synaptic  ###################################### [100%]
Done.

You might be politely asked if it is okay to install the packages. You should politely answer in the affirmative.

4.
You can now open Synaptic by going to the main menu > System Settings > Synaptic Package Manager (see Figure 3.11).

Figure 3.11. Synaptic front end for Apt running on Fedora.

[View full size image]

UNDER THE HOOD

UP2DATE

That blinky icon in your default Fedora system tray is asking for attention. The icon is for a program called Up2date. This program is a holdover from older Red Hat Linux releases. Up2date is another GUI way to update your system. The program works well and is very usable, but it is being gradually phased out in favor of Apt or Yum. Both Apt and Yum are more flexible and more powerful tools for updating.

In Synaptic, you can browse the categorized list of available programs. The programs in each category show to the right with an icon indicating whether the program is installed, needs to be updated, or is not installed. You can double-click any programs you want to install, update, or uninstall. Click the Apply button on the toolbar to commit your changes.

Yum

Program Info

Terminal Command

yum

Program URL

http://apt.freshrpms.net

Yum (Yellow Dog Updater Modified) is a lot like Apt. Just like Apt, Yum was developed for a different Linux distro, Yellow Dog. Just like Apt, Yum is a command-line updating tool. Just like Apt, the commands you need to install or update programs are intuitive and easy to remember. Yum is not only an automatic updater, but it is also a package-management tool for RPMs. If an RPM has required dependencies when you are installing it through Yum, it figures out and installs the dependencies for you. You can use Yum instead of or in addition to Apt or Up2date. Yum is installed by default on your Fedora system but is currently not available for Mandrake.

Apt and Yum Repository Files

You can add or remove repositories for Apt and Yum to access in their sources files:

Apt: /etc/apt/sources.list

Yum: /etc/yum.comf

Synaptic: Main menu > System Settings > Synaptic Package Manager

A number of individuals and groups maintain repositories for hard-to-find add-on packages. One of the best sources is the Dag Wieers repository (see http://dag.wieers.com/home-made/apt/). Just remember not to include the funky extra repository sources if you do an apt-get dist-upgrade or yum update. If you fail to remove those new sources during an overall update, you risk rendering some packages unusable.

Because Yum comes with Fedora, it uses the Fedora repository initially. You can add other repositories, if you like. Use the terminal command su to become the root user before using Yum. When you first use Yum in each session, you need to update the database of RPM header files:

# yum check-update

This can be a lengthy process the first time you do it, but it isn't so bad subsequent times. Updating your system or installing a program is easy.

To update installed packages, use this command:

# yum update

To install new packages, use this one:

# yum install [package name]

Just like Apt, Yum is very easy to use. Unlike Apt, no commonly used GUI front end is as good as Synaptic to use instead of the command line.

Mandrake Update

Program Info

Mandrake/KDE menu

System > Configuration > Packaging > Mandrake Update

Terminal Command

MandrakeUpdate

You can update your Mandrake system easily as well. Mandrake Update (see Figure 3.12) is a utility that uses the Mandrake program RPMDrake and combines it with the capability to grab updated packages from online sources. Unfortunately, this tool installs only updates and does not give you an interface to install whole new programs.

Figure 3.12. The Mandrake Update interface.

[View full size image]

When you open Mandrake Update, you will be asked if Mandrake can go get you a list of servers to choose from and then show you the list. You can pick whichever one looks good to you. The main window then starts up. Updates are arranged in categories and displayed in an expandable list on the right side of the window. Information about each package is displayed to the right when you click on a package name to highlight it. Each available update has a check box next to it. Just check the updates that you want to install and click the Install button when you are ready.

An Open Plea to Someone Somewhere

Dear People Who Make Linux Things That I Want,

Please make versions of Apt and Yum for Mandrake. Yes, there is URPMI (a slightly similar command-line program for Mandrake). Yes, there is Mandrake Update. It's not enough. Those utilities are okay, but having Apt and Yum versions for Mandrake would help us move toward even more of a standard for installing software in Linux. Apt and Yum for Mandrake would make everything less confusing. I know people are working on this now, but let's get the effort more active. Apt and Yum for Mandrake would cure cancer, grow flowers, and give us all free cookies. Make them for me. Make them for Mandrake for me now.

Sincerely,

Susan

Installing Programs from Source

Back in the old days, we had to walk uphill to install a programuphill both ways, in 4 feet of snow, with no shoes, and dragging a dead horse with us. And we liked it! We had to install all new programs from the source code. You might never have heard of this method before. Installing from the source code is a unique benefit of open source software. With the source available to anyone, you can download that sourceeven edit it, if you know how toand then compile the program yourself. When you install from source, you are installing the program for your particular architecture and your particular computer, and you are doing it manually. Although this method isn't as easy as clicking an RPM file, it can give you a more efficient program because it was built for your system. If this all sounds hard and complex, don't worry; it is. However, you can follow a few easy steps to make sure you usually have a smooth install of a program.

The Magic 7 Steps to Installing Programs from Source
1. | Make sure you have development packages installed with your distribution. These were the software-development packages that were categories in your initial Linux installation. If you don't have the development packages, you can add them from your install disks.
2. | Download the source code, which is usually in a compressed .tar or .tar.gz archive file.
3. | Unpack the archive file using either your file manager or the command line.
4. | Open a terminal and use the su command to become the root user. Then go to the new directory created by the unpacked archive.
5. | Enter the command configure.
6. | Enter the command make.
7. | Enter the command make install.

Sure, those steps are harder than the one-step RPM install, but they're not too hard. Sometimes installing a program from source is the only avenue available to you if no one has created an RPM package of that program. For more details on those last three steps and an example, see ToolKit 3.8. One disadvantage to installing programs from source code is that programs are much more difficult to uninstall than ones that were installed using RPM packages. You have to hunt down each file installed by the program to delete it.

TOOL KIT 3.8

Install a SourceForge.net Project from Source: eLapse

Remember that open source timer program that we installed as an RPM? Let's download the source code and install it again. For fun, if you installed the RPM with me before, first uninstall the program with the command (as the root user) rpm -e eLapse before installing it again. Download the source code file, eLapse-0.2.tar.gz, from http://sourceforge.net/projects/elapse/.

1.
Open a terminal and go to the directory you downloaded the compressed file to.

2.
Unpack the tar file:

# tar -zxf eLapse-0.2.tar.gz

3.
Unpacking the archive created a new directory called "eLapse-0.2." Go into the directory:

# cd eLapse-0.2

List its contents to see what is there:

# ls

You will see a lot of files. When there is a README file and/or an INSTALL file, those are text files that you should read for instructions. This program is small and doesn't have much extra information in its instruction files, but other programs might put info in those files that can save you a lot of time.

4.
One file in the directory is named configure. That file is actually a program that checks your computer to see that all the software-development tools that the program needs are installed. Run configure:

# ./configure

Lots and lots of text will scroll by, some of it in an obscure language from a 1960s Star Trek episode. You don't have to catch it all; you can wait for the end result. If you are missing something that the program needs, you will see an error and can scroll back up to see what is missing. If you have a missing piece, try looking for it on your install disks. If you are successful, you will usually see your command prompt again.

5.
You are now ready to compile the program. You compile the source with a program called make:

# make

More gobbly-goop text scrolls past. If everything works, you will see the command prompt again.

6.
Right now you have a program. You can run it from the directory you are in. However, the program is not available in your system as a command. To make it a command, you need to do one more thing:

# make install

7.
Now you have installed the program from source. You can get out of this directory and clean up everything by deleting the compressed file and its resulting directory. You should be able to type eLapse at your command prompt to run the program.


Links

GkrellM: http://www.gkrellm.net/

Linux Printing: http://www.linuxprinting.org

Linux Printer Compatibility Database: http://www.linuxprinting.org/printer_list.cgi

Paper Airplane Resource Center (best use of printer test pages): http://www.paperplane.org/

Use the rest of the printer test pages to fold paper hats: http://www.cs.uu.nl/~hansb/d.origami/traditional/hat.html

Order yourself some new underwear: http://www.freshpair.com/

List of Winmodems: http://www.devidal.tv/~chris/winmodems/

Get your Winmodem running in Linux: http://www.linmodems.org/ and http://tldp.org/HOWTO/Winmodems-and-Linux-HOWTO-1.html#ss1.3

Basic networking information: http://www.linksys.com/faqs/default.asp?fqid=16 and http://computer.howstuffworks.com/home-network11.htm

Linux Wireless Network Guide: http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/

Sourceforge.net (a great place to get open source software): http://www.sourceforge.net

RPMFind.net (search engine for RPM files): http://www.rpmfind.net

RPM.pbone.net Search Engine: http://rpm.pbone.net/

Apt and Yum for Fedora on Freshrpms.net: http://apt.freshrpms.net/

eLapse Timer Program: http://sourceforge.net/projects/elapse/


Chapter 4. What's Your Preference?

I have a little twitch. I'm not quite obsessive compulsive. I don't have to wash my hands constantly or make sure to turn light switches on and off a certain number of times. My twitch happens when I see someone else's desktop. I walk up behind you when you are using your computer and see the default desktop wallpaper, the default icons, the default task bar items, and all the same colors that came with your desktop environment.

"Rrraaowuuga!" I yell as I stand directly behind you.

You jump, startled, and turn around. I don't like the furious look on your face.

"What?" I ask.

"Why are you sneaking up on me and yelling?" you ask.

"I'm not," I claim.

You look at me with incredulous eyes and a fed-up grimace. "I just heard you. What do you mean, you didn't do it? What do you want?"

I'm thinking that you're a little testy today, but, hey, I'll cut you some slack. You are reading my book, after all. "It's a twitch, you know, a tick. It's like Tourette's syndrome."

"Wouldn't that mean that you should be cussing me out right now?" you ask.

"Oh no, Tourette's has many forms. In fact, it's a common myth that most sufferers of the syndrome swear. Noises are more common," I kindly inform you. I pull out a tote bag. "Here. Please take this informative brochure on Tourette's syndrome. Also, here is a video tape of an admirable piece done on ABC's '20/20' about Tourette's. Barbara Walters, a paragon and legend of the journalism community, hosted '20/20.' She can make people cry faster than hot lemon juice on a self-inflicted flesh wound. Isn't she great?"

You're giving me that grimace again. "What do you want?" you repeat.

"Well, I don't really have Tourette's, but I can't stand to see someone's desktop when the wallpaper isn't even changed. It hurts me."

"I could hurt you," you say.

Although I think that is a kind offer, I don't think that I will take you up on it. I remind you that, instead of hurting me, you are supposed to be out in the world spreading that rumor that I am a genius.

"Why would it matter to you if I customize my desktop?" you ask.

I take a deep breath and sit down beside you. "Pull up a chair." You look down at the chair you are already sitting in. "Okay, I guess you have a chair. It's just that there are so many options in Linux for customizing everything about your desktop, fonts, wallpaper, colors, window borders, icons. . . . When you don't change any of it, I can't help but think that you're not living life to the fullest. It's like not stopping to smell the roses. It's like not ever taking that trip to Europe you always dreamed of. It's like not hugging your teddy bear."

You scoot your chair a little farther away from me.

"It's okay," I say, "We will get through this crisis together. Let's start off by looking at all of the ways to customize your desktop environment."

You remove the arm that I put on your shoulder and continue to move your chair farther away from me. You're such a joker, always kidding around and pretending you think I'm creepy.


What Can You Change on Your Desktop?

There are so many preference options in KDE and GNOME that you can make your desktop look nothing like a traditional desktop (see Figure 4.1). You can change everything from your desktop wallpaper to themes for your Window Manager to fonts and icons. KDE and GNOME each have their own tools to help you customize your desktop and make it your own.

Figure 4.1. Everything seen here is an integrated desktop object or panel in GNOME.

[View full size image]


KDE Control Center

Program Info

Fedora/GNOME menu

Preferences > Control Center

Mandrake/KDE menu

System > Configuration > Configure Your Desktop

Terminal command

kcontrol

One-stop shopping. Everyone likes that. The KDE Control Center makes configuring and customizing your desktop one-stop shopping. In the KDE Control Center, you can change most of the preferences for your desktop environment, from a simple task such as changing your desktop wallpaper to more complex jobs such as installing fonts and adjusting your screen resolution settings.

As we discussed in earlier topics, the KDE version in Mandrake is different than the KDE version in Fedora. Most of the changes were in an effort to standardize icons, themes, labels, and tools between GNOME and KDE with their "Bluecurve" theme. The KDE Control Center has a few different categories and items between Mandrake and Fedora. Let's look at the Mandrake version. Fedora KDE users can still follow along, but you might have to poke around the expandable list choices to locate a few items that have been rearranged.

UNDER THE HOOD

SETTINGS AND PREFERENCES

Don't just customize your desktop environment. Programs in Linux have lots of options, too. Whenever I try any new program, from a simple text editor to a whole new desktop environment, the firstplace I go is the Settings (or Options, or Configure, or whatever the customization menu item is in that program). Tweaking the settings is the best way to first poke around and see what a program can do, what you can do to make it your own, and learn some of the options that are available. Whenyou're done looking around in the settings, use the program for a bit and then go back to the settings again when you know some things that you might want to change.

The kcontrol interface is similar to the help section of many KDE programs. There are three tabs in a left column, a brief menu above, and a content area to the right. Of the three tabs, you will spend the most time in the Index. The Index is where the tree-view list of expandable items is for accessing the many parts of the Control Center. The Search tab enables you to search by keyword for what you want and then displays the matching modules of the Control Center in a panel below. Searching for modules can be helpful when you are new to the Control Center, but I find it more useful to just start at the top of the Index and work my way down the list, adjusting everything I want along the way. Then, the next time I use the Control Center, I already have a good idea where the preference I want is located in the Index. I tend to be more of the "poke around and find things" type than the "search and destroy" type, so use whichever method fits you best. From the Help tab, you can access the Control Center manual or read help topics on whichever module you have open. Simply highlight one of the subitems on the list and then hop over to the Help tab to see the text for that item.

In the menu under View > Mode, you can find Icon View and Tree View. It's best to stick to the default tree view because the icon view is jumbled and confusing. Under the Settings menu are choices for shortcuts. The Help menu does the same thing as the Help tab, but the tab view is easier to look at and work with.

Back in the Index tab is where all the fun is. There are 11 items in the tree view, each with several subitems. All the choices might seem daunting at first. Take a little bit of time to work through the list, and you will learn more about the possibilities of your KDE desktop than regular use could give you in a week. Here is a brief description of each of the main categories.

Accessibility

Settings for people with disabilities are in the Accessibility module. You can adjust language preferences in CountryRegion & Language, as well as how dates and money information are displayed. You can also adjust your keyboard layout by region. The Keyboard Shortcuts module is useful for power users as well as users with disabilities. Be careful when changing and adding keyboard shortcuts. You could inadvertently change a keyboard shortcut specific to another program or add a dumb keyboard shortcut, such as setting the spacebar to something that would make that action come up constantly while typing.

Components

The Component Chooser and File Association modules are important to you if you plan to use programs other than those that KDE chooses as the default programs for e-mail, text editing, the terminal, and many document, image, and multimedia types. The Session Manager lets you adjust a few things that happen automatically when you log in and out of KDE.

Information

The Information section is just what it says it is: information. There aren't any settings to adjust here, but you can view info about your system status.

LookNFeel

This is the big one. The LookNFeel section has most of the fun options in it (see Figure 4.2). You can change almost everything about the look and feel of your desktop. Check out Table 4.1 for paths to some common settings. These are the settings for which it is better to just go through than to read about. Some KDE particulars include the Behavior and Window Behavior modules, where you can change things such as mouse focus, system behaviors, and how your windows behave when minimizing and closing. The rest of the modules mostly cover the look of your desktop environment, so have fun and play.

Figure 4.2. The KDE Control Center with the LookNFeel section expanded.

[View full size image]

Table 4.1. How to Find Frequently Used Preferences in the KDE Control Center

Desktop wallpaper/color

LookNFeel > Background

or

Right-click your desktop and choose Configure Desktop

Window theme

LookNFeel > Colors to change individual colors or load and save color schemes

LookNFeel > Style to change window controls using themes

LookNFeel > Window Decorations to change the window frame and top buttons using themes

File associations

Components > File Associations

Default fonts

LookNFeel > Fonts

Screensaver

LookNFeel > Screen Saver

Keyboard and mouse settings

Peripherals > Keyboard

Peripherals > Mouse

Printer addition and configuration

Peripherals > Printers

New fonts

System > Font Installer

Notification sounds

LookNFeel > System Notifications

Network

Most of the modules in the Network section have preferences that you can also set in individual programs. The E-mail module settings apply only if you use KMail as your e-mail program. If you are on a local area network on which a common username and password is required to access shares on other network computers, you can set those in the Local Network Browsing module. The settings are effective when using Konqueror and Samba to browse network computers. You can play with the sliders in the Preferences module, but they can easily be left alone. The Proxy module settings require information about your network and firewall. If you are in an office environment, your network administrator should help you.

Peripherals

The Peripherals section can be useful for dealing with devices that are complex to make adjustments to and add with only command-line tools. You can change your screen resolution and gamma, and work with multiple monitors in the Display module. Be careful adjusting the refresh rate unless you know the proper range for your monitor. Keyboard adjustments include the repeat rate and delay, numlock, and key click volume. For your mouse, you can adjust right-handed or left-handed mode, clicking preferences, cursor themes, and speed. Printers is an important module with tools for adding printers, monitoring jobs, setting up network printers, and doing PDF conversion.

PowerControl

The PowerControl section has only one item in it. Here you can enable or disable power management. With power management enabled, you can adjust the amount of time before your computer goes into standby, suspend, or power-off when there has been no activity within the set time.

Security

In the Crypto module, you can adjust settings for, add, or delete Secure Socket Layer (SSL) certificates and authorizations. If that sentence just made your eyes glaze over in a moment of techno-ignorance, leave the Crypto module alone. Frankly, most advanced users won't need to adjust these settings, either. The KDE Wallet System is a place to keep personal information handy for use on Web pages, to keep passwords, and to make your life easier. Anything designed to make your life of passwords and security easier puts that information in potential jeopardy, so use the KDE Wallet with care.

Sound

If you are familiar with sound card settings, the preferences in the Sound section will be useful for you. Newer users should leave the Mixer and Sound Settings areas alone. Check that box in the System Bell area only if you enjoy being annoyed by bells constantly.

System

You can install new fonts, add keyboard shortcuts and mouse gestures (movements to trigger commands or actions), change the look of your login manager avatar, change your system password, and adjust default directory paths all in the System section. You can also change the look of the login manager by choosing Administrator Mode and entering your root password. The KDE Performance module is another area to be careful with. You can adjust the amount of memory used by KDE, but keeping the default middle ground is the best choice.

WebBrowsing

Most of the preference settings in the WebBrowsing section are actually the settings for the Konqueror Web browser in KDE. Make adjustments to all of these preferences when you have Konqueror open so you can see what you are changing.

There are so many options in the KDE Control Center that you will learn much more by playing with the options yourself. Don't be afraid that you will horribly break things. If you are afraid, change only one or two things at a time and then click Apply to see the changes. You can also keep your mouse hand ready to click the Defaults button in each module to undo any changes that you make.

TOOL KIT 4.1

Change KDE Wallpaper, Theme, Window Decorations, and Colors

The best place to look for anything to do with the look of KDE is, naturally, http://www.kde-look.org. At kde-look, you can find icons, wallpapers, themes, splash screens, and everything else you need. You can still look for icons and themes elsewhere, but kde-look has the largest collection and is the safest place to download themes, to ensure that you don't get any oddly corrupted files.

Today we are going to grab a desktop wallpaper from the Web site. Plenty of good themes come with KDE, so we will use two of those for the style and window decorations.

1. | Fire up a Web browser and head over to kde-look.org.
2. | Under the category for Wallpapers, navigate to find one you like that fits your current screen resolution. If you don't know your current screen resolution, look in the Control Center under Peripherals > Display. Save your wallpaper to your computer, somewhere you can find it, or create a folder such as /home/[username]/MyLook/. I'm choosing the one called Spot the Fish.
3. | Open the KDE Control Center and go to the LookNFeel section.
4. | First choose Background. In the content area on the right, you should see two outlined sections, Background and Options. In Background, Picture should already be chosen. Use the file icon to browse for your new wallpaper image. Mine is in /home/susan/MyLook/2992-pinguinz_1024.jpg. If you chose a wallpaper image that is the right size for your resolution, you can click Apply and be done. If you have an oddly sized image, use the Position drop-down list to choose Scaled, Centered, or Centered Auto Fit. You can click Apply after trying each setting and then look at the wallpaper to see which you like best.
5. | In the Control Center LookNFeel section, next go to Style. There are three tabs. On the Style tab, use the drop-down list in the Widget Style section to choose a style theme that you like. The whole bottom part of the tab previews each style for you. I'm going with Thememdk. Click Apply when you decide on one. The Effect and Miscellaneous tabs have features for visual effects such as transparency and tear-off menus. Some of the effects can be processor intensive for your computer, so don't enable too many until you see if they slow your computer's performance too much.
6. | Go to the Window Decorations section of the Control Center's LookNFeel list. On the Window Decorations tab, use the drop-down list to choose which one you like. It will be previewed for you below. Click Apply when you are done. I will use the theme Glow.
7. | Finally, you can change the colors to match. Go to Control Center > LookNFeel > Colors. You can choose a predefined scheme in the Color Scheme selection box or create your own scheme by using the Widget Color drop-down list to choose each widget type and then choose a color below. You can also change the contrast. It is a good idea to save your custom scheme so you won't have to re-create it later if you try out some changes. Use the Save Scheme button below the Color Scheme select box. I am going to call mine Hoofooglers. Click Apply when you are done.
8. | Close the Control Center and behold your creation.

You can download new KDE style themes and window decorations themes from kde-look.org. If you download a theme, pay attention to the install directions on that theme's page. Installing a new theme is similar to installing software from the source code. You need to open a terminal and follow the install directions for that theme. Make sure you download a theme for your version of KDE. If you are not sure of your KDE version number, open the Control Center and, without clicking or highlighting anything, look in the content area on the right for the number next to "KDE version."


GNOME Control Center

Program Info

Fedora/GNOME menu

Preferences > Control Center

or the Start Here icon on your desktop

Mandrake/KDE menu

Applications > System > Configuration > GNOME > GNOME Control Center

Terminal Command

gnome-control-center

GNOME doesn't really have a control center. I think they started calling the collection of preference modules a Control Center because that is what KDE calls it. Names aside, the GNOME Control Center is a view of icons in the Nautilus file manager (see Figure 4.3). Besides main menu and terminal command access, you can open Nautilus in file browsing mode and type preferences:/// into the address bar to access the Control Center icon view. Of course, Mandrake and Fedora have a few differences in the GNOME Control Center. Most of the differences are in the icons used and the labels attached to each module.

Figure 4.3. The GNOME Control Center view has most of the same items found in the Preferences menu on your main menu.

With the GNOME Control Center merely consisting of a collection of icons, you can double-click on any icon to access the dialog box for that preference module. If you want quick access to any single module, you can choose it from the submenu in the main menu under Preferences. One theming option is not in the Control Center. You can find the preferences for changing GDM (your login manager) themes in the main menu under System Settings > Login Screen. Whereas the KDE Control Center contains a few items that could be considered system administration tasks, the GNOME Control Center has only personal preferences. GNOME keeps all the system administration tasks in the main menu under System Settings and System Tools. Let's look at the GNOME Control Center in Fedora.

Accessibility

The Accessibility option in the main menu is a submenu, so here it acts like a sub as well by opening a new icon view of two more module icons. The Accessibility module is where users with disabilities can adjust keyboard and mouse options to make access easier. Some of the keyboard settings are repeated in the Keyboard and Mouse modules. In the Assistive Technology Preferences dialog box, you find options for a screen reader, a magnifier, and an on-screen keyboard.

More Preferences

The More Preferences icon is another pointer that opens a new icon view of five other icons. Most of these options are advanced, are unnecessary to change, or can be accessed elsewhere.

About Myself

In case you didn't know your name when you were asked for it during the installation, you get a second crack at getting that question right. You can score bonus points for knowing your phone number and office information. None of that information is important to complete. Leave the Login Shell option set to /bin/bash.

CD and DVD

This module is a wonderful addition to GNOME. You can set what action is taken automatically when different types of CDs or DVDs are put into the drive. Sure, GNOME stole this idea from Apple, but it is still nice to have. Try the defaults before you decide to make changes.

Control Center

I cannot tell you why there is a Control Center icon in the Control Center. Because the Control Center view is just a copy of the main menu items under Preferences, this icon snuck into the view. You can click on it all day, but this icon isn't going to do anything but open the window you already have open.

Desktop Background

The Desktop Background module is the place to add pictures of naked farm animalsor whatever you liketo your desktop. The options are simple: Choose a picture, set the style, and pick a color.

File Types and Programs

When you double-click a document, media file, archive, or image in your file manager, Nautilus, a default application, attempts to launch. If you don't like the default program that Nautilus uses for a particular file type, you can change it here. You can also add file types that are not already defined and set applications for file types that do not have an associated application. This module gets better with each release, but File Types and Programs is still one of those preferences that you should be careful with. If you set an application for a specific file type and then change your mind later, taking out the association can be frustrating.

Font

The Font Preferences dialog box is another way to make your desktop look all your own. You can change the default fonts used for applications, desktop icons, window titles, and the GNOME terminal.

Keyboard

You can change the keyboard speed settings and regional layouts in the Keyboard module. A very groovy new feature in this dialog box is the Typing Break tab. If you are someone who forgets to take frequent breaks to move around, give your eyes a rest, and stave off carpel tunnel fun, use the typing break options to enforce breaks.

Keyboard Shortcuts

You know what keyboard shortcuts are. GNOME has a lot of keyboard shortcuts set up already for you, but you can adjust them here. Be careful that you do not use a keyboard shortcut that will interfere with one being used by an application. Also make sure that you don't set any keyboard shortcuts that will activate too easily when you are working on something else. For instance, Enter would be a bad keyboard shortcut.

Login Photo

Use the Login Photo module only if you have set your login manager, GDM, up to use the face browser option. If you did that, you can choose a picture for it here. With all of the cool themes for GDM, you don't really need the face browser.

Menus & Toolbars

This is a simple dialog box with only a few choices for how you want to view the menus and toolbar in different applications.

Mouse

In the Mouse module, you can change your click speed, decide whether you are left-handed, and adjust cursor and mouse speed options. You know, they used to burn left-handed people as witches. I'm not saying anything about youI'm just telling you that. (*ehem* witch! *ehem*)

Network Proxy

In an office environment, you will need your network administrator to help you with your proxy settings. If you have a proxy server in your home, then you, or whoever set it up for you, will know what to do with the Network Proxy module.

Password

To change the password for your username, open this dialog box, enter your current password, and then enter your new password. This is not the place to change your root password. To change your root password, go to the main menu and choose System Settings > Root Password.

Preferred Applications

Fedora and GNOME choose default applications for you, but once you decide on your favorite programs, you will want to visit the Preferred Applications module. You can choose a preferred Web browser, mail reader, text editor, and terminal application.

Screen Resolution

Here you can change your screen resolution and the refresh rate for your monitor. Don't mess with the refresh rate unless you know the range your monitor allows. Check any paperwork that came with your monitor or search online for documentation to find out the capabilities of your monitor.

Screensaver

The screensaver in GNOME is the XScreenSaver program, so this module brings up the XScreenSaver preferences. You can choose from a bazillion already installed screensavers, have random screensavers or only one, and set the time for the screensaver to activate. The Advanced tab has lots of picky settings for using desktop images in screensavers, diagnostics, and color maps. You might want to check out the Display Power Management section for standby and sleep options.

Sound

These preferences handle the sound server, Sound Events (system notification sounds), and the System Bell. Each option is pretty clear just by reading the description. You won't break anything by trying out these options, but you might annoy yourself with a few of those sound choices.

Theme

The Theme module (see Figure 4.4) is one of the most important, as far as my fun factor is concerned. Themes are where you can radically change the look of GNOME. There are four types of themes: large overall themes, window controls themes, window border themes, and icon themes. The last three are in a subdialog box that shows up when you click the Theme Details button. When you make changes in the subdialog box, your overall theme shows up as a custom theme. You can then save your custom theme.

Figure 4.4. The GNOME Control Center's Theme Preferences and Theme Details dialog box.

[View full size image]

Windows

Open this one, and you see the Window Preferences dialog box with options for focus follows mouse (Select Windows When the Mouse Moves over Them) and other options for window behavior and moving windows.

GNOME makes changing your preferences painless. Most of the options in the modules need little explanation. You can try them without fear that you will mess up anything very important. The modules don't have a Defaults button as the KDE Control Center does, so remember what you change, in case you want to undo your actions. I often find it easier to access the modules in the GNOME Control Center through the main menu, especially for changing only one or two preferences.

Table 4.2. How to Find Frequently Used Preferences in the GNOME Control Center

Desktop wallpaper

Desktop Background

Window theme

Theme > Theme Details > Controls

Theme > Theme Details > Window Border

Window colors

You can change window colors only by changing the window control and window border themes.

File associations

File types and programs

Default fonts

Font

Screensaver

Screensaver

Keyboard and mouse settings

Keyboard

Mouse

Printers

[Main Menu] > System Settings > Printing (root password required)

New fonts

Installing new fonts is not in the Control Center but is easily done. Open Nautilus, type fonts:// in the address bar (or use File > Open Location if Nautilus is in spatial mode), and then drag and drop TrueType font (.ttf) files into the directory.

Notification sounds

Sound > Sound Events

TOOL KIT 4.2

Change GNOME Wallpaper, Theme, and Window Decorations

Desktop wallpapers are all over the Internet for you to download. When you want a GNOME- or Linux-related image, you can head over to http://art.gnome.org or http://gnome-look.org. Besides wallpapers, you can download window control themes, window border themes, GDM (login manager) themes, icon themes, individual icons, tutorials, and more.

Let's download a wallpaper image to use. Then we can change the window border and control themes using some of GNOME's already installed choices.

1. | Open a browser, such as Mozilla, GNOME's default browser, and go to http://art.gnome.org.
2. | Click on the link for either Backgrounds > GNOME or Backgrounds > Other. Choose a background image that you like and download it. The background images on art.gnome are not arranged by resolution, so download one that is at your resolution or larger. If you don't know your current screen resolution, look in the Control Center under Screen Resolution. Save the image to your computer somewhere you can find it, or create a folder such as /home/[username]/MyLook/. I'm choosing the one called Big Munkey (Blue).
3. | Open the GNOME Control Center and click the Desktop Background icon.
4. | In the Desktop Background dialog box, click the Add Wallpaper button. Browse to the directory where you saved your wallpaper image, select the image, and click Open. Use the drop-down choice next to Style to choose the placement style that works best for that image. Click Close when you are done.
5. | Now we want to change the themes. In the Control Center, dourble-click the Theme icon. You'll see a list of themes. Click any of them, and the theme immediately takes effect. Like one? Just click the Close button. Like only parts of a theme? You can mix and match by clicking the Theme Details button.
6. | To change the window controls theme, click any of the themes in the list on the Controls tab. The theme changes right away.
7. | To change the window border theme, use the list on the Window Border tab. Select different themes to see them applied.
8. | Click the Close button when you are done with the theme details. Back in the main Theme dialog box, your theme now is listed as Custom. If you want to save the current theme choices, click the Save Theme button. You can fill in a name and description for your custom theme. Click Close when you are done.
9. | Check out your new desktop, resplendent in its pulchritudeyou know, pretty.

Installing new window border and control themes in GNOME is easier than it is in KDE. All you need to do is download the compressed file from a Web site with GNOME themes, such as http://art.gnome.org or http://gnome-look.org. Open the Theme dialog box in the Control Center and click the Theme Details button. Go to the right tab for the type of theme that you downloaded and click the Install Theme button. Select your downloaded file, and you are done. You should see the new theme that you installed in the list on the appropriate tab.


Icons

Most distributions try to design a nice icon set for the default desktop. You could use the default set of icons, but then you would be default. Default is mediocre. You don't want to be mediocre, do you? Do you want to be mundane? Unexciting? I think better of you than that. I think you want to put your own personal stamp on every aspect of your desktop. We spend so much time in our desktop these days that we should make ourselves at home there. I might be badgering you, but I think it's really fun to find new icons and design the desktop I live in.

Desktop and Panel Icons

Changing icons for items on your desktop and panel is easy. Whether you are in KDE or GNOME, you just have to right-click the item and choose the new icon that you want.

To change icons for desktop and panel items in GNOME, right-click the item and go to Properties on the right-click menu. Click the icon in the Launcher Properties dialog box. You will be in a dialog box to browse the icons in the directory where the current icon lives. Select a new icon from one of the icons displayed, or use the address bar to type in or browse for a different directory. Click OK when you are done.

UNDER THE HOOD

CHANGE THE MAIN MENU ICON

A simple right-click on your main menu icon doesn't give you a way to change the icon for the main menu. Neither Mandrake nor Fedora wants to encourage you to take its logo off your desktop. If youcannot fight the desire to change the main menu icon, you have to find the image file itself, rename it, and then copy the image you want to the original name and location of the main menu image file. The image locations change depending on your distro, version, and other factors, but two good places tostart the detective search for the main menu icon image file are these:

Fedora: /usr/share/icons/Bluecurve/48x48/apps/gnome-main-menu.png

Mandrake: /usr/share/icons/mandrake.png

Alternatively, you can search for the filenames to find out what supersecret place they are hidden in.

In KDE, the method to change icons for desktop and panel items is almost the same as in GNOME. Right-click the item, choose Properties from the menu, and click the picture of the icon in the dialog box. The difference in KDE is that you have two categories to choose the new icon from, system icons and other icons. The system icons are the ones that come with KDE. Clicking Other Icons brings up another available directory full of icons, such as /usr/share/pixmaps, as well as a Browse button. Use Browse to go to another directory of icons that you choose, such as one you might have downloaded an icon image to.

File Manager Icons and Emblems

Your file manager need not be the plain sea of folders that you see by default. You can change many aspects of the look of Nautilus and Konqueror, including icons, emblems, and background colors and images. Personally, I tend not to mess with these customization options too much because I don't spend a lot of time in my file manager. However, you might be a file-browsing fool who wants green camouflage backgrounds and tiny kitty icons.

You cannot directly change the icon for each item in Nautilus. You can, however, add an emblem to any item. An emblem is a small icon that sits next to the item denoting a category or whatever you want to use it to denote. To add an emblem to an item in Nautilus, right-click the item, choose Properties, and then go to the Emblems tab. You will see a whole bunch of small icons. You can check as many as you like and then click OK when you are done. You can change the icons for file types in Nautilus by installing Nautilus themes that you can download from the Internet. Nautilus toolbar icons are affected by your choice of window control theme, but not all window control themes include Nautilus icons with them.

In Konqueror, there are no emblems. You can right-click any item in Konqueror to change the icon for that item, just as if it were a desktop item. Icons for different file types and for the Konqueror tool bar are often changed when you install a new desktop style theme.

Both Nautilus and Konqueror give you the option to change the background of your file manager. You can choose from preinstalled patterns, add your own pattern image, or choose a solid color. In Nautilus, go to Edit > Backgrounds and Emblems in the menu bar. Nautilus has options for patterns and colors, and a place in this dialog box to add new emblem images. In Konqueror, you go to View > Background Color or View > Background Image from the menu bar. Both file managers allow great flexibility for the look of your directories, but they also provide a couple hideous choices to steer clear of.

Finding and Creating New Icons

You can never have too many icons. Although both KDE and GNOME come with lots of good icon choices, you will have to look online to find more unique icons. There are lots of Web sites for icons, including the same great sites we looked at for themes, kde-look.org and art.gnome.org. You can find icons on non-Linux Web sites as well. Good sites such as http://www.deviantart.com/ and http://www.wincustomize.org/ have mostly Windows icons, but you can grab them for use in Linux as well. The Links section at the end of this topic has more URLs for desktop customization sites. Just download any file and then convert it to a .png file to use it as an icon.

To create icons in Windows, you have to use programs that will work with the special .ico file type. To create icons in Mac OS X, you have to use a special file type as well. To create icons in Linux, you don't need any voodoojust a graphics editor. Most icons in KDE and GNOME use the .png file type. Unlike .ico files, PNG files are common and can be created by most graphics editors. When creating your own icons remember a few general rules of thumb:

  • Keep your image square.

  • Size your image as 32 x 32 pixels or 45 x 45 pixels, for the most flexibility.

  • Make the surrounding space of your icon transparent.

  • Keep the image simple. Complexity doesn't come through well in such a small image.


Fonts

Fonts used to be one of the big "issues" in Linux. You couldn't tell anyone that Linux was ready for the desktop while they were making faces at the weird, jagged fonts on your screen. I made those faces, too. A few versions back, we got the ability to use TrueType fonts and antialiased fonts. No one makes faces anymore.

The default fonts that come on most Linux distributions are much nicer than they used to be. The fonts in the Lucida and Nimbus families can be used in place of a favorite sans serif font such as Arial. In addition to the Linux font families, you can download fonts from the Internet to use in Fedora and Mandrake. Download almost any .ttf font file (.ttf files are usually Windows fonts) and then install it.

Install Fonts in Fedora/GNOME

Open Nautilus, type fonts:// in the address bar (or use File > Open Location, if Nautilus is in spatial mode), and then drag and drop TrueType font files (.ttf) into the directory.

Install Fonts in Mandrake/KDE

In the KDE Control Center, go to System > Font Installer.

Some TrueType fonts found online are copyrighted material or for purchase only. There are lots of free font sites online to download from. Look up something such as "free font download" in your favorite search engine to get lots of hits. Make sure you have your pop-up blockers on in your browser, and prepare yourself for blinking text. The free font sites are heavily saturated with ads.

Both KDE and GNOME give you a place in their Control Center to change the fonts used for window titles, menus, the terminal, and more (see Figure 4.5). Some programs also offer their own font choices.

Figure 4.5. A custom font for everythingthe Font preference in Fedora.

UNDER THE HOOD

AVOID THE ICON FILE TYPE TANGLE

Yes, you can convert Windows .ico files and Mac icon files to .png files to use as icons in Linux. You can also easily convert GIF and JPG files to PNG. Why bother with all that mess? If you see an icon you like online, just take a screenshot. Then open a graphics editor such as the GIMP and open the screenshot image. Crop the image of the icon you liked, clean it up, and save it as a .png file. You're done converting the icon, and you didn't have to worry once about what file type the original icon was in.


Links

GNOME's theme sites:

http://art.gnome.org

http://gnome-look.org

KDE's theme site:

http://www.kde-look.org

Other Linux theme sites:

http://www.themedepot.org/

http://themes.freshmeat.net/

http://www.wincustomize.org/

http://www.deviantart.com/


Chapter 5. Browse the Internet

Did you ever have a diary? I remember the diaries with the little locks on them that gave the appearance of containing deep and detrimental secrets that would shock even the most avid viewer of daytime soap operas. Everyone with a diary hid it. They walked through life in fear of someone finding and reading the diary. I remember finding my sister's diary once. It wasn't very interesting because she was only 14 at the time. I'm sure someone somewhere still has one of those locked-up books, but diaries have changed in the online world. Not only is the lock off the little book, but the little book is displayed online for all to see. Enter the era of the blog.

Blogs are personal Web sites that can be public diaries, lists of links, political journals, or anything in between. The blog, which is short for "Web log," started out as people posting their browsing habits and favorite Web sites. The personal journal entered the equation next, providing highly addictive online reading for many a closet voyeur. Today blogs are everywhere and have gained a curious importance in our society and culture. It is hard to meet someone anymore without anticipating the URL of their blog. In the 2004 presidential race, blogs helped shape the rhetoric and course of the campaigns, with bloggers even being invited to be press correspondents at the conventions of both parties.

Browsers were one of the killer apps that first helped make the Internet into a popular phenomenon. The power of Internet browsers turned a made-up verb such as "to blog" into an addictive reading obsession. The browser is the center of our online experience, where we can look up things, read e-mail through online clients, and completely do away with the phone book. They have gone from a tool to simply find information, to virtual shopping malls, to communities full of blogged gossip and whiney high school girls pouring out their daily troubles. Before I found blogs, I never knew how interested I was to find out each day what happened in the life of a 30-something businessman or how school went for some 14-year-old girl in the Midwest. Maybe I ought to find my sister's diary again from when she was 14; it's probably more interesting now than I thought it was.


Mozilla

Program Info

Fedora/GNOME menu

Internet > Web Browser

Mandrake/KDE menu

Internet > Web Browsers > Mozilla

Terminal command

mozilla

Program URL

http://www.mozilla.org

Let me tell you a tale of a little browser rendering engine that was developed by a big company, was abandoned by that company, and then rose to become even greater than that company. Let me tell you a tale about the Mozilla Web browser (see Figure 5.1). In the late 1990s, facing the rise of Internet Explorer in the browser wars, Netscape released its code as an open source software project. It created a team of developers, called the Mozilla Organization, to work on the project. Netscape was both supporting the open source software community and enlisting its help to move the Netscape browser forward. As time wore on, AOL bought Netscape, and the Mozilla Project was alternately embraced and abandoned. In 2003, all ties were severed between AOL's Netscape and Mozilla. Now the Mozilla Foundation, a nonprofit organization, leads the development and release of new versions of Mozilla and related software projects.

Figure 5.1. Mozilla running in Fedora.

[View full size image]

Why bother to tell you any of this? Because it's funand because you might notice a marked similarity in Mozilla to Netscape. Most of the menus, some skins, and many features of the two browsers are the same. Mozilla has been breaking away along its own path in the past couple years, though, and is creating new software projects and adding new features to its browser.

Mozilla is the browser darling of the Linux world. The browser comes installed with both Fedora and Mandrake. Even Windows users are starting to switch to Mozilla and its other browser project, Firefox, because of security vulnerabilities in Internet Explorer. Mozilla features a full suite of Internet applications, including the browser, a mail client, a newsgroup reader, a chat client, a Web page composer, and a blender. Okay, not a blender, but it would be nice if Mozilla could make a good daiquiri.

The Mozilla browser, still labeled as Navigator from its Netscape days, can feel a little heavy at times with all the features and other programs in the suite. The browser features tabbed browsing, a pop-up ad blocker, an image manager, theming options, and tools for managing cookies, passwords, and downloads. No wonder the browser can be slow to load on some computers.

The layout of Mozilla is similar to that of most browsers. You have a menu, a toolbar, an address bar, a bookmarks bar, a main content area, and the status bar. In the menus, you have access to all the tools and preferences that you will need. Here are a few of the more interesting menu items:

  • File > Edit Page Enables you to open the current page in Composer.

  • File > Work Offline Enables you to save content for offline viewing, a handy option for laptop computer users.

    UNDER THE HOOD

    THEME ME

    Mozilla has great support for themes, but the themes in Mozilla can get confusing. You can change or add themes by opening the Preferences dialog box, Edit > Preferences. In the Category sidebar,go to Appearance > Themes. The themes you have installed display in a list. To choose one, highlight it in the list and click OK. You can download new themes by clicking the Get New Themes link. Now, here is where things get confusing. Mozilla is under constant development, so the API for the program changes. This means that a theme that worked for one version will not necessarily work for another. Find out which version of Mozilla you are running by going to Help > About Mozilla. Then use the version key icons on the Mozilla themes site to make sure that you choose a theme that will work for your version of Mozilla.

  • Edit > Preferences Serves as the place to set up your home page and really configure Mozilla how you want it.

  • View > Text Zoom Changes the size text is displayed at, to make it easier to read for visually impaired users or for me when I am kicked back in my chair far away from the screen.

  • View > Apply Theme Gives quick access to installed themes to change the look of Mozilla.

  • Go > Shows your last few Web destinations in a list, for easy backtracking.

  • Bookmarks > Manage Bookmarks Lets you organize, add, delete, import, and export bookmarks for the Bookmarks menu and for the Personal Toolbar Folder (the bookmarks bar).

  • Tools > ___ Manager Each of the different Manager items lets you control the saved content for a particular Web page.

  • Tools > Web Development > JavaScript Console Opens a window that can aid in finding errors in and developing JavaScripts.

  • Help > About Plug-ins Shows a display of currently installed multimedia plug-ins.

Looking down the rest of the Mozilla interface, you see the toolbar, bookmarks bar, main content area, and status bar. On the Mozilla toolbar, you find the buttons for controlling page navigation, Back, Forward, Reload, and Stop, but you also see the address bar and a Search button. With the search function, you can type search terms into the address bar and click Search to perform a search using your favorite search engine. The bookmarks bar has a Home button for returning to your browser home page and a listing of all the bookmarks in the Personal Toolbar menu in the Bookmarks menu. The main content area displays Web pages. The status bar tells you when something is loading and displays security information.

Using Mozilla is easy. Most computer users have used a Web browser. The extra features that the Mozilla development team has added to Mozilla, and the improvements that are added with each new release, mean that Mozilla is just going to get better and better. Each new software project from Mozilla supports Linux and takes advantage of new opportunities given by the desktop environments. New releases are frequent and allow for user feedback in between releases through its Bugzilla program ( https://bugzilla.mozilla.org/ ).

TOOL KIT 5.1

Get Your Essential Mozilla Preferences Set

I always set a few preferences options as soon as I open a newly installed version of Mozilla. When you spend enough time online, you start to get particular about the tools that you use. So, open the Preferences dialog box in Edit > Preferences to get started.

1. | Set Your home page: Navigator. I am an odd duck who lives online, so I create my own home page full of links to supplement my bookmarks. You're probably not so weird, so choose a good starting place for you on the Internet, such as a search engine or portal site.
2. | Choose a search engine: Navigator > Internet Search. The Search button on Mozilla's toolbar is a very nice feature, but it can be annoying if the search engine that the button uses is not set to your favorite search engine. The popular favorite right now is Google.com.
3. | Enable all tabbed browsing options: Navigator > Tabbed Browsing I love to use tabbed browsing, so I always check all the boxes for tabbed browsing so I only ever need one browser window open.
4. | Decide your cookies preferences: Privacy & Security > Cookies Cookies are a touchy subject in Web browsers. Advertisers and Web sites can use cookies to measure and report your Internet browsing habits for their own demographic information. Some people don't care about it. Some people think that it is spying and hate it. I've landed on both sides of that argument at different times. Decide how you feel, and choose the settings that you want.
5. | Make sure pop-ups are blocked: Privacy & Security > Popup Windows. I'm not sure that there is anyone who doesn't hate pop-up ads on the Internet. Mozilla's built-in pop-up blocker works well. You can choose whether you want Mozilla to notify you when a pop-up ad is blocked. I like to be paranoid and double-check that this feature is enabled. When you are done, be sure to click OK to apply your changes. Use Mozilla for a bit, and then open the Preferences dialog box again to explore the other options you can adjust to suit you.


Mozilla Firefox

Program Info

Terminal command

firefox

Program URL

http://www.mozilla.org/products/firefox/

I always loved Mozilla for its great features, but there were little details that I had to look past. With so many components and accompanying programs, I felt like I was loading up a troop of drunken circus elephants every time I started the program. The themes were a great thing to have, but I had to use a theme. That clashed with my carefully matched set of desktop environment themes. The Search button was great, but it was too easy to type search terms into the address bar and press Enter instead of clicking on the Search button, resulting in error messages. I stayed loyal: After all, Mozilla was still my favorite browser for Linux. Then Mozilla heard my unuttered annoyances and answered with the Firefox browser (see Figure 5.2).

Figure 5.2. Mozilla Firefox with the Noia Light theme.

[View full size image]

Firefox is Mozilla Jr.like Donkey Kong Jr., except that it would make for a boring video game. The program is much lighter and reduces to a more basic set of features. You still have pop-up blocking, tabbed browsing, and a download manager, but there is no mail or composer. The Search button has been replaced with a small search bar next to the address bar that can search a search engine or the current page. There are themes, but they don't take over your whole browser window. The themes are for the toolbar buttons and other icons, leaving the window color and widgets to be controlled by your desktop environment theme. You can also rearrange the toolbar buttons to place them wherever you like and customize which buttons appear.

The layout of Firefox is much like that of Mozilla and other browsers, but it rids itself of the remaining Netscape baggage that Mozilla carries. The interface strikes a good balance between the usability of Mozilla and the familiarity for so many users of Internet Explorer. That makes Firefox not only a good browser, but also a good browser to help users transition away from IE. The menus and toolbar buttons are similar to Mozilla's, with a few exceptions for you to explore and poke at. The preferences are again accessible in Edit > Preferences. If you have a slightly older version (before 1.0), the prefs were in Tools > Options. The Preferences dialog box in Firefox is much more usable than Mozilla's. Categories are accessed with five side icons instead of the mouse-clicking frenzy of an expandable tree view. Each category's options are intelligently laid out and are easy to decipher.

Firefox isn't just a small, simple browser. Extensions are small add-on programs that you can download to install or install from right inside the browser. An available extension was written for almost anything you can think of, including blogging tools, Web development tools, more complex ad blockers and cookie managers, games, mouse gestures, and extensions to change how pages are displayed. You can open the Extensions dialog box by going to Tools > Extensions. Click Get More Extensions to go to the Web site where all available Firefox extensions are listed. Using extensions is a terrific way to allow users to make their browser as simple or complex as they want to.

TOOL KIT 5.2

Find and Install Extensions in Firefox

Blogger.com is a popular blogging site. You can get a whole blog started for yourself at Blogger in less than five minutes. With so many people using their service, a user wrote a Mozilla Firefox extension to provide easy access to Blogger.

1. | Open the Extensions dialog box at Tools > Extensions. There is nothing listed right now, so let's install one.
2. | Click the Get More Extensions link. Firefox opens a separate browser window at the extensions Web site.
3. | Find the extension named BlogThis, either by going to the blogging category or by finding it alphabetically in the list of all extensions. Click it to get to the description page for that extension. Click the Install Now link.
4. | You see a pop-up warning about installing software. Calm Firefox down and click OK.
5. | The Extensions dialog box comes to the front again. The BlogThis extension is listed, but there is a message telling you that the extension needs you to restart the browser.
6. | Close Firefox and reopen it.
7. | On any Web page, right-click in an empty space. There is now a BlogThis option in your right-click menu.
8. | You see a pop-up window with fields to enter your Blogger username and password. Log in and use Blogger's BlogThis interface to send an entry to your blog.

UNDER THE HOOD

WHAT'S IN A NAME?

I think that Mozilla's Firefox browser might be in the witness protection program. The program started out as Mozilla Phoenix, and then some other program claimed a previous use of the name. The name was changed to Firebird, and then that name was also found to be too close to another program's name. We now have Firefox. So, if you are looking up information about this browser online, don't ignore mentions of Phoenix and Firebird, but keep in mind that those are older versions of the browser.

FRIDGE

Why Are We Banning Books?

I was so angry when I read a blog article recently that I could have choked a Barbie. The American Library Association came out with the list of most banned books in school and public libraries last year. I don't get it. Some of the books on the list are so harmless and also so good. What's wrong with The Color Purple? Maya Angelou? Where's Waldo? And Judy Blume is all over that thing. These must be the same people who burn books.

Even if someone disagrees with some parts of these books or thinks they are not appropriate for children, these books shouldn't be banned. Just separate them out. Just pay attention to what your children read and do. I would even argue that some of those books with disturbing parts are things that children should read and discuss with adults instead of being kept kids in a perceived bubble of innocence. To Kill a Mockingbird is on there. Why not discuss the issues in that case with kids instead of banning the book?


Konqueror

Program Info

Fedora/GNOME menu

Internet > More Internet Applications > Konqueror

Mandrake/KDE menu

Internet > Web Browsers > Konqueror

Terminal command

konqueror

Program URL

http://www.konqueror.org/

Yes, it's Konqueror again. Your handy, dandy KDE file manager is also the KDE browser, as you can see in Figure 5.3. Konqueror started out being developed as only a file manager, but it evolved into a Web browser as well. Konqueror uses its own rendering engine in the browser, KHTML, which has always been held up by KDE users as rendering more closely to IE than other Linux Web browsers. When developing its new browser, Apple borrowed KHTML to use in Safari. With Apple using the open source code and contributing changes and developments, Konqueror might begin developing in leaps and bounds.

Figure 5.3. Konqueror as a Web browser in KDE.

[View full size image]

The program has all the features and functions you expect in a mature Web browser, and it also allows for tabbed browsing, blocks pop-ups, and enables you to use most of the Mozilla and Netscape multimedia plug-ins. The preferences are in the menu at Settings > Configure Konqueror and have many options. Another interesting feature in Konqueror is Web Shortcuts. With this feature, you can set small acronyms or keyword shortcuts to many favorite programs. For instance, you can set goo to go to Google.com, and all you have to do is type "goo" in the address bar and press Enter.

Your Secret User Agent

Internet Explorer has held the browser world hostage for some time now. Although more users are switching to other browsers that are more secure and standards compliant, a majority of users still use IE. The result is that many Web developers design and test their Web pages only for Internet Explorer. You can't do much about how pages render differently, but you can combat the practice used by some Web sites of locking out alternative browsers. Some sites detect your browser and show you an error message if your browser isn't on the guest list. Konqueror has a very easy way to change this. The information that is used to identify your browser type is called the User Agent. You can change your User Agent information in Konqueror by going to the preferences, Settings > Configure Konqueror, and scrolling down to the Browser Identification category on the left. You can see your current identification, disable sending the info, or add new ones to masquerade as any browser you want. Mozilla and Firefox can also do this using add-ons.

TOOL KIT 5.3

Get Your Essential Konqueror Preferences Set

Yes, I still want to be picky about my browser preferences, no matter which browser I am using. Setting familiar preferences just feels homey. In Konqueror, the browser prefs are a bit mixed up with the file manager prefs. You can feel free to change and set any of them, but the categories that mostly deal with Web browser functions are in the second half of the list. So, open the preferences dialog box at Settings > Configure Konqueror to get started.

1. | Set your home page: Behavior. In the middle of all of those file manager options is a text field for Home URL.
2. | Enable all tabbed browsing options: Web Behavior. When you learn to take advantage of tabbed browsing, you will never go back. I now cringe when I see someone open a second browser window. The tab options are in the middle of the dialog box; check them all. Check out the Advanced Options to see if you want those options. I tend to check all of them except the multiple tabs confirmation.
3. | Decide your cookies preferences: Cookies. Konqueror has a lot of options for cookies management. Decide how safe or paranoid you want to be.
4. | Make sure pop-ups are blocked: Java & JavaScript (JavaScript tab). At the bottom of the dialog box is a series of radio buttons to decide what you want to allow JavaScript on Web pages to do. Denying the Open New Windows capability covers most pop-up ads. When you are done, be sure to click OK to apply your changes. Use Konqueror for a bit and then open the preferences dialog box again to explore the other options you can adjust to suit you.


Other Browsers Available for Linux

Epiphany

Program Info

Program URL

http://www.gnome.org/projects/epiphany/

GNOME has always wanted a browser. It's sort of like how I have always wanted a pony, or how one kid wants something just because the other kids in the neighborhood have one. The Epiphany browser emerged as the old GNOME browser, Galeon, rode off into the sunset. The main goal of Epiphany is simplicity. I think the developers looked at Mozilla, Konqueror, and Netscape, and saw browsers that were more bulky and heavy than bad fruitcake.

The result is that Epiphany is a browser with a small footprint, a simple interface (see Figure 5.4), and no extraneous functions such as mail or newsgroups. You might be thinking, "Hey, you just told us all of this stuff about Mozilla Firefox!" First, calm down. Next, I can say that Epiphany and Galeon started this quest before Mozilla Firefox was born. Now Epiphany has competition in the simple browser genre.

Figure 5.4. Epiphany is a browser that emphasizes efficiency and simplicity.

[View full size image]

Epiphany has most of the functions and features you will recognize in any browser, and also at least one innovation: The program uses the Mozilla Gecko layout engine for rendering Web pages. The advantage of using Mozilla's engine is that you, as a user, can still benefit from the antialiased text and other nice aspects of the Gecko engine. The big difference in Epiphany is in how the browser handles bookmarks. We are used to the tree list or folder list when looking at our bookmarks. Epiphany has tossed the conventional and opted for organizing bookmarks by keyword searching. To go to a stored bookmark, you type the bookmark name or a word from the URL in the address bar. Possible matches show in a drop-down list under the address bar. I like this new approach for finding bookmarks that you want to get to quickly. You do, however, lose the browsing of forgotten bookmarks when using this keyword method.

Opera

Program Info

Program URL

http://www.opera.com

Opera is a classic. It's like fine cheese, Norwegian cheese. This browser has been around for quite some time. Opera has been a friend to the Linux community for a while as well, by providing a Linux version long before it was popular to do so. Opera provides versions for all major Linux distributions, including Fedora, Mandrake, Red Hat, Debian, SUSE, and also a Macintosh Power PC package. The program is both a Web browser and an e-mail client with additional capabilities for participating in IRC chat (more on IRC in Topic 10, "Instant Messaging and Chat"). Opera is not entirely free; it's a commercial application that you need to buy, but you can choose to download an ad-supported version.

Once again, like all of the browsers we are talking about, there aren't a lot of wildly differing features in the Opera browser. Among its attributes is the capability to search directly in the address bar by adding in a search engine's shortcut before your keywords, such as a g for "Google." So, type "g modern delusions of grandeur," and you will go to the Google search result for those search terms, probably with my Web site as your top search result. Opera also takes pride in supporting Web standards, such as those set out by the W3C (see http://www.w3c.org). Now, Web standards might not mean much to you as a user, but they mean a lot to Web developers and mean a lot in terms of giving you a consistent experience between browsers and Web sites.

UNDER THE HOOD

OPERA OF THE MUPPETS

There was once a day in which Microsoft spoke in the language of the Swedish Chef from Jim Henson's Muppets. It was a great day that is talked about around virtual Linux geek campfires and told to young Linux geek children. On this heralded day, Opera accused Microsoft of having its MSN search engine page render differently when it detected the Opera Web browser. Opera responded by releasing a version of its browser that always displayed the MSN search engine page translated in SwedishChef speak,"Tudey oon MSN; Ver prutests geereeng up..."You can read more about this funny story at http://www.opera.com/pressreleases/en/2003/02/14/.

Opera can seem like a bit of a bloated application because it has so many features in it, but the company has been a leader in coming up with new ideas in browsers. Here are just a few in Opera's lineup of interesting attributes:

  • Chat client

  • Mail client

  • Mouse gestures (set certain mouse movements to be shortcuts to common functions)

  • Multiple document interface (display multiple Web pages in one window, in tabs, or in a single interface)

  • Password manager

  • Pop-up blocking

  • Sessions (save a group of open pages to open again all as a group)

  • Skinning (change the whole look of Opera with downloaded skins and color schemes)

  • Small-screen rendering (rearrange pages for display on very small screens and windows)

  • Zoom (magnifies your view)

Netscape

Program Info

Program URL

http://channels.netscape.com/ns/browsers/

You can call Netscape a classic, too, but it's a different kind of classic, like an old friend you used to love who now just keeps coming to your house to kick your dog, eat all your cookies, and pee on your front porch. There is a name for a friend like that: Used to Be Cool Browser That Kicked Out Its Mozilla Friends and Now Just Shills for AOL and Time Warner.

Okay, so I am maybe being a bit harsh. Netscape was the classic friend to Linux and to the browser world. For years, Netscape was the only big browser supporting Linux. Netscape was the better alternative in an Internet Explorer world. Netscape started the Mozilla Project to utilize the open source software community in its development of new versions. Those were the old days. Eventually, Netscape got eaten by Internet Explorer and bought by big corporations. They then asked the Mozilla folks to leave. Now Netscape is still a decent browser, but it somehow seems less friendly than it used to be.

Odds are, you have used Netscape before in another OS, so you will recognize the conventions of its layout and features. Netscape includes a mail client, address book, news client, Web composer, instant messaging (AIM), themes, and integrated search capabilities; lots of multimedia plug-ins are available for it. The My Sidebar feature has search, news, buddy list, stocks, auctions, and music. Many more sidebar tabs are available to download as well.

You might have sensed my bitterness about Netscape, but it's only my own sense of regret, not the fault of the program. Although too many features over the years have made the browser a little bit slow to load, there is still a good Web browser there. Web developers will bristle at a few quirks in how Netscape deals with JavaScript and how it renders Web pages. Users will enjoy that Netscape is still free, easy to install, and familiar to use.


Multimedia on the Web

I told you in the beginning that not everything was going to be perfect in Linux. Getting streaming media to work in your Linux browser is one of the two top areas I think need the most work and help from developers (the other is gaming). Some multimedia types are actually pretty easy. You can get MP3s, WAV files, PDF documents, Macromedia Flash content, and Real Player files to run fairly easily. You get into trouble when you have other movie or audio files to play, such as Quicktime, AVI, and other media types that can play in Windows Media Player.

Your best bet is always to play media files in an outside player, if the Web page gives you that option. Web sites with embedded media players can be the bane of your existence. When there are embedded files that you cannot play, and if you are comfortable browsing through HTML source code, you can sometimes look at the source of the page and find the direct path to the media file you want to play. You can then poke that direct path URL into your address bar so that your browser can open the media file in an outside player.

There are a few web resources and one program to ease your online multimedia pain. Mozilla, Firefox, and Konqueror still use Netscape-type plug-ins and can often use the plug-ins from Netscape's Web page (see http://channels.netscape.com/ns/browsers/plugins.jsp). Mozilla and Firefox users can go to the more specific and comprehensive page for Mozilla browser plug-ins at http://plugindoc.mozdev.org. One of the plug-ins on the MozDev page, mozplugger (which is an offshoot of Plugger), can be quite handy because it covers multiple types of files. If you install mozplugger, install it first and then install the specific plug-ins you want. Although all the information online is helpful, you will still run into issues. Crossover Office, a program used to run Windows applications in Linux (see Topic 13, "Running Windows Applications"), runs Microsoft Internet Explorer browser plug-ins quite well, including the two most difficult, Windows Media Player and Quicktime. Crossover Office is a commercial program, but you can download a demo version at http://www.codeweavers.com/site/products/download_trial.


The Skinny

PROGRAM | USABILITY | INTERFACE | COMMENTS
Mozilla | Great | Great | Mozilla is the outsider that threatens Internet Explorer's stranglehold on browsers in the Windows world, and it is the darling of the Linux world. The program is one of the larger ones, with included mail and chat programs.
Mozilla | Great | Great | Look, everybody, it's Mozilla Jr.! Firefox Firefox started out as the lighter version of Mozilla but has developed its own distinct interface and characteristics that make it just a great all around browser. Not everyone wants a mail client and a browser in one, and not everyone wants skins and chat in their browser, and Firefox is here to help, combining Mozilla's power with small efficiency. This is also the easiest transitional browser for those used to Microsoft Internet Explorer.
Konqueror | Great | Great | It's not just for breakfastor file management. Konqueror is a full-featured browser with quite a following. If you are a KDE user, you will appreciate the seamless integration with the KDE desktop. Now that Apple is using Konq's rendering engine, KHTML, in its Safari browser and contributing back to the open source project, we should see Konqueror just get better and better.
Epiphany | Great | Good | This is a good, solid browser that is based on Mozilla's layout engine. The small program size and simplicity of the interface make it very fast. If you don't need a lot of extra features and just want to browse online without baggage, Epiphany is a good choice.
Opera | Good | Great | Opera is one of the big three Linux browsers; it's a big program with a myriad of options. Highlights of this browser are its incredible flexibility and dogged support of Web standards. The commercial price tag, though modest, might scare away some users.
Netscape | Good | Good | Before I slip back into lamenting like the chorus in a Greek tragedy, let me say that Netscape is a good browser. The fact that the program includes everything but a free vacation in Greenland means that it loads slow. If you enjoy the all-in-one quality of the many options and familiarity, give Netscape a try.


Links

Mozilla: http://www.mozilla.org/

Mozilla's Bugzilla Bug Reporting: https://bugzilla.mozilla.org/

Mozilla Firefox: http://www.mozilla.org/products/firefox/

Konqueror: http://www.konqueror.org/

Epiphany: http://www.gnome.org/projects/epiphany/

Opera: http://www.opera.com

Netscape: http://channels.netscape.com/ns/browsers/

Mozilla PluginDoc: http://plugindoc.mozdev.org/linux.html

Netscape plug-in page: http://channels.netscape.com/ns/browsers/plugins.jsp

Crossover Office Demo Download: http://www.codeweavers.com/site/products/download_trial


Chapter 6. E-mail and Newsgroups

All over the world, there are collections of brilliant letters. Letters serve as small time capsules to historians. The paper, the envelope, the stamps, the style of the handwriting, the language used, the spelling, any decorative doodles, the type of pen used, and the manner in which the letter was saved all give a picture of the letter writer, receiver, and time. Our letters are now usually short notes sent by e-mail. Even if someone takes the time to write a long, thoughtful missive, the words and thoughts are in a constant danger of becoming lost or deleted data.

I received two actual items in the mail last week that were not bills or junk mail. I haven't received real mail in ages. The whole thing baffled me. I held the envelopes in my hand and wondered if these were very important messages because the senders had gone to the trouble of using a pen and some paper products. I imagined all sorts of things. Both were stiff envelopes that contained more than just sheets of paper. Why would someone need to send a card of some sort? It wasn't anyone's birthday. Do they still make birthday cards? I shook my head. Of course they still make birthday cards. That's what that big section in the store is for, that section that I always go past without looking in. Both envelopes turned out to be innocuous. One was a change of address from a friend, and the other was full of pictures.

I put the opened envelopes on a table carelessly. Later I could feel them staring at me with a real-world pressure that my inbox full of e-mail never does to me. I put them on a shelf in the cupboard with the paper phone books that also go unused, thinking that I would figure out what to do with them some other time.

Later in the week, I received an important letter that talked of serious subjects. I received that letter as an e-mail. I thought about the irony that the two innocent and casual messages had come through the more permanent and solid channel of snail mail, while the important and serious message had come through e-mail.

Historians in future years will probably not have the treasure of letters from our time. They might find old files saved in mysterious and deprecated formats that no one knows how to open anymore. They might find impersonal-looking printouts of e-mails all typed up and indistinguishable from a business memo except for their content. They will find the odd letter or card here and there that someone like me shoved onto a shelf because they didn't know what else to do with it. They will document the range of years when letters disappeared.

Although I love to look at old letters and appreciate them, I am one of the killers of the letter. I am one of those people who stick to electronic words. I have a great sense of history, but I don't think that it is stronger than my great sense of convenience. I love being able to get rid of little pieces of paper and have everything stored in neat little files. I am a product of my time. Maybe we can find a way to preserve our new electronic history and still infuse it with a sense of our time and of our selves.


E-mail

Oh, e-mail, we alternately love and hate you. We love receiving nice messages from friends and family. We love the efficiency provided by e-mail in office environments. We hate the chain letters forwarded to us by unthinking relatives. We hate the spam that has threatened to take over e-mail. We hate getting bad news. Let's not shoot the messengeror, in this case, the e-mail programfor the sins of the medium. E-mail is one of the two main things people want to do with a computer, the other being surfing for porner, I mean, surfing on the Web.

Linux has always had a great lineup of e-mail programs. Even back in the days when the most popular e-mail programs for Linux were text-only affairs that ran in the terminal, you could count on those programs having good features and clean functioning. Now in our GUI Linux desktop world, we have much prettier options for our e-mail programs, but they remain full of good features and clean design.

Evolution

Program Info

Fedora/GNOMEmenu

Internet > Evolution E-mail

Mandrake/KDE menu

Internet > Mail > Evolution

Terminal command

evolution

Program URL

http://www.gnome.org/projects/evolution/

The first thing to say about Evolution is this: If you like Microsoft Outlook, you will like Evolution. The program mimics the look and functionality of Outlook wherever it can. Evolution has all the personal information management (PIM) elements of Outlook, but we are interested in just the mail right now (see Topic 7, "Schedules, Contacts, and Tasks," for more on the other components of Evolution).

Evolution is currently the most widely used e-mail program in Linux (see Figure 6.1). The e-mail component of the program doesn't have a lot of innovative features, but it does include features that make the program the best solution for businesses and busy people. Evolution does everything a mail client should, with support for multiple e-mail accounts, great organizing tools, mail filtering, POP and IMAP accounts, address recognition, and the capability to import mail from other e-mail programs.

Figure 6.1. Evolution's mail component.

[View full size image]

The look of Evolution has many layers, as Figure 6.1 shows. There is a menu, a toolbar, a shortcut bar along the left side, a main content area, a status bar at the bottom, and an option for viewing a folder bar. You can use the shortcut bar to get to the mail component by clicking the Inbox button. Add the folder bar to your view, a must when using e-mail in Evolution, by going to View > Folder Bar in the menu. Your folder list contains links to other components of Evolution in addition to your mail folders. In the upper-right side, you have a place for your message list; there is a preview pane in the lower right. If you will be using Evolution only for e-mail, turning off the shortcut bar (View > Shortcut Bar) will save screen real estate so you have more room for your mail list and preview pane.

Evolution is a complex program with lots of features, but a couple features are uniquely different from other Linux e-mail programs. Business users will appreciate Evolution's capability to work with Microsoft Exchange servers. Evolution can also sync mail to your handheld PDA computer. vFolders are an interesting feature that enables you to organize your mail in virtual folders by defining filter rules for the views; the messages do not physically need to move to another folder to be included in a vFolder.

Setting Up an Account

A wizard starts the first time you open Evolution so that you can set up a mail account. You will need to know your e-mail address, your mail account type, your incoming and outgoing mail server addresses, your username, and your password to set up a mail account. To get back to add multiple accounts or edit an account's settings, go to Tools > Settings > Mail Accounts.

Reading E-mail

When you have an account set up, click the Send/Receive button on the toolbar to fetch your mail. When you see messages in the list, just click one to highlight it. The message displays in the preview pane below.

Sending E-mail

The New button on the toolbar brings up the message-composing window. You can send plain-text or HTML e-mails. If you use the text-formatting buttons to bold text or change fonts, the e-mail will be sent as an HTML message. Complete the address that you want to send the e-mail to. If you have addresses in your address book, Evolution tries to autocomplete the address as you type. Add a subject, type your message, and click Send. There are also easy options for adding attachments and saving messages as drafts.

Filtering Spam

There isn't a specific spam-filtering tool in Evolution. You need to create rules yourself to try to filter the good from the bad. You can create filters by going to Tools > Filters.

TOOL KIT 6.1

Set up Your Evolution E-mail Account

If you stepped through the setup wizard the first time you started Evolution, your e-mail address should be set up. If you cancelled out of the wizard, want to edit your account, want to add an additional account, or just want to play along, you can come with me, but you are responsible for refreshments. You also need to know your e-mail address, your mail account type, your incoming and outgoing mail server addresses, your username, and your password.

1.
Open the settings by choosing Tools > Settings > Mail Accounts on the menu bar.

2.
Click Add to add an account. The same wizard that comes up the first time you start Evolution pops up, the Evolution Setup Assistant (see Figure 6.2). Step through the wizard and fill out all the fields with your information.

Figure 6.2. The Evolution Setup Assistant is used for new mail accounts.

3.
To edit your account, highlight the account on the list in the Mail Accounts section and click the Edit button.

4.
The Account Editor dialog box has several tabs: Identity, Receiving Mail, Receiving Options, Sending Mail, Defaults, and Security. Each tab is easy to go through and complete. You don't need all the options on every tab to set up your e-mail account; you need only your basic e-mail account info.

KMail

Program Info

Fedora/GNOME menu

Internet > More Internet Applications > KMail

Mandrake/KDE menu

Internet > Mail > KMail

Terminal command

kmail

Program URL

http://kmail.kde.org/

Unlike Evolution, KMail is just an e-mail client. I like programs that just do one thing and do their one thing well. KMail is just such a program. The KDE personal information management suite, Kontact, brings KMail into its wrapper program to create something more like Evolution, but you can still open and work with KMail on its own. KMail is a well-rounded e-mail program that has all the features you would expect, including support for POP3 and IMAP accounts, encrypted e-mail, and good mail filtering. With KMail, you can also use multiple identities and multiple mail accounts. KMail lets you filter messages on the server to avoid downloading certain attachments or spam and supports displaying HTML e-mail messages.

Both the interface of KMail and its features keep to basics (see Figure 6.3). You have your mailboxes, folders, and listed accounts displayed in a column on the left, with your listed messages and a preview window on the right. The toolbar buttons are well labeled and easy to figure out. Simply highlight a mailbox or folder to view its contents, and then highlight a message to read it. The composer window allows for sending either plain-text or HTML messages and includes a few options for formatting text.

Figure 6.3. The KMail interface.

[View full size image]

KMail is simple but also sports some strong and unique features. The mail importing supports pulling in stored mail from Outlook Express, Netscape, Thunderbird, Eudora, and others. You just need to make sure that the format of the exported mailboxes from your old e-mail client matches up with a format that KMail will import, such as mbox and maildir mailboxes. One unique feature in KMail is the capability to bounce back mail to a sender, simulating a nonexistent e-mail address. This is great for spam because you can get your address off the lists of some spammers if they think the address doesn't work.

Setting Up an Account

The first time you start KMail, the Identity wizard starts, but you can also go to Settings > Configure KMail in the menu to open the configuration window and go to the Identities section. Stepping through the wizard is easy. You need to know your e-mail address, your mail account type, your incoming and outgoing mail server addresses, your username, and your password. To set up multiple addresses or identities, open the configuration dialog box from the menu and add them with the New button.

Reading E-mail

When your account is set up, you can retrieve your new mail by clicking the Check Mail button on the toolbar or by going to File > Check Mail. Highlight a message in the list to read the message in the preview window.

Sending E-mail

Select the New Message icon on the toolbar or choose File > New Message from the menu. The new message composer window pops up. This will look familiar if you have used any other e-mail program. Just fill out the address to send the message to, compose the message, and click Send, or you can choose to save your message as a draft to finish later.

Filtering Spam

The internal filtering tools in KMail are robust but are not necessarily specific to spam. Whereas other e-mail programs try to flag suspected spam messages for you, in KMail, you have to set up those filters yourself. Go to Tools > Create Filter to get started.

TOOL KIT 6.2

Send a Test Message in KMail

You have set up your account in KMail, and you think you have gotten everything right. If you're of the meticulous sort, the one way to know for sure that everything is working is to send yourself an e-mail. That might sound silly at first, like a much more complex and technical version of talking to yourself. I actually send myself e-mails all the time as reminders and notes about things. Either way, sending a test e-mail is a quick and easy way to get familiar with the basic functions of KMail.

1.
Open KMail and make sure you have already set up your identity and account.

2.
Select New Message on the toolbar or go to File > New Message to open the composer window (see Figure 6.4).

Figure 6.4. KMail's composer window.

[View full size image]

3.
Put your own e-mail address in the To field and then write your message. If you use any of the text-formatting buttons above the message field, your message will be sent as an HTML message. I am an adherent to the plain-text message only doctrine, myself.

4.
If you want to add an attachment to your e-mail, click the Attach File button on the toolbar and browse for your file. You can also drag files from your file manager window or the desktop into the composer window to attach them.

5.
When you are done typing the message, click the Send button on the toolbar to send the message now. You can also choose to send your message later with the Queue button, which puts the message in your Outbox until you check your mail again.

Mozilla Thunderbird

Program Info

Terminal command

thunderbird

Program URL

http://www.mozilla.org/products/thunderbird/

Just as Mozilla Firebird is the smaller, lighter version of Mozilla's browser, Mozilla Thunderbird (see Figure 6.5) is the junior version of Mozilla Mail. Thunderbird is more basic and faster than its Mozilla Mail parent. You will find all the e-mail features you need and expect, including support for POP and IMAP accounts, multiple accounts, spell checking, encrypted mail, filters, an address book, and good importing tools to bring in mail from your previous e-mail program. Thunderbird adds a flexibility that is unmatched in other popular e-mail programs with its use of extensions. The extensions feature is similar to the extensions in Firefox. You can download and install small add-on programs to add specific functionality to Thunderbird through the extensions dialog box, accessed through Tools > Extensions.

Figure 6.5. Mozilla Thunderbird.

[View full size image]

There isn't anything startling in the layout of Thunderbird. There is a left side column of folders and accounts, an upper-right message list area, and a lower-right preview pane. Thunderbird does, however, give you layout choices in the preferences, as well as the capability to customize the toolbar. You can go through the preferences by going to Tools > Options. Themes for Thunderbird also change the icon set; these are accessible from the menu at Tools > Themes.

UNDER THE HOOD

MOZILLA MAIL

When you use the Mozilla browser, you probably have Mozilla Mail included. You can open Mozilla Mail by clicking the Mail and Newsgroups icon in the bottom left of the Mozilla window. If youdon't have the icon, you need to reinstall a new version of Mozilla that includes the Mail component. Most of the layout and controls are similar to Mozilla Thunderbird. Mail is an okay program, but future innovations in e-mail from the Mozilla Foundation will be in Thunderbird.

Setting Up an Account

You are prompted to go through an account setup wizard the first time you open Thunderbird. You can also access account settings and add multiple accounts at Tools > Account Settings. In the Account Settings dialog box, you can highlight an account in the list on the left to see its settings on the right. Use the Add Account button to create a new account.

Reading E-mail

With your account set, just click the Get Mail button on the toolbar to fetch mail from the server. Depending on which layout choice you picked, the location of your folder list, message list, and preview pane might differ. To read mail, highlight the Inbox or folder you want in the folder list, and then click the message to show the message contents in the preview pane.

Sending E-mail

The Write button on the toolbar opens the composer dialog box. A few text-formatting options are available, but keep in mind that using them changes your message into an HTML message. Although most people now have e-mail clients that can read HTML messages, they are still usually unnecessary. Complete the address in the To field for the message recipient, type your message below, and click Send when you are ready. You can attach files with the Attach button. The Contacts button accesses Thunderbird's built-in address book. If you need to save the message as a draft, use the Save button.

Filtering Spam

Junk mail filtering is one of the best features in Thunderbird. On your toolbar is a Junk button. Thunderbird automatically labels e-mails that it suspects of being spam. If the program misses a spam, highlight the message and click the Junk button to mark it as spam. If Thunderbird incorrectly marks a message as spam, the Junk button turns to saying Not Junk when you highlight the message so that you can mark it as not spam. Thunderbird learns from the mail you receive and the messages you mark. As you use Thunderbird more, you can adjust the Junk Mail preferences at Tools > Junk Mail Controls.

TOOL KIT 6.3

Adding Mail Filters in Thunderbird

In most e-mail programs, you need to use the message-filtering features to filter spam. With the great junk mail controls in Thunderbird, you are free to use the message filters to concentrate on organizing your Inbox and folders.

1.
Open the Message Filters dialog box at Tools > Message Filters on the menu.

2.
Click the New button to open the Filter Rules window.

3.
Let's say that I wrote a mean letter to Rod Stewart, that rock dude from the '70s. Let's say that I want to make sure that I don't see any reply from him. I can fill out the filter rules to specify the sender and then add the action to put matching messages in the trash (see Figure 6.6).

Figure 6.6. Adding a filter in Thunderbird.

[View full size image]

4.
When you're done with the rules, click OK. Close the Message Filters window.

5.
To apply your filters, go to Tools > Run Filters on Folder. Then you will be sure to not receive any e-mail from Rod Stewart.


Newsgroups

You find the oddest people online, and you find most of those odd people in newsgroups. Groups are an old Internet staple. Although Web forums and message boards that you can read in your browser have threatened to make newsgroups extinct, there are still dedicated newsgroup users who doggedly check their groups all day and argue to their heart's content.

UNDER THE HOOD

THERE'S NEWS EVERYWHERE

Pan and KNode are dedicated news programs that work only with newsgroups, but almost every Linux e-mail program has news reader features as well. You can access your news server inEvolution, KMail, Thunderbird, and Mozilla Mail. You can also search past newsgroup archives and read groupsthrough your browser with Google Groups (see http://groups.google.com ).

A lot of good information is available in newsgroups, along with a lot of misinformation. Groups are one of the last Wild West, not-controlled-by-advertising bastions of Internet freedom. There are newsgroups for just about every subject you can think ofand a few that you don't want to think of. Messages are not really moderated much and can range from helpful to abusive, from stupid to expert. You just have to figure out for yourself what information is credible, who to ignore, and which debates you want to jump into.

Newsgroups are threaded conversations that are listed by date. You subscribe to a group from a list on your local news server, which is usually through your Internet service provider. Messages are listed by thread and by date. You download headers and messages for groups that you are subscribed to. Highlight a message to read it. You can reply to groups and post messages as well. Newsgroups, such as e-mail, are also attacked by spammers, so be careful not to give out your real e-mail address or information in public view.

Pan

Program Info

Fedora/GNOME menu

Internet > Pan Newsreader

Mandrake/KDE menu

Internet > News > Pan

Terminal command

pan

Program URL

http://pan.rebelbase.com/

If you want to spend a lot of time reading and participating in newsgroups, a dedicated and powerful news program is preferable to an e-mail client. Pan is a powerful news program (see Figure 6.7) that features excellent sorting tools, article filtering, multiple connections, and good offline reading options. The development schedule for Pan is quite active, with an average of only three weeks between new versions.

Figure 6.7. Pan viewing available newsgroup list.

[View full size image]

Pan is fast and easy to use, with the capability to download and read other articles while previous downloads are going on. Fans of binaries groups (you can download large files in newsgroups in separate binary attachments) will enjoy how multipart messages are displayed together and will appreciate the capability to filter out incomplete multipart messages. There are also a lot of choices for rearranging Pan's layout.

Knode

Program Info

Mandrake/KDE menu

Internet > News > Knode

Terminal command

knode

Program URL

http://knode.sourceforge.net/

KNode (see Figure 6.8) is the kinder, gentler newsgroup client. Like most KDE programs, KNode does the basic job but shows a nicer interface to do the job in. KNode supports the news features that you need, including reading articles, posting articles, threading, sorting, and using multiple news servers, along with some decent support for attachments. This isn't the power user's news reader, but it has everything that the casual news reader will want.

Figure 6.8. Knode is the KDE newsgroup client.

[View full size image]

The interface of KNode is very nice looking and blends in well with the KDE desktop and other KDE programs. The interface isn't completely customizable, but it has some well-thought-out usability aspects. You can display attachments inline, configure fonts and colors, and filter messages. KNode also lets you drag and drop between folders and groups. Folders are stored in the common .mbox format, which is handy for importing or exporting. KNode is simple and usable, without getting cluttered.


The Skinny

PROGRAM | USABILITY | INTERFACE | COMMENTS
Evolution | Good | Good | This is the most popular e-mail program for Linux. Evolution has many great features and is a good choice for business users who need to work with Exchange servers. You can also sync easily with your PDA. Evolution is a doppelganger for Microsoft Outlook, so Outlook users will feel comfortable with it. If you do not need the extra calendar and PIM features, you might want to think about one of the smaller dedicated e-mail programs.
KMail | Great | Great | Lots of mail programs give you more features than you'll ever need to use. KMail reduces the number of features to the ones you are more likely to use. The program is quick and efficient, and is a great choice for any KDE user who wants to stick with the seamless KDE scheme, users of KDE's Kontact, or anyone who wants to have an e-mail program that keeps it simple.
Mozilla Thunderbird | Great | Great | This is a great program for anyone who wants a simple yet extensible dedicated e-mail program. The base of Thunderbird trims out all the extras to give you a clean and usable e-mail experience, but the program has great flexibility in its layout and in adding extensions. The spam filtering in Thunderbird is currently unsurpassed by other e-mail programs. Enter prise users will not be able to use this program with Exchange servers, though.
Pan | Great | Good | Pan is probably the most robust dedicated news reader program for Linux right now. It is a GTK/GNOME program, but it also has KDE bindings. The program speeds up slow news tasks such as downloading binary files by allowing for multiple connections.
KNode | Good | Great | Although it is not as powerful and complex as Pan, KNode is a solid program with a nice interface. The basic newsreader functions are there in a prettier package, but this might not be the news reader for anyone who downloads lots of binary files or wants a lot of custom options.


Links

Evolution: http://www.gnome.org/projects/evolution/

KMail: http://kmail.kde.org/

Mozilla Thunderbird: http://www.mozilla.org/products/thunderbird/

Pan: http://pan.rebelbase.com/

Knode: http://knode.sourceforge.net/

Google Groups: http://groups.google.com


Chapter 7. Schedules, Contacts, and Tasks

Everyone who is good with computers gets drafted into doing tech support for family and friends. If you haven't had to do it, don't worry: You will when you are done transforming into a Linux expert. After you have been using Linux for a while, you will be so good at problem solving that you will get family tech support requests regularly. This is the stuff that ranges from simply hooking up some hardware to walking someone through installing an operating system.

I was browsing online when a Gaim window popped up with an instant message.

(15:47:40) unclemarvin1950: i need your help!

(15:49:31) susan: did your head explode or something?

(15:49:48) unclemarvin1950: it feels like it.

(15:51:14) susan: what would be that bad?

(15:51:28) unclemarvin1950: i have to write something down.

(15:51:46) susan: i hear paper still works for that.

(15:53:02) unclemarvin1950: i want to use the computer. it's more secure since you stuck me on that linux thing.

(15:53:15) susan: :)

(15:54:34) unclemarvin1950: i need to know how to do stuff in a calendar, the address book and all of that in linux.

(15:55:11) susan: why is that an emergency?

(15:55:56) susan: i mean, ok, i can show you, but what's the big deal?

(15:56:17) unclemarvin1950: i have a date.

(15:56:29) susan: with a person?

(15:56:47) unclemarvin1950: :-P

(15:57:52) susan: hehe

(15:58:31) unclemarvin1950: i have to put the lady's name in the computer so i don't lose it. i might forget the date, too.

(15:58:55) susan: you haven't had a date since...?

(15:59:24) unclemarvin1950: um, 1978, i think. when your aunt and i dated before we got married.

(15:59:35) susan: ok, so, if this is such a rare, important event, why would you forget it?

(15:59:46) unclemarvin1950: i just need to know. help me.

(16:00:02) susan: ok, ok. well, let's start with evolution.

(16:00:11) unclemarvin1950: the e-mail thing?

(16:00:27) susan: yeah, the e-mail thing.


Evolution

Program Info

Fedora/GNOME menu

Internet > Evolution E-mail

Mandrake/KDE menu

Internet > Mail > Evolution

Terminal command

evolution

Program URL

http://www.novell.com/products/evolution/

Welcome to Microsoft Outlooker, I mean Evolution. It's a clone. Or, at least, it started out as a clone. Evolution is now a well-developed, complete program that performs many of the same functions as Outlook but has evolved (groan, pun) with features of its own. If Linux can claim any great programs that are not available in any other OS, Evolution would be on that list. The program is the standard and the winner in open source personal information management.

Evolution is easy to use, with many conventions that you will find in other programs, in both Windows and other Linux applications. The menus have self-evident titles. The toolbar is full of clear icons. The different components of the program are named by the function that they perform. You might be familiar with Evolution if you are already using it for e-mail. If you have used it before, just open the program and we will get going.

UNDER THE HOOD

UNDER NEW MANAGEMENT

If you are having trouble finding information or help about Evolution online, make sure you also search for Ximian Evolution. Novell bought Ximian, making the program officially Novell Evolution, but many references to the old name still crop up on message boards, on Web pages, and in newsgroups.

On your first time using Evolution, you will see the Evolution Setup Assistant. This wizard is for entering e-mail information. If you want to use Evolution for e-mail, fill in all the appropriate fields and refer to Topic 6, "E-mail and Newsgroups," for more information. Otherwise, fill in enough silly information, such as ddss@ffggg.hh, to make Evolution happy, complete the time zone field, and move on.

Evolution will look familiar to you if you have ever used Microsoft Outlook. The layouts of the programs are similar. Program elements such as the menu, toolbar, and status bar have familiar titles and icons. The menu bar changes, depending on which component of Evolution you are working in. The options in the File menu for Open Other User's Folder and for Remove Other User's Folder might be new to you. These options are for use with the Novell (or Ximian) Connector for Microsoft Exchange so that you can share mail folders and calendars on an Exchange network. Two other interesting items in the Tools menu are Pilot Settings and Pilot Conduit Settings. These items are links to elements of the gnome-pilot program. See the upcoming section "Syncing with Your PDA" for more details on these menu items. The toolbar is another program element that changes depending on which component view you are in.

Other layout elements of Evolution stay the same. In the shortcut bar, you see buttons for each of the built-in components running in a vertical line along the left side of the bar. Clicking any of the buttons takes you to that component's view. The folder bar is not seen by default in Evolution's layout. You can add the folder bar to your view by going to the View menu and choosing Folder Bar. You can also toggle the folder bar into view with the labeled button below the toolbar in each view. The status bar, at the bottom of the window, shows you whether you are working online or offline and displays the progress of tasks such as sending and retrieving mail.

The Summary

The Summary . . . well, it sums up all your information. This is the first screen you see when opening Evolution (see Figure 7.1). You can customize this screen with additional content or remove sections you don't want to see. The Summary has sections for Weather, Newsfeeds, Mail Summary, Appointments, and Tasks.

Figure 7.1. Evolution's default Summary screen.

[View full size image]

You can customize what is on the Summary screen by going to Tools > Settings > Summary Preferences. A series of tabs across the top correspond to the different sections of the Summary screen. You can check boxes for choices you want to see in the Summary screen.

Futzing with File Formats

You can import mail messages, calendars, and contacts into Evolution. Figuring out the right file formats to use and how to get the information into Evolution can be frustrating. Importing information from Outlook or Outlook Express, version 4 or below, will be no problem. Otherwise, your best options are to import single files of .mbox for mailboxes, .vcf files for contacts, and .ics for calendars. A quick trick for newer versions of Outlook and Outlook Express is to install Mozilla in Windows, import all mail and address data into Mozilla, and then use Mozilla to export that information to a more standard format.

The newsfeeds are an interesting part of Evolution's Summary screen. Most of the default feeds are related to technology and Linux, so you can feed your inner geek with daily geekitudes. There are a few entertainment and other news choices as well. You can also add a newsfeed that is not in the default list in the Summary Preferences dialog box. You are prompted for the name and URL of the newsfeed you want to add. You can add any online feed that is available in RDF format. The RDF format is a standard for aggregating Web content using XML (a markup language for defining and sharing data). RDF feeds are often also called RSS feeds.

The Inbox

Information about using the Inbox and all the e-mail options in Evolution is in Topic 6. For now, all you need to know is that you can view your Inbox by clicking the button on the shortcut bar.

The Calendar

The calendar functions in Evolution were one of the major parts of the program to be modeled after Microsoft Outlook. If you have used Outlook, you will find a lot of familiar territory. Even if you have never used a calendar program in a computer, you will find Evolution's Calendar component a pretty comfy place to park your appointments.

With Evolution's Calendar (see Figure 7.2), you can create and edit appointments; view your schedule by day, week, or month; and set alarms. The appointment options are quite flexible, with many choices and fields to add detailed information. You can choose to create a simple appointment with just a date, time, and title, or you can enter in information down to the last detail. With the Connector feature, you can also share calendars and appointments with others on an Exchange network.

Figure 7.2. Evolution's Calendar component.

[View full size image]

UNDER THE HOOD

A SUNBIRD ON THE HORIZON

Mozilla recently entered the calendar fray with its new standalone program Sunbird (see http://www.mozilla.org/projects/calendar/sunbird.html ). The program does not yet sync with Mozilla's two other standalone programs, Firefox and Thunderbird. Mozilla tends to raise the bar in any program genre it enters, so Sunbird has potential. Until the program matures and can share information with its Mozilla cohorts, I think I will just watch it from afar.

TOOL KIT 7.1

Add a Calendar Appointment in Evolution

You and I were having fun going over Evolution's Calendar, but Uncle Melvin was getting anxious.

(16:19:03) unclemarvin1950: i gotta get this date into the calendar.

(16:19:12) susan: is there danger? intrigue? will nations collapse?

(16:19:33) unclemarvin1950: well, yeah, they will.

(16:19:45) unclemarvin1950: i'm going to forget this stuff.

(16:20:01) susan: calm, find your zen place or something.

(16:20:12) unclemarvin1950: who's zen? did you mean ken?

(16:20:28) susan: no, zen. who's ken? never mind. what day is your date on?

(16:20:54) unclemarvin1950: monday, the 27th of june.

(16:21:06) susan: fantastical, let's go. :)

1.
Click the arrow to the right of the New button on the toolbar and choose Appointment. You can also use the shortcut bar to go to Calendar and double-click in the main content area to start a new appointment.

2.
You see a dialog box (see Figure 7.3) with detail fields to fill in for your appointment. Complete the Summary and Location fields and any other fields you want to add. You can also schedule a meeting from this screen, inviting people from your contacts list or users on an Exchange network.

Figure 7.3. Adding an appointment in Evolution.

[View full size image]

3.
The arrow next to Start Time and End Time displays a calendar to navigate through. Use the arrows to get to the date for your event.

4.
Find the time you want among the times that you see in the drop-down menu, and select that for the start time. In this case, I think we will give Uncle Marvin the benefit of the doubt and check the box for All-Day Event.

5.
Type in some notes for the appointment, if you want to.

6.
The last options at the bottom of the window are for classifying your appointment and associating it with one or more of your contacts. The categories can be customized.

7.
The Reminder tab is the place where you can set alarms to let you know about your appointment. You have four types to choose from: Display a Message, Play a Sound, Run a Program, and Send an E-mail. You can also choose the time before or after the appointment for your alarm and whether the alarm should repeat. Use the Add button to save each reminder.

8.
On the Recurrence tab, you have the option to set up repeated occasions for your appointment, such as a weekly meeting. Who knows? Maybe Marvin will get a once-a-month date.

9.
Click the Save and Close button to save the appointment. You can now see the appointment in your calendar view labeled with the description you typed into the Summary field.

The Tasks

I love lists. I never complete the things on my lists, but I love to make them. Lists of tasks can keep you organized. The Tasks component of Evolution is closely associated with the Calendar component. Tasks can appear in a section of your calendar in every view but the month view.

On the menu in the Tasks component, Expunge is available. This item deletes all the tasks that are marked completed. The toolbar in the Tasks view doesn't have any special buttons, just the standard buttons, the Print and Delete buttons, and three editing functions. I know, I feel cheated, too. If we could come up with new toolbar buttons for tasks, what would they be? Procrastinate? Generate Excuse to Tell Boss?

TOOL KIT 7.2

Add a Task in Evolution

(16:31:01) susan: hey, marvin. we've got your date in there. what else do you need?

(16:31:41) unclemarvin1950: there's stuff i gotta do before my date.

(16:31:56) susan: shower?

(16:32:12) unclemarvin1950: i don't need to write that one down. i do that on saturdays.

(16:32:18) unclemarvin1950: that's when i do the dishes, too.

(16:32:31) susan: i might not want to know all this.

(16:32:42) susan: i will show you how to add tasks..

1.
Just as with the calendar entry, there is more than one way to add a task. You can go to the Tasks view and simply click where it says Click to Add a Task and then fill in the Summary. Let's take the scenic route. Click the arrow to the right of the New button on the toolbar and choose Task.

2.
You will see a dialog box with detail fields to fill in for your task (see Figure 7.4). The Summary is the only important part to fill in for a simple task.

Figure 7.4. Filling in information while adding a task in Evolution.

3.
Now for the other details. Add a due date, if it is needed. The description is optional. The categorization below is similar to the setup for calendar appointments.

4.
Notice that there are two tabs. Most people will need only the Basic tab. The Details tab enables you to add progress information and associate a URL with your task.

5.
To complete adding your task, click Save in the task window toolbar.

The Contacts

Most e-mail programs have an address book or contacts function. In Evolution, by default, the Contacts component (see Figure 7.5) is organized like an old Rolodex, with individual contacts made to appear like index cards. You will find Evolution's Contacts function to be similar to other address book programs and very easy to work with.

Figure 7.5. Evolution's Contacts component.

[View full size image]

While in the Contacts component view, the toolbar has no special buttons. I guess someone, somewhere is telling us that our contacts are not special. In the menu, you can choose to view as cards, as a list, or by company, or you can define your own custom view.

TOOL KIT 7.3

Add a Contact in Evolution

(16:37:10) unclemarvin1950: how do i call her?

(16:37:22) susan: your date? umm, on the phone?

(16:37:44) unclemarvin1950: what if i forget her number?

(16:37:53) susan: you should save her info as a contact.

1.
Do we have choices on how to enter a new contact? Of course, we do. While you are using the address card view, if you double-click in the main content area, you get the pop-up with details to fill in what is outlined in the following steps. If you double-click on Phone List or By Company views, you initially can fill in only the basic information that shows in that view. You have to right-click an existing contact to enter details in the pop-up dialog box. Right now, let's click the arrow to the right of the New button on the toolbar and choose Contact.

2.
You will see a dialog box (see Figure 7.6) with detail fields to fill in for your contact. Everything on the General and Details tabs is optional.

Figure 7.6. Adding a contact in Evolution.

[View full size image]

3.
Notice that the field labels with arrows next to them hold a whole lot more options of field information that you can complete for your contact. If you fill in one option and then change to another option, both data pieces are saved. You can see a check mark next to the field names that hold saved data for the contact.

4.
The Collaboration tab has URLs for shared calendars and is useful only if you are using Evolution on an Exchange network.

5.
When you are done filling in information, click Save and Close.


KDE-PIM Suite

The KDE-PIM Suite is the collective name for the individual programs that handle functions that traditionally fall under the term "personal information management." Whereas Evolution is one program with many components, each part of the KDE-PIM Suite is a standalone program. One new member of the PIM suite is Kontact, which is a container program that allows all the individual programs to be accessed as one, similar to Outlook and Evolution. Because the PIM suite programs can still be accessed and used separately, that is how we will go through them.

Kontact

Program Info

Terminal command

kontact

Program URL

http://pim.kde.org/

Kontact groups all the components of the KDE-PIM Suite into one easy-to-use interface. The PIM programs used to be a collection that sorta, kind of worked together as one in a clumsy way. Kontact brings most of the PIM functions together smoothly. Kontact even has the component buttons running down the left side of the window, as Outlook and Evolution do. This program makes access to groupware functions much easier and features a Summary screen.

Kontact links to the Summary component (see Figure 7.7), Mail (KMail), Contacts (KAddressBook), To-Do List (the to-do portion of KOrganizer), Calendar (KOrganizer), News (KNode), and Notes (KNotes). The Summary screen only lets you customize the weather, but otherwise Kontact makes using the KDE-PIM Suite a better experience.

Figure 7.7. The Kontact Summary component.

[View full size image]

KMail

KMail is covered in detail in Topic 6. KDE lists KMail as a part of the PIM suite. KMail uses KAddressBook for contact management.

KAddressBook

Program Info

Fedora/GNOME menu

Office > Address Manager

Mandrake/KDE menu

Office > Address Books > Address Manager

Terminal command

kaddressbook

Program URL

http://pim.kde.org/

The interface of KAddressBook is similar to many other KDE programs (see Figure 7.8). Standard icons for common toolbar buttons make you feel at home if you have been using KDE a lot. The program is simple and concentrates on giving you flexible options for viewing your contacts. If you only need to manage a personal address book and prefer to have the most simplicity possible, KAddressBook might be the best choice.

Figure 7.8. The default view of KAddressBook.

[View full size image]

UNDER THE HOOD

K-K-K-K-K'D OUT

If you haven't figured it out already, you can tell a KDE program by the K in front of the program name. Similarly, many GNOME programs start with a G, but not all of them do. This naming convention makes things easy on your memory but jarring on your senses at times. If you start to think you are developing a stutter saying KMail, KAddressBook, and KOrganizer, just get a drink of kwater and relax.

The KAddressBook toolbar is below the menu bar, with the usual buttons you expect to see, but you also have special buttons for searching, changing your view, and sorting contacts on a second toolbar below. There are two search options on the toolbar. The Incremental Search bar is a simple search with no case-sensitive limitation. Another toolbar button looks like it should be a search also. It sort of is, but the Look Up Addresses in Directory button on the toolbar is used only when you have an LDAP server set up. If you don't know what an LDAP server is, we can probably guess that you don't have one set up. The last item of interest on the toolbar is the Filters choice. You can filter only by categories. There are plenty of default categories, but you can edit the categories list. The editor for the categories is buried in the Edit Contact dialog box at the bottom of the window.

TOOL KIT 7.4

Add a New Contact in KAddressBook

(14:10:03) susan: I got your offline message. did you forget how to use Evolution?

(14:10:03) unclemarvin1950: no. it was easy. i need a new program.

(14:10:03) susan: you didn't like that one?

(14:10:03) unclemarvin1950: well, i got another date.

(14:10:03) susan: you did? you haven't had a date in over 20 years. you have two now? what's in your wheaties? :)

(14:10:03) unclemarvin1950: well, i got online and there are lots of ladies onlineladies who don't know me.

(14:10:03) susan: lol but why do you need a new program?

(14:10:03) unclemarvin1950: i can't mix up their numbers. i've seen tv shows where that happens.

(14:10:03) susan: you can have separate entries.

(14:10:03) unclemarvin1950: no, it's too dangerous. isn't there another program?

(14:10:03) susan: yep. it's linux, there's always another program.

1.
You have three ways to add a new contact. Go to File > New Contact, use the New Contact button on the toolbar, or press Ctrl+N.

2.
The Edit Contact dialog box (see Figure 7.9) pops up. There is a General tab and a Details tab. The General tab has the basics. Fill in at least your name and e-mail, along with anything else that you want. You can categorize the new contact and decide whether it is public if you are using groupware on your network.

Figure 7.9. The details of a contact in KAddressBook.

[View full size image]

3.
Notice that a few of the sections on the General tab have pop-up dialog boxes or drop-down choices. The name section has a button to pop up a place to complete all the name details. The phone choices have drop-down options for the labels. Each label stores data separately. The snail mail address section also pops out to a dialog box to fill in and has a drop-down of label choices.

4.
The Details tab has, well, details. They are mostly business related. There is also a place for personal details, such as birthday, and for notes.

5.
On the Misc tab are a few fun options. Use Geo Data is a way to identify and display the contact's location for use with a mapping extension. You can also add a photo or logo for the contact and associate a sound with the contact.

6.
When you have everything as hunky-dunky as you want it, click OK to save your new contact.

7.
Don't forget to save before exiting KAddressBook.

KOrganizer

Program Info

Fedora/GNOME menu

Office > Korganizer

Mandrake/KDE menu

Office> Time management > KOrganizer

Terminal command

korganizer

Program URL

http://pim.kde.org/

Why organize when you can korganize? Er, something like that. This is the calendar and task portion of the KDE-PIM Suite. With KOrganizer, you can manage your schedule, keep a journal, and manage tasks.

The layout of KOrganizer is pretty simple. The current calendar month you are working in stays handy in the upper-left corner of the window. To-do items are listed below that. There is an area to manage multiple calendars on the bottom left. To the right is a large main content area. In many cases, depending on the themes you are using in your desktop environment, KDE programs are better looking than lots of GNOME/Gtk programs. KOrganizer has decided to be the exception to the rule (see Figure 7.10). The program is very usable and easy to learn, but much of the calendar displays are clumsy looking and not up to usual KDE standards. The KOrganizer calendar display from within the Kontact container is much cleaner and better looking.

Figure 7.10. The default view of KOrganizer.

[View full size image]

Just like the lint in your dryer, KOrganizer isn't very pretty but has some unique aspects to it. (Yes, dryer lint is unique. Stick an old receipt and a red sock in there at the same time, and you'll see what I mean.) KOrganizer's unique aspects come in the guise of a few features in the program that are different.

In the Import and Export submenus are two options that make me smile. You can Get Hot New Stuff and Upload Hot New Stuff from the menu. Now, I don't know about you, but I get happy sugar puppy excited at the prospect of "Hot New Stuff"! I mean, what could it be? The next new boy band? A preview of the latest David Hasselhoff CD? A new element on the periodic table? I know, we're all excited to see this hot new stuff. What is it? This is actually an interesting idea the folks working on KOrganizer had, despite the anticlimactic title. The Hot New Stuff feature is a way to share calendar entries with other KOrganizer users. KDE lists examples such as the World Cup soccer match or local Linux user group (LUG) meetings. To use the feature, you can download calendars from KOrganizer's Web site at http://KOrganizer.kde.org/calendars/hotstuff.html. You can keep looking for hot new stuff, but I never find any. Maybe someone will upload that David Hasselhoff info for us.

KOrganizer's other fun features don't involve David Hasselhoff. I like the ability to create sub-to-do items. Let's say you have a to-do task that is "Go to the store." You could create new sub-to-do items for that task, such as "Buy live wombats; Pick up new clown suit; Don't forget to pay before leaving the store." You can also take a sub-to-do and break it out to stand alone with the Make Sub-To-Do Independent option. KOrganizer can also use a Microsoft Exchange plug-in for group features that adds an Exchange menu when it is installed. What's Next is a feature that shows you the next event in that day. It's a handy view option for anyone with a busy schedule.

The to-do list is KOrganizer's task manager. The list is viewable in all calendar views to the left of the main calendar area; however, changing to the to-do list view brings your to-do list to fill the whole window, with no calendar views to distract you from chronic list making.

UNDER THE HOOD

SAVE ANYWHERE YOU LIKE

In KOrganizer, you can save to more places than your local or network files. You also can save calendars to a URL, such as an FTP location.

The Journal is a big note window to type text into. There are no word- processing functions in the journal; it's just a plain-text area. There is one journal space for each calendar day. This simplicity makes the journal flexible to be used as simple day notes or a diary.

TOOL KIT 7.5

Add Calendar Item and Task in KOrganizer

(14:10:03) unclemarvin1950: ok, now i need another calendar.

(14:10:03) susan: are you going to mix those up, too?

(14:10:03) unclemarvin1950: i figure, why risk it?

(14:10:03) susan: just don't mix up their names while you're on your dates.

(14:10:03) unclemarvin1950: aww, crap. how do i not do that?

(14:10:03) susan: one problem at a time. let's get your date info into the new calendar.

Calendar Event

1.
You might think that New in KOrganizer creates a new calendar entry. Nope. New creates a whole new calendar so that you can keep multiple calendars separately. To create a new appointment, either click on the calendar in the main content area or go to Actions > New Event. You can also double-click the calendar in the main view to open the Edit dialog box.

2.
The Edit Event dialog box (see Figure 7.11) pops up with five tabs to fill in information about your event. The General tab has the fields that you will need for most events. Titles are nice, so fill those in. Location is optional. You can complete the time or choose whether this is an all-day event with the No Time Associated check box.

Figure 7.11. Add a calen dar entry in KOrganizer.

[View full size image]

3.
The options to set a reminder are different in KOrganizer than in other programs. Check the Reminder box; set the time in minutes, hours, or days; and then choose a type of reminder. You have choices to use any or all of playing a sound, running a program, or displaying a message.

4.
Now you can fill in the other event details. The other options to complete on the General tab are for Categories, Access, and Template. The Attendees tab is a place to set up a list of attendees, such as for a meeting, and e-mail them about the event. To have your event recur, go to the Recurrence tab and click the Enable Recurrence check box. On the Attachments tab, you can add an associated file or Web address. At any time while you are completing options, you can click the Apply button to save the options that are completed so far.

5.
When you are done, click OK. You can see your new event listed on your calendar. Click that event to edit it.

To-Do Item

1.
To enter a new to-do item, right-click in the to-do area when you are in calendar view. You can also right-click the main content area when you are in the to-do view or choose Actions > New To-Do from the menu.

2.
Here we have the Edit To-Do dialog box (see Figure 7.12) with a General tab, an Attendees tab, and an Attachments tab. On the General tab, at least complete the Summary. You can also complete a due date and time, percent that the task is completed, a priority level, Categories, and Access. The Reminder and Template options are the same as they are for calendar events. I'm not sure why you would need people to attend your to-do item, but you have the Attendees tab, just in case. You can attach an associated file or address to your to-do item on the Attachments tab. You can click Apply at any time to save options you have entered so far.

Figure 7.12. Add a to-do item in KOrganizer.

[View full size image]

3.
Click OK when you are done. You can edit your task by double-clicking the task in either the to-do view or any of the calendar views.

Other KDE-PIM Modules

KAlarm

The program is a simple alarm program with a list interface to save multiple alarms. You can have the program run in the background to have alarm messages pop up after you have closed the main program window.

Kandy

With this program, you can sync much of the data in KDE-PIM Suite programs with a cell phone. Check out the Kandy Handbook under the Help menu for more info and to see if your phone is supported. You really need to know what you're doing to use this part of the PIM suite.

Karm

This is a great little program for timing how long you are spending on certain tasks. If you work with billable hours, this is a simple way to track time spent on projects. If you spend all your time goofing around, wouldn't you like to know how much time you have been spending on solitaire games?

KNotes

Do you miss sticky notes? KNotes is a desktop sticky note program for jotting down notes and reminders. You can also e-mail your notes. KNotes uses KMail by default, but the command can be changed in the preferences.

KonsoleKalendar

You can perform functions such as adding, deleting, and editing calendar events from the command line with this program. This is handy for performing calendar functions from within a script. All these functions can be useful if you need to access your computer remotely in a terminal.


Syncing with Your PDA

Syncing a PDA in Linux can be very easy for some people. For others, working with their PDAs in Linux is complex and induces fits of swearing. Where your experience lands depends a lot on hardware, both the type of PDA you own and the detection when you plug your PDA into your computer. Many of the utilities in Linux for PDAs are easiest to use with Palm devices, the Handspring Visor, and other PalmOS-based PDAs. You can search various forums online to look for others' experiences trying to get other handheld computers hooked up in Linux. When you get past getting Linux to see and talk to your PDA, the process is just a matter of looking at what program you prefer to use for the sync.

Connecting Your PDA

Before you plug your PDA into your computer, let's make sure that you have the software that you need. Unless you did something different during installation, you should already have a command-line utility program called Pilot-Link installed by default in both Fedora and Mandrake. There are a couple of ways to find out whether the program is installed. In Fedora, if you are using Apt for your package management and the accompanying Synaptic program (see Topic 3, "System Tools and Utilities," for more information), you can open Synaptic, enter your root password, and use the Find button to search for "pilot-link." In Mandrake, Rpmdrake doesn't show pilot-link in the search results on a default install, even though you might have the program installed. The fastest way to find out if you have pilot-link installed is to open a terminal and type this:

$ dlpsh -v

You will get output like this if you have the program:

'--------------------------------------------'
| (c) Copyright 1996-2001, pilot-link team   |
|    Join the pilot-unix list to contribute. |
'--------------------------------------------'
This is dlpsh from pilot-link version 0.11.8
Build date: Nov  20 2003 15:16:20

pilot-link 0.11.8 is covered under the GPL/LGPL
See the file COPYING for more details.

Please use -h for more detailed options.

Pilot-Link, or dlpsh, is a command-line program for communicating with your PDA. The program was made with Palm devices in mind, but if you have a Handspring or similar PDA, you are probably used to everything being created with Palm devices in mind. The dlpsh command name is short for Desktop Linux Protocol Shell. With it, you can send commands directly to your PDA. If you find that you don't have Pilot-Link installed, first check your install CDs for the program. You can also get the latest release at http://www.pilot-link.org/. Both GNOME Pilot and KPilot use Pilot-Link as a background process.

Most PDAs connect to either a serial port or a USB port. The process for both is fairly similar. For most devices, you will most likely be able to plug right in and go. Any command or program that you use to communicate with the PDA will want a location or port to be listed. Using "in my USB port" won't work. Linux assigns a location to your device in the /dev directory. A USB device probably is listed as /dev/ttyUSB0 or /dev/usb/ttyUSB0, with the 0 being the number corresponding to the port you are using. The serial port can be in either /dev/ttyS0 or /dev/tty/S/0, with 0 being, again, a different number depending on which port you are using. The /dev location can vary depending on your distro and hardware. If you have problems, you can search the gnome-pilot mailing list archives at http://mail.gnome.org/archives/gnome-pilot-list/ for a lot of threads related to hardware.

You can use the hardware browser for your distro to look for the device location. In Fedora, go to main menu > System Tools > Hardware Browser. Type in your root password and browse for the device. In Mandrake, go to main menu > System > Configuration > Hardware > HardDrake. Enter the root password and look around for your PDA.

To sync your PDA, you need the permissions to be correct for the device. If you are going to sync as a regular user, the device needs to have read and write permissions. Open a terminal, log in as root, and change the permissions with this command:

chmod a+rw /dev/[your device location]

GNOME Pilot

Program Info

Fedora/GNOME menu

Add from the panel's right-click menu:

Add to Panel > Utility > Pilot Applet

Terminal command

gpilotd-control-applet

Startup and Configure

The GNOME Pilot program is in GNOME as an applet. This means that you can add the applet to your panel by right-clicking the panel and following the menus to add the applet. If you need yet another way to start the program, you can also double-click the Palm Pilot icon in the GNOME Control Center. GNOME Pilot works with Evolution to sync your Palm device.

The first time you run the program, you get a wizard to go through, called the Gnome Pilot Setup Assistant. Fill out the information and click Next for each step. The device location needed to complete the field is the /dev/[your device location] listing you found when connecting the PDA.

Make the Location Yours

You might see the device location for a PDA as /dev/pilot, renamed or linked as that location by mysterious elves in your computer or by you with this command:

ln -s /dev/[your device location] /dev/pilot

The setup assistant shows an error if the device location is not correct. You won't be able to get past the wizard until you answer that Final Jeopardy question right.

The Layout

When you are through the gate and into the actual GNOME Pilot interface (see Figure 7.13), there are more options. The layout of the program is a series of tabs with pop-up dialog boxes for more detailed options.

Figure 7.13. The GNOME Pilot interface.

The Pilots tab lists all your currently configured devices in a table. You can add new PDAs with the Add button. In the Pilot Settings dialog box, you are asked for information about the new PDA. You can type in the User Name and ID to use with the PDA or use the Get from Pilot button. Send the identification information back the other direction with Send to Pilot. Pilot Name is just a name to display in the table. In the Local Basedir field (a shorthand way of saying "base directory"), enter the directory location where you will want to keep the backup files from your PDA. If you are not sure, use the default; it is easily changed later. Sync Action is a choice of actions for when you HotSync the device. You can choose to do a full sync, to only move files to the PDA, to only move files to the computer, or to merge data. The most granular control is to choose Use Conduit Settings. With this choice, you can have different actions for different types of data.

On the Devices tab, you see another table. This is a listing of the device settings that you entered in the setup assistant. You can change the name that is used, the port listed. Here you can also change the speed, set a timeout (in number of seconds), and choose the connection type. A good rule of thumb on the speed setting is to start low and try higher speeds to see if they work. Newer PDAs can skip the lowest settings and start with 19200 or higher. If the settings that you entered do not work, GNOME Pilot shows you an error message right away.

Conduits are instructions for sending data between your computer and your PDA. GNOME Pilot has default conduits set up for the most common data types and actions. You can download and install additional conduits, and Evolution has a set of conduits for its HotSync functions. To use the conduits that are already set up, choose one from the list and use the Enable button to make it active. There is a Conduit Settings dialog box for each conduit, with a few choices that are particular to that conduit. The options vary, but most include Action and One Time Action. In those two fields, you can set whether you want that conduit to synchronize or to copy data in only one direction. Each configured PDA can be set up with its own set of conduits and conduit settings.

Syncing with GNOME Pilot

The best way to use GNOME Pilot is to have the applet on one of your panels. Click on the applet, and you will see the configuration interface again. Right-click the applet, and you will see choices for restoring your PDA's data, pausing or restarting the background process (daemon), viewing the last sync time, and setting preferences for notices from the program. Just click your HotSync button to sync.

KPilot

Program Info

Fedora/GNOME menu

Accessories > More Accessories > KPalmDOC

Terminal command

kpilot

Program URL

http://www.slac.com/pilone/kpilot_home/

Start Up and Configure

KPilot is usually not installed by default in either Fedora or Mandrake. You can use your favorite installation method, such as Apt, Yum, or Rpmdrake, to install the program.

As soon as you get into the program, make a beeline for the menu and go to Settings > Configure KPilot. On the General tab, make sure that your PDA's location is listed correctly in the Pilot Device field, and enter your user information in the Pilot User field. You can play with the Speed setting to get it right. A good guide is that older Palm Pilots often use 9600; newer models should be set to 19200 and then can try higher speeds later if they work. The Startup Options control whether you want the PDA to HotSync automatically on startup (Start Daemon at Login), whether to display a panel icon while syncing (Show Daemon in Panel), whether you want to stop the background process when you close KPilot (Stop Daemon on Exit) so that other sync programs can be used on that port, or whether you want the daemon to quit right after you HotSync (Quit After HotSync).

The rest of the default settings on the other tabs of the configuration dialog box can probably be left alone. You can play with a few of them to see which you need to change. As soon as you have the settings configured, you should first do a whole backup of your PDA data. Use the Backup button on the toolbar.

The Layout

There are six main function areas in Kpilot. You see the icons for each running vertically down the left side of the window. The HotSync area shows a log of recent syncs, program version info, and a progress meter. There are four viewers, the To-Do Viewer, Address Viewer, Memo Viewer, and Generic DB Viewer. The first three let you browse through and manage saved data in each of those three categories, with functions for adding, editing, and deleting to-do items, addresses, and memos. You can also import new memos and export saved memos to text files. With the Generic DB Viewer, you can see a list of available databases on your PDA and browse records in those databases. The File Installer is the area for installing PDA software during a HotSync.

Syncing with KPilot

KPilot uses conduits to determine what information is synchronized between your computer and your PDA during a HotSync. A number of default conduits will probably meet your needs. However, you can also search online for conduits written by third parties to use in KPilot. Go to Settings > Configure Conduits on the KPilot menu to pop up the conduits dialog box. Here you can check the conduits you want to have included for HotSyncs. When you click each conduit in the list, you see options for that conduit to the right. When you have all the conduit settings how you want them, click your HotSync button and go.

UNDER THE HOOD

ARCHIVE ME

Archiving older entries in KOrganizer is a good wayto clear up memory if you are syncing your calendar with a PDA. You will see your calendar syncs speed up after archiving a lot of old entries.

Figure 7.14. KPilot settings dialog box.

[View full size image]


The Skinny

PROGRAM | USABILITY | INTERFACE | COMMENTS
Evolution | Good | Good | This is the all-in-one Swiss army knife program for PIM functions. Use this program if you need to use all info-management functions and have them seamlessly work together. There aren't a lot of innovative or fun features in Evolution, but it's solid. The program has what you need to get things done.
KDE-PIM Suite | Great | Calendar: fair/good All else: great | This suite has more features and functions than Evolution, probably because of all the separate programs. The interface of the calendar when not used from within Kontact hurts my eyes, but the lack of pretty doesn't distract from the utility and unique features. The rest of the programs are up to the usual KDE standard of good design. There are more innovative ideas in the different suite programs than in Evolution and more fun things to play with. However, having all the programs separate means that the PIM functions don't work together as smoothly unless you use Kontact. This suite is good to use if you need only some of the functions and would prefer to use smaller, separate programs.
GNOME Pilot | Good | Fair | This is a program that just works without any bells and whistles to get in your way. Unfortunately, that also means that the program has no help for you or extra features to make using it easier. GNOME Pilot is best if you want simplicity and already know what you are doing.
KPilot | Good | Great | KPilot is a well-thought-out and useful program. This program wins any race right now for PDA syncing in Linux. The documentation should be kept more up-to-date, but maybe that's something you can volunteer to do as your contribution toward open source software. *nudge, nudge*


Links

Evolution product page: http://www.novell.com/products/evolution/

Evolution support forums: http://support.novell.com/forums/2xi.html (follow the Evolution link to get to the support forums)

KDE documentation: http://docs.kde.org/

KDE-PIM Suite: http://pim.kde.org/

KOrganizer's Hot New Stuff: http://KOrganizer.kde.org/calendars/hotstuff.html

KDE Forum's Office & PIM Board: http://kde-forum.org/viewforum.php?f=5&sid=9b396fe1396f0b22eb6ae1519b323c41

Pilot-link: http://www.pilot-link.org/

GNOME Pilot: http://www.gnome.org/projects/gnome-pilot/

GNOME Pilot mailing list archives: http://mail.gnome.org/archives/gnome-pilot-list/


Chapter 8. Office Documents and Software Suites

This is a written report after viewing of surveillance camera D#82b at Redmond facility. The information contained in this document is confidential for Microsoft Corporation authorized personnel only. If you are not the intended recipient of this report, please contact Microsoft Corporation to turn yourself in. Security is Microsoft's top concern, so we like to have the people who breech our security inform us of ityou know, so we can fix it.


Building D: Section b, Custodial Engineering Plaza

"Clippy!" the executive assistant to the junior marketing partner for office sales and development strategy is banging on a door to one of the Custodial Development and Engineering Work Areas. "Clippy, you have to come out!" she says.

"What set him off this time?" asks the internal adjunct manager for product perception, office division.

"Who knows? It could have been anything. I mean, last time he saw a picture of some kittens and started wailing about how he used to be cute and useful to Microsoft Office users," answers the marketing partner.

"Why don't we just leave him in there? He's drunk and angry. I don't want any intoxicated paper clip dude attacking me," he says, stepping back.

The exasperated marketing partner leans her head on the door. "He's a symbol, a company treasure. We can't just leave him in the janitor's closet with all those chemicals. Have you ever seen a cartoon office assistant high on industrial floor cleaner? Have you? It's bad." She turns and shakes her head at the adjunct manager. "Besides," she says with a serious look, "he could be seen by outsiders."

"He's a joke!" laughs the adjunct manager. Gesturing to the closet door, he asks, "Don't you know that everyone hates Clippy?"

"Shhh!" She takes a frantic look at the door. "He's going to hear you!"

Suddenly, there is a series of crashing sounds from the closet and a groan.

"Clippy!" she yells, banging on the door again.

"Arruuuugh," a cracked voice from inside the closet emotes. It's Clippy. "Hello! I'm your godd***ed Office Assistant! You can f***ing ask me for help with your Microsoft Office tasks!"

"Eeew," the adjunct manager grimaces. "He sounds downright stinky drunk."

"Clippy? It's Maria. Will you come out and talk to us?" the marketing partner asks.

"I'm a joke! Nobody likes me! People turn off my messages in their software. They swear at me. I'm not even going to be included in the next version! I might as well be deanimated." His voice trails off.

"No, Clippy. People still love you," she says.

The adjunct manager looks surprised and mouths, "Who?"

Maria whispers, "I don't know. I'll make something up."

"You're lying!" Clippy yells. "Where's the friggin' window cleaner?"

"We've had reports, Clippy," she lies.

"Reports?" the paper clip asks.

"Yes, umm, the people in . . ." The marketing partner struggles for a demographic name.

"Emerging Asian markets," whispers the adjunct manager.

"In emerging Asian markets, Clippy!" Maria sounds upbeat. "They love you there! You're like the Hello Kitty of formatting documents over there."

"Yeah, they're making a new animated cartoon series and want you to star in it!" The adjunct manager stifles a laugh.

"I heard that laughing!" Clippy growls through the door. "Is that Greg? That a**hole. That product perception guy is the one killing me!"

Maria looks at Greg with concern.

Greg shrugs, "Well, no one likes him. He's bringing down the product. What do you want me to do, start a mascot welfare program?"

There is a series of bangs and crashes. Clippy is hurling boxes and bottles at the door.

"Greg," Maria says, "we need Clippy. After our price hikes, licensing schemes, and online registration mazes, he's the only remotely positive part of the Microsoft Office product."

"I never looked at it that way. You might be right. How do you propose we get through to him?" asks Greg.

Maria's face lights up with an idea. She turns to address the closet door. "I am writing a business letter. Can you help with this feature?" she asks the door.

The crashes stop and an automated Clippy answers. "I see that you are writing a letter. I can help!" The door silently swings open and a disheveled Clippy emerges from the Custodial Work Area, drunk, but happy to assist you.

Figure 8.1. This artist's rendering shows the presumed current appearance of Clippy.

Alert: Clippy has escaped again. He might be hiding somewhere on the campus. Be vigilant in watching office areas, supply bins full of paper clips, anywhere with liquor, and exits for Clippy.


OpenOffice.org

Yes, that is a Web address and a name. OpenOffice.org uses its Web address as the name of the program suite. Some might call it clever. Some might call it marketing. I will just call it a name.

The OpenOffice.org productivity suite includes most of the program types that you expect in an office suite. There is a word processor, a spreadsheet program, a presentation creator, and a program for diagrams. OpenOffice is a direct assault on the Microsoft Office suite. Every program in OOo is designed to be able to open documents from its MS Office counterpart and to come close to approximating the features in the MS Office programs. Sometimes OpenOffice hits the mark beautifully, and sometimes you grin and bear the differences. Besides trying to equal Microsoft Office, OpenOffice does a good job of taking itself seriously enough to come up with unique features of its own.

All the OpenOffice programs are available for both Linux and Windows. Mac users can also run OOo through Apple's X Server program. This cross-platform compatibility of OpenOffice.org means that you can smoothly share documents with users of other operating systemsas soon as you talk them into using OpenOffice.org instead of Microsoft Office.

UNDER THE HOOD

WHAT'S BEHIND DOOR NO. 1?

When you have a document that was originally created in Microsoft Office and then go to open the document in an OpenOffice program, you get a tantalizing few moments of mystery. It's sort of that same fear of the unknown that you used to get when eating in your school cafeteria. You just don't know what is going to happen next.

With OpenOffice.org , usually nothing bad happens when you open your Microsoft Office document. Most documents open and display without a hitch. The trouble comes with documents that use complex formatting or Windows fonts that you don't have installed on your Linux system. There isn't much you can do in these situations but to reformat the document in an OpenOffice program. One small consolation is that each new version of OpenOffice.org works out a few more kinks.

OpenOffice.org Writer

Program Info

Fedora/GNOME menu

Office > OpenOffice.org Writer

Mandrake/KDE menu

Office > Word Processors > OpenOffice.org Writer

Terminal command

oowriter

Program URL

http://www.openoffice.org/

OpenOffice.org Writer is one of the two main anchors of the OOo office suite. Writer is a great program that can live up to the expectations of MS Word users most of the time. The only places where Writer might be said to fail are really not failures as much as differences in the tools of the programs. Writer is a sophisticated word-processing program with many basic text- and paragraph-formatting options, tables, the capability to embed images, styles, and good document-layout features.

You can use Writer for more complex duties than simple letter or document word processing. You can work collaboratively with the versioning system that allows for changes to documents to be accepted or rejected. Autocorrection has strong choices in its settings to correct most minor typing mistakes. You can also mark spelling and grammar mistakes as you type. Documents can use database merging for form letters and addressing. There are also indexing functions for navigating long documents.

I like using the program, but a few aspects of OpenOffice.org Writer still bug me. Some fonts still display oddly in Writer, even though they display smoothly in other programs. Table creation and editing work all right but are kind of awkward. The Stylist handles document styles created or edited in Writer quite well, with some style features more usable than they are in MS Office, but the Stylist freaks out a bit with complex styles that are brought in through a document created in another word-processing program and fails to display some underlining or adds odd characters.

The layout of OOo Writer (see Figure 8.2) is simple and similar to other word-processing programs. The differences come in the left sidebar and the various floating windows. Your toolbars and the sidebar are almost fully customizable by right-clicking a toolbar and choosing Customize. Many tools, such as the Stylist (Format > Stylist), pop up in floating windows that you can move around wherever you need them. The basic text-formatting options on the toolbars, such as fonts, bold, alignment, and indenting, are very easy to use and can be applied with just a click of the mouse. The best way to start becoming comfortable and familiar with the tools in Writer is to get started using it and exploring.

Figure 8.2. OpenOffice.org Writer.

[View full size image]

TOOL KIT 8.1

Giving You an OpenOffice.org Writing Assignment

With Clippy on the rampage, I think the responsibility falls to all of us, not just to those Microsoft employees who were sent out to look for him. I mean, we're talking about a drunken paper clip here. That thing has got sharp edges on it. Think of the children!

We need to all brush up on our detective skills. The accepted method to become a real, legitimate detective is, of course, to read old detective novels, such as those of the Mickey Spillane type. I say, because we already have OpenOffice.org Writer open, let's not read a detective novellet's write something in the style of a detective novel.

Now to make sure that we are also learning the features of OOo Writer, we will have a few rules for our assignment.

1. | Make your text justified in its alignment.
2. | Change the font of your text to a sans serif font of your choice (such as Nimbus Sans, Lucida Sans, Arial, or Tahoma).
3. | Change the font of your title to 14 point, bold. Change the font of your text to 11 point.
4. | Use at least one instance of italics and one of underlining in your text somewhere.
5. | Save copies of your file in the OOo Writer format (.swx) and in Microsoft Word format (.doc).

Happy detective-ing. Oh, and I do take off points for spelling.

FRIDGE

My OpenOffice Writer Assignment, The Gumshoe Tale: Looking for a Pen

I don't know what she is talking about. She just seems to go on and on like that. I came in here this morning because Jake said there was a pen on the desk I could borrow. Now I'm stuck sitting here listening to some leggy brunette go on and on about the wife she never was and the husband he really isn't and what happened with the gun and that her sister was a whore and would I help her out. I don't know if I'm helping her out or even why I'm still in here, but there's the pen I came looking for. It's a nice pen.

"I'm afraid to go back to the place now. Ya think someone called the cops yet? Do ya think they would know that it was me? What do you usually do when this happens?" She wouldn't stop talking like this. "Brenda told me you were a good guy. She said you knew what you were doing. She said that you were the person to help me out."

I just came in here to borrow a pen. I might even keep the pen. It's a nice gold pen, and Jake probably won't know that it's even gone. I don't need this dame coming in here making me dizzy with all this gab.

Jake's a detective. He's this big guy who just bowls over all the dames. He knows how to talk suave and all. I help him out once in a while when he needs somebody to do some legwork. He says if I help him out sometimes, he'll teach me things. He hasn't told me what yet, but I bet it'll get me a girl.

"Why are you just sitting there?"

She's pretty, this girl, but she's awfully upset. She looks like trouble. Jake knows when a dame might be trouble. Jake had to go work on a case in Philadelphia. He said I should watch the place while he was gone.

"Aren't you gonna help me?"

She's talking to me. I don't know what to tell her. I'm not a detective. I'm just sort of watching the place. I just needed this pen. This girl is crying now. I don't know what to tell a crying dame. Jake hasn't taught me that part yet.

"Why do you keep just looking at that pen? Brenda said you were a good guy, Jake."

Boy, how'd I get in the middle of this? She thinks I'm Jake. She's going on about the cops and getting caught at something. She thinks I'm going to help her. This is trouble, the kind of trouble I know I don't want. I need to just tell her that I'm not Jake and that she should probably just go to the cops.

Instead, I grab the pen and get ready to just go. I came for the pen and I've got the pen.

"Uh, listen." I hand her a tissue, since she's getting a little moist in the eyes and all. That's all suave, and I should try to be all suave on this. "I gotta go check on something . . . something in the other room there. You, umm, start thinking about how everything happened. I think I'm going to need details. And get everything straight in the right order."

The door, I need the door. The door has the secretary's room on the other side, and that's got the phone. "J. Delancey, Detective," that's what's on the door, the door with the phone on the other side of it. Except that I'm J. Delancey right now. I need a pen to write down what Jake tells me when I call him. I left the pen back in the other room.

OpenOffice.org Calc

Program Info

Fedora/GNOME menu

Office > OpenOffice.org Calc

Mandrake/KDE menu

Office > Spreadsheets > OpenOffice.org Calc

Terminal command

oocalc

Program URL

http://www.openoffice.org/

Calc is the free alternative to Microsoft Excel. Now, most frequent Excel users are very informed about financial functions. OOo Calc meets and exceeds the bar set by Excel to such a degree that the money people should look at the price comparison between free and complicated licensing scheme and never look back. Calc is a great spreadsheet program with a wide range of functions to choose from, good customizing options, great chart and graphing tools in 2D or 3D, and the capability to pull data from external databases.

If you are a dedicated number cruncher, you don't need me to tell you where anything is in the OpenOffice.org Calc interface (see Figure 8.3). All the tools you need will be easy to find and intuitive to use. Novices to spreadsheets will find help by using built-in templates, formulas, and functions. You can also use formulas with words instead of cell references, such as "expenses budget."

Figure 8.3. OpenOffice.org Calc showing the current cost figures in the search for Clippy.

[View full size image]

Clippy's Evil Archnemesis

Deep within the recesses of your OpenOffice.org program suite lurks a dark and menacing interloper. He is determined. He is evil. He is . . . (wait, let's pause again for extra drama) . . . a light bulb!!! DA-DA-DUM!!!

Figure 8.4. The OpenOffice.org mascot.

Yes, OpenOffice was so eager to mimic Microsoft Office that they even created their own little nudnick. Want to turn him off? Just uncheck the option on the menus under Help > Help Agent.

A few bugs still pop up in OOo Calc, but they are usually minor and are already documented on the Web site. Each new version of the OpenOffice.org suite fixes the bugs you knew about and many that you didn't. Excel is full of wizards that are not in Calc. Some new users might rue the lack of step-by-step help, but experienced spreadsheet users will breathe a sigh of relief at being able to do what they want to do without having to go through the extra steps. A few font display problems still in Calc are similar to the quirks in Writer, but spreadsheets print nicely and do not carry the font display issue to the printer. Calc is fast and has a good utilitarian feel that you need when working with numbers and formulas.

TOOL KIT 8.2

Adding a Function in an OpenOffice.org Spreadsheet

1. | Open OOo Calc and put a bunch of numbers down column A. Fill up from cell A1 to cell A10 with any numbers you like.
2. | Click in cell A11. Now we will add the total of the numbers in cells A1 to A10. There are two ways to do this.
3. | The first way is to just click the Sum button near the formula bar above your spreadsheet. It's to the left of the equals sign button, and it reads "Sum" when you mouse over it. When you click that Sum button, Calc looks to see how many rows of numbers you might want to add up. It assumes A1 through A10 right away. Click Enter, and you're done. If you want to change the formula to add cells A5 through A10, you can edit the cell value in the formula bar.
4. | The second way to create a sum total cell is through the menu. Delete the contents of cell A11 so we can start over. Highlight cell A11 again.
5. | Go to the menu and choose Insert > Function. A dialog box with a list of functions pops up.
6. | Scroll down the list. As you highlight each function, you can see a description of it to the right. Find Sum in the list. You can fill in each cell label in all the number fields, or you can type in the Formula field below. Type in "A1:A10" in between the parentheses, and click OK.

You can now add in the spreadsheet way. Maybe that's what people mean when they say "new math."

OpenOffice.org Impress

Program Info

Fedora/GNOME menu

Office > OpenOffice.org Impress

Mandrake/KDE menu

Office >Presentations > OpenOffice.org Impress

Terminal command

ooimpress

Program URL

http://www.openoffice.org/

I have a pun, but I am going to put it away in the drawer where bad puns belong. It was a pun about being impressed. You are now free to groan. The reason for my bad pun attempt is that OpenOffice.org Impress (see Figure 8.5) does not quite live up to its counterpart in the MS Office world as well as OOo Writer and OOo Calc live up to theirs. Impress is good at keeping basic with what it does, but it lacks the power of Microsoft PowerPoint. I give Impress kudos for a good try, though. Impress seems a little less mature than Writer or Calc, but it does show off some good features.

Figure 8.5. OpenOffice.org Impress.

[View full size image]

When you open OOo Impress, you can use a wizard to fill in the base information for a quick presentation. This setup works quite well for most users who need to create a presentation full of slides with bullet points and titles. You can add clip art, work with drawing tools, and add animated special effects for transitions. Impress also works well with OpenOffice Draw to bring in graphics created in Draw. One saving grace in Impress for busy users who don't want to mess with the details is an autolayout feature that arranges your text and bullet points in an attractive layout on each slide so you don't have to. You can then tweak the layout as much as you need.

Impress is a great tool for quick presentations, but it does lack a few of the more sophisticated features found in MS PowerPoint and Apple's KeyNote. If you just need to create a simple presentation with a few animations to show off your points, this program does a great job.

OpenOffice.org Draw

Program Info

Fedora/GNOME menu

Office > OpenOffice.org Draw

Mandrake/KDE menu

Office > OpenOffice.org Draw

Terminal command

oodraw

Program URL

http://www.openoffice.org/

OpenOffice.org Draw is an odd duck. The program is both a standalone program and a complementary program to OOo Writer. There isn't really a direct counterpart for Draw to compete against in the MS Office world, although it can handle some of the work you might use Visio for without specializing in those tasks. Draw is a simple graphics tool that enables you to create quick sketch representations or complex diagrams. You can create 2D and 3D shapes (see Figure 8.6), use connectors for flowcharts and network diagrams, and use Bezier curves.

Figure 8.6. OpenOffice.org Draw showing some basic shapes.

[View full size image]

To create shapes and graphics, you mostly use the tools on the left sidebar and then supplement those with formatting buttons on the top toolbars for things such as color and text formatting. You can turn text into shapes, similar to but more powerful than MS Office's Word Art. Importing and exporting images is easy, with support for GIF, PNG, JPG, TIF, and BMP. Don't expect to be able to edit photo images in Draw, though; you can edit only graphics created in Draw.


Other Office and Productivity Programs

AbiWord

Program Info

Terminal command

abiword

Program URL

http://www.abisource.com/

When I think of AbiWord, I think of middle child syndrome. AbiWord is like a child who lives in the shadow of its more popular sibling, OpenOffice.org. AbiWord is a great word-processing program. The application is cross-platform, with versions for Windows and Mac OS X as well as Linux. AbiWord meshes well with Word documents, and it also loads OpenOffice, rich-text, Word Perfect, and HTML documents. The quirks when loading other document types with complex formatting are much more prevalent than in OpenOffice, but AbiWord can still edit them and does perfectly fine with basic formatting.

The advanced features in AbiWord are well designed. Document layout options for bullets, tables, and other lists are easy to use. You can use mail merge functions to pull data from lists or databases. AbiWord also uses plug-ins to add extra functionality to the program.

AbiWord is light, fast, and efficient. If you just need basic word processing, see if you like AbiWord better than OpenOffice Writer. You might like the single program's easy usability, compared to installing a whole office suite.

KOffice

Program Info

Program URL

http://www.koffice.org/

If AbiWord is the less appreciated sibling in the land of Linux office programs, then KOffice is the neglected stepchild that no one pays attention to. There is no good reason to ignore KOffice anymore. Although the suite of programs used to be the pretty face without substance, newer versions of KOffice are catching up with the competition. KOffice includes a whole suite of programs:

  • Karbon14, a vector-drawing program

  • KChart, a chart-and-diagram program

  • Kivio, a flowchart program similar to Visio

  • KPresenter, a presentation and slideshow creator

  • KSpread, a spreadsheet program

  • Kugar, a report generator

  • KWord, a word-processing program

The word processor and spreadsheet programs in any office suite are the anchors and most important functions. In KOffice, this is true as well, with KWord (see Figure 8.7) and KSpread being the most mature and usable programs in the group. KWord is unique, in that it is frame based, like Adobe's FrameMaker. This characteristic sets the stage for an interesting feature of the whole KOffice suite. Each program has what KOffice labels as KParts, which means that you can embed any program piece or document in KOffice inside any other KOffice program. So, you can put a spreadsheet inside a word-processing document, and so on.

Figure 8.7. KWord.

[View full size image]

KOffice won't be ignored for long because it continues to add new programs to the suite and to improve the current content. KDE will even soon be including an image-manipulation program similar to the GIMP, called Krita.


PDF Documents

Both Fedora and Mandrake provide you with preinstalled programs for viewing PDF files, XPDF, and KGhostView. You can also view PDF files in your file manager. If you have a PDF file, all you have to do is open the directory that contains your file in your file manager, either Nautilus or Konqueror, and double-click the PDF. Both file manager programs automatically start the appropriate program to view the PDF file. Nautilus even views a PDF without opening a separate program (see Figure 8.8).

Figure 8.8. Viewing a PDF file in Nautilus.

[View full size image]

If you feel more comfortable using Adobe Acrobat Reader, a Linux version is available on the Adobe site at http://www.adobe.com/products/acrobat/readstep2.html.

Creating PDFs in Linux is easy as well, but don't let Adobe know about it. Okay, they probably already know, but they don't quite know what to do about the situation. OpenOffice.org has a built-in export-to-PDF feature. When you are done editing your document in Writer or Calc, just choose File > Export as PDF from the menu. The feature is also available from the print screen using the Print to File option.


The Skinny

PROGRAM | USABILITY | INTERFACE | COMMENTS
OpenOffice.org Writer | Great | Great | Writer is a full-featured word-processing program that can compete on almost every level with Microsoft Word. You might see some minor display issues when opening Word documents in Writer that have complex formatting. Other than those small quirks, Writer is very compatible and can pleasantly work as your writing and desktop-publishing friend.
OpenOffice.org Calc | Great | Great | The other anchor to the OOo suite is a very strong spreadsheet program. Many experienced veterans of Excel who have tried Calc actually like Calc better. The paring of extra features that most users do not use and the simplicity of the program enable you to concentrate on your productivity rather than making you futz with the program details.
OpenOffice.org Impress | Good | Good | Impress won't win a wrestling match with Microsoft PowerPoint or Apple KeyNote, but it serves well for basic slides and presentations and can even add animations.
OpenOffice.org Draw | Good | Good | Don't think that Draw will replace your photo-editing program, complicated flowchart program, or full vector-drawing program, but it will suffice to add quick sketches and diagrams to your other OpenOffice.org documents.
AbiWord | Good | Fair | AbiWord is a great standalone word-processing program. If you need only word processing and don't want to have all the other programs of an office suite installed, this program can offer you the light, fast, and efficient alternative. The program does a good job of displaying documents formatted in MS Word and other programs when the formatting is basic, but it balks even more than OOo Writer at complex tables and styles.
KOffice | Good | Great | KOffice is still a bit of a work in progress, but it has potential. The interface to each program is very consistent and beautiful, like most KDE programs. KOffice is very admirable for not just trying to clone the features of Microsoft Office, but trying to create and integrate unique features and innovative ideas.
PDFs Documents | Great | Great | PDF viewing is completely functional and smooth in Linux when using either your file manager or a separate program such as XPDF. Creating PDFs is actually easier in Linux than it is in Windows because programs such as those in OpenOffice.org create a PDF without making you buy the commercial program from Adobe.


Links

OpenOffice.org: http://www.openoffice.org

Unofficial Mickey Spillane Mike Hammer site: http://www.interlog.com/~roco/hammer.html

AbiWord: http://www.abisource.com/

KOffice: http://www.koffice.org/

XPDF: http://www.foolabs.com/xpdf/

Adobe Acrobat Reader for Linux: http://www.adobe.com/products/acrobat/readstep2.html


Chapter 9. Photos and Graphics

Michelangelo Buonarrotinow there was a genius[*]. Genius is often an unhappy thing to be. Most creative geniuses throughout history have led unhappy lives. Many of history's geniuses inflicted unhappiness upon those around them with manic behavior. Hemingway drank. Van Gogh fought with his roommate, Gauguin. Kerouac was the family moocher. I read about these geniuses and sort of wish I could help one of them out, add a little happiness to their lives. We have a Make a Wish Foundation for terminally ill kids, so why not have a Make a Tortured Genius Happy Foundation?

[*] By the way, we're all the way up to Topic 9. You have had time to spread that rumor about me being a genius. How's it going?

Michelangelo is a perfect candidate to be helped by the Foundation. As far as we know, he wasn't drunk and brooding like so many artists you read about. Not much known is about his personal life. One thing is apparent, though: The dude never got a vacation. He was always getting cooped up in a chapel or a tomb. Pope Julius II wouldn't leave him alone.

"Michelangelo, paint me a ceiling in the Sistine Chapel."

"Michelangelo, sculpt me statuary for my tomb."

"Michelangelo, paint that back wall of the chapel. It's too plain."

"Guards, bring back Michelangelo. He ran away again."

Was he the pope or his stepmother?

Pope Julius II didn't let poor Mike go anywhere. Sure, he got out to the stone quarry once in a while to pick out a block, but that wasn't even outside the Florence metropolitan area. He never seemed to get a vacation, a chance to travel.

Today we are at an advantage. It is easy to travel. Even if you don't go anywhere, you can learn about the world in books, in movies, in pictures, and through the Internet. We have so much that it makes me feel bad for Michelangelo, the poor, dead genius. I mean, look at this picture of him from Raphael's School of Athens fresco (see Figure 9.1) He does not look happy.

Figure 9.1. Raphael's depiction of Michelangelo in School of Athens.

Luckily, I am a genius, too, so I can help him. Michelangelo is dead. Being dead doesn't provide much opportunity for travel. I will give him a virtual vacation. I will make a photo album of Michelangelo's missing virtual vacation for him to bore his dead friends with.


Digital Cameras

Just as you experience with any peripheral hardware you hook up to your computer, your digital camera might work beautifully as soon as you plug it in, or you might end up wanting to toss it out a window. Most popular cameras coming out now connect via a USB port, for which there is great support in Linux. Some cameras are now using Firewire, for which there is also support, but they can sometimes be more complex to work with. Consult an online hardware guide such as the one at http://www.faqs.org/docs/Linux-HOWTO/USB-Digital-Camera-HOWTO.html. Read up on your particular camera by searching for it online. Most problems with peripheral hardware in Linux can be traced to hooking up hardware that has no Linux support.

When you have your camera connected and ready to go, you will need to get those pictures off the camera. In Windows, most people use the proprietary software that came with their camera. That software isn't going to work in Linux. There might be a wise digital camera maker in the future that gives us Linux software with a digital camera, but right now camera makers write software for Windows and Mac. With easily attainable programs available in Linux to use with most any digital camera you own, you won't need the software that came with your camera. The freedom to not have to use special software or worry about losing the disk that came with your camera is nice. There are many good applications in Linux for snagging the pictures off your digital camera, and most of those use a program called gPhoto2.

gPhoto2

gPhoto2 is the engine that most other programs use behind the scenes to work with digital cameras. The program is installed by default in both Fedora and Mandrake. One of the best features of gPhoto2 is its scalable support. The program supports more than 400 cameras. You can look at the list of cameras by opening the program gtKam or any other front end to gPhoto2 that you are using. Check the listing of supported cameras on the gPhoto2 Web site at http://www.gphoto.org/proj/libgphoto2/support.php. The odds are good that your camera is in the list. Cameras that are not listed currently don't have the demand from users, so no one wrote a driver for them. Sometimes a camera is not supported because it is too old or because it is so new that no one has gotten around to adding it yet. I learned the hard way with an old Kodak that if your funky old camera isn't supported, it probably won't be. If you have a brand new camera that is not in the list, keep checking the gPhoto2 Web site and updating the program to its newest version because it is likely that your camera will eventually get on the list.

UNDER THE HOOD

SMART AND REMOVABLE

With some cameras, you don't need an extra program to grab your pictures. Digital cameras with Smart Cards, removable Flash memory, or compatible internal memory can often be mounted as a USB drive or can be used in card or memory readers and mounted that way. You can then use your file manager or the command line to move files on and off your computer. Search online to find tutorials and testimonials from other Linux users who own the same camera and who might have already tried alternative ways to mount the camera's memory.

Getting Pictures from Your Camera

gtKam

Program Info

Fedora/GNOME menu

Graphics > Digital Camera Tool

Terminal command

gtkam

Program URL

http://gphoto.sourceforge.net/proj/gtkam/

The makers of gPhoto2 also make gtKam. This program (see Figure 9.2) is the default front end for use with gPhoto2 to pull the images off your digital camera. You have gtKam installed with gPhoto2 in your distro if you are using Fedora. You can install the program in Mandrake using RPMDrake. It's a really simple program, with options to choose your digital camera from a list of supported cameras and then import your images to a directory on your hard disk.

Figure 9.2. GtKam is a front-end program that uses gPhoto2.

gtKam's interface is arranged in a simple two-pane window layout. There is a brief menu at the top with a File menu and menus for Select, Camera, and Help. The Camera menu is for configuring the connected camera. The left column is an expandable tree list of folders on the connected camera. The number of images is in parentheses next to the name of the folder. The right-side window is for viewing thumbnail previews of the images on your camera.

Sneaky Guessing

Linux lets you be sneaky. If you don't find your exact camera listed, try choosing one that is close to your model. Lots of times, a similar camera model will work. You can also search online to see what has worked for others.

Other programs that are available for managing your photos and creating albums have their uses, but gtKam is the best solution if you just want to quickly grab images off a camera, without any extras to get in the way of your main task.

TOOL KIT 9.1

Use Gtkam to Import Photos from a Digital Camera

I embarked on an around-the-world epic journey to get pictures of exotic locations for Michelangelo's vacation photos. Okay, actually I just took some pictures of places I could easily get to. I have an Olympus D395 that uses a USB connection. Getting the images off the camera with gtKam is easy.

1. | Connect your camera to your computer, and turn it on. Some cameras require you to select a different camera mode to communicate with the computer. Consult your camera's manual to be sure.
2. | Open gtKam.
3. | First, set up gtKam to use your type of camera. Go to the menu and select Camera > Add Camera. You will see a settings window where you can select the type of camera you have connected. You can also give gtKam a shot at automatically detecting your type of camera with the Detect button. When you have the right camera, click Apply and OK.
4. | You should see an icon for your camera in the left column of gtKam. Click the plus sign(s) for the sections of your camera to expand the tree. Highlight any entry to see the images previewed in the right-side preview pane of gtKam.
5. | Select the images that you want to save, or go to the menu and choose Select > Select All to choose all the images in that section. Then use File > Save As or the Save button on the toolbar to save those images to your hard drive.
6. | If you want to clear your camera's memory using gtKam, the process is almost the same as saving. Select the images to be deleted and use the Delete button or File > Delete from the menu.

Konquorer

Yep, I'm talking about the file manager, Konquorer. Talking about a Conquistador who could grab your photos off your digital camera would be fun. I can see him in his metal helmet fighting to import images from even the most resistant digital camera. Alas, this is just Konquorer, your handy KDE file manager. We have already seen that the file managers in Linux, both Konquorer and Nautilus, endeavor to be your central point for a lot of program functions, from simply managing files to acting as a Web browser. Add one more function to Konquorer's list, gPhoto2 front end.

To get images off your digital camera using Konquorer, the steps are few and easy. Connect your camera and turn it on. Linux detects most digital cameras, especially most USB cameras, right away. Open Konquorer. You can probably just type "camera:/" into the address bar. There should be a folder for your camera. In that folder will be either more directories or the image files on your camera, depending on how your camera stores images (see Figure 9.3). You can then copy images from the camera to a directory on your hard drive in the same way that you would normally copy files in Konquorer.

Figure 9.3. Konquorer's view of the digital camera memory.

Nautilus can also view a digital camera's memory if it is mounted as a removable media item, but gtKam is way easier for GNOME users than Nautilus for this purpose.

UNDER THE HOOD

MANDRAKE WINS

Users of Mandrake have got it very easy when it comes to digital cameras. Just plug in your camera, and Mandrake pops an icon onto your desktop. Double-click the icon, and you can copy those files right away.


Create and Edit Images

In Linux, you can do almost every graphics task, from logo creation, complex image editing, and Web site graphics, to simple things such as just playing around with a paint program, taking the red eye out of a photo, and resizing an image. Most of your image work in Linux can be done in a program called the GIMP. However, the playing around and simple things can also be done in more basic programs, such as KPaint, for anyone who prefers to keep things simple.

GIMP

Program Info

Fedora/GNOME menu

Graphics > GIMP Image Editor

Mandrake/KDE menu

Multimedia > Graphics > The GIMP

Terminal command

gimp

Program URL

http://www.gimp.org

The GIMP is the signature graphics program for Linux. It is a powerful program that can take care of most image functions you might have used Adobe Photoshop for on a PC or Mac. Dedicated Photoshop users should not come into the GIMP expecting to find the same program or features. The GIMP is its own program, with its own way of doing things. GIMP is a screen graphics program that deals better in pixels than inches. Print designers looking for CMYK support and Pantone colors might find frustration. New versions of the GIMP include CMYK support, but print graphics are not the GIMP's strong suit. The GIMP is best used for Web graphics, digital photos, and projects that will be mainly viewed onscreen or that do not need high print quality.

You probably already have the GIMP installed; it comes with most distributions. New versions come out infrequently but incorporate big changes. If you happen to be using an older distro that came with one of the 1.x versions of the GIMP, close it now and grab a new version, 2.x or later. The usability difference between those version numbers is a vast improvement.

The first time you open the GIMP, you see a settings wizard. You can accept the default choices and move through the end of the wizard with no problem. Designers or those of a meticulous nature might want to stop along the way to adjust screen resolution and ruler settings.

The Photoshop-to-GIMP Conversion Guide

Table 9.1. Photoshop-to-GIMP Equivalents

IF YOU DO THIS IN PHOTOSHOP …

… USE THIS IN THE GIMP

Resize an image

From an image window, go to Image > Scale Image. You don't need to check a box to constrain proportions. Use the symbol to the right of the width and height of your image; it toggles on and off when clicked.

Crop an image

Select the area of the image you want to keep. From an image window, go to Image > Crop. You can also use the Crop tool in the toolbox window so you can adjust the cropped area and have more options and control.

Add text to an image

Use the Text tool in the toolbox window; it's the icon with the T on it. Text is edited in a window, not displayed on the image itself.

Sharpen an image

Choose Filters > Enhance > Sharpen from the image window menu. In the pop-up window, you can adjust the amount of sharpening.

Adjust brightness, contrast, hue, or saturation

Go to Layers > Colors in the image window menu. There are choices for both BrightnessContrast and HueSaturation.

Add a new layer

Click the New Layer button in the layers window, the icon with the plus sign on it near the bottom of the window.

Duplicate a layer

Click the Duplicate Layer button in the layers window, the icon that looks like two pieces of paper at the bottom of the window.

Desaturate a layer's color

Go to Layers > Colors > Desaturate in the image window menu.

Save for Web

Simply choose File > Save from the image window menu and save the file as a .gif, .jpg, or .png. You then get the opportunity to optimize the image for the smallest file size with the best quality. Remember to check the box for Preview (in image window, will modify image's undo history) so you can see what it will look like.

Using the GIMP

The GIMP is arranged as a group of windows, not one big window, as you see in most applications. The window list on your panel shows all GIMP windows listed almost as if they were different programs. Every image you open appears in its own window. Some might enjoy this feature and find it somehow useful. I have to admit that all those windows are not my favorite GIMP behavior. When I open a whole set of images, I have to just ignore my panel window list. The two default GIMP windows are the toolbox window and the layers window.

Vector Victor

The GIMP is most useful for Web or screen-only graphics and is not the best editor for print work. The GIMP is not a vector-drawing program. Some users might regularly use a program such as Adobe Illustrator for logos or vector image editing. A few Linux programs can stand in for the programs you might be used to. Sodipodi (see http://www.sodipodi.com/) is a vector program that features alpha transparencies and vector fonts. You can also check out the programs Sketch (http://sketch.sourceforge.net/) and Karbon14 (http://www.koffice.org/karbon/).

The toolbox window has icon buttons for all the tools you can use to perform actions on an image, and it is also the GIMP's main program window. Close this window, and you close the program. Hover your mouse over each toolbox button to see the name of each tool. At the top of the toolbox window are some menus. These are the GIMP's high-level menus, File, Xtns, and Help. More menus are available in the image windows. The Preferences option is in the File menu. You will want to go adjust preferences as you use and learn more about the GIMP. The other interesting option is Dialogs, where you can change which dialog boxes are in view within the program windows, such as brushes and tool options. In the Xtns menu are choices for managing modules, plug-ins, and scripts. These are add-ons you can use with the GIMP. I suggest that you get familiar with using the GIMP before you start looking for add-ons.

Those used to other graphics programs such as Photoshop or PaintShop Pro will find a lot of common language and function in the GIMP. You still work with images in layers and still have basic functions such as resizing, cropping, hue and saturation, and brightness and contrast. Those functions are even named similarly in the GIMP as they are in other programs. The GIMP goes its own direction in a few areas, such as filters, access to tools and menus, and a custom scripting ability called Script-Fu.

If You Miss Photoshop

I know what it is like to be a dedicated Photoshop user and hate using the GIMP. I used to get mad at the GIMP and then go yell at my Linux geek friend who recommended it to me. I have learned to like using the GIMP now. You might not be to that enlightened state yet. If you find that the GIMP is not enough or too different from Photoshop, you can run several Photoshop versions in Linux using the commercial software Crossover Office (see Topic 13, "Running Windows Applications").

The GIMP can open, save, and edit numerous file types, including .gif, .jpg, .png, .tif, and .bmp files (see Figure 9.4). You can even open and edit .psd files with layers from Photoshop. The GIMP's own file format is .xcf. This is the format you should save your work in to preserve the layers. You get a prompt when saving multilayered images in other formats that cannot save multiple layers, asking if you want to export the file and warning you that information will be lost. It is a good practice to keep a copy of your work saved as an .xcf file with all of the layer information. Having that original work saved is handy if you want to edit the image later.

Figure 9.4. The GIMP with an image open.

[View full size image]

There are two types of menu bars in the GIMP. You know about the high-level menus in the toolbox window, File, Xtns, and Help. The other set of menus shows up in each image window. These menus run along the top of the image window and can also be accessed by right-clicking anywhere in your image.

File

This menu has the usual New, Open, and Save choices. Note that the save options in the image window save only that image. The File menu in the toolbox window does not work for anything on the individual image.

Edit

Options in this menu that are different include Paste Into, which acts like Paste unless there is a selection made at the time. Paste as New pastes the Clipboard image as a new image. Buffer is a shared clipboard for all open images in the GIMP. The Stroke choices are for outlining selections.

Select

Choices are here for selecting and transforming parts of the image.

View

Most of these options are for toggling different parts and tools of the GIMP into and out of view. The handy choices on this menu are in View > Zoom to zoom in for close work or zoom out to "step back" from your work. The Shrink Wrap option is also great for getting your window sizes under control.

Image

This is where you go to scale the image and Clipboard, change the mode, and crop images. This will be one of your most used menus. You can also use the choices under Transform to flip and turn an image.

Layer

Most of the choices in this menu are better used in the layers window. However, the Colors submenu has all the choices for HueSaturation, BrightnessContrast, and Desaturation. There is also the Transparency submenu for alpha choices.

Tools

Here you can switch to a few of the basic tools, but using the toolbox window is better.

Dialogs

These choices are sort of a subset of the Views menu, enabling you to open different dialog boxes and palettes such as brush choices.

Filters

This menu is comparable to the Filter menu in PhotoShop. Here you will find all the effects for images, as well as a few run-of-the-mill image enhancements such as Sharpen. Open an image and play with applying some of the filters, to get familiar with what they do.

Python-Fu and Script-Fu

This is the GIMP's scripting language. Script-Fu is like a more powerful version of the macros that are used in some Windows programs. A few popular scripts, such as drop shadow, are built into the default installation of the GIMP, but new scripts can be written or found online to use in the GIMP. There is also now a Python-Fu menu in the image window. Python-Fu is just like Script-Fu, but for developers who want to write their scripts using the Python language.

Saving files in the GIMP gives you opportunities to make some decisions about the final output image. Unlike other programs, you do not use a drop-down menu in the Save dialog box to choose the file type to save your image as; this is determined from how you name the file. If you call your image MichelangeloAtMountRushmore.jpg, it will be saved as a .jpg image. For image types such as .gif, .png, and .jpg, you get the opportunity to optimize the image during the save process, with the final optimized image previewed in the image window itself.

TOOL KIT 9.2

Create a Multilayer Image with the GIMP

Let's make the first picture for Michelangelo's virtual vacation photo album, a picture of Michelangelo and his Capuchin monkey, Don, at Mount Rushmore. We will need three photos to composite together: Michelangelo, Don, and the background scene. You can download example images to work with at the URL in Step 2. You can also choose to composite other pictures on your own. Either way, you will learn some important GIMP functions. Come on, it'll be fun, like crafts time in school.

1.
Open the GIMP.

2.
Open the three files you have chosen to composite. If you're following along with the bouncing ball at home, download these three images:

http://www.snerf.com/linuxdesktopgarage/examples/michelangelo.xcf

http://www.snerf.com/linuxdesktopgarage/examples/don.xcf

http://www.snerf.com/linuxdesktopgarage/examples/mountrushmore.jpg

3.
Open your background image, mountrushmore.jpg. Save it as new image by going to File > Save As. Let's save it as vacationphoto01.xcf.

4.
Open the two insert images, michelangelo.xcf and don.xcf. These are .xcf files because I have already cut out Michelangelo and Don from their background images.

5.
Go to Michelangelo's picture. Notice that there are two layers, Mike and Background. Mike is the layer with his image cut out, and Background is a layer of solid black. Highlight the Mike layer in the layers window. Now select that entire layer by going to Select > All or by clicking Ctrl+A.

6.
Copy that layer's image to the Clipboard using Edit > Copy, or click Ctrl+C.

7.
Click the background image of Mount Rushmore. Paste the Michelangelo image into the background with Edit > Paste or Ctrl+V.

8.
Don't click anything else yet. The pasted image is shown in the layers window as a temporary layer, or floating selection, called Pasted Layer (see Figure 9.5). You can choose to have the pasted layer become part of the existing layer underneath or to have the pasted layer become its own layer. I want the image on its own layer. Click the New Layer button in the layers window. That makes Pasted Layer into a permanent layer.

Figure 9.5. The Background layer with the floating temporary layer above it.

[View full size image]

9.
Rename the new layer by right-clicking that layer in the layers window and choosing Edit Layer Attributes. Name it Michelangelo.

10.
Now go get Don. This image has two layers as well, Don and Background. Repeat the steps used with Michelangelo's picture: Select all of the Don layer and copy it. Make sure you have the Background layer of the composite picture selected before you paste in the new image. Paste it on to the background image, create a new layer for it, and then name the new layer Don. You can see all the layers in Figure 9.6.

Figure 9.6. Everything pasted in and ready to position in the composite image.

[View full size image]

11.
What we have now is the composite image with our two heroes floating over Thomas Jefferson's face. We need to position them. In the toolbox window, choose the Move Layers & Selections tool.

12.
Highlight the Michelangelo layer in the layers window, and then click back in the image window. You can now drag the Michelangelo image anywhere you like. I'm putting him toward the bottom. Do the same with Don.

13.
With the vacationers in position, the image is finished (see Figure 9.7). Save the .xcf version, File > Save.

Figure 9.7. The finished image.

[View full size image]

14.
Export the image to a .jpg for use in our photo album by going to File > Save As. Then name the file vacationphoto01.jpg. Just typing the .jpg extension in the name lets the GIMP know to convert the image to that file format. You are prompted to export the image; click Export. You now see a Save as JPEG window that lets you set the optimization for the image. I am going to move the Quality slider to 75. Check the Preview box at the top, and then click the image window to see what the image will look like at that quality setting. When you're ready, click OK.

All the features in the GIMP might be overwhelming to you if you just want to quickly crop or edit one of your own photos. Use as much or as little of the power in the GIMP as you like. Most of the time, I open the program to simply resize and crop an image.

KPaint

Program Info

Fedora/GNOME menu

Graphics > KPaint

Mandrake/KDE menu

Multimedia > Graphics > KPaint

Terminal command

kpaint

Program URL

http://docs.kde.org/en/HEAD/kdegraphics/kpaint/

Sometimes you need to play. Sometimes you need to doodle. Sometimes you need to give the kids something to do for a while. Sometimes you need to open a picture of a politician you don't like and draw on a funny moustache and devil horns (see Figure 9.8). You could do all of those things in the GIMP, but sometimes you want to stay simple. KPaint is the simple solution. The program is comparable to Paint in Windows. Everything in KPaint is basic. As must be obvious to you now, the K means that it is a KDE program.

Figure 9.8. Using KPaint to abuse James K. Polk.

[View full size image]

If you have ever used Microsoft Paint, you have pretty much used KPaint. The two programs are similar in function. There are simple tools, such as a paintbrush or line tool, and a plain white palette to draw or paint on. If you are frightened by all the options in the GIMP, you can do simple resizing of images in KPaint, but you will lose the option of controlling the quality of image that you save.


Manage Images and Photo Albums

There has been an amazing boom in the popularity of digital photography in the last few years. In a surprising announcement, Kodak has even said that it will no longer make film cameras. All this digital photography means that we all need a new way to keep our photos. You can print them, but you will still want to keep a digital backup. No more shoeboxes and bulky photo albums anymorenow we need to create photo albums on our hard drives and on Web sites.

First of all, managing your digital photos is another opportunity for me to bash you in the head with the directive to always, always back up your data. You don't want to lose the family photos because your computer dies. After you have organized your photos, back them up onto your preferred media for backups: burned CDs; another computer; burned DVDs, ZIP, or Jazz disks; or anything else that will hold them. Then periodically back up any new photos and albums that you acquire.

There are a lot of options for you to manage your images. Some programs create albums for you and can export those albums to online albums as well. The simplest way to organize photos into albums is to use directories in your file manager. Find a place in your home directory to create a folder for PhotoAlbums. Then organize your photos in other folders inside of there. For instance, you can create PhotoAlbums > MichelangeloVacation and have the photos sit inside that folder. Both Konquorer and Nautilus have great features for viewing thumbnail previews of images in a directory. You can double-click any image to see it in a larger view.

Although simple directories are the easy way to organize digital photo albums, they do not provide features for adding comments and notes to pictures or for easily exporting a photo album to the Web. Adding comments and notes to images is a replacement way to make up for the scrapbook-type comments or captions you might write in a physical photo album. Online photo albums are also popular. When you get family members bugging you to see those baby pictures or vacation photos, you want a quick and easy way to create online photo albums to placate the demands. A few programs in Linux can help you with all these functions, but two are standouts right now in development and available features: Digikam and gThumb.

Digikam

Program Info

Terminal command

digikam

Program URL

http://digikam.sourceforge.net/

Digikam wants to be your all-in-one photo tool. With this program, you can import photos from your digital camera (using gPhoto2 as the behind-the-scenes engine for this feature), organize those photos into albums, and do a few basic image-editing functions. Digikam is now listed as a KDE program, but you might not have it installed by default. Right now Digikam isn't available in the most common repositories for Apt and Yum, but keep checking. The best way to install Digikam might be to find a package or download the source from the project's Web site.

The photo album organization in Digikam has a lot of options. Photos in albums are sorted chronologically by default. You can also sort photos into your own categories. Views for photo albums include viewing by collection name, by the date of the image, or in a flat listing. There are also four different thumbnail sizes to view your albums in, from Small to Very Big. Adding comments to albums and images is easy, with obvious text fields for the comments.

The basic image functions in Digikam include cropping, flipping, adjusting brightness and contrast, doing gamma correction, and rotating images. You can also export images to other formats. Printing images from Digikam is easy, but deciding on page layout for your photo is limited.

Digikam offers plug-in functionality so you can extend the program to do even more. If you are so inclined, you can write your own plug-ins for new functions. Information is available on the Digikam Web site on how their plug-in development works. There are already plug-ins for viewing slideshows, e-mailing images, and archiving images to CDs or DVDs. One of the most useful plug-ins is for exporting albums to HTML. Seasoned Web developers might balk at the page designs and code used, but if you just want an easy way to get those pictures online, this works. You can certainly use the output Web pages as a base to then edit and change the pages to match your Web site. Other plug-ins available include those for working with images in batches to rename or resize them all at once, connecting with the KDE scanning program Kooka (see http://www.kde.org/apps/kooka/) to import scanned images, creating calendars, and ferreting out duplicate images in your photo albums.

gThumb

Program Info

Fedora/GNOME menu

Graphics > gThumb Image Viewer

Terminal command

gthumb

Program URL

http://gthumb.sourceforge.net

GNOME's contribution to managing your digital photos is gThumb. Fedora includes gThumb by default when you check the box for the Graphics category of programs upon install. Mandrake does not include gThumb, even when you include GNOME in your installation. gThumb supports opening .gif, .jpg, .bmp, .png, .tif, .ico, and .xpm file formats, and can save to .jpg, .png, .tiff, and .tga formats.

The layout of gThumb is a simple three-pane window. There is a toolbar with buttons for navigating photos in folders and categories, starting a slideshow, and performing a few basic editing functions. Other options are two mouse clicks away in the menus or can be shown in separate dialog boxes. You view the category or folder in the left pane and view your highlighted photo in the right pane. You can also add thumbnail viewing to your left column view (see Figure 9.9).

Figure 9.9. gThumb with thumbnails of each image.

[View full size image]

gThumb's main interface function is to be an image viewer, with additional features for organizing and working with images. While viewing images, you can look at them as a series of thumbnail images. The image organization is done using simple files and directories. You don't have to go out to your file manager or a terminal to move, copy, or delete files and folders; gThumb gives you those functions in the program. You can add comments to each image and bookmark them for easy access later. The organization structure used in gThumb is to organize images in catalogs, and then catalogs in libraries. This differs a bit from the terms used in a photo album concept, but it works the same. Image-editing functions in gThumb are limited to basic needs. There are options to adjust image properties such as brightness, contrast, hue, and saturation. You can also rotate and scale images.

Advanced features in gThumb include exporting to Web albums, viewing slideshows, finding duplicate images, and working with images in a series, or batch. gThumb also allows for setting an image as your desktop background from within gThumb. Searching in gThumb is done well, with the capability to search for images and save the search results as a catalog or album.

TOOL KIT 9.3

Export a Photo Album for the Web with gThumb

Now that we have Michelangelo's vacation photos ready to show him, there is a problem. The dude is dead. I'm not sure how to deliver an album to whatever hereafter Michelangelo might dwell in. I suppose if you believe in heaven, it is easy to imagine that heaven has a broadband connection. That assumption makes an online photo album the best way to show Michelangelo the vacation he never took. Let's take the photos, pull them into gThumb, and export them to HTML for publishing on the Web.

1.
Open gThumb.

2.
In gThumb's left navigation column, find the folder with the photos that you want to export to the Web as an album.

3.
Highlight the images in the thumbnail view that you want to include in the Web album and then choose Tools > Create Web Album.

4.
The Web Album dialog box pops up (see Figure 9.10). Choose a Destination directory on your computer for gThumb to save your new Web album to. The final output results in both HTML pages and images, so you might want to give the photo album its own folder on your computer. The separate folder makes it easier to keep track of the files.

Figure 9.10. Configuration settings for creating a Web photo album in gThumb.

5.
Choose the name of the index file. The default is index.html, which is fine for any album you will show online in its own directory.

6.
Resize If Larger Than is a good option to use for the Web to cut down on file size. If you don't like the quality of the image after gThumb resizes it, you might not want to use this option. You can resize and optimize your images in the GIMP instead for better quality.

7.
In the Index Layout section, you choose how many rows and columns will be in the table grid created by gThumb for thumbnail previews of your images. You can also choose how your images are sorted.

8.
The Header and Footer fields are for adding titles to your pages. You can choose a predesigned theme for your pages. If you want to add your own page design, just choose the Clean theme and then edit the HTML later.

9.
Click Save to finish. You can then use your file browser to navigate to the index page in the directory you chose to save the photo album in. Open your photo album in a browser. The Web photo album created consists of a few simple HTML pages with navigation. If you like what was created, upload the pages and images to your Web server. If you want to tweak the look or navigation images of the Web album, the pages are HTML that you can edit or swap out images from.


The Skinny

PROGRAM | USABILITY | INTERFACE | COMMENTS
gPhoto2 | Great | Not applicable | gPhoto2 is the digital camera engine behind most Linux programs that have anything to do with digital cameras. There is no viable other choice. The list of supported cameras is impressive and ever expanding. It really doesn't matter what the interface to the program is because there are just a few command-line options for gPhoto2. This program is usually used with an accompanying front-end program.
gtKam | Great | Great | gtKam has the most basic, uncluttered layout of other programs that work with digital cameras. You can save images from your camera and delete images on your camera in one easy interface without additional complication or features. The fact that gtKam is made by the gPhoto2 group is also an advantage, in that gtKam will always account for any new developments in gPhoto2 that other programs might not support right away.
GIMP | Great | Great | It's the GIMP. It's the best and only advanced graphics program for Linux. Detractors of the program seem to always taint their complaints with regret that the GIMP is not the Photoshop or Illustrator that they are used to. I went through the same thing. When you get past the adjustment and learn a few of the quirks, the GIMP is your friend. This is a great program for screen graphics and Web graphics, but the GIMP is not up to speed for print work yet.
KPaint | Good | Good | This is just a simple program to doodle, play, or quickly do something basic with an image. For most basic image functions, the GIMP is still better, despite a complexity of options that might scare away some users. KPaint works well to draw in or give the kids a doodling space that you don't have to clean up later.
Digikam | Good | Great | This program is great for managing photo albums on your computer. The developers have done a good job of anticipating the most needed features and using terminology that the average user can understand. Some parts of the program seem new and underdeveloped. As this project matures, the oddities will get worked out. It has a lot of potential.
gThumb | Great | Good | Like lots of GNOME programs, gThumb isn't the flashiest or the prettiest, but it is the reliable workhorse program of its class. The program shares many features in common with Digikam, but gThumb feels more solid when you use it. The labels and terms in the program, such as catalogs rather than albums, could be adjusted to be more intuitive.


Links

gPhoto2: http://www.gphoto.org/

gPhoto2 supported camera list: http://www.gphoto.org/proj/libgphoto2/support.php

gtKam: http://www.gphoto.org/proj/gtkam/

gThumb: http://gthumb.sourceforge.net/

Digikam: http://digikam.sourceforge.net

GIMP: http://www.gimp.org

KPaint: http://docs.kde.org/en/3.2/kdegraphics/kpaint/


Chapter 10. Instant Messaging and Chat

I was sitting in my house thinking about the relationship between the dust bunnies in the corner of the room and the layer of dust particles on the TV screen. Some people might just think about cleaning so that the dust would be gone, but then there wouldn't be multiple forms of dust to contemplate.

Philosophically, the different forms of dust begged the question, which came first, the bunny or the particle? Did I even need to know that? Did I need to know anything? I was spinning out of control into a solitary epistemological trap. I had to discuss the bunnies, the particles, the existence with someone. I felt I had made a breakthrough in the previously nonexistent discipline of Dustological Empiricism.

I immediately started talking to Josh, my fellow epistemologist in dusty matters. I elucidated my theory on how dust particles got lonely by themselves. They arranged themselves into layers on the TV screen to have someone to talk to, like a social club. Some dust particles in the layer got tired of the particles next to them. You can talk for only so long to the same dust particle before you get bored. The disquieted dust particles left the dust layer to form dust bunnies with other, like-minded particles. The new dust bunnies enjoyed travel and adventure, which explained how they rolled across the hardwood floor like tumbleweeds at high noon.

I talked and talked, but he never answered. I tried enunciating my words, clarifying my thoughts. I mean, I know I was talking about dust bunnies, but that doesn't mean that he should ignore me. I was annoyed. Didn't he even know I was talking to him? That's when I realized that he wasn't even in the same room that I was in. He couldn't see me or hear me talking to him.

Why would I talk to someone who isn't even in the same room as I am in? Sure, it sounds like I am really stupid, until you realize that is how all the instant-messaging services on the Internet are set up. No one can see or hear anyone on a different service talking to them. Maybe I have a Yahoo! account, and you have an MSN account. None of us can talk to one another.


Dustological Empiricism and Instant Messaging

Instant messaging (IM) is sort of like e-mail, but, you know, instant. E-mail is clumsy for quick conversations. IM lets you talk to a friend knowing that he or she is online right now. You can have a conversation as immediate and natural as you might have by phone. Many IM clients even allow you to see when your friend is typing responses to you. There are several IM networks and clients to choose from. The two biggest IM programs for Linux, Gaim and Kopete, support all of the major networks.

Who came up with a crazy system of different networks, and what were they thinking? Well, they are commercial companies, and they were thinking about money. Instant messaging first got popular on the America Online Internet service as a method for AOL members to talk to other members. The method got so popular that AOL started letting people outside the AOL network use the service as well. It was good advertising for them and a good selling point for their service. Of course, whenever anything works well, you get other companies copying it. There are now a myriad of instant-messaging services and programs. Among the most popular services are AIM, Yahoo!, MSN, and ICQ.

There have been attempts to get these separate services capable of talking to one another, but the companies resist. AOL and Yahoo! announced plans to get together on a service that they intend to sell to businesses. Other than that venture, the closest you can get is to have an account on every service on which you know a friend has an account. Until the utopian future day when IM communications can be open, you're just talking in different rooms.

Striving for a Jabber Nirvana

No very convincing technical reasons explain why companies cannot have their instant-messaging protocols talk to one another. The only real reason is good old-fashioned capitalism and competition. You can say good and bad things about that, but the one thing I will say is that it is all a little inconvenient.

Everyone can use e-mail because there is a standard. You can send an e-mail to friends without having to think about what network or protocol they use. We all use the same method for e-mail. Instant messaging currently has no standard. That's where Jabber comes in.

Jabber is a free, open, public protocol based on streaming XML. Whether or not you know, or care to know, what that means, just know that it means that Jabber is free, open, and public. Anyone can legally write an instant-messaging client application that uses Jabber without getting letters from any lawyers. Anyone can run a Jabber server without fear of being told to cease and desist. We can have a variety of programs to choose from and still be able to talk to each other on the same network.

Of course, that can happen only if we all help. In this case, one of the best ways to help Jabber, and to help create a standard, is to simply use the Jabber protocol and network. Get an account with Jabber, and get your friends and family to use it, too. When we create a standard, there will be a true free market for both the commercial companies and the open source developers. The instant-messaging client that will win the day will be the one with the best features and ease of use. Corporations can still show ads in the clients. Open source companies and developers can have the freedom to create new programs using the open, standard protocol. We can all get together and talk in the same room.

Learn how to get online with a Jabber account with the Jabber User Guide, at http://www.jabber.org/user/userguide/.

[ANNOUNCER]Cue Music Thus ends Susan's Soapbox. I hope you'll join us next time when we will talk about how Susan really hates it when the food on her plate touches the other food on the plate.


Gaim

Program Info

Fedora/GNOME menu

Internet > Gaim Internet Messaging

Terminal command

gaim

Program URL

http://gaim.sf.net

No, I didn't say AIMI said Gaim. It's no mistake that the name of this program sounds similar to the abbreviated name for the America Online Instant Messenger. Some clever person long ago said, "GNOME, GTK, those start with a G." Then another person said, "America Online Instant Messenger, AIM, that sounds kinda nice." What happened next? The moment was just like the fabled moment when the world was given the greatest invention in the history of candy, the peanut butter cup. Remember? That was when the guy who had the peanut butter and the guy who had the chocolate bumped into one another and smashed out a new candy sensation. In this case, the two guys were probably the same guy, one of the Gaim developers, and parts of his brain crashed together the G and the AIM. I hope he's not injured.

What's Groovy in Gaim

Gaim is the Ginsu knife of instant messaging. With Gaim, you can talk to people on almost every available IM service and IRC (Internet Relay Chathang on, we'll get to that) and still cut a tin can! If you have an account on any of the protocols that Gaim supportsAIM/ICQ, MSN, Yahoo!, Jabber, Gadu-Gadu, Groupwise, Napster, and Zephyryou can talk to anyone on those services by simply setting up your different accounts in Gaim.

The program pulls in lots of the features that are in the IM clients that go with the supported protocols. In the Preferences, you can add AIM buddy icons to your view. There are special features for MSN and Jabber. You can also set sound options and away messages like those in Yahoo! and others.

More significantly, Gaim combines those cloned features with its own bag of fun. My favorite is the tabbed windows. When you get more than one person talking to you on IM, your desktop gets cluttered with so many different little windows that you can't keep track of who talked when. Another very cool option when you use Gaim is the capability to use plug-ins. These work similarly to browser plug-ins, or extensions. Most of the available plug-ins installed by default are practical utilities such as Auto Reconnect and Message Notification. Other plug-ins and additions written by other developers for Gaim include gaim-festival (see http://festival-gaim.sourceforge.net/), to get all of your messages spoken out loud using the Festival Speech Synthesis System.

The layout of Gaim is simple (see Figure 10.1). If you have used any of the big three IM clientsAIM, MSN, or Yahoo!things will look familiar to you. There is one main window with view options for groups, offline buddy viewing, icons, and toggling of toolbars from view.

Figure 10.1. The main Gaim window with a chat window open.

UNDER THE HOOD

GAIM RELEASES

Gaim is often the most active project listed on SourceForge.net . The developers try to keep a regular release schedule. To stay up-to-date, use the Release Notification plug-in.

Gaim also keeps the Windows releases current with the Linux releases. If you have to use Windows somewhere, you can use the exact same interface and stay happy.

TOOL KIT 10.1

Get Talking to Someone with Gaim

Gaim comes installed by default on Fedora but not on Mandrake. If you don't have it, or need to update to the latest version, use your updater of choice or go to http://gaim.sourceforge.net.

Set Up an Account

1.
Open Gaim. The first time you use it, you will see an intro screen because you do not yet have an account set up. Let's start a Jabber account because Gaim lets you register a Jabber account from the program (see Figure 10.2).

Figure 10.2. The Gaim login window.

(Note: To set up an account on the commercial services, you will need to do so through their Web site or IM client.)

2.
Click the Accounts button. If you are already in the program, past the initial welcome screen, you can go to Tools > Accounts.

3.
Click the Add button. You see a dialog box with lots of choices (see Figure 10.3).

Figure 10.3. Gaim's Add Account dialog box.

4.
The first thing you need to do is choose Jabber as the protocol.

5.
Choose a screen name. If your choice has already been taken, an error pops up.

6.
The default server is jabber.org. You can leave that as is. If you ever feel the need to use a different server, there is a list at http://www.jabber.org/user/publicservers.php.

7.
Next, complete the rest of the options, starting with Password. The alias is optional; it's just a nickname. The check boxes for Remember Password and Autoconnect are optional but can be handy as long as you are not on a public computer. Leave Resource as Gaim because that's the program you are using.

8.
The rest of the choices under Show More Options are things you can probably leave alone. If you are behind a restrictive firewall, you might have to set the Port and Proxy Type options. Check out the online docs accessible through the Help menu for more information on these choices.

9.
Click Register to have Gaim contact the Jabber server to register your account. A window pops up to confirm a few of your choices before Gaim contacts the network. Click Register again. You should see a Registration Successful message box. Click OK to close that window.

Add a Buddy and Chat

1. | You have an account; now you need a friend. This is sort of like those boxes at the store that say, "Batteries not included." You have to go get your own friend.
2. | Get that friend to tell you what his or her screen name is. For Jabber, the screen name needs to be in the format screen_name@server.extension, for example dustbunny@jabber.org.
3. | In the main Gaim window, go to Buddies > Add Buddy. You can also click in the main Gaim window and press Ctrl+B. Complete the Screen Name field. The alias is for a name you want to use in place of the screen name, such as "Susan" instead of "dustbunny@jabber.org." The Group field is optional. Choose your Jabber account and then click Add.
4. | Back in your main window, you should see the buddy you added. If you don't see your friend in the list, make sure the option in the menu under Buddies > Show Offline Buddies is checked, in case your friend is not online right now.
5. | Double-click your buddy to open a conversation window.


Kopete

Program Info

Mandrake/KDE menu

Internet > Instant Messaging > Kopete

Terminal command

kopete

Program URL

http://kopete.kde.org

Kopete has a lot in common with Gaim. It is also a multiprotocol IM client that supports AIM, ICQ, MSN, Yahoo!, Jabber, IRC, and SMS. Just like Gaim, Kopete features tabbed conversation windows. There is one main difference between the two programs: You could say that Kopete is the IM client that got dressed up for the party. Like most KDE programs, the interface of this program is slick and well put together (see Figure 10.4). Kopete integrates with KDE using many of the menu and toolbar conventions of other KDE programs.

Figure 10.4. Kopete main window.

The Fun Parts of Kopete

In the Configure Kopete window, there are a lot of fun options, many of them for appearance. Did I say that Kopete is dressed up for the party? Just wait till this program accessorizes. There are tons of emoticon (smileys) themes to choose from. The Chat Window choices enable you to pick a style or import new styles for the appearance of text in the chat window. These aren't just color schemes, eitherthey are cool, different ways of displaying conversations. You can have your windows appear translucent as well. Be sure to choose Group All Messages in the Same Chat Window under Behavior > Chat so that you get tabbed conversations appearing in a single window. The application also uses KDE's system tray. You can have Kopete run as only a system tray icon with notification when you receive a message.

UNDER THE HOOD

PARANOIA

Both Gaim and Kopete give you the option to have secure chats with SSL (Secure Socket Layer). That way, no one will find out about those supersecret spy plans you have been discussing over IM to turn all the Ninja Turtle toys into Pokemon toys.

TOOL KIT 10.2

Kommunicate with Kopete

I know, the K thing is silly, but I just can't stop doing it.

Set Up an Account

1.
Open Kopete.

2.
If you have never used Kopete, the Configure Kopete dialog box (see Figure 10.5) pops up. This is the same dialog box that you can get to by going to Settings > Configure Kopete.

Figure 10.5. Kopete's Configure dialog box.

[View full size image]

3.
In the Configure window, go to Accounts in the left column of choices. In this section, choose New. The Add Account wizard comes up. Click Next.

4.
Choose your protocol. Let's pick Jabber again. Keep clicking Next after each choice. Fill in your Jabber ID (remember the format: screen_name@server.extension, as in dustbunny@jabber.org), leave the Resource alone, and then decide whether you want Kopete to remember your password (a feature that uses KDEWallet). If you are creating a new account, click Register New Account.

5.
On the Connection tab you will see a check box for Connect Automatically at Startup. If you are not on a public computer, this is a convenient option to activate. The rest of the settings can be left alone. If you are behind a firewall, you will probably know, or know how to find out, any necessary proxy type or port settings.

6.
After you click Next to continue, you can pick a color to associate with your account; then click Finish.

Add a Contact and Chat

1. | On the menu, choose File > Add Contact. You can also click the star with an arrow on it icon on the toolbar. What's that you see? Yes, it's another wizard.
2. | Go through the wizard steps now. Notice that on the initial screen is a check box for using the KDE address book. This is a cool option for KAddressBook users. If you check the box, your next step is to choose an existing address book entry or to create a new one. For now, let's not select that option and deal only with Kopete.
3. | The next step has a place for a display name (such as "Susan" instead of "DustBunny") and a group selection screen. If you have lots of friends to add and you want to group them, use the Create New Group button to organize till you faint from organizing joy. If you want no part of the groups, check the box for Top-Level and continue.
4. | The Select IM Accounts screen displays next if you have set up more than one account. You choose the account, or username, you want to talk to this new contact with.
5. | The Jabber network is contacted, and you can enter the Jabber ID of the new contact. You do need to be connected to the Internet to add a Jabber contact.
6. | A "Congratulations" screen appears. Click Finish; your friend should be listed in your Contacts list. Double-click the contact to talk to him or her.

Keeping Up with the Joneses

If you find yourself unable to log in to your Yahoo! Messenger account from Gaim or Kopete, check the latest release news for each program. Yahoo! often changes its IM protocol, usually (they say) for technical reasons. IM clients such as Gaim and Kopete are outsiders, so they have to change to keep up with Yahoo!'s changes. There have also been issues with AOL and MSN making changes. Even if you are using Kopete, you can usually get the latest news on what is happening with a protocol change on Gaim's SourceForge forums at https://sourceforge.net/forum/?group_id=235.


Yahoo! Messenger

Program Info

Terminal command

ymessenger

Program URL

http://messenger.yahoo.com

The Linux user community is currently small enough that most companies scoff at making special versions of popular software just to run in Linux. Yahoo! did it. They didn't have to make a Linux version of their IM client, but they listened to users who requested it.

Now that we are done praising Yahoo! for being progressive and attempting to serve a wider range of operating systems than its IM competitors, I am free to complain. Yahoo! IM for UNIX (see Figure 10.6) works just fine. Everything functions. However, for a desktop aficionado who likes to have everything look nice, this program hurts the eyes. I need antialiased fonts (the nonjaggy ones) like J. Edgar Hoover needed a nice pair of red pumps and a girdle. Well, I guess he didn't need those, and I probably don't need nice fonts to look at. But, krikey, we want these things.

Figure 10.6. Yahoo! Messenger for UNIX, chat window and main window.

[View full size image]

Okay, I'm done. It's not a bad program to use. If you only have a Yahoo! account and want to get down to basics with simple conversation windows, this one is for you. Yahoo! Messenger is also good for anyone who might be used to using the Windows version of the program. You will find lots of the features missing and things moved around a bit, but labels and basic functions are the same.

TOOL KIT 10.3

Install and Use Yahoo! Messenger

Use Me

  1. On first run, you get a setup wizard to step through. Be thoroughly welcomed by the nice words and then click Next. Accept the license agreement. There's no need to read it; you are agreeing to give away all future profits obtained through your participation in the invention of spray-on hair for men.

  2. Now you have some check box choices for KDE and for GNOME. Pick the ones you want. Mandrake users need to uncheck all these boxes for the program to launch without error. You can also choose to have Yahoo! Messenger start automatically for you. If you like that, check the box. I tend to never have any program start automatically; it just gives me the willies. After you click Next, the screen says that everything in the world is happy.

  3. If you already have a Yahoo! ID, fill in your info and go (see Figure 10.7). If you need to sign up for one, use the Get a Yahoo! ID button, which brings up a browser to the appropriate page on Yahoo!'s Web page. The Remember My ID & Password choice is good when you are not on a public computer. Log In Under Invisible Mode is a feature the Yahoo! protocol has so that you can hide from your ex, or your mother, or anyone you owe money to on your friends list.

    Figure 10.7. Yahoo! Messenger Login screen.

Talk to Me

  1. When you are logged in, you can add with the Add button on the toolbar or in the menu by going to Tools > Manage Friend List > Add a Friend.

  2. The Add Friend dialog box is simple: Just enter the Yahoo! ID, select a group (if needed), make sure your correct account is chosen, and enter the message that will be sent to the friend you are adding. Yahoo! lets users know when another user is adding them to their list.

  3. Double-click a friend to talk to that person.


What Is IRC?

Everyone has heard of chat rooms. They have been around for a long time. Lots of people have never gone into one, though. There are different kinds of chat rooms on the Internet. You can go to the public chat rooms that run in your browser at sites such as Yahoo.com and chat with anonymous strangers. You can go to chat rooms at some of your favorite Web sites and talk to like-minded people. Those are tame. There is still a Wild West on the Internet for chat, and it is called IRC, short for Internet Relay Chat. This is one part of the Internet that no advertisers, sensors, or corporations have been able to get to. Getting onto an IRC server and then into a room, or channel, is easy in Linux.

You need to learn a whole host of new commands when using IRC. A great Web site to start to learn more about IRC is http://www.irchelp.org. If you want to, you can just go in and chat, but you need a few commands for the fun stuff, such as emoting. You might not know what emoting is, in terms of chat. Let's think of it this way, in terms of Shakespeare.

Sonnet 78 by William Shakespeare (in the Language of English)

So oft have I invoked thee for my Muse
And found such fair assistance in my verse
As every alien pen hath got my use
And under thee their poesy disperse.
Thine eyes that taught the dumb on high to sing
And heavy ignorance aloft to fly
Have added feathers to the learned's wing
And given grace a double majesty.
Yet be most proud of that which I compile,
Whose influence is thine and born of thee:
In others' works thou dost but mend the style,
And arts with thy sweet graces graced be;
But thou art all my art and dost advance
As high as learning my rude ignorance.

Sonnet 78 by WillShakes (in the Language of IRC Emoting)

** WillShakes invokes thee for my Muse, you know, oft
** WillShakes finds such fair assistance in my verse
** WillShakes gets alien pens and uses them
** WillShakes says disperse that poesy under thee
** doodMonkey rolls eyes at WillShakes
** WillShakes teaches dumb people to sing while they are high
** WillShakes has heavy ignorance aloft to fly
** WillShakes adds feathers to the learned's wing
** WillShakes gives grace a double majesty. Would you like to
supersize that to a triple?
** WillShakes compiles pride
<doodMonkey> what are you on, dude?
** WillShakes influence thine and those born of thee
** WillShakes mends your style and asks if you would like the
inseam done as well
** WillShakes has grace
** WillShakes advances thou all my art and dost
** doodMonkey wonders when this guy's gonna stop
** WillShakes learns from doodMonkey's rude ignorance

Most of the IRC channels you find are about technology-related subjects, especially UNIX and Linux. It's where the geeks hang out. In a search, you will see channels on every subject you can think of, but they do tend to be more sparsely populated. With all the geeks in IRC, it can be a good place for help when you run into a Linux problem. If you go to IRC for help, just make sure you are in a channel that is appropriate for it and go in with a thick skin. There can be some colorful and insulting characters lurking around.


ChatZilla

Program Info

Program URL

http://www.mozilla.org

Mozilla makes a chat module called ChatZilla available with its browsers. This is sort of an extension to the browser. You can add the capability for ChatZilla when you are installing a fresh copy of Mozilla, but because the browser comes installed by default in most distributions, you are probably working with Mozilla on your system already.

To install ChatZilla to your pre-existing Mozilla-based browser, you can go to the Web page http://www.mozilla.org/projects/rt-messaging/chatzilla/. This is the main Mozilla.org page for ChatZilla. The project is still a little bit in limbo, so it is best to just start here and follow the links to the latest release to install. The installation happens right in your browser. Depending on how you have Mozilla or Firefox installed, you might have to run your browser as the root user to get ChatZilla installed. If you're not sure, run the program as root.

Run as Root

What's the easiest way to run a GUI program as root? The terminal, of course, is the best method; for example:

$ su
Password:
# mozilla &

Don't forget, the ampersand at the end of the command runs the program in the background, keeping your terminal free for more commands.

When you have the program installed, you need to restart your browser. Close and open Mozilla or Firefox, and then take a look in the menu. In Mozilla, go to Window > IRC Chat. In Firefox, go to Tools > ChatZilla. Firefox also gives you the option to add ChatZilla as a toolbar button.

TOOL KIT 10.4

Enter an IRC Room in ChatZilla

1.
Open ChatZilla (see Figure 10.8).

Figure 10.8. ChatZilla.

[View full size image]

2.
The initial screen that you will see is full of "[INFO]" blurbs. Among those are a list of available networks. Just pick one of those: Click freenode to start.

3.
You are prompted for a nickname. Enter one and click OK. Pick something that won't embarrass you later in life.

4.
Lots more messages scroll through. If you have successfully joined the server, you should see something like this at the end of all the other info:

- End of /MOTD
=-= User mode for [your user name] is now + i

The MOTD is the message of the day. That's what a lot of the text that scrolled past was. Just scroll up in the window to read itsome of them are pretty funny.

5.
Now you need to find a channel to join. A channel is like a room full of people to talk to. To list active channels, type this:

/list

The list you get back on a big server such as freenode.org can be long. You can limit the number of channels you get listed back by using the -min and -max options:

/list -min 5

This returns channels with at least five people in them. You can also go to http://www.irchelp.org/orchelp/chanlist to see some search engines to find channels.

6.
On Freenode.net, you can probably enter the channels #new2irc and #newusr and not get into too much trouble. You join a channel with the /join command:

/join #newusr

Don't be surprised to find yourself the only one in the channel. If so, that's okay; just practice some of the commands and maybe emote some poetry to yourself.

7.
To talk, just type and click Enter. To emote, use the command /me and then finish the sentence. For example,

/me is a genius

comes out when I am logged in as

** susan is a genius

8.
To leave, use /leave.

A Few Basic IRC Commands

Table 10.1. IRC Commands

IRC COMMAND

RESULT

/help

Displays help info from that server, which can be a long listing

/join #philosophy

Joins the channel named philosophy

/leave or /part

Leaves the channel, but stays in the server

/list

Lists channels on the server

/me dances like a cowboy

** [your username] dances like a cowboy

/msg josh

Sends a private message to the user with the nickname josh

/nick newnickname

Changes your usernameto newnickname, in this case

/invite

Invites another user to a channel

/quit see ya

Quits IRC and sends the parting message "see ya"


XChat

Program Info

Fedora/GNOME menu

Internet > IRCClient

Mandrake/KDE menu

Internet > Chat > XChat

Terminal command

xchat

Program URL

http://www.xchat.org

Every group of programs has the solid, reliable veteran. For IRC chat, that solid program is XChat. If you are new to IRC, XChat is probably your best choice because it makes everything easy for the newbie. As soon as you start XChat, you see a few simple fields to fill in your username (it defaults to your Linux username) and a list of servers to join. Choose a server, and the main XChat window pops up.

UNDER THE HOOD

EVERYONE GETS IN IRC

Gaim and Kopete both allow you to join IRC chats as well.

In the main window (see Figure 10.9), you see the chat side on the left, a place for commands on the bottom, and a user list on the right. The menu is full of options to help you if you don't know the corresponding IRC commands for those actions, or if you just don't feel like typing them in. The Server menu has Join Channel and Leave Channel among its options. Under the Settings menu, you can even learn some new IRC user commands by browsing through the list in Settings > Lists > User Commands.

Figure 10.9. XChat's main window.

[View full size image]

After you connect to a server, use /list to find a channel, or search for one online, and then use /join #channelname to join. You will probably not have any technical problems while using XChatjust some possible people problems. Be polite, play nice with the other kids, and make sure you're home in time for supper.


The Skinny

PROGRAM | USABILITY | INTERFACE | COMMENTS
Gaim | Great | Good | Gaim does it all. Just like many GNOME/GTK programs, it lacks some of the design and feature bells and whistles of its KDE counterpart, but it makes innovations in function. The Gaim developers have regular releases and are among the most responsive when it comes to fixing reported bugs. Having a parallel Windows version means that you can keep the same program and interface even if you have to use Windows for some reason. Also, the program is self-contained and can run equally well in KDE and GNOME.
Kopete | Good | Great | Kopete started off slow but has caught up to Gaim in most respects, while adding a few twists of its own. If you are a regular user of the KDE desktop, the integrated features Kopete uses with KAddressBook, the system tray, and KNotify will be great.
Yahoo! Messenger | Good | Fair/poor | You won't ever have to worry about not being able to connect to Yahoo!'s changing protocols when you are using their client, but you won't have as many features, either. It's admirable that Yahoo! has cared enough to make a Linux version of their IM program, but it would be nice if they kept it up-to-date. Not only does the interface look old compared to other Linux programs, but it doesn't even keep up with the features that Yahoo!'s client for Windows has. This one is good to keep on hand as a backup.
ChatZilla | Fair | Fair | ChatZilla is a fairly new program that Mozilla lists as not finished yet. The program is one of those that works just fine but has no fun toys in it to play with. The fact that you can launch it right from your browser is convenient.
Xchat | Good | Good | XChat is made only for IRC chat, and that's what it does well. The built-in server list and well-planned menu choices make this the most straightforward and easy IRC client to use.


Links

Jabber: http://www.jabber.org/

Jabber server list: http://www.jabber.org/user/publicservers.php

Gaim: http://gaim.sourceforge.org

Gaim's SourceForge Forums: https://sourceforge.net/forum/?group_id=235

Gaim-festival (speech add-on for Gaim): http://festival-gaim.sourceforge.net/

Gaim's plug-ins: http://gaim.sourceforge.net/plugins.php

Kopete: http://www.kopete.org/

Yahoo! Messenger: http://messenger.yahoo.com/

ChatZilla on Mozilla.org: http://www.mozilla.org/projects/rt-messaging/chatzilla/

ChatZilla user's guide: http://www.mozilla.org/projects/rt-messaging/chatzilla/user-guide.html

XChat: http://www.xchat.org/

IRC help page: http://www.irchelp.org/


Chapter 11. Music and Movies

Some people are truly busy people. Most of the rest of the busy people fall into two categories. There are the people who like to say they are busy because it makes them feel important. These busy people are the ones who often tell you how little sleep they get, how much driving around they have to do, how many projects they have going on. They boast so that you will then think that these busy people are special people who are so needed that they can't even sit down for one minute. Then there are the busy people who say they are busy so that they can get out of doing what they are supposed to do. These busy people are the ones who don't speak up until they are asked to do some unpleasant task or to attend an unwanted social function. Suddenly, they are so busy.

"Honey, are you ready to help me clean the car?" my husband called out one afternoon.

I looked around the room for some saving grace, some out. All I was doing was watching a movie on my computer and organizing my MP3 collection.

"Susan?" he repeated.

I needed an answer. "I'm sorry, I can't. I'm really busy right now."

Guess which kind of busy person I am.

"What are you doing?" he asked.

"I'm, I'm . . . ." What excuse could I turn my current activities into? "I'm doing research!"

Yeah, that sounded busy.

"I'm researching whether Elvis is still alive." I smacked myself in the head. That ruined it. There went my good, busy excuse. As if checking to see if Elvis is still around is an important enough excuse to get out of doing anything.

Still, it was an interesting question. I dragged my feet outside to go help clean the car, but I wondered about Elvis the whole time. There were so many strange facts to consider. There was the conflicting weight on the death certificate, the sightings, and the jumpsuits that were so sparkly and magical. Crackpots had been gathering evidence and conspiracy theories for years, but I could take a new path in researching Elvis's current whereabouts. I could find him by playing his own music over and over. I could watch his movies for signs of his impending plot to fool the world.


Play Music

Do you think Elvis is alive? I mean, there's plenty of fake evidence to suggest that he is alive somewhere working as an elderly Elvis impersonator, or working in a gas station, or taking it easy in some rest home somewhere (see Figure 11.1). He is probably listening to music on a computer. If Elvis is alive, I know what I want to ask him. "Do you prefer OGGs or MP3s?"

Figure 11.1. Elvis as he appears today listening to his digital music collection.

There are so many different ways to listen to music on your computer, in different file formats and with different programs. There are purchased CDs, burned CDs of custom playlists, online music services, and portable music players. I could use the opinion of an expert such as Elvis. I am sure that he has become a digital music aficionado in his old age. If we can't get Elvis's opinion at the moment, how do you differentiate among all of those options? Linux can accommodate most sound and video file formats, and there are a number of good programs to play those formats. That is a lot to choose from. Before I break out the Elvis CDs, we need to learn more about music file types and players in Linux.

File Type Fight

MP3 is the most ubiquitous audio format, but there are many more. I'm not sure whether you are an audiophile, but many audiophiles argue quite a bit over the best quality level and format for digital music. I'm just a user with a pair of pretty good speakers on my computer. I liked OGG files because they sounded cool and were an open format, but in the end, I have stuck with MP3s simply because it is easier to port them between computers, between operating systems, and onto portable players. See Table 11.1 for a synopsis of the most common audio file formats.

Table 11.1. Description of Common Digital Audio Formats

FILE TYPE

DESCRIPTION

AAC

Mostly known as the file type used in Apple's iTunes, but can be played by some Linux applications if they are unencrypted. This is a lossy compressed format with improved quality over MP3. AAC files from iTunes can sometimes have the file extension MP4, and some are copy protected.

CDA

(CD Audio) These are the files on purchased audio CDs when they are copied to a computer. They are uncompressed and can be ripped to compressed file types for use in digital music players.

FLAC

The abbreviation stands for Free Lossless Audio Codec. It is a high-quality public domain format used by a few online music services.

MP3

This is the most popular format for digital music, which can be played in most digital players and most portable players. MP3 is a lossy compressed format, meaning that quality can vary. There are a few different quality levels, or bit rates, MP3s can be saved at, including 128Kbps and 192Kbps.

MPC

This is a newer format similar to MP3, but with higher quality when compressed. This format is not yet supported in most digital music programs or portable players.

OGG

(OGG Vorbis) OGG is the geeks' format for digital music. The format is public domain and considered by many to be higher in quality than MP3 files encoded at the same bit rate. OGGs are making headway in popularity and are supported by most Linux players and a few portable players.

WAV

You know those annoying sound schemes in your operating system? Those would be WAV files. They have been around for a long time. The format is uncompressed, takes up a lot of disk space for larger files, and is the pit stop format between CDA and MP3 when ripping purchased audio CDs.

WMA

(Windows Media Audio) Microsoft created this format for use in its Windows Media Player. Many online music services use the format because Microsoft has made it easy for those services to build in copy protection, also known as digital rights management (DRM). WMAs are considered higher-quality audio than MP3s. These files can be played on a couple Linux players but are mostly intended for Windows Media Player.

Grip

Program Info

Fedora/GNOME menu

Sound & Video > Grip

Terminal command

grip

Program URL

http://nostatic.org/grip

This is one of the most popular programs for ripping audio CDs to a digital format. Other applications are available for ripping, but Grip is the most developed and useful. Grip supports ripping audio CDs to MP3, OGG, WAV, and FLAC. It also has a full-featured CD player built into the program, lookups to an online database for CD information, playlists, and the capability to add and edit ID3 tags.

When you rip an audio CD to MP3 files, the most common format that you want to convert to, the tracks on the CD go through a few steps. First, they are converted to uncompressed WAV files. Then they are compressed and encoded into MP3 files. Grip features the capability to simultaneously rip and encode, which makes the long process of ripping a CD go a little faster. Because of the WAV step in the process, you want to make sure that you have plenty of free disk space for Grip to save those WAV files to temporarily.

Grip's interface is a series of tabs with settings and options on each tab. CD player controls are in the bottom of the window. The Tracks tab (see Figure 11.2) is a list of the tracks on the CD. The far right column, Rip, is full of check boxes to mark which tracks you want to rip. The Rip tab (see Figure 11.3) is where you start the process, with buttons for Rip+Encode, Rip Only, and two abort buttons. The last button, DDJ Scan, is for use if you have a program called Digital DJ (see http://www.nostatic.org/ddj/) installed. The indicators below those buttons show you progress on current actions. The Config tab is where most of the action is. A lot of options in here might sound cryptic to you. I suggest that you try ripping a few CDs using the default settings first. You can play with adjusting options afterward. You can check out Grip's built-in help docs for information on advanced configuration, but you most likely will need to change only your personal preferences for file naming and locations. The Status tab scrolls status messages in an embedded window.

Figure 11.2. Grip's Tracks tab.

Figure 11.3. Waiting for Grip.

UNDER THE HOOD

ID3 ME

Digital audio formats such as MP3 and OGG contain track information about the song or audio embedded in the file. The standard format for track information in MP3s is the ID3 tag. The tags have set fields for artist, song title, album, genre, year, and more. OGGs use a similar format called OGG tags.

Down below in the Grip window are the CD player controls. The Toggle Disc Editor button shows a pane for editing each track's ID3 tags. You can use Initiate/Abort Disc DB Lookup to start and stop lookup for info about your CD online. Toggle Track Display shows the small, CD player view of Grip.

TOOL KIT 11.1

Rip Your Elvis CD with Grip

1. | Grab an audio CD and put it in your computer. I am going to use Elvis: 30 #1 Hits. I think there might be evidence on there about Elvis's current location. With or without evidence, I know that I want "A Little Less Conversation" ripped to an MP3. That's a cool song.
2. | Depending on your desktop environment defaults, you will probably have a CD player pop up automatically when you put in your music CD. Close that program and open Grip instead. The command is grip, or you can find it by going to your main menu and looking under Multimedia or Sound & Video.
3. | Wait a few seconds if you are online right now. Grip contacts the Disc DB online database to gather track information about your CD so that you don't have to type it all in. If you are not connected to the Internet or your CD is not found, use the Toggle Disc Editor button to fill in track information on your own.
4. | Click the Rip column to check the boxes for every track on the CD in the Tracks tab.
5. | Move to the Rip tab and click the Rip+Encode button. Things get started right away. You can watch the progress on the indicators below the buttons (see Figure 11.3).
6. | By default, Grip puts your new MP3 files into /home/[username]/mp3, or sometimes /home/[username]/ogg, even though it saves the files as MP3s. You can adjust the location files are ripped to in Config > Encode > Encode File Format. In this field, you can also change the filename scheme. The text in that field uses switches. You can view a list in the Grip help docs. Some common options are %A for Artist, %d for disc title, %n for the name of the track, and %t for the track number.
7. | The CD ejects when Grip is done.

Ripping CDs can hog a lot of your system's memory and processor resources, so you might want to step away from the computer and read the liner notes or something while you wait. Take a look at the resulting files that you ripped to MP3s to see if you like the directory location and filename format. If you have trouble encoding your files, look in Config > Encode > Encode File Format at the encoder being used. You might not have the selected encoder installed. You can obtain most of the encoders in the drop-down list by looking up the name in that list as a package name to install using your favorite method of installing new software.

Rhythmbox

Program Info

Fedora/GNOME menu

Sound & Video > Music Player

Terminal command

rhythmbox

Program URL

http://www.rhythmbox.org/

Someone liked Apple's iTunes a lot, so that person made Rhythmbox. In some circles, that might be construed as stalking, but with open source software, it's more of a tribute. The program has a layout very similar to iTunes, with browsing panes in the window and a Sources column. If you are used to iTunes, don't expect too much; Rhythmbox isn't the same. It is sort of like iTunes on vacation, with only the most basic playback and playlist functions available. Rhythmbox is, however, my favorite player in Linux right now because I like being able to browse my music in its Library view and easily set up playlists. I enjoy those functions more than I need pretty visualizers and interesting application skins.

Upon first running Rhythmbox, you go through a wizard to add your music files to your music library. You can skip the step if you would prefer to add your music later. To add your music now, navigate to the directory your music is in and add it. Fedora users have a hitch in the process: You might not have MP3 support in Rhythmbox yet. Check out ToolKit 11.2 to add support for that file type.

TOOL KIT 11.2

Add Mp3 Support to Rhythmbox in Fedora

Fedora doesn't include MP3 support in any of the players included with the distribution; a company named Thomson has claimed licensing rights to the MP3 format. Many companies, including Microsoft, NullSoft (the makers of WinAmp), and Apple, have acknowledged this claim and paid licensing fees. Red Hat and Fedora prefer to ship their distro with only software that complies with the General Public License; they do not include MP3 support because the format is not under the GPL. Half of all of our brains says, "Good for you, Fedora! Way to stick to your principles." The other half of our brains says, "@&$%#! Now how do I make that work?!"

A group at http://rpm.livna.org maintains a repository of missing and helpful files for Fedora. URLs change with time, so if the URLs we talk about here stop working, go to http://www.fedorafaq.org to find out how to add MP3 support. Let's go over this using Apt. If you have chosen to use Yum for updates, the steps are mostly the same:

1.
Log in to your terminal as the root user and then edit the Apt sources file:

# gedit /etc/apt/sources.list

or

# kate /etc/apt/sources.list

2.
Add the new sources to your list by adding these two lines:

rpm http://rpm.livna.org/ fedora/2/i386 stable unstable testing
rpm-src http://rpm.livna.org/ fedora/2/i386 stable unstable testing

(Those are the Fedora Core 2 repositories on livna.org. Check the page at http://rpm.livna.org for other Fedora releases.)

Save the file and close your text editor.

3.
Update Apt so that the new repositories are included:

# apt-get update

4.
Install the Gstreamer package that Rhythmbox needs for Mp3 support:

#apt-get-install gstreamer-plugins-mp3

This package also installs the other package that you need, libmad.

5.
Open Rhythmbox, and you should be ready to go.

6.
As a last step, you might want to open the sources.list file again to either delete or comment out those two new repositories. (Comment them out by placing a # in front of each line.) You can keep them handy for any future packages that you might want to install or update from that group, but you shouldn't include those repositories if you perform a dist-upgrade.

Rhythmbox is set up in a simple three-pane layout (see Figure 11.4). On the left is the Sources column, with access to the library view, to streaming locations in the Radio view, and, after you have created some, to views of your playlists. The Artists pane is a list of all the artists of the files you have added to your library. The artist information is gathered from each file's ID3 or OGG tag. The Album pane lists each album from the tags of your music files. The Tracks view, below the artists and albums, shows the tracks that match the criteria from the Artists selection, Albums selection, or search criteria. Up near the toolbar, you find a volume control, a Search box, and a track progress slider.

Figure 11.4. Rhythmbox's Library view.

[View full size image]

TOOL KIT 11.3

Import MP3 Files to Create a Playlist in Rhythmbox

Import the King

1. | Open Rhythmbox and then go to Music > Import Folder. You can also press Ctrl+O.
2. | Navigate to the directory you want to import files from. Our new MP3 files that we ripped in ToolKit 11.1 are in /home/[username]/mp3/.
3. | Select the directory and click Open.
4. | That's it. You can now view the files in the Library view.

Create a Playlist

1. | In the menu bar of Rhythmbox, go to Music > Playlist > New Playlist. You can also press Ctrl+N.
2. | In the Sources column, on the left, you see your new playlist and an empty text box for naming it. I'm naming mine Elvis Pants. Notice that the right side of the Rhythmbox window switched from the regular browsing layout of the library view to an empty list.
3. | Let's fill up that empty list. Go back to the Library view by clicking Library in the Sources column. Use the browsing functions to find the songs you want to add to the playlist.
4. | Highlight the track and then drag and drop the item onto your new playlist in the Sources column. You can highlight multiple songs to add more than one at a time. Click your playlist to see what was added.
5. | To play, double-click a track in your playlist, or click the playlist and then the Play button.

When you have a working playlist set up, you can manage the songs on it. Use your Delete key to remove songs from the list. You can reorder your playlist by dragging and dropping songs in the order. You can also drag tracks from one playlist to another.

Noatun

Program Info

Mandrake/KDE menu

Multimedia > Sound > Noatun

Terminal command

noatun

Program URL

http://noatun.kde.org

This is KDE's default player. Noatun is pretty plain when you first open it. There are a few basic controls on the toolbar, a couple menus, and a big progress slider to indicate where you are in the file you are playing. You can open other Noatun windows along with the main window, such as a playlist and visualizer. The program supports a variety of media types, including OGG, MP3, and WAV files. Another cool feature available is skinning (see Figure 11.5).

Figure 11.5. Noatun with the Phong skin.

To play a song in Noatun, go to File > Open, find the file or directory you want to play, and then click OK. This adds the song to your playlist. If you don't have the playlist window open, click Settings > Show Playlist. There is also a toolbar icon for the playlist. Simply highlight a song and click the Play button on the toolbar or double-click the song in the playlist.

Skinning in Noatun is different than in other programs. Skins are added as plug-ins, and they can rearrange the whole program. Although the default skin is plain vanilla, you can find some very interesting skins on Noatun's Web site at http://noatun.kde.org/.

TOOL KIT 11.4

Skin Noatun to Play Your CD in Style

Not as many skins are available for Noatun as there are for XMMS, but they do more fun stuff. Let's add one of the K-Jofol set of skins.

1.
Open Noatun and then go to Settings > Configure Noatun.

2.
Go to Plug-ins. You might see a warning about your playlist stopping play, but you can click OK. You'll see a list of interfaces, many of which you already have installed by default.

3.
Uncheck the default skin, Excellent, and then check K-Jofol.

4.
When you click OK or Apply, your Noatun interface changes to use the new skin and looks something like Figure 11.6.

Figure 11.6. Noatun with a K-Jofol skin.

You can download new skins from the Noatun Web site and from KDE Look (see http://www.kde-look.org/). You might have noticed that there was also an option for a WinAmp skin loader. This option lets you skin Noatun with any of the tons of WinAmp 2.x skins available online (see http://winamp.com/).

UNDER THE HOOD

MUSIC MOBILITY

Linux developers love gadgets, including portable digital music players. There is a lot of support for various popular MP3 players. Dell's Digital Jukebox player is built to sync with Linux. Dedicated users also have written support for other portable players. The methods for how players sync with a given Linux program differ quite a bit, so do a quick search online for your particular player to find tutorials and reviews.

XMMS

Program Info

Fedora/GNOME menu

Sound & Video > Audio Player

Terminal command

xmms

Program URL

http://www.xmms.org

This is the grandpa program of GUI digital audio players in Linux. XMMS has been around for a while but has stayed pretty popular throughout that time, just like the player that it is modeled after, WinAmp. As with many Linux programs, someone switched over from Windows, said, "I miss WinAmp," and made this version. XMMS is a solid little player that supports MP3, MOD, WAV, OGG, and others using plug-ins. There are plug-ins for some video support as well, but that function isn't very well developed for XMMS. This player is made for music.

There are a few different window components to XMMS (see Figure 11.7). The three windows can be moved separately or together as a unit. The Main window contains the playback controls, volume control, progress slider, shuffle and repeat buttons, and playback display, which shows you information about the song you are playing. You can drag the Main window with your mouse and have the Equalizer and Playlist windows move with it. The Equalizer window has a graphic equalizer on it with several slider controls to adjust the spectrum of sound. The Playlist window lists the current playlist.

Figure 11.7. XMMS, with the equalizer and playlist in view.

[View full size image]

An Ode to iTunes

I used to be normal and listened to my music without thinking about how it was arranged or where I got it. Then I used iTunes. My digital music world changed. I cared about my ID3 tags. I wanted Smart Playlists and easy online purchase of songs, albums, and audio books. I was forever spoiled for normal MP3 listening. Rhythmbox makes up for my loss in many features, but it is like giving methadone to a heroin addict. The pool of needy, potential iTunes users in Linux isn't large enough yet to convince Apple to make a Linux version. There is hope, though. I read that someone got iTunes for Windows to work in Crossover Office (more on that program in Topic 13, "Running Windows Applications"). I won't stop begging Apple for a Linux version of iTunes, but I will try this hopeful alternative.

XMMS arranges its windows and menus differently than other programs. You can access XMMS menus by right-clicking almost anywhere in any of the windows, just not in the list part of the Playlist window. Most of the menu options are for doing playback control and toggling the three window options in and out of view. In the Options menu, you can adjust many settings and change which skin XMMS displays. The Visualization menu has options for showing visualizer displays. Visualizations are digital light shows that often move with the beat of the music you play. There are a few built-in patterns and more available to download online.

TOOL KIT 11.5

Add Mp3 Support to XMMS in Fedora

Read the beginning of ToolKit 11.2 to find out why you even need to mess with this. Fortunately, adding MP3 support to XMMS is cake.

1.
You simply need to install the package named xmms-mp3. You should be able to do that from Freshrpms.net's repository using Apt or Yum. You can also get the package from Guru Labs (see http://www.gurulabs.com/downloads.html).

2.
Update Apt like normal:

# apt-get update

3.
Install the xmms-mp3 package that XMMS needs for MP3 support:

#apt-get-install xmms-mp3

4.
Open XMMS, and you should be ready to go.


Watch Movies

Xine

Program Info

Terminal command

xine

Program URL

http://xine.sourceforge.net/

One of the most popular media players available for Linux is Xine (see Figure 11.8). Xine supports many media types, from simple MP3 files to DVDs, AVI, MPEG video, and more. Codecs are used to manage different media types, and plenty of codecs are available for Xine. Need to play a certain kind of file? Simple: Just find a codec that has been written for Xine for that media type, download it, and install the codec in Xine. In addition, many plug-ins are available for Xine to add more functionality to the program, such as new front-end modules that change the GUI for Xine's controls and codecs to play new media types. Unlike other Linux media players, Xine's GUI interface is installed by default, an added bonus for desktop users who like their mouse better than their terminal.

Figure 11.8. Xine's interface.

[View full size image]

Totem is a front-end plug-in that runs on Xine's base (see Figure 11.9). Totem shares many attributes with Xine as a player but sports a simplified interface. The program is split between a video and an audio player. The video player seems to be the more useful half. The pared GUI in Totem might not be as shiny as Xine's interface, but the buttons and functions can be clearer and easier to find. Totem is the default player in GNOME 2.6 and is also the default player in Mandrake 10 for both KDE and GNOME. As a result, if you put in a DVD, you will likely have Totem pop up automatically and start playing it for you.

Figure 11.9. Totem playing a movie.

FRIDGE

Elvis's Real Last Movie

You might think that Elvis's last move was 1969's Change of Habit with Mary Tyler Moore, but, no, he made a movie in 2003. That's right; Elvis is alive and sitting in a nursing home in Texas with former president John F. Kennedy in Bubba Ho-Tep. Thank God, we are safe from mummies now.

With Xine, as with other media players, there are many different ways to tweak the video and audio output to account for glitches and bugs. You can find a few of those tips online at Xine's FAQ page (see http://xinehq.de/index.php/faq). If you are simply playing small video files or regular DVDs, you most likely won't have to mess with tweaking options.

Features in Xine include the capability to play several supported file types, play DVDs with menu support, show a visualizer for use when playing audio files, and adjust TV tuner card configuration. There is also streaming playlist support, the capability to change aspect ratio and scale video, video quality controls, and screenshot capability.

TOOL KIT 11.6

Play a Movie in Totem

If you don't have Totem installed in Fedora, you can grab it from the Apt and Yum repositories on Freshrpms.net.

The Quick Way

1. | Put your DVD into the drive.
2. | Open Totem. You can type in the command totem. In Mandrake, find Totem from the main menu, Multimedia > Video > Totem Movie Player. In Fedora, look in the main menu under Sound & Video.
3. | Under Totem's menu, go to Movie > Play DVD.
4. | Study episodes of the cartoon "Aqua Teen Hunger Force" for connections to the questions about the death of Elvis.

The Quicker Way

1. | In Mandrake 10, put in your DVD.
2. | Okay, you're done. Totem pops up by default, playing the DVD. In both scenarios, just use the Play button to start things. You can use your mouse on the DVD's menus.

Xine's default controls are shiny but confusing. Maybe they are confusing because they are shiny, but I think a qualified psychiatric professional would have to decide that question. The buttons aren't labeled, and most don't have intuitive icons or abbreviations on them. You can mouse over each button to see ToolTips, but when you want to perform a specific action, it can get to be like "Where's Waldo?" using a mouse cursor. Right-click in Xine's screen window to get to the menus. Those are easier to navigate. Everything in the default controls seems clunky without one of the nicer front-end plug-ins, like Totem. I definitely recommend using Totem to make your Xine life happier.

MPlayer

Program Info

Terminal command

mplayer or gmplayer

Program URL

http://www.mplayerhq.hu

I have a love-hate relationship with MPlayer. For years, the program was your best choice for playing a number of video and audio file formatsand, some might say, it still is. The great flexibility of MPlayer is made possible by its use of codecs (short for coders-decoders). Codecs are add-ins that act as translators for different digital media types. So, yes, MPlayer is cool and very handy (see Figure 11.10). Where does the hate half of my relationship come in? MPlayer just always seems to have some problem or complexity in installing or in adding codecs. I would blame this on my own ineptitude, but lots of other people have problems setting up MPlayer as well.

Figure 11.10. MPlayer with the GUI enabled.

Mandrake comes with MPlayer, so Mandrake users are ready to go. You can install MPlayer using Apt or Yum in Fedora. The problem is in getting the GUI for MPlayer to work, if you feel you need GUI support. MPlayer is fully functioning from the command line, but having the GUI available is more fun. To get the GUI working, be sure to install the packages for GUI support, mplayer-gui, and skin support, mplayer-skins. The GUI and skin support might be included by default, depending on your installation method, but it's a good thing to double-check if you have trouble later. There is a good site for Fedora users at http://luna.cs.ccsu.edu/dominik/mplayer/. Grab everything in the Essential Downloads section.

With a fresh copy of MPlayer, you can play many audio and video types, including AVI and OGG files. To play more video and audio formats, you need to download some codecs. A lot of codecs are available to download and install, but the bundle that you want to start with is the Essential Codecs Package, on the Downloads page of the MPlayer Web site. Open your file manager to uncompress the file you just downloaded into a new directory, or open a terminal and uncompress the file with this command:

tar -xjvf [filename]

As root, copy all the codecs to /usr/lib/win32 (create the directory, if it does not exist). MPlayer should be ready to play most common file types now.

Skins are easy to add in MPlayer. You can download skins from the MPlayer Web site Downloads page. You need to copy new skins to the directory /usr/local/share/mplayer/Skin (check which directory you have MPlayer installed to). You should copy the whole directory for each skin, not just the files inside the directory.

Ogle

Program Info

Terminal command

ogle

Program URL

http://www.dtek.chalmers.se/groups/dvd

You know, McDonald's was the first to have chicken nuggets, or McNuggets, as any gourmet would correct you. The nuggets were popular, and then the other fast food places jumped on board with their own versions. Sure, some of the newer nuggets were better than MickeyD's nuggets, but you had to respect the original nugget for being the first, the innovator. Ogle is the Chicken McNugget of Linux DVD players. It was the first DVD player in Linux to support DVD menus and navigation. Other Linux DVD players might be better, but you have to respect the innovator.

Ogle is a dedicated program for playing DVDs (see Figure 11.11). That's all it does, and it does it well. The controls and interface are nothing fancy, but they are clear and easy to use. Mouse over each button to see ToolTips. Ogle's main window is just a toolbar with a lot of buttons. A new viewing window opens when you open a DVD to play. First, you have your main playback controls in both rows of buttons on the left side. Most of these have icons you will recognize for Play, Stop, and so on. Right of those buttons are directional buttons for menu navigation, chapter access, and menu access. If you have a DVD player in your living room, most of these buttons are similar to the ones on your remote control.

Figure 11.11. Ogle playing a DVD.

UNDER THE HOOD

THE UNCERTAINTY OF MPLAYER

These are the methods that I have successfully used to get MPlayer to work on multiple computers. In the past, however, I have used someone else's tried and true instructions with bad results. MPlayer can be one of the more complex programs to get working correctly, and your setup and system might vary. If you have trouble, do some searching for other methods online.

Many keyboard shortcuts in Ogle enable you to easily perform basic functions while watching a movie without having to swing your mouse around all over the picture (see Table 11.2). These shortcuts are handy when you are in full-screen mode. Sometimes I prefer to poke people in the face with my mouse cursor, for lots of fifth-grade-flavored fun.

Table 11.2. A Few of Ogle's Keyboard Shortcuts

KEYBOARD SHORTCUT

FUNCTION

P

Play, resume from Pause

>

Next chapter

<

Previous chapter

<space>

Pause

f, F

Toggle full-screen mode

t

Jump to DVD title menu

. (period)

Fast-forward

, (comma)

Slow motion

The Watchful Eye

You might find it hard to believe, but under the Digital Millennium Copyright Act (DMCA), it is currently unlawful for you to play a DVD that you have purchased on a Linux media player. This oddity occurs because, to provide you with the means to play DVDs protected by the Content Scrambling System (CSS, a copy protection measure used by distributors), developers have reverse-engineered a way to get past the copy protection (DeCSS). Many legal battles about this already have ensued (http://cyber.law.harvard.edu/openlaw/DVD), and more are sure to come. None of the players we are discussing requires the nefarious DeCSS. The Turbolinux distribution has released a version containing Linux's first commercial DVD player, the PowerDVD player for Linux by Cyberlink. Hopefully, that program will be available for purchase separately so we can all play our Elvis movies without checking outside for the approaching authorities. Write your Congressional representatives about this silly law (http://www.congress.org/congressorg/home).

Third-party add-ons are available for Ogle that can make the program easier to use. First, there is a KDE front end for Ogle called oKle (see http://okle.sourceforge.net/). This program adds simplified access to some of Ogle's functions and blends in with KDE. There is also an ambitious add-on called Goggles (see http://www.fifthplanet.net/goggles.html). The software requires the Fox Toolkit (a GUI development tool for developers), which makes installing Goggles more complex, but the work is worthwhile for anyone who will use Ogle often. Goggles features include automatic bookmarks and automatic starting.

RealPlayer

Program Info

Terminal command

realplay

Program URL

http://www.real.com/linux

Two RealPlayer versions for Linux are available to use. Real has had a UNIX version of its free RealPlayer 8 for years. The UNIX version 8 is community supported, which means that Real doesn't support it or develop itit just distributes it as an alternative version. Real has also released RealPlayer 10 for Linux (see Figure 11.12). The interface to RealPlayer 8 for UNIX is preGTK 2.x, which means some clumsy-looking controls and no smooth, antialiased fonts. However, version 8 works just fine. RealPlayer 10 for Linux is much more slick and polished.

Figure 11.12. RealPlayer 10.

If you're not familiar with RealPlayer, it plays many media types, including RealAudio, RealVideo, MP3, OGG, and AAC (not the ones copy-protected by iTunes). There are better players for most of those media types, but RealPlayer is usually your only choice for RealAudio and RealVideo, which are often found streaming online.

You will probably want to set up a browser plug-in for Real media types. The installer offers to install the plug-in for you, but, with varying plug-in directory locations among different browsers and browser versions, the installer accomplishes its lofty goal only half the time. Check out Mozilla's plug-ins page at http://plugindoc.mozdev.org for more information.

FRIDGE

Ultraviolence Makes a Comeback

It used to be that if you showed up early to a movie, you were subjected only to a bad slide show of advertisements for chiropractors and some scratchy music. It could all be ignored. You could talk to the people you came to the movie with. You could have some fun by going to the movie early, getting a good seat, and learning about the wonderful services of your local chiropractors. We showed up at a movie early the other day. There were no slides. There was no scratchy music. There was no fun. We had walked into the advertising version of A Clockwork Orange. We sat down to a trap. Loud music and carnival barking emitted from the speakers. Flashes of advertisements and marketing burned our eyes. We tried to ignore it. We tried to have a conversation. Our eyes were pinned open as we were programmed with the ultraviolence, ultraadvertising. Brain cells were lost. When it was finally over, the TV commercials started. By that time, there was no resistance.

Helix

Program Info

Program URL

https://player.helixcommunity.org

Once upon a time, a group of developers wanted to create a set of open digital media standards. They created the Helix DNA platform. In another, faraway land, there was a company called Real. Real offered a community supported player for Linux. As in the Haley Mills song in The Parent Trap, Real noticed Helix and said, "Let's get together, yeah, yeah, yeah."

The Helix Player is striving to be a universal media player for Linux. The Helix community has support and approval from Real, a plus for implementing support for Real's various audio and video formats. The project is still in its adolescence, so don't be surprised to find bugs and complications. Getting browser plug-ins to work, especially in Firefox, was where my patience was stretched. To get a copy of the Helix Player, you can download executable installers or RPM files from https://player.helixcommunity.org/. Download options are limited as to the systems that are supported, and some are marked as "Experimental."

Although the Helix Player is not quite ready for the more trepidatious user, the program has great potential and is headed in the right direction. The Helix Player also represents the kind of compromise that other commercial companies with free software offerings (such as other media players and IM clients) should think about making. If those companies endorse and consult on an open source version of their software, they can still have brand exposure and market recognition while not tying up a lot of their internal company resources in developing and supporting a new version of their software. The companies can also benefit from a more favorable reputation among Linux users. I always thought of Real as the Devil's Privacy Encroachment Division, but now I am willing to cut it some slack. Apple Quicktime, you know I'm talking to you.


The Skinny

PROGRAM | USABILITY | INTERFACE | COMMENTS
Grip | Good | Fair | Grip is easy to use for ripping CDs. The series of tabs that the interface is arranged into is a little clumsy but not too hard to navigate through. The program could use some redesign in its configuration options, to make them friendlier for new users. Grip does the job efficiently.
Rhythmbox | Great | Great | Simple layout and function make this the uncluttered choice for practical users who just want to listen to music, not stare at prettiness. The program is a little younger than other Linux audio players and is still working out a few bugs.
Noatun | Fair | Good | This program works well but feels weird. The skins look cool sitting on your desktop but aren't easy to use when you are in a hurry. The options for playback are simple. Choose this player if you need style over function.
XMMS | Great | Good | Here is the solid, standby program with the best cross-section of features. XMMS has the practical usability of Rhythmbox and the visual fun of skins and visualizations of Noatun. XMMS outshines both those programs in its combined power. The interface is a little cramped and is showing its age. Unless new versions make improvements, newer players could surpass XMMS.
Xine/Totem | Great | Great | Xine is flexible, dependable, and well designed. Using codecs and plug-ins, you can make the program play just about anything. It is easy to install and control, and the usability increases when using the simplified controls of the front-end add-on Totem.
Mplayer | Fair/good | Good | It's a chore to install and configure, but MPlayer is a good media player and great to use as a browser companion for online media files. The program is fully functional from the command line as well.
Ogle | Good | Good | Ogle is the DVD player for Linux, period. DVD is all Ogle does, and it does it well. The interface is plain but functional. A couple features could use some work, but available additions to the program, such as Goggles, go a long way in making up the difference.
Real Player | Good | Good | Real's Linux version 10 is a great improvement over past versions. The installer is an executable that will be a different experience than installing most other Linux software. For best results on streaming audio and video, set up MIME types in your browser in addition to (or instead of) setting up the plug-in. Embedded streams in Web pages can be played with Real Player but require more effort from you to get going.
Helix | Fair | Great | Helix Player is new and a little shaky in its progression so far, but it's got potential and should be supported. Install it and play with it. You might want to have backup players installed, in case you run into snags.


Links

Grip: http://nostatic.org/grip/

Rhythmbox: http://www.rhythmbox.org/

Noatun: http://noatun.kde.org/

XMMS: http://www.xmms.org/

XMMS skins: http://xmms.org/skins.php

Xine: http://xinehq.de/

Totem: http://www.hadess.net/totem.php3

MPlayer: http://www.mplayerhq.hu/

MPlayer RPM files: http://luna.cs.ccsu.edu/dominik/mplayer/

Ogle: http://www.dtek.chalmers.se/groups/dvd/

oKle for Ogle: http://okle.sourceforge.net/

Goggles for Ogle: http://www.fifthplanet.net/goggles.html

Real Player: http://scopes.real.com/real/player/unix/unix.html

Helix: https://player.helixcommunity.org/

Linux hardware compatibility guide DVD HOWTO: http://www.faqs.org/docs/Linux-HOWTO/Hardware-HOWTO.html#DVD


Chapter 12. Play Games

    Prometheus Fragged: The Lost Play of Aeschylus

    Free Games

    Other Free Games

    Commercial Games

    Other Commercial Games

    Emulators

    WineX/Cedega

    The Skinny

    Links


Prometheus Fragged: The Lost Play of Aeschylus

Dramatis Personae

Prometheus: Wannabe Linux gamer of Sparta

Hephaestus: Realist and hot dog vendor of Olympus

Hermes: Messenger of the gods

Chorus of Linux Users

Scene: A rocky ravine in the mountains of Amazon

Prometheus

Lo, the Internet's bound and limitary depth,

The Amazonian steppe, the waste unshopped of men!

Look to it now, Hephaestusthine it is,

Thy Consumer obeying, this archthief to clench

Against the steep-down precipice of boredom,

With stubborn links of online auctions.

Hephaestus

O deep-devising child of Mario sage,

Small will have I to do, or thou to bear,

What yet we must. Beyond the haunt of man

Unto this Web site, with fetters grimly forged,

I must transfix and shackle up thy limbs.

What else would thou propose we do for fun?

(Hermes flies down with a delivery.)

Hermes

Yea, I gots a delivery for thee, Prometheus.

Hephaestus

What in the name of Samus Aran,

Greatest space fighter for Zeus, could it be?

Prometheus

Tears can avail us nothing: strive not thou,

Nor waste thine efforts thus unaidingly.

We must play the games the great Zeus

Provides us with. He that is great and mighty

Has bestowed upon us a copy of World of Warcraft!

Hephaestus

Would that some other were endowed therewith!

We shall totally rule with our Paladins!

Hermes

Enough of useless ruth! Why tarriest thou?

Why not sign here for thy delivery?

(Prometheus signs and Hermes flies away.)

Scene: In the great caverns of the game room of Prometheus

Prometheus

Zeus, why curse us thus? In sooth that game

Of thine standeth assoiled of all that here is

Installed on mine machine of mighty Linux.

Hephaestus

I know it; I gainsay no word hereof.

This game is not in the support of Linux.

Smite harder, wedge it homeno faltering here!

Prometheus

I have smote this game with all terminal commands in my power,

Yet no load of the program will come of my toil.

Hephaestus

Alas, Prometheus! I lament thy pain.

Try thy game in Windows and be done with it.

Prometheus

Brutish thy form, thy speech brutality!

Whose orbed light surveyeth allattest,

What ills I suffer from the gods, a god!

Behold me, who must here sustain

The marring agonies of pain.

I only but want to play cool games in Linux.

Hephaestus

I gaze on one who suffers his desert.

Be gentle, and thou wilt, but blame not me.

It is the work of game developers who spend

Not a moment's toil to make thee a Linux version

Of thine mighty game.

Prometheus

Lo, it is done'twas but the will of Zeus

To shame me so before my

Massive multiplayer online game desires.

I have but little options to play games in Linux.

Chorus of Linux Users

Ah, fear us not! As friends, with rivalry

Of swiftly vying gaming alternatives,

We came together unto this rock and thee!

And swift the wafting e-mail bore us hither.

The heavy lament's shrill sound

Thrilled to our geeky-cavern from afar.

Aha! There play the insolent, and use,

For creatures of open source, the rights of gods!

We tell of forethought and device, whereby

Thou may'st elude this handicraft of game makers!

Listen to our tale of what games thy may

Play in Linux!


Free Games

We are talking about Linux and open source software, so, of course, there are free game choices. Which games you might be interested in depends on what you like. A lot of free games are available on your Mandrake or Fedora install disks. Those games include the KDE and GNOME game collections. Popular open source games also have been around for quite some time, including FreeCiv and Tux Racer. More ambitious projects have been started for large-scale first-person shooter games and massive multiplayer online games.

Both the GNOME Games collection and KDE Games consist of small desktop games such as card games, puzzle games, and arcade games. These are the games you play when you need something to do, when you are waiting for something to download, or when you have odd fantasies of becoming the Olympic Solitaire gold medalist. Other free games can be more involved and time consuming. You can have a lot of fun with the many free games available for Linux, but don't expect most of them to be up to the standard of the popular commercial video games.

GNOME Games

Program Info

Fedora/GNOME menu

Games

Mandrake/KDE menu

More Applications > Games

Program URL

http://www.gnome.org/projects/gnome-games

The GNOME Game package is on your install disks. You can also use Apt, Yum, or URPMI to get the packages online, but there are a few associated libraries to get as well. You are better off grabbing the packages from your install disks using the Fedora package manager tool or Mandrake's RPMDrake. These are games that have been around for a while, so it's not essential that you get the absolute latest versions of the packages.

All the games in the GNOME Games collection are small and simple, but they can be challenging and addictive. Sometimes the hardest part of these games is figuring out what you are supposed to do in the game, thanks to a few cryptic game titles. You might get a few more games than the ones described in this topic when you install, but these are the official core games in the GNOME Games collection.

Aisleriot

It's Solitaire. To be technical, Aisleriot includes 70 different types of solitaire. You can play the popular Freecell or Klondike, as well as odd variations that surely no one can ever win.

Ataxx

This is sort of like Reversi, but twisted. Instead of placing colored pieces on the board, you try to replace the other player's pieces with yours.

Blackjack

You know what blackjack is. Try to get closest to 21 with your cards, without going over.

Four-in-a-Row

This is sort of a combination between Tic-Tac-Toe and that old board game Connect Four. My sister and I had enough fights over Connect Four as kids that this game brings back bad memories of getting scratched.

Gnometris

This is a Tetris clone. Try to turn and put together the falling shapes to complete horizontal lines (see Figure 12.1).

Figure 12.1. Gnometris.

Iagno

Remember the board game Othello? That was a copy of the old game Reversi. Iagno is another version of Reversi. Control the board by having the most pieces of your color showing.

Klotski

This is a puzzle game in which you have to slide blocks to solve the puzzle in only a few moves.

Lines

The game doesn't have a creative name, but Lines is an apt name for this game. You have to move balls around to form them into lines of five in a row.

Mahjongg

Oh, Mahjongg, the bane of centuries of Chinese slackers and of me when I have an unpleasant task before me. Match tiles to make them disappear from a stacked pattern. This is an ancient game, but putting it on the computer makes it so much betterno tiles to clean up.

Mines

Mines is the same game as Minesweeper. You have to look for mines on a grid.

Nibbles

This one can get addictive. You have to move a worm through a maze to collect gems. Your worm grows longer as you go, and you have to be sure not to hit a wall or part of your own worm. Actually, now that I've described it, Nibbles sounds sort of like a psychedelic drug trip turned into a game.

Robots

There are robots out to kill you. You have to avoid them. The robots aren't that smart, which is nice if you don't want to be killed by robots.

Same GNOME

Frankly, I have never quite gotten this game (see Figure 12.2). I understand what you're supposed to do: You have to remove balls from the board in as few moves as possible. However, I get mesmerized by the spinning tiger-stripe patterns on the balls, fall over, and start foaming at the mouth.

Figure 12.2. GNOME Games, Same GNOME.

Stones

Everything scrolls. There are gems: Get them. It's not a very pretty game. If you miss Atari games, circa 1982, Stones will comfort you.

Tali

Yahtzee! Err, I mean, Tali! You have to get poker combinations by rolling dice.

Tetravex

Match grids of tiles from the right to the left. This game isn't full of excitement, but it can be interesting.

KDE Games

Program Info

Fedora/GNOME menu

Games

Mandrake/KDE menu

More Applications > Games

Program URL

http://www.kde.org/kdegames

The KDE games are numerous. Just as with the GNOME Games, you should install the KDE game packages from your Fedora or Mandrake install disks, to save headaches. Also as with the GNOME Games, the KDE Games collection includes simple, quick games. There are more games and a wider range of game types in the KDE collection.

Some of the games are the standard ones you expect, such as Solitaire (KPatience), Mahjongg (KMahjongg and KShishen), Tetris (KSirtet and KSmiletris), Minesweeper (KMines), and Reversi (KReversi). Other KDE Games that have similar GNOME Game counterparts are KSnakerace, kWin4, KLines, and KSame. Here are others in the KDE Game collection that are different. And, yes, most of them start with a K.

KAsteroids

It doesn't take a genius to deduce that KAsteroids is like the arcade game Asteroids. The game has good graphics and quick play, and, of course, no quarters are needed.

KAtomic

In this game, you are sort of a scientist forming atoms into molecules. The game can be challenging and has decent graphics for its type.

KBackgammon

This is a computer version of the board game Backgammon. You can play alone, against another player, or even online.

KBattleship

You sunk my . . . never mind. It's like the board game Battleship and supports online play.

KBlackbox

This is a funky little game in which you play hide and seek in boxes on a grid. The game takes some good logical thinking as well as a little getting used to.

KBounce

Catch as many balls as you can as they move across the field by building walls to trap them. KBounce seems simple at first, but a good player can come up with some elaborate strategies.

Kenolaba

This is like the computer board game version of King of the Mountain. You have to shove the other player's pieces off the board while following the rules of the board. Kenolaba is based on the board game Abalone.

KFoulEggs

KFoulEggs (see Figure 12.3) is based on a Japanese game called PuyoPuyo. The game is similar to Tetris-type games.

Figure 12.3. The KDE game KFoulEggs.

KJumpingCube

You try to control as many squares on the board as possible to get the best score. This is a multiplayer tactical game.

Konquest

A multiplayer strategy game, Konquest consists of trying to win by expanding your empire across space.

KPoker

It's poker. You can play against the computer and choose different deck designs for your cards.

KSokoban

You know it's a Japanese game when there is an odd premise to it like this. Hey, kids! Have you ever dreamed of being a warehouse manager and moving crates around all day? Then play KSokoban!

KSpaceDuel

Gunslingers in space, in ships, shoot each other. KSpaceDuel is a multiplayer arcade game in which you shoot the other guy's ship and try not to run into the other things floating by you in space. You can play against a person or the computer.

KTron

Remember the Disney movie Tron? This game is a multiplayer game that is like the arcade game they play in that movie. You move around quickly, trying not to run into walls or another player. Try not to kill any of those sentient programs; it's sad when they die.

Lieutenant Skat

This is based on a German card game. You can play with two players and choose different decks of cards.


Other Free Games

Plenty of other free games are available for Linux besides the small games that come with KDE and GNOME. Aspiring video game designers have started projects for everything from first-person shooters to racing games, role-playing games, and more. One of the best Web sites to keep up with Linux games is http://www.happypenguin.org/. The Linux Game Tome, as the site is titled, keeps track of new Linux games, updates, and Linux game news. You can find links to information and to download most free and commercial games. The LGT has consistent coverage of each game that it tracks and should be your first stop when looking for Linux games.

Cube

Program Info

Program URL

http://sourceforge.net/projects/cube/

Whenever anyone says something such as "Don't expect a good game or nice graphics when you play a free game," you know there is an exception. Cube (see Figure 12.4) is a good game and also has great graphics. Cube is a first-person shooter with multiplayer online play, a single-player game, map editing, and a nice reminder of old-school Quake days. There are many multiplayer modes to keep you busy.

Figure 12.4. Screenshot from Cube.

Flight Gear Flight Sim

Program Info

Program URL

http://flightgear.org

You know there had to be a flight simulator in all of this. Flight Gear (see Figure 12.5) has some nice graphics and a good variety in the types of planes that you can fly. The controls are fair, but multiplayer network play is a plus. To get the best play out of this game, you will want to hook up a joystick.

Figure 12.5. Screenshot from Flight Gear.

[View full size image]

FreeCiv

Program Info

Program URL

http://www.freeciv.org

This game is a free, open source version of the game Civilization. FreeCiv has been around for a while, so the graphics aren't too hot. You can download new graphics for FreeCiv to make it look better. The game play is decent, although, of course, it lacks many of the options of Civilization. There are a number of active FreeCiv servers, so the best part could be in playing with others online. Try to make your civilization the greatest of all.

Frozen Bubble

Program Info

Program URL

http://www.frozen-bubble.org

Your aim in this arcade-style game is to build groups of colored bubbles in patterns to destroy the groups. The two-player option is fun, but this game can be addictive on your own as well. Frozen Bubble is somewhat comparable to Dr. Mario on Nintendo or Super Puzzle Fighter on PlayStation.

Tux Kart

Program Info

Program URL

http://tuxkart.sourceforge.net

A Linux knock-off of the popular Nintendo game series Mario Kart, Tux Kart (see Figure 12.6) is fairly blatant in copying its more famous predecessor with "zippers" instead of the power-up "item boxes" in Mario Kart. The graphics are a little scratchy and unsmooth, but the game is a good time.

Figure 12.6. Screenshot from Tux Kart.

Tux Puck

Program Info

Program URL

http://home.no.net/munsuun/tuxpuck

At first I thought, "An air hockey game?" Then I remembered that video games get made of anything and everything. Tux Puck is a cute little game with decent game play and good, if creepy, graphics. I say creepy because the people are rendered a little odd looking. I think I'm still better at real air hockey than video game air hockey.

Tux Racer

Program Info

Program URL

http://www.tuxracer.com

You are Tux, the Linux Penguin, racing down snowy landscapes. This is a fun game, but you can race down a hill only so many times. Tux Racer is technically a commercial game, but it comes with many Linux distributions. Check your install disks.


Commercial Games

Not many commercial games are available for Linux. Most game companies know that the majority of hardcore gamers are running Windows. A few game makers consistently release their big titles for Linux. Some small game companies also make games for Linux. The reality of the situation is that dedicated gamers looking for the latest releases and the big titles in Linux are looking in the wrong place. Commercial game titles for Linux tend to often be released later than the Windows version and do not get the same level of support when it comes to patches and bug fixes. Still, there are a few shining beacons of hope out there for Linux gamers.

Doom 3

Program Info

Program URL

http://www.doom3.com/

id Software is your best friend when gaming in Linuxthat is, if you like first-person shooters. Every id release is highly anticipated and sets the standard for new games in that genre. The great part is that id Software almost always puts out a Linux version for us. I'm not sure if the people at id Software are enlightened saints of game programming or if they realize that lots of Linux geeks are also the same geeks who spend vast amounts of time fragging strangers.

UNDER THE HOOD

LINUX GAMERS

Gamers are always a dedicated group of users, no matter which OS they use. Linux gamers have a few sites to keep tabs on for the latest news, articles, and help. The linuX-gamers site ( http://www.linux-gamers.net/ ) has news, community forums, and information on almost anything you want to know. Be sure to also check out the Linux Gamer's FAQ ( http://www.icculus.org/lgfaq/ ) for answers to lots of gaming questions.

Doom 3 is the third entry in the Doom game series. Doom was one of the pioneers in multiplayer first-person shooters. In the single-player game of Doom 3, you are a Marine on a Mars research facility when evil walks in and takes over. The rest of your crewmates are being turned into zombies, and it's up to you to stop the evil. Most Doom players don't spend much time in the single-player game. The most fun and action comes from joining online servers to play with others on multiplayer servers. The multiplayer game includes only a death match with four players right now. However, patches and variations on the game are sure to come in the future.

Doom 3 has set a new standard for processor, memory, and video demand from a game. That performance demand means that you should carefully check the system requirements first and make sure you can get the right Linux drivers for your video card.

Driver Denial

Yes, the biggest problem in Linux isn't the OS itself. The problem is usually the fact that software and hardware makers don't always make versions of their software and drivers for Linux yet. If you have a top of the line video card, finding Linux drivers can be difficult at times. Luckily, both ATI and Nvidia, the two biggest video card makers, are now releasing Linux drivers after bowing to demand from Linux users and businesses such as movie special effects companies. When looking for video card drivers, first check the hardware makers' sites, http://www.ati.com/support/driver.html and http://www.nvidia.com/content/drivers/drivers.asp.

You should also look at a few sites, including the one at http://www.linuxforum.com/linux-hardware/video.html, for accounts of what other Linux users have done to get their video cards tweaked and set up for best performance.

Unreal Tournament 2004

Program Info

Program URL

http://www.unrealtournament.com/ut2004/

Yep, it is another first-person shooter, but those are some of the most multitudinous and popular games out today. Unreal Tournament 2004 (UT2004) puts the player in an arena as a technogladiator of the future with up to 32 other players. Online play is where it's at in this game. The single-player game is just like the multiplayer game, only with a thin thread of storyline to hold it all together. You are that same technogladiator in the year 2362 fighting in a tournament against a cast of computer characters vying for a trophy. One differentiating aspect of UT2004 is the capability to drive vehicles instead of merely running and fragging.

UT2004 is another game that has great graphics for its time. You will need to make sure you have your video card equipped with the latest drivers to take advantage of all the visual tweaks available.

Neverwinter Nights

Program Info

Program URL

http://nwn.bioware.com/

Neverwinter Nights is a fantasy role-playing game set in the Dungeons and Dragons Forgotten Realms world. You can choose from several classes of player types, including Rogue, Barbarian, Paladin, or Wizard. You then go through the story and earn experience to level up your character. With each progression, you can choose the skills and abilities to improve for your character. Bioware, the maker of Neverwinter Nights, maintains forums at http://nwn.bioware.com/forums/ for support.

This game was released a few years ago and so has been surpassed in a few features by newer role-playing games. Neverwinter Nights is still your best choice in either Linux or Windows for single-player role-playing gaming. The trend in fantasy role playing is for new games to get into the massive multiplayer online role-playing game (MMORPG) market. The success of EverQuest and other MMORPGs has most game makers scrambling for that new avenue of profits. Not everyone wants to pay a monthly subscription to play games. With Neverwinter Nights, you can be happy playing single-player or more traditional multiplayer options, knowing that you have to pay for the game only once.


Other Commercial Games

You usually can't walk into your local stores to buy commercial Linux games; they are not popular enough yet for most stores to bother stocking the games. To buy commercial Linux games, you can go to the game makers' Web sites. You can also check Amazon.com's listings. Even if you choose not to buy from Amazon, this is a good way to browse a few of the big titles available for Linux. Another great site to check out is Tux Games (see http://www.tuxgames.com/), a small reseller site that specializes in Linux games.

Linux gaming will move forward only through the force of its users. There is a perception in the software industry that Linux users won't pay for good software. Sure, it is true that we enjoy the free availability of so many Linux programs, but most people will pay for quality software. Gamers aren't any different. So, if you are a gamer, let the industry know that there is a demand out there for Linux games. Walk into game stores such as Electronics Boutique and Babbage's, and ask if you can order Linux titles. Patronize a site such as Tux Games. Show the money-minded decision makers that we are out here and will pay a reasonable price for good games on the operating system of our choice.

A Tale in the Desert

Program Info

Program URL

http://www.atitd.com

This game is a MMORPG. I like trying to pronounce that acronym. It's like learning to speak Czechoslovakian. A MMORPG is a massive multiplayer online role-playing game, such as EverQuest, Star Wars Galaxies, and Ultima Online. A Tale in the Desert is an ambitious try at an open source entry into the popular game genre. ATITD places you in ancient Egypt, where you can level up your character with skills and technologies. The game has gotten a lot of good reviews from prominent game magazines. A Tale in the Desert is free, but it's not free. The free part is that you don't have to shell out the initial $50 like you have to with EverQuest and its ilk. The game is free, with a free 24-hour trial period for the servers. After that, there is a subscription price to keep playing.

Railroad Tycoon 2: Gold Edition

Program Info

Program URL

http://www.lokigames.com/products/rt2 (buy at Tux Games, Amazon, or other sites)

A great title that was ported by Loki Software, Railroad Tycoon 2, is dated now but still fun for budding entrepreneurs in the Linux gaming world. You start a railroad company and have to shepherd your small company to become a railroad empire. There are shareholders and market fluctuations to deal with, as well as development and logistical problems. It's fun to get to play a game and have to think at the same time.

Requiem for Loki

Once upon a time, there was a fantastic Linux game company, Loki Entertainment Software (see http://www.lokigames.com/). Loki acquired porting rights from game developers to create Linux versions of popular Windows games. The games usually cost a bit more, but you felt good supporting the effort. Loki games were also easy to install and play. Unfortunately, the company had problems and had to close its doors. If you're a gamer and wish a company like Loki was still around, make noise. Things will happen only if software makers see a demand and an opportunity for profit.

Quake 3 Arena

Program Info

Program URL

http://www.idsoftware.com/games/quake/quake3-arena/ (buy at Tux Games, Amazon, or other sites)

Doom 3 is the latest id Software game to set new graphics and system requirement standards, but Quake 3 Arena was once the game all gamers foamed at the mouth over. You fight in a large arena against other players with no larger aim than to kill the most and be killed the least. Single-player and multiplayer modes are pretty much the same game, with bots replacing online opponents when you move from playing multiplayer to single player. There is no storyline. Game options vary, with lots of weapon choices, capture-the-flag, and death match.

SimCity 3000

Program Info

Program URL

http://www.sc3000.com/ (buy at Tux Games, Amazon, or other sites)

Yes, there is now SimCity 4, but SC 3000 is the one that got ported over to Linux for us by Loki Software a few years ago. I can't tell you how much of my life has been lost to the many versions of SimCity. You are the mayor of a new town and must build up the town from nothing, starting zones for commercial, industrial, and residential construction. You need to give your town adequate utilities and make decisions on taxes, business deals, and disaster response. It might sound mundane until you see that most of us just build giant mayoral mansions and have fun raising taxes on the citizens.


Emulators

An emulator is a program designed to mimic another operating system. In the case of games, these emulators mimic the operating systems of game consoles such as the Nintendo, Super Nintendo, PlayStation, or arcade machines. Fire up a game emulator, and you have a virtual version of that game system running on your computer. For anyone nostalgic for the heady days of old game consoles or arcade games, emulators are really fun. You can play all the games you remember without having to dig your old game console out of that box in your garage.

To play a game on an emulator, you have to get a copy of the game to load. The game copies, usually called ROMs, are floating around online to download. Be warned that most emulator programs have not been made very user-friendly for new Linux users. You cannot usually download them from any handy repositories. There are sometimes, but not always, RPM files for the programs. Running emulators gets you into the terminal and config file land of Linux. If you don't want to enter that land, you might want to stick with other gaming options. Many emulators are available to run in Linux, but a few programs have been around for a while and have most of the kinks worked out.

TuxNES

Program Info

Program URL

http://tuxnes.sourceforge.net/

TuxNES is an emulator of the 8-bit Nintendo Entertainment System. The program is very simple and is run straight from the command line. You can download a GUI front end for TuxNES, GTuxNES (see http://www.scottweber.com/projects/gtuxnes/). If you plan to play lots of games with TuxNES, the GUI (see Figure 12.7) might be worthwhile to download, but I find it just as easy to use the command line for only an occasional game.

Figure 12.7. The GTuxNES GUI front end for TuxNES.

UNDER THE HOOD

SHH, I DIDN'T TELL YOU ANY OF THIS

Okay, technically, most game ROMs are illegal. The emulator programs themselves are legal, but when you download a ROM, you're in trouble. There are differing accounts on whether it is legal to have a ROM of, say, Super Mario Brothers if you have the real Nintendo cartridge in a box in your house somewhere. Some lawyers have also argued that you can have a ROM for 24 hours and then delete it. A few sites online (such as http://www.sys2064.com/legalroms.htm ) list old arcade games that are now legal to have as ROMs and home-brew ROMs. Try to be legal, if you can.

Although you can install TuxNES from RPMs, I have had odd problems on different Linux versions with the RPMs. If you experience odd performance from TuxNES, uninstall the program and try installing TuxNES from the source. Hop back to Topic 3, "System Tools and Utilities," to review how to install a program from its source code. If you still have problems, try installing one of the older versions of the program.

XMAME

Program Info

Program URL

http://x.mame.net/

This program started out as a series of emulators for single arcade games. A developer got the bright idea to combine all those separate emulators into the Multiple Arcade Machine Emulator, MAME. The Linux and UNIX version is called XMAME. Instead of game consoles, XMAME emulates old arcade machines. You can play arcade games from the 1980s without some kid standing in the arcade waiting for his turn on the machine.

Although TuxNES has a couple problems that might force you to install the program from source, XMAME messes with your mind and your patience. The program has been around for quite some time, but there are still lots of quirks and bugs. If you have trouble running games after the program is installed, check out the FAQ on the MAME Web site to see common problems and suggestions.

One advantage of XMAME is that you can play most old arcade games that are now free and legal using this program. You can also play a few of the "home-brew" games that individual developers have created and released for free. XMAME supports more than 3,000 games. You can grab a rudimentary GUI front end to use with XMAME, TkMAME (see http://tkmame.retrogames.com/).

Other Emulators

An emulator is available for just about any game console you can think of. Remember the ColecoVision game system from the 1980s? Yeah, no one else does, either (or wants to admit their age by remembering it), but there is an emulator for it. You can find emulators for Nintendo GameBoy, Super Nintendo, Sega systems, PlayStation, and even Atari. LinuxLinks.com has a good list of Linux game emulators online at http://www.linuxlinks.com/Software/Emulators/Videogames/index.shtml.


WineX/Cedega

Program Info

Program URL

http://www.transgaming.com/

What Is Cedega?

Cedega is a derivative of the program Wine. You will also see the program listed in articles and online resources as WineX, the recent old name of the program. The name Wine is an acronym for the phrase "Wine Is Not an Emulator," so don't call WineX/Cedega an emulator, either. The program acts like an emulator, as far as the average user is concerned, despite the differences behind the scenes. Whereas Wine is a program that enables Linux users to run Windows programs in Linux, Cedega lets you play games. Why have a different program for running games? That is where the X in WineX comes in. WineX/Cedega fully supports Microsoft's DirectX. DirectX is a set of application programming interfaces (APIs) required to run most commercial games written for Windows. Cedega comes out with fairly frequent releases to keep up with new releases of DirectX.

With the name change from WineX to Cedega comes lots of other changes in the new release. Many gamers run Linux for most of their everyday tasks but keep a Windows partition around just to play games. Cedega's new release makes playing Windows games in Linux easier than ever with the new Point2Play interface, support for high-performance pixel shaders, and support for DirectX 9.0. There is also a new pricing scheme with a $5 monthly subscription. For frequent gamers, the subscription is worthwhile.

Finding Games for Cedega

Not every game that uses Microsoft's DirectX works in Cedega. Each game has to be tried out by the Cedega developers or by curious and brave Linux users. TransGaming Technologies, the makers of Cedega, maintain a forum on their Web site at http://www.transgaming.com/ for users to report experiences and problems. When running different games in Cedega, users can vote on which games they would like the Cedega team to work on. Cedega supports hundreds of Windows games. There is a list to browse of games that have successfully run in Cedega, all rated on how well they work. You are usually okay when you stick to games that are rated at a 4 or 5. Newer games are usually rated better than older games.

Playing Games with Cedega

Cedega works a bit differently from any of the game emulators we talked about. You don't run a ROM through Cedega; you need a copy of the game disk. To play a game in Cedega, you put in your Windows game disk and then start the game from within Cedega. As long as you did your homework ahead of time, checking the lists and comments about your game on the TransGaming site, you can get a game running quickly and easily in Cedega.

Copy Protection Catastrophes

Many new games use complex copy protection that is transparent when you play the games in Windows but that rears its head when you try to play the games in Linux. The copy-protection software thinks that you are trying to do something nefarious. To get around this problem, you might need to download a "no-CD" patch (sometimes simply called game fixes) for your game. Sites such as http://www.megagames.com/ maintain no-CD patches for many games. There are a lot of legal warnings for no-CD patches because the patches are sometimes used for pirating games. However, no-CD patches are perfectly legal to have when you own a copy of the game. I often use them so I can play my games on my laptop without dragging all the CDs around with me.

Playing a game in Cedega is not always that easy. You name the problem, and it can pop up. Before you get excited about running lots of games with Cedega, prepare to do some tweaking and research online to get games playing. Besides reading up on the game you want to play, you can prevent problems by using the testing tools that the program provides for you. Use the system tests in Cedega's Point2Play interface to check your system's 3D graphics, sound, and other required aspects. Although there are horror stories of other users trying to get games running in WineX, the new Cedega release is easier than the old WineX.


The Skinny

PROGRAM | USABILITY | INTERFACE | COMMENTS
GNOME Games | Good | Fair | GNOME's collection of small desktop games is a fairly simple and not so stunning group. A few of the games can be addictive, but they are mostly good to kill some time with.
KDE Games | Good | Fair | The KDE games would get the exact same description as the GNOME Games, but a few games rise above the usual set of games. I give brownie points to the KDE games for adding a few choices that are different, such as KAsteroids, KBattleship, KFoulEggs, and KSokoban.
Other free games | Varies | Varies | Casual gamers looking for a bit of amusement rather than a great game experience have a lot of choices. Cube and Flight Gear are the exceptions to that rule, offering both a good game and the $0 price tag. Check the Links section for URLs of some of the good sites to keep track of Linux games.
Doom 3 | Good | Great | It's a great gameno one will deny that. You have to like first-person shooters. As with most FPS games, the multiplayer game is better than the single-player game.
Unreal Tournament 2004 | Good | Great | UT2004 is another first-person shooter, but, with the added perks of driving around vehicles and using more interesting weapons, it's a fun change.
Neverwinter Nights | Good | Good | For those that have a Dungeons and Dragons geek hidden within, Neverwinter Nights provides good fantasy role-playing gaming with no subscription. Installation of the Linux client gets a bit involved but it plays well when you get it going.
Other commercial games | Varies | Varies | A few companies actively make Linux games, but most seem to release a Linux version for some games and not for others. You can stay up-to-date with sites such as happypenguin.com. If you are into gaming, try buying a couple titles; sales encourage game makers to make more Linux games.
TuxNES | Fair | Poor | TuxNES is a solid emulator of the old Nintendo. It has better color than some Nintendo emulators in Windows. The GUI can be a pain to install. If you're not afraid of the command line, just run TuxNES from the terminal.
XMAME | Poor | Fair | The program isn't the easiest one in the world to get going, but XMAME is the best choice available for playing arcade games and legal game ROMs.
Other emulators | Varies | Varies | The selection of game emulators available for Linux is staggering. Some standouts are SNES9x, ZSNES, and Virtual Boy. Look up some and try them out.
WineX/Cedega | Fair | Fair | Some games are easy to load in Cedega, but most games stop being fun if you have to spend a whole lot of time getting them to work. Cedega is the best we have right now for bridging the Windows to Linux gaming gap. Try Cedega and support it if you have the time and patience. More Cedega users will only make the product better.


Links

Linux game tome: http://www.happypenguin.org/

linuX-gamers: http://www.linux-gamers.net/

Linux gamer's FAQ: http://www.icculus.org/lgfaq/

Cube: http://sourceforge.net/projects/cube/

Flight Gear: http://flightgear.org/Downloads/

FreeCiv: http://www.freeciv.org/download.phtml

Frozen Bubble: http://www.frozen-bubble.org/

Tux Kart: http://tuxkart.sourceforge.net/downloads.html

Tux Puck: http://home.no.net/munsuun/tuxpuck/index.php?section=download

Tux Racer: http://www.tuxracer.com/index.php?page=downloads.php

Video card drivers, ATI and Nvidia: http://www.ati.com/support/driver.html and http://www.nvidia.com/content/drivers/drivers.asp

Video card info for Linux: http://www.linuxforum.com/linux-hardware/video.html

Doom 3: http://www.doom3.com/

Unreal Tournament 2004: http://www.unrealtournament.com/ut2004/

Neverwinter Nights: http://nwn.bioware.com/

Tux Games: http://www.tuxgames.com/

A Tale in the Desert: http://www.atitd.com/downloads.html

Legal game ROMs for emulators: http://www.sys2064.com/legalroms.htm

TuxNES: http://tuxnes.sourceforge.net/

GTuxNES: http://www.scottweber.com/projects/gtuxnes/

XMAME: http://x.mame.net/

TkMAME: http://tkmame.retrogames.com/

Linux game emulators list: http://www.linuxlinks.com/Software/Emulators/Videogames/index.shtml

WineX/Cedega: http://www.transgaming.com/

No-CD patches for use with games in Codega: http://www.megagames.com/


Chapter 13. Running Windows Applications

I work in the downtown section of a medium-size city. Sometimes leaving work and walking down the street is a gauntlet of entreaties and demands. I dodge petitioners asking for my signature. I slide past street preachers working to save my soul. Up ahead I can spot donation seekers lying in wait. This is the everyday challenge of the modern American city dweller. Sometimes the sights and characters can be entertaining, and even perplexing, enough to make the inconvenience worthwhile.

One day I saw a street performer of such enormous talent that I stood speechless in the reflected glow of her geniuswell, actually, I stood stifling a giggle and moved to where I could watch her less obviously.

The older woman sat across from the square downtown on the busy corner with the Nordstrom's store and the Starbucks. She knew how to pick her corners. She was dressed in a bevy of multicolored scarves. Her musical accouterments included one old transistor radio, which sat in front of her on the brick sidewalk with antenna at attention. There were two containers also in front of her with scattered change in them. I'm not sure why there were two. Large bills in one and small change in the other? One for domestic currency and one for foreign? Complimentary tips in the red plastic bowl and disparaging tips in the blue plastic bowl?

Her piece de resistance, the thing that really made her act, was a plastic toy electric guitar. The white guitar and colorful buttons gleamed in the muggy afternoon haze. That afternoon was begging for her magical sound to tear open the mundane atmosphere. Her little transistor radio hissed static and strained for reception of a station, any station, to accompany the womanno, the artist. The guitar's buttons along the neck each corresponded to a preprogrammed guitar solo, engineered to sound like famous rock song interludes with all of the flavor, melody, and familiarity stripped out. The radio grabbed on to a song and held the reception. The performer raised her instrument to get ready. I knew something wonderful was about to take place. The tension was high. The anticipation was great. She waited for the appropriate place in Journey's "Separate Ways" and then performed her magic.

She hit the blue button.

An anemic guitar riff punctuated Steve Perry's yowling. I stood still and silent as the magnitude of her artistry washed over me in acoustic waves. How did she know the right moment? How did she choose the blue button when any amateur would have gone for the purple button?

She was a performer. She was a rebel. She was not worthy of any tips.

I mean, come on, sarcasm aside, was that a performance? Was it music? I suppose it is not up to me to judge what is music or what is art, but my sneaking suspicion is that substitution is the best word to describe that performance. She had no real electric guitar. She used a substitute to try to get a similar effect and experience.

I can't help but think of that woman and her white plastic guitar when I use a Linux program to open a Windows application. When you use other programs to simulate a different operating system like that, you are also substituting. I'm not saying you can't do this: You clearly can run Windows applications in Linux with relative ease, depending on the program. I'm not saying that you shouldn't do this: Sometimes you need a particular Windows app when you are working in a world full of Windows users. I am, however, taking my soapbox moment to ask you to try to learn to like native Linux programs before you use Windows programs as the transitional crutch. Although you have the ability to run Windows programs in Linux, it's not always the easiest task.


Wine

Program Info

Terminal Command

wine [program or .exe name]

Program

URL http://www.winehq.org

Wine is not an emulator! Wine is not an emulator! Say it again with meokay, don't. We can stop now. They are pretty adamant about that whole "not an emulator" thing over at the Wine camp. I imagine a scenario like you would find in Orwell's 1984. I say in a hushed whisper, "Wine is an emulator." Then there is a knock at the door. The men come to take me away to Room 101.

Wine is a compatibility layer between Linux and Windows. You don't need a copy of Microsoft Windows to run a program through Wine. Wine creates an alternative application program interface (API) that runs on top of Linux and uses no Windows code. Windows programs can run with this alternative API, similarly to how they run on the Windows API. The Wine developers say that Wine is still under development and isn't ready for general use yet. Still, Wine is probably the most well-known program in Linux right now for running Windows programs and is widely used.

Wine is often included with your distribution's install disks. You can either install Wine from the install disks or download the program from the WINE Web site. Make sure you get the very latest version available for your distro. Each new version of Wine usually has important improvements. (The Wine Configuration screen is shown in Figure 13.1.)

Figure 13.1. The Wine setup wizard.

The easiest program to try first in Wine is Microsoft Notebook. Remember the plain-text editor in Windows? That's the one. Some versions of Wine even install the Windows programs Notebook and Minesweeper for you to try. To find out what other programs have been run in Wine, check out the applications database at http://appdb.winehq.org/. The programs listed have not necessarily been run successfully in Wine, but the database lets you know how well each program has been reported to run and includes user comments.

Wine requires a Windows C: drive, or at least a fake version of it. The usual location that Wine creates for the C: drive is /home/[username]/.wine/fake_windows. This location can be different, depending on the package or source you installed Wine with. To install Windows programs to run in Wine, you need to run the Windows installer for the program in Wine, which is often on your Windows program's CD. When you get the installer to run and finish, you use the program's executable file (.exe) to run the program.

Now I think I can say that I have gotten a Windows program to run in Wine without a hitch only once or twice. Remember, Wine is a work in progress. Most programs require tweaking to run, and many programs simply will not run. When you run into problems, read up on the program in the Wine application database to see how other users got the program to run. Quite often the solution to getting a program to run in Wine is to install the program in Windows and then copy over the executable file and .dll files to the Linux directory for that program in Wine.

Now do you see why I warned you? Don't worry, there is at least one other solution that is easier than Wine. You probably don't want to mess with Wine unless you enjoy tweaking and problem solving. If you're looking for something to use in a professional office environment, Wine probably isn't ready. Wine is one of those Linux issues that can be a pain to work with but you feel like you're helping a good cause. So, if you are the tweaking type, you can help make Wine easier to use and more dependable in the future by working with it and reporting your experiences in the applications database.


CrossOver Office

Program Info

Terminal Command

wine --cx-app [program executable]

(Crossover Office usually creates menu shortcuts that are better to use.)

Program URL

http://www.codeweavers.com/site/products/cxoffice

CrossOver Office is the kinder, gentler implementation of Wine. CrossOver is a commercial program that is based on Wine. You can run specific Windows programs that the makers of CrossOver Office, CodeWeavers, have tested. You can use CrossOver to get browser plug-ins to work with most browsers. You can also use the program as an additional way to install TrueType fonts. The program was originally focused on getting Microsoft Office programs to run under Linux, thus the name.

CrossOver installs and runs Windows programs through a nice, very simple GUI interface. The usability difference between this program and regular Wine is vast. Besides the Microsoft Office programs, CrossOver Office can run many popular Windows programs, including these:

  • Adobe Photoshop

  • Microsoft Outlook

  • Microsoft Internet Explorer

  • Windows Media Player (version 6.4, but newer versions are being worked on)

  • Lotus Notes

  • QuickTime

  • Dreamweaver MX

  • Flash MX

You can try programs that are not included in the supported application list, but they might not run; you just have to wait and see. Someone even got iTunes working in CrossOver Office. When you stick to the supported applications list, you do need to reconcile yourself to the fact that supported versions of popular programs usually lag a version or two behind the latest Windows versions.

Unlike most Linux programs, CrossOver isn't free. You can download a trial version from the CodeWeavers Web site at http://www.codeweavers.com. The program runs so well and is so easy to use that it is well worth the price if you are someone who absolutely needs to run Windows programs in Linux. You can look over the list of supported applications at http://www.codeweavers.com/site/products/cxoffice/supported_apps/. Each application is rated and has a forum associated with it, a list of known issues, and tips.

Using CrossOver Office is surprisingly easy. From installing programs to running programs, you rarely encounter any hiccups, as long as you stick to the supported programs list. CrossOver can dependably be used in a professional environment. You can even choose between a Standard and a Pro version, with the Pro version including more support.


Win4Lin

Program Info

Terminal Command

win or fwin

Program URL

http://www.netraverse.com/products/win4lin50/

The big claim of Win4Lin is speed. The program doesn't start a virtual machine, but instead runs a DOS environment by translating Windows operations to Linux operations using hooks in the kernel. W4L is definitely a program for the more experienced Linux user, but its speed claim is justified. I admit to not being someone who enjoys patching the Linux kernel, but I have gotten Win4Lin working with a fair amount of tweaking and swearing. When the program is installed and working, running Windows is pretty easy. Because a copy of Windows is running, getting your favorite Windows programs to work isn't too hard.

There are limitations to Win4Lin's speed demon approach. With DOS running, you can use only Windows, 95, 98, or Me. They are working on supporting newer versions of Windows, but I'm sure that requires great changes to the program. You need a copy of Windows to install, and, yes, you should have a legal copy of Windows. If you are a person who tends to update the Linux kernel yourself, you are dependent on the company that makes Win4Lin, NeTraverse, for kernel updates to keep running Win4Lin. One of the bigger limitations in Win4Lin is that the program lacks DirectX support. That means no games or multimedia applications for you with W4L. Finally, and this might not be a limitation as much as it is a consideration, Win4Lin is a commercial program that you have to buy.

On the bright side, besides the speed with which Win4Lin runs, you can count on the program to reliably run many Windows programs. Supported programs include these:

  • Microsoft Office

  • Adobe Photoshop

  • Dreamweaver

  • Adobe Illustrator

  • Lotus SmartSuite

  • Internet Explorer

  • Norton Anti-Virus

  • Adobe FrameMaker

Win4Lin also supports sound playback and Windows networking. With the graphical installer, speed, and reliable performance, W4L is a good program for moderate to advanced Linux users.

FRIDGE

Message for the Man in the Ten-Gallon Hat

If you are standing in the middle of a Starbucks in the suburbs of Oregon in a giant cowboy hat, a western shirt covered in shiny pearl snaps, a giant belt buckle, and pointy little boots, I have to laugh at you. What are you pretending? The stern cowboy look on your face isn't helping. You're still a man chasing an image and playing dress-up. How can anyone take you seriously when you use a giant white hat to try to project who you think you are?

Dude, listen to me. There are no cows in the shopping center. There is nothing to wrangle in the Target parking lot. There are no little doggies or tumbleweeds in the Barnes and Noble bookstore.

Try to deal in the reality you and your big belt buckle are now standing in.


VMWare

Program Info

Terminal Command

vmware

Program URL

http://www.vmware.com/

VMWare is an emulator. We can say that now and not fear the Orwellian men at the door. This program is definitely more aimed at professionals, with its high price tag. VMWare is not just for Linux. VMWare is a virtual machine that will run many operating systems on many different operating systems. So, for your $199, you can do whatever you want torun Windows on Linux, run Linux on Windows, run cattle across the prairie.

This is a program aimed at software developers who need to test their works in progress on different operating systems, but regular desktop users can certainly use it. To install VMWare, you need a powerful computer that meets the demanding system requirements. You also need to recompile your Linux kernel while setting up VMWare. If you plan to run Windows, you need to have your own licensed copy of Windows.


The Skinny

PROGRAM | USABILITY | INTERFACE | COMMENTS
Wine | Poor | Fair | It might not be an emulator, but it also might not be right for you if you want to run Windows applications quickly and easily. Using Wine is fraught with tweaking adventure. If you like to tinker and want a way to give back to the Linux community, this is a worthy project.
CrossOver Office | Great | Great | CrossOver is the most practical choice for Linux users who need to run Windows applications. Everything runs smoothly, and the company works hard to keep adding to and updating the list of supported applications.
Win4Lin | Good | Fair | If you don't want to have to tweak Wine and don't want to be constrained by which programs CrossOver supports, you might like Win4Lin. It's a little convoluted to get set up and working, but it's reliable when you have it all set. You will be limited to running only older copies of Windows, and you need to have your own licensed copy of Windows.
VMWare | Fair | Fair | VMWare should not be the desktop user's first choice. With its prohibitive price and licensing, together with the complexity of the program, this is a choice for people who are not just casual users, but who make money off their computers and need full virtual machine software.


Links

Wine: http://www.winehq.org

Wine Applications Database: http://appdb.winehq.org/

CrossOver Office: http://www.codeweavers.com/site/products/cxoffice/

Win4Lin: http://www.netraverse.com/products/

VMWare: http://www.vmware.com


FAQ

    Windows to Linux Switcher Toolkit


Windows to Linux Switcher Toolkit

PROGRAM TYPE | IF YOU USE THIS IN WINDOWS . . . | . . . TRY THIS IN LINUX
Web browser | Internet Explorer, Netscape, Mozilla, Opera, Mozilla Firebird | Mozilla, Mozilla Firebird, Konqueror, Opera, Epiphany, Galeon
E-mail client | Outlook Express, Outlook, Netscape Mail, Mozilla Mail, The Bat, Eudora, Opera, IncredEmail | Evolution, KMail, Mozilla Thunderbird, Mozilla Mail, Netscape Mail, Opera
Newsgroup reader | Agent, Free Agent, Outlook Express, Outlook, Netscape, Mozilla, Opera | Pan, KNode, Evolution, Netscape, Mozilla Thunderbird, Mozilla, Opera
Personal information management/scheduling | Outlook, Palm Desktop | Evolution, Kontact, KDE PIM Suite
PDA synching | Palm Desktop | KPilot, GNOME Pilot, Evolution
Word processor | Microsoft Word, Word Perfect, OpenOffice.org Writer, AbiWord, StarOffice | OpenOffice.org Writer, AbiWord, KWord, StarOffice
Spreadsheets | Microsoft Excel, OpenOffice.org Calc, StarOffice | OpenOffice.org Calc, KSpread, StarOffice
Presentations | Microsoft PowerPoint, OpenOffice.org Impress, StarOffice | OpenOffice.org Impress, KPresenter, StarOffice
Desktop publishing | Adobe PageMaker, QuarkXPress, Adobe FrameMaker, Microsoft Publisher | Scribus, OpenOffice.org Writer, KWord, Adobe FrameMaker
Flowcharts and diagrams | Microsoft Visio | OpenOffice.org Draw, Kivio, KChart, Dia
PDF viewing | Adobe Acrobat Reader, GhostView | Nautilus, Konqueror, XPDF, GhostView, KGhostView
PDF creation | Adobe Acrobat, GhostView | OpenOffice.org, GhostView, KGhostView
Digital cameras | Various proprietary software that comes with the cameras | gtKam (gPhoto2), DigiKam, Konqueror
Image manipulation/editing | Adobe Photoshop, Gimp, Paint Shop Pro, Corel PhotoPaint, Macromedia Fireworks | Gimp, ImageMagick, Corel PhotoPaint
Vector drawing | Adobe Illustrator, Corel Draw, Freehand, AutoSketch, OpenOffice.org Draw | Sodipodi, Sketch, Karbon14, OpenOffice.org Draw, Dia
Photo organization | Various small shareware programs | gThumb, DigiKam
Instant messaging | AIM, MSN, Yahoo!, ICQ, Trillian, Gaim | Gaim, Yahoo!, Kopete, KICQ, Everybuddy
IRC chat | MIRC, XChat, ChatZilla | XChat, ChatZilla, various command-line utilities
Music playback | WinAmp, iTunes, Sonique, Real Jukebox, Windows Media Player | XMMS, Rhythmbox, Noatun, MPlayer, Xine
Movie file playback | RealPlayer, Windows Media Player, QuickTime | MPlayer, Xine, RealPlayer, Helix, CrossOver Office
DVD playback | PowerDVD, WinDVD, Windows Media Player | Ogle, MPlayer, Xine, Totem
Desktop games | Solitaire, Minesweeper, Hearts, Kyodai Mahjongg | GNOME Games (various), KDE Games (various)
CD burning | Nero, Roxio Easy CD Creator | XCDRoast, K3b, Nautilus, Gnome Toaster
Music CD ripping | WinAmp, iTunes, Real Jukebox, Windows Media Player | Grip, Gnome Toaster, Cdparanoia, Sound Juicer
Programming | Microsoft Visual-Studio .net, Emacs, XEmacs, Vim, Borland C++ Builder, MS Visual C, JBuilder, IDEA | CodeForge, KDevelop, Eclipse, Glade, Emacs, XEmacs, Vim, Dev-C++, CodeWarrior, GBuilder, JBuilder, Sun ONE Studio
Web development | Macromedia Dream-weaver, MS FrontPage, Netscape Composer, Mozilla Composer, HomeSite, CoffeeCup | Quanta Plus, Bluefish, Screem, JXHTMLEDIT, IBM WebSphere Homepage Builder
Text file editing | Microsoft Windows Notepad | Gedit, Kate


Glossary

802.11a,b,g

Family of specifications for wireless LAN that describes the over-air interface between a wireless router or access point and a wireless network card.

AAC

(Advanced Audio Coding) An audio compression file type similar to MP3, used in Apple's iTunes.

antialiased, antialiasing

A software technique for smoothing fonts and graphics.

API

(application program interface) Set of standard protocol tools for programming software applications. Applications that share the same API have similar interfaces.

archive file

A single file or multiple files that have been compressed into a smaller single file. Archives can be unpacked to access their contents.

authentication

Security term used to describe the process of identifying an individual for approved access to a system or object. Authentication is often in the form of a username and password.

avatar

A graphical icon or image used to represent a person online.

AVI

(Audio Video Interleave) A multimedia file type used to store video and audio information, often used to compress movie files.

boot

To load the software that starts a computer.

boot loader

Program used to load the operating system into a computer's memory when the computer is booted.

broadband

Transmission type for data that can carry multiple channels at the same time, used to identify Internet access types such as cable and DSL.

codec

(compressor/decompressor) Method for compressing and decompressing data, often used in relation to video and audio files.

compile

Act of transforming program source code into object code. Source code is written by programmers. Object code (with a linker) is executed as a program.

conduit (as related to PDA)

A channel for transmitting data between a PDA handheld computer and your PC.

cookie

A file placed on your computer by some Web sites through your browser that contains data, often used to store user information.

CSV

(comma-separated values) A format for data in which each value is separated by a comma.

daemon

Similar to a system agent or service, a background process that responds to specific events.

desktop environment

The graphical representation of your file system, with related tools. Examples of a desktop environment for Linux include KDE, GNOME, Fluxbox, Blackbox, and Enlightenment.

DHCP

(Dynamic Host Configuration Protocol) Protocol for assigning addresses on a network automatically. This makes networking easier with the software tracking IP addresses and allows you to easily add a new computer to a network.

directory

Representation of an object used to hold and organize multiple files in an operating system.

DirectX

Microsoft API developed to easily access hardware features, often referred to in relation to graphics-intensive programs such as games.

disk image

An exact copy of a hard drive or file set.

distribution (distro)

Collection of programs, including the Linux kernel, that can be installed together as an operating system.

DNS

(domain name system) Service that translates domain names into IP addresses on a network.

driver

Program to control a device by translating between the device and the programs that use the device.

DRM

(digital rights management) System for protecting copyrights on data by limiting access to that data.

DSL

Broadband Internet service type in which data is carried over copper wires, usually a subscribed service through telephone companies or Internet service providers.

dual-boot

Setting up a computer to boot either of two operating systems on the same machine.

DVD

(digital video disk) Optical disk similar to a CD-ROM, often used for movies. Also now used for data storage because of its greater capacity.

emblem

Graphical representation of the category or type of a file or folder in a file manager, usually by an icon.

emoticon

(emotional icon) Series of keyboard characters used to show emotion, often used in Internet chat, instant messaging, and e-mail.

emulator

A program designed to imitate another program or operating system.

FAT32

(file allocation table) File system type used in older Windows operating systems.

file manager

Graphical program for navigating through a file system and for adding, editing, and deleting files and directories.

file system

Method used by operating systems to organize and track files.

firewall

A hardware or software barrier used to prevent unauthorized access to or from a computer on a network.

first-person shooter

Game type with a first-person viewpoint in which the player primarily shoots other players or characters.

folder

See [directory]
font

Design for displaying characters that includes typeface, pitch, size, and spacing.

frag

Term used in video games to describe killing a fellow player or game character.

FTP

(file transfer protocol) Protocol for sending and receiving files over the Internet.

Gantt chart

Graphical representation of activities and work over time in a project.

genius

Susan

glossary

You are reading it.

GPL

(general public license) A license often used in open source software in which the complete source of a document or program is distributed, and anyone who receives the data must share it with anyone else as a part of the license agreement.

GUI

(graphical user interface) A program interface that utilizes graphics to make a program easier to use and easier to learn.

HTTP

(HyperText Transfer Protocol) Communications protocol used on the World Wide Web to define how data and messages are formatted and transferred.

HTTP proxy

See [proxy]
icon

Representative icon often used in programs in place of text.

IMAP

(Internet Mail Access Protocol) Type of e-mail account similar to POP, but with which your mail remains on the server.

install media

Your installation disks.

IP address

(Internet protocol address) Identifier used to route data on a TCP/IP type of network.

IR

(infrared) Light waves that can be used to transmit data.

ISO

An exact-copy image of a CD-ROM.

ISP

(Internet service provider) Company you pay for your Internet access.

James K. Polk

The 11th president of the United States and my arch-nemesis.

kernel

The engine of your Linux operating system responsible for security, allocation of resources, and the lowest-level hardware interfaces.

kicker

The bottom panel on your KDE desktop.

LAN

(local area network) A network connecting computers within a small area such as a home or office, usually limited to one building.

LDAP

(Lightweight Directory Access Protocol) Set of protocols for accessing directories of information.

Linmodem

A software modem, or Winmodem, that users have gotten running in Linux.

Linux

An open source operating system based on the UNIX operating system. For a history of Linux, see http://www.li.org/linuxhistory.php.

live CD

A bootable CD-ROM with an entire operating system contained on it, allowing you to get online and get work done whether the computer you are on has an OS installed on it or not. Psst! There's a live CD in this book.

log file

List in a file that is a record of actions or errors that have occurred.

login manager

Program that handles user management and access to the Linux desktop environment.

Mandrake cooker

Mandrake's online repository of packages that developers are experimenting with but that might not be stable.

Master Boot Record

Small program that loads when a computer boots and reads the disk's partition table, deciding which partition to boot from.

MMORPG

(massive multiplayer online role-playing game) A type of video game played online in which you create a character that interacts with other characters that also represent real human players.

mount

To make a storage device readable by the operating system.

MP3

Type of audio compression format that is currently the most popular format for music.

multimedia

Collective term referring to text, audio, video, animation, or images on the computer.

network proxy

See [proxy]
NTFS

(NT File System) A file system type originally developed for Windows NT but that is also used in Windows 2000 and Windows XP.

object oriented

A method of programming that uses functions and data structures to create reusable objects.

OGG

Type of audio compression format that is often popular in Linux because the format is freely available.

OS

(operating system) The most important program on your computer that processes input and output, controls hardware, and tracks files.

package

  1. Archive file containing several files.

  2. RPM package; collection of files clustered into one file for easy installation of programs.

panel

Desktop object on which small programs and icons can be placed.

partition

Divided section of a hard disk. Disks are often partitioned to install multiple operating systems on one disk.

peripheral hardware

Computer device that is not part of the central computer hardware, CPU, and motherboard. Examples include CD-ROM drives, mouse, keyboard, printer, and monitor.

PIM

(personal information management) Programs designed to help users organize small bits of personal information, usually including schedules, contacts, tasks, and reminders.

plug-in

A hardware or software module that adds features, often used to describe add-on modules for programs such as Web browsers.

POP3

(Post Office Protocol) Type of e-mail account; protocol for retrieving mail from a server.

pop-up ad

Online advertisement on a Web site that opens unrequested browser windows on your computer.

port

Computer interface for connecting a device.

PPC

(Power PC) Type of computer processor used by many Apple computers.

PPP

(Point-to-Point Protocol) Protocol for connecting a computer to a network, usually used with dial-up modems.

protocol

A standard format for transmitting data between two devices.

proxy

A server that sits between a client and network servers to improve efficiency and filter requests.

RDF

(Resource Description Framework) A framework for describing data about a Web site, often used in reference to keyword data for search engines, site maps, and update dates.

resolution

The clarity and sharpness of an image, also used to describe the number of pixels on a screen display.

ROM

(read-only memory) Prerecorded data that cannot be rewritten but can only be read.

root

The superuser account on a Linux or UNIX operating system.

router

A networking device that forwards packets of data between two networks.

RPM

(Red Hat Package Manager) Program installation files grouped together for easy installation. RPM-based Linux distributions include Red Hat, Fedora, Mandrake, and SUSE.

RSS feed

(Rich Site Summary) An XML format for syndicating Web site content. Users can create customized newsfeeds, and Web sites can display feeds from other sites when using RSS.

serial port

An interface, or port, that transmits data 1 bit at a time.

server

The computer that manages network resources on a network.

skin

A theme for a program to change the appearance of that program.

SMTP

(Simple Mail Transfer Protocol) The common protocol for sending e-mail messages between servers.

spatial

File-management method in which files, directories, and devices are displayed by their respective spaces, not by a hierarchy.

spoofkata

The dust, clutter, papers, soda cans, books, sticky notes, and other paraphernalia that gathers on your computer desk.

SSH

(Secure Shell) A program used to log into a computer over a network.

SSL

(Secure Socket Layer) Protocol for transmitting data securely over a network by using keys to encrypt the data during transport.

stream (or streaming)

A method for delivering multimedia content on the Web in which the client user's browser only needs to download the content in small portions that are continuously delivered.

swap

File system space used to augment the main computer memory.

theme

Set of visual elements applied to a program's interface to change the look of the program.

torrent

File type used by the peer-to-peer file-sharing program BitTorrent that contains pointer information to find other users who have the file you want to download.

Tourrette's syndrome

Neurological condition in which the subject has uncontrollable shouts, grunts, facial movements, tics, and upper-body movement.

True Type font

Outline font type created by Microsoft and Apple that is the most popular font type in use.

unmount

See [mount]
URL

(uniform resource locator) The unique global address system used for documents online.

usability

The practice of increasing the efficiency and enjoyment of experiencing a program or Web site for users.

USB

(universal serial bus) A type of port for connecting peripheral devices that is very fast.

user

You.

vcard

(virtual card) An electronic business card format often attached to e-mail messages.

VFAT

(virtual file allocation table) A file system type used by older versions of Windows.

virtual machine

A program that creates its own independently running environment, often used to simulate other operating systems.

WEP

(wired equivalent privacy) A security protocol for wireless networks.

window manager

Program part of an operating system that handles the rendering and movement of windows.

Winmodem

Common name for software modems that are manufactured to use a program for handling operations usually handled by hardware, originally manufactured to save hardware makers money.

wireless access point (WAP)

Hardware used as a node in a wireless network for transmitting and receiving data.

WMA

(Windows Media Audio) Audio compression type created by Microsoft for use in its Windows Media Player program.

X (X Window System)

An open standard GUI system that is device independent, used commonly in Linux and UNIX systems.

XML

(Extensible Markup Language) A flexible specification for Web documents that allows developers to create their own tags.

Y

The letter that comes after X. Sure, you already knew that, but I didn't want X to feel lonely. Oh yeah, Y can be used as a vowel or a consonant.


Article

    About the CD-ROM

    CD-ROM Disclaimer


About the CD-ROM

The CD in this book is a Linux live CD of the distribution Gnoppix. A Linux live CD is a Linux distribution that will boot up and run right off the CD without having to install a whole operating system on your computer. Gnoppix does not include every program that is covered in this book, but you can use the CD to get comfortable with a few Linux programs.

You can read more about Linux live CDs in Chapter 1. You can read more about Gnoppix at http://www.gnoppix.org.

To use the Gnoppix CD in this book, you need a PC with these requirements:

  • PC with Intel-compatible CPU (i486 or later)

  • Bootable CD-ROM drive

  • At least 96 MB for graphics mode

  • SVGA-compatible graphics card

Unfortunately, Gnoppix does not currently have a Mac version.

Put the CD in your CD-ROM drive. Reboot your computer. You will need to make sure that your computer is set up to boot from CD when a bootable CD is present. See Chapter 1, and the "Under the Hood" note titled "CD Boot" on page 20 for more information about how to boot from your CD drive.


CD-ROM Disclaimer

Prentice Hall Professional Technical Reference warrants the enclosed disc to be free of defects in materials and faulty workmanship under normal use for a period of ninety days after purchase. If a defect is discovered in the disc during this warranty period, a replacement disc can be obtained at no charge by sending the defective disc, postage prepaid, with proof of purchase to:

Editorial Department

Prentice Hall Professional Technical Reference

Pearson Technology Group

One Lake Street

Upper Saddle River, NJ 07458

Prentice Hall Professional Technical Reference makes no warranty or representation, either expressed or implied, with respect to this software, its quality, performance, merchantability, or fitness for a particular purpose. In no event will Prentice Hall Professional Technical Reference, its distributors, or dealers be liable for direct, indirect, special, incidental, or consequential damages arising out of the use or inability to use the software. The exclusion of implied warranties is not permitted in some states. Therefore, the above exclusion may not apply to you. This warranty provides you with specific legal rights. There may be other rights that you may have that vary from state to state. The contents of this CD-ROM are intended for personal use only.

More information and updates are available at: http://www.phptr.com/


Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]


SYMBOL

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

/etc direction
/home directory
/misc directory
/mnt directory
/root directory
/tmp directory
/usr/bin directory
/usr/share directory
802.11a protocol
802.11b protocol
802.11g protocol


A

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

A Tale in the Desert
AbiWord 2nd
office suite comparison chart
About Myself option (GNOME Control Center)
Accessibility option (GNOME Control Center)
Accessibility section (KDE Control Center)
Accessibility Tab (GDM configuration dialog box)
accounts
mail accounts [See mail accounts]
setting up
in Gaim 2nd 3rd 4th 5th
in Kopete 2nd 3rd
Add/Remove Applications command (Fedora System Settings menu)
address books
Contacts screen (Evolution) 2nd 3rd 4th 5th
KAddressBook (KDE-PIM suite) 2nd 3rd 4th 5th
Aisleriot
albums for photos 2nd
Digikam 2nd
gThumb 2nd 3rd 4th 5th 6th
Anaconda
Appearance Tab (KDM configuration dialog box)
applications [See programs]
appointments
creating
in Evolution 2nd 3rd 4th 5th
in KOrganizer 2nd 3rd
Apt 2nd 3rd 4th 5th
Archive Manager command (Fedora System Tools menu)
archiving
calendars
art.gnome.org Web site
Ataxx
audio [See digital audio players]
Authentication command (Fedora System Settings menu)


B

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

Background Tab (KDM configuration dialog box)
backups
importance of
banned books
BitTorrent
Blackjack
blocking
pop-ups
in Konqueror
in Mozilla
Blogger Web site
blogs 2nd
installing Firefox extensions for 2nd
book banning
Boot category (Mandrakelinux Control Center)
boot disk
creating
boot loader
defined 2nd
boot partitions
booting [See also dual-booting]
from CDs
boxed distributions
obtaining 2nd
broadband Internet connections 2nd 3rd 4th 5th 6th
Browse File System command (GNOME menu)
browser mode (Nautilus) 2nd 3rd
browsers
Epiphany 2nd 3rd
Firefox 2nd 3rd 4th
Konqueror 2nd 3rd 4th
Mozilla 2nd 3rd 4th 5th 6th
multimedia in 2nd
Netscape 2nd
Opera 2nd 3rd
Bugzilla program Web site
burning
disk images 2nd


C

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

Calc (OpenOffice.org) 2nd 3rd 4th
office suite comparison chart
Calendar screen (Evolution) 2nd 3rd 4th 5th
calendars
archiving
KonsoleKalender
KOrganizer 2nd 3rd 4th 5th 6th 7th 8th
cameras [See digital cameras]
CD and DVD option (GNOME Control Center)
CD images
downloading
CDs
booting from
burning [See Windows;burning disk images]
CDs, ripping
Grip 2nd 3rd 4th 5th 6th 7th
Cedega 2nd 3rd
game comparison chart
chat [See IRC]
ChatZilla 2nd 3rd 4th 5th
chat software comparison chart
choosing
distributions 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th
install type 2nd 3rd 4th 5th
passwords
codecs
CodeWeavers Web site
colors
changing
in KDE 2nd
command completion
command-line [See terminal]
commands
help switch
history
info
list of 2nd
man files
commands (IRC)
list of
commercial games 2nd 3rd
A Tale in the Desert
Doom 3 2nd
Neverwinter Nights 2nd
Quake 3 Arena
Railroad Tycoon 2
Gold Edition
SimCity 3000
Unreal Tournament 2004
commerical games
comparison chart
Components section (KDE Control Center)
Computer icon (GNOME)
Configuration (Mandrake package group)
Configuration Editor command (Fedora System Tools menu) 2nd
configuring
GDM 2nd 3rd
GNOME Workspace Switcher 2nd 3rd
KDE Pager 2nd 3rd
KDM 2nd 3rd 4th
Konqueror as Internet Explorer
printers
in Fedora 2nd 3rd
in Mandrake 2nd 3rd
wireless network access points/routers 2nd
wireless NICs (network interface cards) 2nd
Congress Web site
connections
PDA syncing 2nd 3rd
Console Tools (Mandrake package group)
contacts
creating
in Evolution 2nd 3rd
in KAddressBook 2nd 3rd
Contacts screen (Evolution) 2nd 3rd 4th 5th
Content Scrambling System (CSS)
Control Center [See Mandrakelinux Control Center]
Control Center option (GNOME Control Center)
Convenience Tab (KDM configuration dialog box)
cookies
setting preferences
in Konqueror
in Mozilla
copy protection
on games
copying
files and folders
in Konqueror
in Nautilus
CrossOver Office 2nd
emulator comparison chart
Crossover Office Web site
CSS (Content Scrambling System)
Cube 2nd
Custom (Fedora install type)
customizing
Konqueror 2nd
Mozilla 2nd
program settings
customizing the desktop 2nd 3rd [See also themes]
fonts 2nd 3rd
GNOME Control Center 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th
icons
desktop and panel icons 2nd
file manager icons and emblems 2nd
finding and creating icons 2nd
KDE Control Center 2nd 3rd 4th 5th 6th 7th 8th 9th


D

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

Dag Wieers repository Web site
Database (Mandrake package group)
Date & Time command (Fedora System Settings menu)
date and time
changing
in Fedora
in Mandrake
Debian distribution 2nd
DeCSS
deleting
files
in Nautilus
dependencies
RPM files
Desktop Background option (GNOME Control Center)
desktop customization 2nd 3rd [See also themes]
fonts 2nd 3rd
GNOME Control Center 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th
icons
desktop and panel icons 2nd
file manager icons and emblems 2nd
finding and creating icons 2nd
KDE Control Center 2nd 3rd 4th 5th 6th 7th 8th 9th
desktop environment
defined
desktop environments
GNOME [See GNOME]
in Mandrake and Fedora distributions 2nd
KDE [See KDE]
desktop icons
customizing 2nd
GNOME 2nd
KDE 2nd
desktops [See virtual desktops]
Development (Mandrake package group)
dial-up Internet connections 2nd 3rd 4th 5th
Dialogs menu (GIMP)
Digikam 2nd
software comparison chart
digital audio players 2nd 3rd
comparison chart
file formats 2nd
Grip 2nd 3rd 4th 5th 6th 7th
iTunes
Noatun 2nd 3rd 4th 5th 6th
Rhythmbox 2nd 3rd 4th 5th 6th
XMMS 2nd 3rd 4th
digital cameras 2nd 3rd 4th [See also photos]
gPhoto2, compatibility with 2nd
retrieving photos
gtKam 2nd 3rd 4th 5th
Konquorer 2nd 3rd
software comparison chart
Digital Millennium Copyright Act (DMCA)
digital video players
comparison chart
Helix Player 2nd
MPlayer 2nd 3rd 4th
Ogle 2nd 3rd 4th 5th
Real Player 2nd 3rd
Xine 2nd 3rd 4th 5th
directories [See folders]
DirectX
disk images
burning 2nd
Disk Management command (Fedora System Tools menu)
disk partitioning 2nd 3rd
disk partitions
mounting
in Fedora
in Mandrake
Display Settings command (Fedora System Settings menu) 2nd
distributions
choosing 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th
defined 2nd
downloading
burning disk images 2nd
installing 2nd
checking install media
choosing install type 2nd 3rd 4th 5th
creating boot disk
custom package selection 2nd 3rd
disk partitioning 2nd 3rd
firewalls 2nd
graphical installers 2nd
hardware compatibility 2nd
network configuration 2nd
post-distribution steps 2nd 3rd 4th
text-only installers 2nd
user accounts 2nd 3rd
obtaining 2nd 3rd 4th 5th
Distro Watch Web site
distros [See distributions]
dlpsh
DMCA (Digital Millennium Copyright Act)
Documentation (Mandrake package group)
Doom 3 2nd
game comparison chart
downloading
Linux distributions 2nd
burning disk images 2nd
DrakX
Draw (OpenOffice.org) 2nd 3rd
office suite comparison chart
drivers
video card drivers
dual-booting [See also booting]
boot loader 2nd
defined 2nd
Mac OS X 2nd
reasons for
Windows 2nd
DVD players [See digital video players]
DVDs
burning


E

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

e-mail messages
reading
in Evolution
in KMail
in Thunderbird
sending
in Evolution
in KMail 2nd 3rd 4th
in Thunderbird
e-mail programs 2nd 3rd [See also mail accounts]
Evolution 2nd 3rd 4th 5th 6th
KMail 2nd 3rd 4th 5th 6th
Mozilla Mail
news readers in
Thunderbird 2nd 3rd 4th 5th 6th
Edit menu (GIMP)
eLapse Web site
emblems
customizing 2nd
emulating
three-button mouse
emulators [See also Windows programs, Photoshop;running]
comparison chart
game emulators 2nd 3rd
comparison chart
TuxNES 2nd 3rd
XMAME 2nd
VMWare 2nd
Epiphany 2nd 3rd
Evolution 2nd 3rd 4th 5th 6th 7th 8th
Calendar screen 2nd 3rd 4th 5th
Contacts screen 2nd 3rd 4th 5th
Inbox screen
personal information manager comparison chart
Summary screen 2nd 3rd
Tasks screen 2nd 3rd 4th
extensions
for Firefox 2nd 3rd
in Thunderbird


F

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

Fat32 file system
Fedora distribution 2nd 3rd
choosing install type 2nd
custom package installation 2nd 3rd
desktop environment 2nd
fonts
installing
Internet connection setup 2nd 3rd 4th 5th 6th
main menu icon
changing
MP3 support
adding to Rhythmbox 2nd
adding to XMMS
Package Manager
post-installation steps 2nd 3rd
print management 2nd 3rd
startup
System Settings menu 2nd 3rd 4th 5th
system tools and utilities
System Tools menu 2nd 3rd 4th 5th
Up2date
updating
wireless network cards
troubleshooting
file associations
changing
file formats
importing
into Evolution
in GIMP
music 2nd
file manager icons and emblems
customizing 2nd
file managers
defined
Konqueror (KDE) 2nd 3rd 4th 5th 6th 7th 8th
Nautilus (GNOME) 2nd 3rd 4th 5th 6th
File menu (GIMP)
File Roller
file system
mounting
in Fedora
file system hierarchy 2nd
file systems
mounting
in Mandrake
File Types and Programs option (GNOME Control Center)
files
copying
in Konqueror
in Nautilus
creating
in Konqueror
in Nautilus
deleting
in Nautilus
moving
in Konqueror
in Nautilus
ownership 2nd 3rd
permissions 2nd 3rd
renaming
in Konqueror
in Nautilus
filtering spam
in Evolution
in KMail
in Thunderbird 2nd 3rd 4th
Filters menu (GIMP)
Find command (K menu)
FIPS
Firebird [See Firefox]
Firefox 2nd 3rd 4th
Firewall/Router (Mandrake package group)
firewalls
setup 2nd
Flight Gear 2nd
Floppy Formatter command (Fedora System Tools menu)
folders
copying
in Nautilus
copyingin Konqueror
creating
in Konqueror
in Nautilus
defined
in file system 2nd
moving
in Konqueror
in Nautilus
ownership 2nd 3rd
permissions 2nd 3rd
renaming
in Konqueror
in Nautilus
Font option (GNOME Control Center)
Font Tab (KDM configuration dialog box)
fonts
installing 2nd 3rd
formatting
partitions
Four-in-a-Row
free games 2nd
comparison chart
Cube 2nd
Flight Gear 2nd
FreeCiv
Frozen Bubble
GNOME Game package 2nd 3rd 4th 5th 6th
KDE Games collection 2nd 3rd 4th
Tux Cart 2nd
Tux Puck
Tux Racer
FreeCiv
FreshRPMs Web site
Frozen Bubble


G

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

Gaim 2nd 3rd 4th 5th 6th 7th 8th 9th
instant messaging comparison chart
SourceForge forums Web site
Galeon [See Epiphany]
game emulators 2nd 3rd
comparison chart
TuxNES 2nd 3rd
XMAME 2nd
Game Station (Mandrake package group)
games
commercial games 2nd 3rd
A Tale in the Desert
Doom 3 2nd
Neverwinter Nights 2nd
Quake 3 Arena
RailRoad Tycoon 2: Gold Edition
SimCity 3000
Unreal Tournament 2004
comparison chart
copy protection
free games 2nd
Cube 2nd
Flight Gear 2nd
FreeCiv
Frozen Bubble
GNOME Game package 2nd 3rd 4th 5th 6th
KDE Games collection 2nd 3rd 4th
Tux Cart 2nd
Tux Puck
Tux Racer
Windows games
playing in Linux 2nd 3rd
GDM
(GNOME Display Manager) 2nd 3rd 4th
General Tab (GDM configuration dialog box)
Gentoo distribution 2nd 3rd
GIMP 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th
graphics program comparison chart
GKrellM
GNOME 2nd 3rd
***remove names of GNOME programs here***
desktop icons 2nd
fonts
installing
GDM
(GNOME Display Manager) 2nd 3rd 4th
GNOME Control Center
desktop customization 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th
GNOME menu 2nd 3rd
GNOME Terminal 2nd 3rd 4th
gThumb 2nd 3rd 4th 5th 6th
in Mandrake and Fedora distributions 2nd
Nautilus 2nd 3rd 4th 5th 6th
panels 2nd 3rd 4th
print management 2nd 3rd
versus KDE 2nd
Workspace Switcher 2nd 3rd 4th
GNOME Control Center
desktop customization 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th
GNOME Display Manager [See GDM]
GNOME Game package 2nd 3rd 4th 5th 6th
game comparison chart
GNOME menu 2nd 3rd
GNOME Pilot 2nd 3rd 4th
PDA syncing comparison chart
GNOME Terminal 2nd 3rd 4th
GNOME Workstation (Mandrake package group)
gnome-look.org Web site
Gnometris 2nd
Goggles
Google Groups Web site
gPhoto2 2nd
software comparison chart
Graphical Greeter Tab (GDM configuration dialog box) 2nd
graphical installers 2nd
graphics programs
comparison chart
Draw 2nd 3rd
GIMP 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th
KPaint 2nd 3rd
Grip 2nd 3rd 4th 5th 6th 7th
digital audio/video player comparison chart
groups [See newsgroups]
managing
in Fedora
in Mandrake
GRUB
gThumb 2nd 3rd 4th 5th 6th
software comparison chart
gtKam 2nd 3rd 4th 5th
software comparison chart


H

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

Hackers (movie)
Hardware Browser command (Fedora System Tools menu)
Hardware category (Mandrakelinux Control Center)
hardware compatibility
installing Linux distributions 2nd
hardware modems
versus software modems 2nd
Helix Player 2nd
digital audio/video player comparison chart
Help command (GNOME menu)
help switch (commands)
history command
Home command (K menu)
Home icon (GNOME)
Home icon (KDE)
home page
setting
in Konqueror
in Mozilla
HP
native Linux laptop computers


I

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

Iagno
icons
customizing
desktop and panel icons 2nd
file manager icons and emblems 2nd
desktop icons
GNOME 2nd
KDE 2nd
finding and creating 2nd
ID3 tags
IM [See instant messaging]
Image menu (GIMP)
image programs [See graphics programs]
images [See photos]
creating
in GIMP 2nd 3rd 4th 5th 6th 7th 8th
saving
in GIMP
importing
into Evolution
MP3 files
with Rhythmbox
Impress (OpenOffice.org) 2nd 3rd
office suite comparison chart
Inbox screen (Evolution)
Individual Package Selection (Mandrake) 2nd
info command
information management [See personal information managers]
Information section (KDE Control Center)
installing
Firefox extensions 2nd
fonts 2nd 3rd
Linux distributions 2nd
checking install media
choosing install type 2nd 3rd 4th 5th
creating boot disk
custom package selection 2nd 3rd
disk partitioning 2nd 3rd
firewalls 2nd
graphical installers 2nd
hardware compatibility 2nd
network configuration 2nd
post-distribution steps 2nd 3rd 4th
text-only installers 2nd
user accounts 2nd 3rd
software 2nd 3rd
Apt and Synaptic 2nd 3rd 4th 5th
from source code 2nd 3rd 4th
Mandrake Update 2nd 3rd
RPM files 2nd 3rd 4th 5th 6th 7th
Yum 2nd
instant messaging (IM) 2nd
Gaim 2nd 3rd 4th 5th 6th 7th 8th 9th
Jabber 2nd
Kopete 2nd 3rd 4th 5th 6th 7th
software comparison chart
troubleshooting
Yahoo! Messenger 2nd 3rd 4th 5th
Internet browsers [See browsers]
Internet Configuration Wizard command (Fedora System Tools menu)
Internet connections
broadband and local area networks (LANs) 2nd 3rd 4th 5th 6th
dial-up 2nd 3rd 4th 5th
sharing
wireless 2nd 3rd 4th 5th 6th
Internet Explorer
configuring Konqueror as
Internet Relay Chat [See IRC]
Internet Station (Mandrake package group)
IRC (Internet Relay Chat) 2nd
ChatZilla 2nd 3rd 4th 5th
commands, list of
software comparison chart
XChat 2nd 3rd
ISOs
downloading
iTunes


J

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

Jabber 2nd
Jabber User Guide Web site
JDS (Java Desktop System) distribution 2nd
Journal (KOrganizer)
junk mail filtering [See spam filtering]


K

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

K menu (KDE) 2nd 3rd
KAddressBook 2nd 3rd 4th 5th
KAlarm
Kandy
Karbon14 Web site
Karm
KAsteroids
KAtomic
KBackgammon
KBattleship
KBlackbox
KBounce
KDE 2nd
***remove names of KDE programs here***
desktop icons 2nd
Digikam 2nd
fonts
installing
in Mandrake and Fedora distributions 2nd
K menu 2nd 3rd
KDE Control Center
desktop customization 2nd 3rd 4th 5th 6th 7th 8th 9th
KDM
(KDE Display Manager) 2nd 3rd 4th 5th
Kicker panel 2nd 3rd
Konqueror 2nd 3rd 4th 5th 6th 7th 8th
Konsole 2nd 3rd 4th
KPPP 2nd 3rd 4th 5th
Pager 2nd 3rd 4th 5th
print management 2nd 3rd
versus GNOME 2nd
KDE Control Center
desktop customization 2nd 3rd 4th 5th 6th 7th 8th 9th
KDE Display Manager [See KDM]
KDE Games collection 2nd 3rd 4th
game comparison chart
KDE Look Web site
KDE Workstation (Mandrake package group)
kde-look Web site
KDE-PIM suite
KAddressBook 2nd 3rd 4th 5th
KAlarm
Kandy
Karm
KMail
KNotes
KonsoleKalendar
Kontact 2nd 3rd
KOrganizer 2nd 3rd 4th 5th 6th 7th 8th
personal information manager comparison chart
KDM
(KDE Display Manager) 2nd 3rd 4th 5th
Kenolaba
kernel
defined 2nd
Keyboard command (Fedora System Settings menu)
Keyboard option (GNOME Control Center)
keyboard shortcuts
GNOME
changing virtual desktops
KDE
changing virtual desktops
Ogle
Keyboard Shortcuts option (GNOME Control Center)
KFouleggs
Kicker panel (KDE) 2nd 3rd
Kickstart command (Fedora System Tools menu)
Kickstart files
KJumpingCube
Klotski
KMail 2nd 3rd 4th 5th 6th 7th
KNode 2nd 3rd
KNotes
KOffice 2nd 3rd
office suite comparison chart
Konqueror 2nd 3rd 4th 5th 6th 7th 8th
as Web browser 2nd 3rd 4th
configuring as Internet Explorer
Konquest
Konquorer
retrieving digital camera photos 2nd 3rd
Konsole 2nd 3rd 4th
KonsoleKalendar
Kontact 2nd 3rd
Kopete 2nd 3rd 4th 5th 6th 7th
instant messaging comparison chart
KOrganizer 2nd 3rd 4th 5th 6th 7th 8th
KPaint 2nd 3rd
graphics program comparison chart
KPilot 2nd 3rd 4th
PDA syncing comparison chart
KPoker
KPPP 2nd 3rd 4th 5th
KSokoban
KSpaceDuel
KTron


L

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

Language command (Fedora System Settings menu)
LANs (local area networks)
Internet connections 2nd 3rd 4th 5th 6th
laptop computers
Linux on
Layer menu (GIMP)
legal issues
copy protection on games
DMCA (Digital Millennium Copyright Act)
game emulators
letters 2nd
Lieutenant Skat
LILO
Lindows [See Linspire distribution]
Lines
Linspire distribution 2nd
Linux
defined 2nd
obtaining 2nd 3rd 4th 5th
on laptop computers
sharing files with Windows or Mac OS X 2nd
system requirements
Linux distributions [See distributions]
Linux file system [See file system hierarchy]
Linux Game Tome Web site
Linux Printer Compatibility Database Web site
Linux programs
comparable Windows programs, list of
Linux Standard Base (Mandrake package group)
linuX-gamers Web site
LinuxLinks.com Web site
live CDs
obtaining Linux distributions 2nd
local area networks (LANs)
Internet connections 2nd 3rd 4th 5th 6th
Lock Screen command (GNOME menu)
Lock Screen command (K menu)
Log Out command (GNOME menu)
logical partitions
login 2nd
login managers
GDM
(GNOME Display Manager) 2nd 3rd 4th
KDM
(KDE Display Manager) 2nd 3rd 4th 5th
XDM
(X Display Manager)
Login Photo option (GNOME Control Center)
Login Screen command (Fedora System Settings menu)
Logout command (K menu)
logs
reading
in Fedora
in Mandrake
Loki Entertainment Software Web site
LookNFeel section (KDE Control Center) 2nd 3rd
LSB (Mandrake package group)


M

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

Mac OS X
burning disk images 2nd
dual-booting 2nd
sharing files with Linux 2nd
Mahjongg
Mail (Mandrake package group)
mail accounts
setting
up;in KMail
setting up
in Evolution 2nd
in Thunderbird
main menu icons
changing
man files
managing files [See file managers]
Mandrake distribution 2nd 3rd 4th [See also Mandrakelinux Control Center]
choosing install type 2nd 3rd 4th
desktop environment 2nd
fonts
installing
Individual Package Selection 2nd
Internet connection setup 2nd 3rd 4th
main menu icon
changing
post-installation steps 2nd 3rd
print management 2nd 3rd
retrieving digital camera photos
RPMDrake
startup
Mandrake Update 2nd 3rd
Mandrakelinux Control Center 2nd 3rd 4th 5th 6th 7th 8th
Internet connection setup 2nd 3rd 4th
Master Boot Record (MBR)
defined
MBR (Master Boot Record)
defined
media players [See digital audio players, digital video players]
menus
GNOME menu 2nd 3rd
K menu (KDE) 2nd 3rd
Menus & Toolbars option (GNOME Control Center)
messages (e-mail) [See e-mail messages]
Microsoft Office [See office suites]
Mines
modems
software modems versus hardware modems 2nd
More Preferences option (GNOME Control Center)
More System Tools command (Fedora System Tools menu)
Mount Points category (Mandrakelinux Control Center)
mounting
disk partitions
in Fedora
in Mandrake
file systems
in Fedora
in Mandrake
Mouse option (GNOME Control Center)
movies [See digital video players]
moving
files and folders
in Konqueror
in Nautilus
windows between virtual desktops (GNOME) 2nd
windows between virtual desktops (KDE) 2nd
Mozilla 2nd 3rd 4th 5th 6th
ChatZilla [See ChatZilla]
plug-ins Web site
Mozilla Firefox [See Firefox]
Mozilla Mail
Mozilla Sunbird
Mozilla Thunderbird [See Thunderbird]
mozplugger
MP3 files [See also digital audio players]
importing
with Rhythmbox
MP3 support
adding to Rhythmbox 2nd
adding to XMMS
MPlayer 2nd 3rd 4th
digital audio/video player comparison chart
MSN search engine
in Swedish Chef speak
multilayer images
creating
in GIMP 2nd 3rd 4th 5th 6th 7th 8th
multimedia
in Web sites 2nd
Multimedia Station (Mandrake package group)
music [See digital audio players]


N

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

native partitions
Nautilus 2nd 3rd 4th 5th 6th
Netscape 2nd
history of Mozilla
plug-ins Web site
Network & Internet category (Mandrakelinux Control Center)
Network command (Fedora System Settings menu)
Network Computer (Client) (Mandrake package group)
Network Computer Server (Mandrake package group)
network configuration
installing Linux distributions 2nd
Network Configuration tool (Fedora)
Internet connection setup 2nd 3rd 4th 5th 6th
Network Device Control command (Fedora System Tools menu)
network interface cards (NICs)
for wireless Internet connections
configuring 2nd
Network Proxy option (GNOME Control Center)
Network Servers command (GNOME menu)
networks
sharing Internet connections
Neverwinter Nights 2nd
game comparison chart
news readers
in e-mail programs
KNode 2nd 3rd
Pan 2nd 3rd
newsfeeds
in Evolution
newsgroups 2nd 3rd [See also news readers]
Nibbles
NICs (network interface cards)
for wireless Internet connections
configuring 2nd
Nintendo Entertainment System
emulating 2nd 3rd
no-CD patches for games
Noatun 2nd 3rd 4th 5th 6th
digital audio/video player comparison chart
Novell Evolution [See Evolution]
Number of Workspaces option (GNOME Workspace Switcher Preferences dialog box)


O

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

office suites
comparison chart
KOffice 2nd 3rd
OpenOffice.org 2nd 3rd
Calc 2nd 3rd 4th
Draw 2nd 3rd
Impress 2nd 3rd
Writer 2nd 3rd 4th
Office Workstation (Mandrake package group)
OGG tags
Ogle 2nd 3rd 4th 5th
digital audio/video player comparison chart
oKle
online
buying Linux distributions
OpenOffice.org 2nd 3rd
Calc 2nd 3rd 4th
Draw 2nd 3rd
Impress 2nd 3rd
office suite comparison chart
Writer 2nd 3rd 4th
Opera 2nd 3rd
organization programs [See personal information managers]
Other Graphical Desktops (Mandrake package group)
ownership 2nd 3rd


P

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

Package Manager (Fedora)
Pager (KDE) 2nd 3rd 4th 5th
Palm Pilots [See PDA syncing]
Pan 2nd 3rd
panel icons
customizing 2nd
panels
in GNOME 2nd 3rd 4th
Kicker panel (KDE) 2nd 3rd
Partition Magic
partitions
creating 2nd 3rd
formatting
sharing files between 2nd
Password option (GNOME Control Center)
passwords
changing
in Fedora
in Mandrake
choosing
root password
PDA syncing
connections 2nd 3rd
GNOME Pilot 2nd 3rd 4th
KPilot 2nd 3rd 4th
software comparison chart
PDF files
creating
viewing 2nd 3rd
Peripherals section (KDE Control Center)
permissions 2nd 3rd
Personal Desktop (Fedora install type)
personal information managers
comparison chart
Evolution 2nd
Calendar screen 2nd 3rd 4th 5th
Contacts screen 2nd 3rd 4th 5th
Inbox screen
Summary screen 2nd 3rd
Tasks screen 2nd 3rd 4th
KDE-PIM suite
KAddressBook 2nd 3rd 4th 5th
KAlarm
Kandy
Karm
KMail
KNotes
KonsoleKalendar
Kontact 2nd 3rd
KOrganizer 2nd 3rd 4th 5th 6th 7th 8th
Sunbird
Phoenix [See Firefox]
photos [See also digital cameras]
organizing in albums 2nd
Digikam 2nd
gThumb 2nd 3rd 4th 5th 6th
retrieving from digital cameras
gtKam 2nd 3rd 4th 5th
Konquorer 2nd 3rd
software comparison chart
Photoshop
comparison with GIMP
running in Linux
pictures [See graphics programs, photos]
Pilot-Link 2nd
playlists
creating
in Rhythmbox
plug-ins
for multimedia in Web sites
pop-ups
blocking
in Konqueror
in Mozilla
portable music players
syncing with Linux
PowerControl section (KDE Control Center)
PowerDVD player
preferences [See customizing]
Preferred Applications option (GNOME Control Center)
presentation programs
Impress 2nd 3rd
print management 2nd
in Fedora 2nd 3rd
in Mandrake 2nd 3rd
Print Manager command (Fedora System Tools menu)
printers
configuring
in Fedora 2nd 3rd
in Mandrake 2nd 3rd
Printing command (Fedora System Settings menu)
Printing Notification Icon command (Fedora System Tools menu)
problems
avoiding
productivity suites [See office suites, personal information managers]
programs
customizing settings
defined
Windows programs
list of comparable Linux programs
prompts in terminal
protocols
for wireless Internet connections
Python-Fu menu (GIMP)


Q

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

Quake 3 Arena


R

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

Railroad Tycoon 2
Gold Edition
RDF feeds
reading
e-mail messages
in Evolution
in KMail
in Thunderbird
logs
in Fedora
in Mandrake
Real Player 2nd 3rd
digital audio/video player comparison chart
Recent Documents command (GNOME menu)
Recent Documents command (K menu)
Red Hat distribution [See Fedora distribution]
Red Hat Network Alert Icon command (Fedora System Tools menu)
Red Hat Network command (Fedora System Tools menu)
Red Hat Network Configuration command (Fedora System Settings menu)
renaming
files and folders
in Konqueror
in Nautilus
requirements [See system requirements]
Rhythmbox 2nd 3rd 4th 5th 6th
digital audio/video player comparison chart
ripping CDs
Grip 2nd 3rd 4th 5th 6th 7th
Robots
ROMs [See game emulators]
root password
Root Password command (Fedora System Settings menu)
root passwords
changing
in Fedora
in Mandrake
root user
switching to
root user account
routers
configuring 2nd
RPM files 2nd 3rd 4th 5th 6th 7th
RPMDrake (Mandrake)
RSS feeds
Run Application command (GNOME menu)
Run Command command (K menu)


S

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

Same GNOME
saving
images
in GIMP
Screen Resolution option (GNOME Control Center)
Screensaver option (GNOME Control Center)
Script-Fu menu (GIMP)
search engines
setting
in Mozilla
Search for Files command (GNOME menu)
Secure Socket Layer (SSL)
and instant messaging (IM)
security
ownership [See ownership]
permissions [See permissions]
wireless Internet connections
Security category (Mandrakelinux Control Center)
Security Level command (Fedora System Settings menu)
Security section (KDE Control Center)
Security Tab (GDM configuration dialog box)
Select menu (GIMP)
selecting [See choosing]
sending
e-mail messages
in Evolution
in KMail 2nd 3rd 4th
in Thunderbird
Server (Fedora install type)
Server Settings command (Fedora System Settings menu)
services
starting
in Fedora
in Mandrake
stopping
in Fedora
in Mandrake
settings
customizing
sharing
Internet connections
sharing files between partitions 2nd
Show All Workspaces In option (GNOME Workspace Switcher Preferences dialog box)
Show Only the Current Workspace option (GNOME Workspace Switcher Preferences dialog box)
Show Workspace Names in Switcher option (GNOME Workspace Switcher Preferences dialog box)
Shutdown Tab (KDM configuration dialog box)
SimCity 3000
Sketch Web site
skinning
in Noatun 2nd 3rd 4th
Slackware distribution 2nd
Slashdot Web site
Sodipodi Web site
software
installing 2nd 3rd
Apt and Synaptic 2nd 3rd 4th 5th
from source code 2nd 3rd 4th
Mandrake Update 2nd 3rd
RPM files 2nd 3rd 4th 5th 6th 7th
Yum 2nd
Software Management category (Mandrakelinux Control Center)
software modems
versus hardware modems 2nd
Sound Card Detection command (Fedora System Settings menu)
Sound option (GNOME Control Center)
Sound section (KDE Control Center)
source code
installing software from 2nd 3rd 4th
spam filtering
in Evolution
in KMail
in Thunderbird 2nd 3rd 4th
spatial mode (Nautilus) 2nd 3rd 4th
spoofkata
defined
spreadsheet programs
Calc 2nd 3rd 4th
SSL (Secure Socket Layer)
and instant messaging (IM)
Standard Greeter Tab (GDM configuration dialog box)
Start Here icon (GNOME)
Start New Sessions command (K menu)
starting
services
in Fedora
in Mandrake
startup 2nd
Stones
stopping
services
in Fedora
in Mandrake
streaming media [See multimedia]
Summary screen (Evolution) 2nd 3rd
Sun Java Desktop System distribution 2nd
Sunbird
SUSE distribution 2nd 3rd 4th 5th
swap partitions
swap space
Swedish Chef speak
MSN search engine in
switching
to root user
Synaptic 2nd 3rd 4th 5th
syncing PDAs
connections 2nd 3rd
GNOME Pilot 2nd 3rd 4th
KPilot 2nd 3rd 4th
software comparison chart
syncing portable music players with Linux
System category (Mandrakelinux Control Center) 2nd
System Logs command (Fedora System Tools menu)
System Monitor command (Fedora System Tools menu)
system requirements
System section (KDE Control Center)
System Settings menu (Fedora) 2nd 3rd 4th 5th
system tools and utilities 2nd
Fedora distribution
Internet connections
broadband and local area networks (LANs) 2nd 3rd 4th 5th 6th
dial-up 2nd 3rd 4th 5th
wireless 2nd 3rd 4th 5th 6th
Mandrakelinux Control Center 2nd 3rd 4th 5th 6th 7th 8th
print management 2nd
in Fedora 2nd 3rd
in Mandrake 2nd 3rd
software installation 2nd 3rd
Apt and Synaptic 2nd 3rd 4th 5th
from source code 2nd 3rd 4th
Mandrake Update 2nd 3rd
RPM files 2nd 3rd 4th 5th 6th 7th
Yum 2nd
System Settings menu (Fedora) 2nd 3rd 4th 5th
System Tools menu (Fedora) 2nd 3rd 4th 5th
System Tools menu (Fedora) 2nd 3rd 4th 5th


T

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

tabbed browsing
enabling
in Konqueror
in Mozilla
Tali
taskbar [See panels]
tasks
in KOrganizer 2nd 3rd 4th
Tasks screen (Evolution) 2nd 3rd 4th
terminal 2nd 3rd 4th
GNOME Terminal 2nd 3rd 4th
Konsole 2nd 3rd 4th
prompts
Terminal command (Fedora System Tools menu)
Tetravex
text-only installers 2nd
Theme option (GNOME Control Center) 2nd
themes
changing
in GNOME 2nd
in KDE 2nd
in Mozilla
GDM
three-button mouse
emulating
Thunderbird 2nd 3rd 4th 5th 6th
time and date
changing
in Fedora
in Mandrake
to-do lists [See tasks]
tools [See also system tools and utilities]
Tools menu (GIMP)
Totem 2nd 3rd 4th
digital audio/video player comparison chart
TransGaming Technologies Web site
Trash icon (GNOME)
Trash icon (KDE)
troubleshooting
instant messaging (IM)
wireless network cards
in Fedora
Tux Cart 2nd
Tux Games Web site
Tux Puck
Tux Racer
TuxNES 2nd 3rd
game comparison chart


U

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

uninstalling
RPM files
Unreal Tournament 2004
game comparison chart
Up2date
updating [See also source code; installing software]
Apt repository
Fedora
user accounts
installing Linux distributions 2nd 3rd
User Agent (Konqueror)
changing
users
managing
in Fedora
in Mandrake
Users and Groups command (Fedora System Settings menu)
Users Tab (KDM configuration dialog box) 2nd
utilities [See also system tools and utilities]


V

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

vector image programs
vFolders (Evolution)
video [See digital video players]
video card drivers
View menu (GIMP)
viewing
PDF files 2nd 3rd
virtual desktops 2nd
GNOME Workspace Switcher 2nd 3rd 4th
KDE Pager 2nd 3rd 4th 5th
VMWare 2nd
emulator comparison chart


W

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

W3C Web site
wallpaper
changing
in GNOME 2nd
in KDE 2nd
Web browsers [See browsers]
Web sites
art.gnome.org
Blogger
Bugzilla program
CodeWeavers
Congress
Crossover Office
Dag Wieers repository
Distro Watch
eLapse
FreshRPMs
Gaim's SourceForge forums
gnome-look.org
Google Groups
Jabber User Guide
Karbon14
KDE Look
kde-look
Linux Game Tome
Linux Printer Compatibility Database
linuX-gamers
LinuxLinks.com
Loki Entertainment Software
Mozilla plug-ins
MSN search engine
in Swedish Chef speak
Netscape plug-ins
Sketch
Slashdot
Sodipodi
Sunbird
TransGaming Technologies
Tux Games
video card drivers
W3C
WinAmp
Web/FTP (Mandrake package group)
WebBrowsing section (KDE Control Center)
Welcome icon (KDE)
widget set
defined
Win4Lin 2nd
emulator comparison chart
WinAmp Web site
window decorations
changing
in GNOME 2nd
in KDE 2nd
window manager
defined
Windows
burning disk images 2nd
dual-booting 2nd
formatting partitions with Fat32
windows
moving between virtual desktops (GNOME) 2nd
moving between virtual desktops (KDE) 2nd
Windows
sharing files with Linux 2nd
Windows games
playing in Linux 2nd 3rd
Windows option (GNOME Control Center)
Windows programs
comparable Linux programs, list of
Windows programs, running
emulator comparison chart
with CrossOver Office 2nd
with VMWare 2nd
with Win4Lin 2nd
with Wine 2nd 3rd
Wine 2nd 3rd
emulator comparison chart
WineX (Cedega) 2nd 3rd
game comparison chart
Winmodems 2nd
wireless Internet connections 2nd 3rd 4th 5th 6th
wireless network access points
configuring 2nd
word processing programs
Writer 2nd 3rd 4th
word-processing programs
AbiWord 2nd
Workspace Names option (GNOME Workspace Switcher Preferences dialog box)
Workspace Switcher (GNOME) 2nd 3rd 4th
workspaces [See virtual desktops]
Workstation (Fedora install type)
Writer (OpenOffice.org) 2nd 3rd 4th
office suite comparison chart


X

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

X Display Manager (XDM)
X Window System
defined
Xandros distribution 2nd
XChat 2nd 3rd
chat software comparison chart
XDM
(X Display Manager)
XDMCP Tab (GDM configuration dialog box)
Ximian Evolution [See Evolution]
Xine 2nd 3rd 4th 5th
digital audio/video player comparison chart
XMAME 2nd
game comparison chart
XMMS 2nd 3rd 4th
digital audio/video player comparison chart


Y

Team LiB
Previous Section

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y]

Yaboot
Yahoo! Messenger 2nd 3rd 4th 5th
instant messaging comparison chart
Yellow Dog distribution 2nd
Yellow Dog Updater Modified [See Yum]
Yum 2nd

Team LiB
Previous Section